/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/loop.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	static obj_t BGl_z62findzd2letzd2funzf3zd2extern1270z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2condit1276z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2app1264z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1292z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_loopz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1332z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2atom1298z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1294z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_loopz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2funcall1312z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2kwote1300z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2cast1316z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sequen1260z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121338zb0zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1334za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1336za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setq1318z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nestzd2loopz121295za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2cast1272z43zzinline_loopz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2setq1274z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2app1308z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2funcal1268z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1326za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_loopz00();
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2select1324z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2appzd2ly1310za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_loopz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2makezd2b1290z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1288z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2extern1314z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1330z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1328za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sync1306z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2fail1322z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_loopz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00();
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2va1284z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1282z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sequence1304z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2var1302z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf31257z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1266z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2select1280z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1286z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sync1262z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2fail1278z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1320z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21829za7,
		BGl_z62findzd2letzd2funzf3z91zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1803z00zzinline_loopz00,
		BgL_bgl_string1803za700za7za7i1830za7, "nest-loop!", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762innerza7d2loopza71831za7,
		BGl_z62innerzd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1824z00zzinline_loopz00,
		BgL_bgl_string1824za700za7za7i1832za7, "inline_loop", 11);
	      DEFINE_STRING(BGl_string1825z00zzinline_loopz00,
		BgL_bgl_string1825za700za7za7i1833za7, "nest-loop!1295 done ", 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762isza7d2loopza7f3za71834z00,
		BGl_z62iszd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21835za7,
		BGl_z62findzd2letzd2funzf31257z91zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711836za7,
		BGl_z62nestzd2loopz121295za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21837za7,
		BGl_z62findzd2letzd2funzf3zd2sequen1260z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21838za7,
		BGl_z62findzd2letzd2funzf3zd2sync1262z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21839za7,
		BGl_z62findzd2letzd2funzf3zd2app1264z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21840za7,
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1266z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21841za7,
		BGl_z62findzd2letzd2funzf3zd2funcal1268z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21842za7,
		BGl_z62findzd2letzd2funzf3zd2extern1270z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21843za7,
		BGl_z62findzd2letzd2funzf3zd2cast1272z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21844za7,
		BGl_z62findzd2letzd2funzf3zd2setq1274z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21845za7,
		BGl_z62findzd2letzd2funzf3zd2condit1276z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21846za7,
		BGl_z62findzd2letzd2funzf3zd2fail1278z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21847za7,
		BGl_z62findzd2letzd2funzf3zd2select1280z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21848za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1282z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21849za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2va1284z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21850za7,
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1286z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21851za7,
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1288z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21852za7,
		BGl_z62findzd2letzd2funzf3zd2makezd2b1290z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21853za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1292z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21854za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1294z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711855za7,
		BGl_z62nestzd2loopz12zd2atom1298z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711856za7,
		BGl_z62nestzd2loopz12zd2kwote1300z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711857za7,
		BGl_z62nestzd2loopz12zd2var1302z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711858za7,
		BGl_z62nestzd2loopz12zd2sequence1304z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711859za7,
		BGl_z62nestzd2loopz12zd2sync1306z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711860za7,
		BGl_z62nestzd2loopz12zd2app1308z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711861za7,
		BGl_z62nestzd2loopz12zd2appzd2ly1310za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711862za7,
		BGl_z62nestzd2loopz12zd2funcall1312z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711863za7,
		BGl_z62nestzd2loopz12zd2extern1314z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711864za7,
		BGl_z62nestzd2loopz12zd2cast1316z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711865za7,
		BGl_z62nestzd2loopz12zd2setq1318z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711866za7,
		BGl_z62nestzd2loopz12zd2condition1320z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711867za7,
		BGl_z62nestzd2loopz12zd2fail1322z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711868za7,
		BGl_z62nestzd2loopz12zd2select1324z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711869za7,
		BGl_z62nestzd2loopz12zd2letzd2fun1326za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1818z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711870za7,
		BGl_z62nestzd2loopz12zd2letzd2var1328za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711871za7,
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1330z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711872za7,
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1332z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711873za7,
		BGl_z62nestzd2loopz12zd2makezd2box1334za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711874za7,
		BGl_z62nestzd2loopz12zd2boxzd2ref1336za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711875za7,
		BGl_z62nestzd2loopz12zd2boxzd2setz121338zb0zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711876za7,
		BGl_z62nestzd2loopz12za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1779z00zzinline_loopz00,
		BgL_bgl_string1779za700za7za7i1877za7, "find-let-fun?1257", 17);
	      DEFINE_STRING(BGl_string1781z00zzinline_loopz00,
		BgL_bgl_string1781za700za7za7i1878za7, "nest-loop!1295", 14);
	      DEFINE_STRING(BGl_string1782z00zzinline_loopz00,
		BgL_bgl_string1782za700za7za7i1879za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1784z00zzinline_loopz00,
		BgL_bgl_string1784za700za7za7i1880za7, "find-let-fun?", 13);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long
		BgL_checksumz00_2303, char *BgL_fromz00_2304)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_loopz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
					BGl_cnstzd2initzd2zzinline_loopz00();
					BGl_importedzd2moduleszd2initz00zzinline_loopz00();
					BGl_genericzd2initzd2zzinline_loopz00();
					BGl_methodzd2initzd2zzinline_loopz00();
					return BGl_toplevelzd2initzd2zzinline_loopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_loop");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			{	/* Inline/loop.scm 15 */
				obj_t BgL_cportz00_2279;

				{	/* Inline/loop.scm 15 */
					obj_t BgL_startz00_2288;

					BgL_startz00_2288 = BINT(((long) 0));
					{	/* Inline/loop.scm 15 */
						obj_t BgL_endz00_2289;

						BgL_endz00_2289 =
							BINT(STRING_LENGTH(BGl_string1825z00zzinline_loopz00));
						{	/* Inline/loop.scm 15 */

							BgL_cportz00_2279 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1825z00zzinline_loopz00, BgL_startz00_2288,
								BgL_endz00_2289);
				}}}
				{
					long BgL_iz00_2280;

					BgL_iz00_2280 = ((long) 1);
				BgL_loopz00_2281:
					if ((BgL_iz00_2280 == ((long) -1)))
						{	/* Inline/loop.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/loop.scm 15 */
							{	/* Inline/loop.scm 15 */
								obj_t BgL_arg1827z00_2283;

								{	/* Inline/loop.scm 15 */

									{	/* Inline/loop.scm 15 */
										obj_t BgL_locationz00_2285;

										BgL_locationz00_2285 = BBOOL(((bool_t) 0));
										{	/* Inline/loop.scm 15 */

											BgL_arg1827z00_2283 =
												BGl_readz00zz__readerz00(BgL_cportz00_2279,
												BgL_locationz00_2285);
										}
									}
								}
								{	/* Inline/loop.scm 15 */
									int BgL_auxz00_2330;

									BgL_auxz00_2330 = (int) (BgL_iz00_2280);
									CNST_TABLE_SET(BgL_auxz00_2330, BgL_arg1827z00_2283);
							}}
							{	/* Inline/loop.scm 15 */
								int BgL_auxz00_2286;

								BgL_auxz00_2286 = (int) ((BgL_iz00_2280 - ((long) 1)));
								{
									long BgL_iz00_2335;

									BgL_iz00_2335 = (long) (BgL_auxz00_2286);
									BgL_iz00_2280 = BgL_iz00_2335;
									goto BgL_loopz00_2281;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}
	}



/* is-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_3)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 39 */
			if (BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_3))
				{	/* Inline/loop.scm 42 */
					long BgL_auxz00_2339;

					{	/* Inline/loop.scm 42 */
						obj_t BgL_auxz00_2340;

						{
							BgL_isfunz00_bglt BgL_auxz00_2341;

							{
								obj_t BgL_auxz00_2342;

								{	/* Inline/loop.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_2343;

									BgL_auxz00_2343 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->
												BgL_valuez00)));
									BgL_auxz00_2342 = BGL_OBJECT_WIDENING(BgL_auxz00_2343);
								}
								BgL_auxz00_2341 = ((BgL_isfunz00_bglt) BgL_auxz00_2342);
							}
							BgL_auxz00_2340 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2341))->
								BgL_recursivezd2callszd2);
						}
						BgL_auxz00_2339 = bgl_list_length(BgL_auxz00_2340);
					}
					return (BgL_auxz00_2339 == ((long) 1));
				}
			else
				{	/* Inline/loop.scm 41 */
					return ((bool_t) 0);
				}
		}
	}



/* &is-loop? */
	obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2102,
		obj_t BgL_variablez00_2103)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 39 */
			return
				BBOOL(BGl_iszd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2103)));
		}
	}



/* inner-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 49 */
			{	/* Inline/loop.scm 50 */
				obj_t BgL_arg1372z00_1958;

				BgL_arg1372z00_1958 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_4))->
									BgL_valuez00))))->BgL_bodyz00);
				return
					CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(((BgL_nodez00_bglt)
							BgL_arg1372z00_1958)));
			}
		}
	}



/* &inner-loop? */
	obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2104,
		obj_t BgL_variablez00_2105)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 49 */
			return
				BBOOL(BGl_innerzd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2105)));
		}
	}



/* find-let-fun?* */
	bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_24)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 197 */
			{
				obj_t BgL_nodeza2za2_1426;

				BgL_nodeza2za2_1426 = BgL_nodeza2za2_24;
			BgL_zc3anonymousza31375ze3z83_1427:
				if (NULLP(BgL_nodeza2za2_1426))
					{	/* Inline/loop.scm 200 */
						return ((bool_t) 0);
					}
				else
					{	/* Inline/loop.scm 202 */
						bool_t BgL_testz00_2366;

						{	/* Inline/loop.scm 202 */
							obj_t BgL_arg1379z00_1431;

							BgL_arg1379z00_1431 = CAR(BgL_nodeza2za2_1426);
							BgL_testz00_2366 =
								CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1379z00_1431)));
						}
						if (BgL_testz00_2366)
							{	/* Inline/loop.scm 202 */
								return ((bool_t) 1);
							}
						else
							{
								obj_t BgL_nodeza2za2_2371;

								BgL_nodeza2za2_2371 = CDR(BgL_nodeza2za2_1426);
								BgL_nodeza2za2_1426 = BgL_nodeza2za2_2371;
								goto BgL_zc3anonymousza31375ze3z83_1427;
							}
					}
			}
		}
	}



/* nest-loop!* */
	obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_91,
		obj_t BgL_varz00_92, obj_t BgL_nesterz00_93)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 399 */
			{
				obj_t BgL_nodeza2za2_1434;

				BgL_nodeza2za2_1434 = BgL_nodeza2za2_91;
			BgL_zc3anonymousza31380ze3z83_1435:
				if (NULLP(BgL_nodeza2za2_1434))
					{	/* Inline/loop.scm 401 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Inline/loop.scm 401 */
						{	/* Inline/loop.scm 404 */
							BgL_nodez00_bglt BgL_arg1385z00_1437;

							{	/* Inline/loop.scm 404 */
								obj_t BgL_arg1386z00_1438;

								BgL_arg1386z00_1438 = CAR(BgL_nodeza2za2_1434);
								BgL_arg1385z00_1437 =
									BGl_nestzd2loopz12zc0zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1386z00_1438),
									((BgL_localz00_bglt) BgL_varz00_92), BgL_nesterz00_93);
							}
							{	/* Inline/loop.scm 404 */
								obj_t BgL_auxz00_2380;

								BgL_auxz00_2380 = ((obj_t) BgL_arg1385z00_1437);
								SET_CAR(BgL_nodeza2za2_1434, BgL_auxz00_2380);
							}
						}
						{
							obj_t BgL_nodeza2za2_2383;

							BgL_nodeza2za2_2383 = CDR(BgL_nodeza2za2_1434);
							BgL_nodeza2za2_1434 = BgL_nodeza2za2_2383;
							goto BgL_zc3anonymousza31380ze3z83_1435;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_proc1778z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1779z00zzinline_loopz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_proc1780z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1781z00zzinline_loopz00);
		}
	}



/* &nest-loop!1295 */
	obj_t BGl_z62nestzd2loopz121295za2zzinline_loopz00(obj_t BgL_envz00_2108,
		obj_t BgL_nodez00_2109, obj_t BgL_localz00_2110, obj_t BgL_nesterz00_2111)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 210 */
			{
				BgL_nodez00_bglt BgL_nodez00_1446;
				BgL_localz00_bglt BgL_localz00_1447;
				obj_t BgL_nesterz00_1448;

				BgL_nodez00_1446 = ((BgL_nodez00_bglt) BgL_nodez00_2109);
				BgL_localz00_1447 = ((BgL_localz00_bglt) BgL_localz00_2110);
				BgL_nesterz00_1448 = BgL_nesterz00_2111;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string1782z00zzinline_loopz00, ((obj_t) BgL_nodez00_1446));
		}}
	}



/* &find-let-fun?1257 */
	obj_t BGl_z62findzd2letzd2funzf31257z91zzinline_loopz00(obj_t BgL_envz00_2112,
		obj_t BgL_nodez00_2113)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 55 */
			return BBOOL(((bool_t) 0));
		}
	}



/* find-let-fun? */
	obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 55 */
			{	/* Inline/loop.scm 55 */
				obj_t BgL_method1258z00_1451;

				{	/* Inline/loop.scm 55 */
					obj_t BgL_res1764z00_2000;

					{	/* Inline/loop.scm 55 */
						long BgL_objzd2classzd2numz00_1973;

						{	/* Inline/loop.scm 55 */
							long BgL_res1758z00_1976;

							BgL_res1758z00_1976 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_1973 = BgL_res1758z00_1976;
						}
						{	/* Inline/loop.scm 55 */
							obj_t BgL_arg1664z00_1974;

							BgL_arg1664z00_1974 =
								PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 55 */
								int BgL_offsetz00_1978;

								BgL_offsetz00_1978 = (int) (BgL_objzd2classzd2numz00_1973);
								{	/* Inline/loop.scm 55 */
									long BgL_offsetz00_1979;

									BgL_offsetz00_1979 =
										((long) (BgL_offsetz00_1978) - OBJECT_TYPE);
									{	/* Inline/loop.scm 55 */
										long BgL_modz00_1980;

										{	/* Inline/loop.scm 55 */
											int BgL_arg1666z00_1981;

											BgL_arg1666z00_1981 = (int) (((long) 16));
											{	/* Inline/loop.scm 55 */
												long BgL_res1761z00_1991;

												{	/* Inline/loop.scm 55 */
													long BgL_auxz00_2401;

													BgL_auxz00_2401 = (long) (BgL_arg1666z00_1981);
													BgL_res1761z00_1991 =
														(BgL_offsetz00_1979 / BgL_auxz00_2401);
												}
												BgL_modz00_1980 = BgL_res1761z00_1991;
										}}
										{	/* Inline/loop.scm 55 */
											long BgL_restz00_1982;

											{	/* Inline/loop.scm 55 */
												int BgL_arg1665z00_1983;

												BgL_arg1665z00_1983 = (int) (((long) 16));
												{	/* Inline/loop.scm 55 */
													long BgL_res1763z00_1995;

													{	/* Inline/loop.scm 55 */
														long BgL_auxz00_2405;

														BgL_auxz00_2405 = (long) (BgL_arg1665z00_1983);
														BgL_res1763z00_1995 =
															(BgL_offsetz00_1979 % BgL_auxz00_2405);
													}
													BgL_restz00_1982 = BgL_res1763z00_1995;
											}}
											{	/* Inline/loop.scm 55 */

												BgL_res1764z00_2000 =
													VECTOR_REF(VECTOR_REF(BgL_arg1664z00_1974,
														(int) (BgL_modz00_1980)), (int) (BgL_restz00_1982));
					}}}}}}}
					BgL_method1258z00_1451 = BgL_res1764z00_2000;
				}
				return
					PROCEDURE_ENTRY(BgL_method1258z00_1451) (BgL_method1258z00_1451,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &find-let-fun? */
	obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t BgL_envz00_2114,
		obj_t BgL_nodez00_2115)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 55 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2115));
		}
	}



/* nest-loop! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_25,
		BgL_localz00_bglt BgL_localz00_26, obj_t BgL_nesterz00_27)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 210 */
			{	/* Inline/loop.scm 210 */
				obj_t BgL_method1296z00_1452;

				{	/* Inline/loop.scm 210 */
					obj_t BgL_res1771z00_2029;

					{	/* Inline/loop.scm 210 */
						long BgL_objzd2classzd2numz00_2002;

						{	/* Inline/loop.scm 210 */
							long BgL_res1765z00_2005;

							BgL_res1765z00_2005 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_25));
							BgL_objzd2classzd2numz00_2002 = BgL_res1765z00_2005;
						}
						{	/* Inline/loop.scm 210 */
							obj_t BgL_arg1664z00_2003;

							BgL_arg1664z00_2003 =
								PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
								(int) (((long) 1)));
							{	/* Inline/loop.scm 210 */
								int BgL_offsetz00_2007;

								BgL_offsetz00_2007 = (int) (BgL_objzd2classzd2numz00_2002);
								{	/* Inline/loop.scm 210 */
									long BgL_offsetz00_2008;

									BgL_offsetz00_2008 =
										((long) (BgL_offsetz00_2007) - OBJECT_TYPE);
									{	/* Inline/loop.scm 210 */
										long BgL_modz00_2009;

										{	/* Inline/loop.scm 210 */
											int BgL_arg1666z00_2010;

											BgL_arg1666z00_2010 = (int) (((long) 16));
											{	/* Inline/loop.scm 210 */
												long BgL_res1768z00_2020;

												{	/* Inline/loop.scm 210 */
													long BgL_auxz00_2427;

													BgL_auxz00_2427 = (long) (BgL_arg1666z00_2010);
													BgL_res1768z00_2020 =
														(BgL_offsetz00_2008 / BgL_auxz00_2427);
												}
												BgL_modz00_2009 = BgL_res1768z00_2020;
										}}
										{	/* Inline/loop.scm 210 */
											long BgL_restz00_2011;

											{	/* Inline/loop.scm 210 */
												int BgL_arg1665z00_2012;

												BgL_arg1665z00_2012 = (int) (((long) 16));
												{	/* Inline/loop.scm 210 */
													long BgL_res1770z00_2024;

													{	/* Inline/loop.scm 210 */
														long BgL_auxz00_2431;

														BgL_auxz00_2431 = (long) (BgL_arg1665z00_2012);
														BgL_res1770z00_2024 =
															(BgL_offsetz00_2008 % BgL_auxz00_2431);
													}
													BgL_restz00_2011 = BgL_res1770z00_2024;
											}}
											{	/* Inline/loop.scm 210 */

												BgL_res1771z00_2029 =
													VECTOR_REF(VECTOR_REF(BgL_arg1664z00_2003,
														(int) (BgL_modz00_2009)), (int) (BgL_restz00_2011));
					}}}}}}}
					BgL_method1296z00_1452 = BgL_res1771z00_2029;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1296z00_1452) (BgL_method1296z00_1452,
						((obj_t) BgL_nodez00_25),
						((obj_t) BgL_localz00_26), BgL_nesterz00_27, BEOA));
			}
		}
	}



/* &nest-loop! */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t
		BgL_envz00_2116, obj_t BgL_nodez00_2117, obj_t BgL_localz00_2118,
		obj_t BgL_nesterz00_2119)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 210 */
			return
				BGl_nestzd2loopz12zc0zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2117),
				((BgL_localz00_bglt) BgL_localz00_2118), BgL_nesterz00_2119);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1783z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_syncz00zzast_nodez00, BGl_proc1785z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appz00zzast_nodez00, BGl_proc1786z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1787z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1788z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1789z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_castz00zzast_nodez00, BGl_proc1790z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setqz00zzast_nodez00, BGl_proc1791z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1792z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_failz00zzast_nodez00, BGl_proc1793z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_selectz00zzast_nodez00, BGl_proc1794z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1795z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1796z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1797z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1798z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1799z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1800z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1801z00zzinline_loopz00,
				BGl_string1784z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00,
				BGl_proc1802z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1804z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00,
				BGl_proc1805z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1806z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_syncz00zzast_nodez00,
				BGl_proc1807z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00,
				BGl_proc1808z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1809z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1810z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1811z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00,
				BGl_proc1812z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1813z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1814z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00,
				BGl_proc1815z00zzinline_loopz00, BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_selectz00zzast_nodez00, BGl_proc1816z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1817z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1818z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1819z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1820z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1821z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1822z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1823z00zzinline_loopz00,
				BGl_string1803z00zzinline_loopz00);
		}
	}



/* &nest-loop!-box-set!1338 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121338zb0zzinline_loopz00(obj_t
		BgL_envz00_2159, obj_t BgL_nodez00_2160, obj_t BgL_vz00_2161,
		obj_t BgL_nesterz00_2162)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 390 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1785;
				obj_t BgL_vz00_1786;
				obj_t BgL_nesterz00_1787;

				BgL_nodez00_1785 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2160);
				BgL_vz00_1786 = BgL_vz00_2161;
				BgL_nesterz00_1787 = BgL_nesterz00_2162;
				{
					BgL_varz00_bglt BgL_auxz00_2489;

					{	/* Inline/loop.scm 392 */
						BgL_varz00_bglt BgL_arg1682z00_1791;

						BgL_arg1682z00_1791 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1785))->BgL_varz00);
						BgL_auxz00_2489 =
							((BgL_varz00_bglt)
							BGl_nestzd2loopz12zc0zzinline_loopz00(
								((BgL_nodez00_bglt) BgL_arg1682z00_1791),
								((BgL_localz00_bglt) BgL_vz00_1786), BgL_nesterz00_1787));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1785))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2489), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2496;

					{	/* Inline/loop.scm 393 */
						BgL_nodez00_bglt BgL_arg1683z00_1792;

						BgL_arg1683z00_1792 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1785))->
							BgL_valuez00);
						BgL_auxz00_2496 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1683z00_1792,
							((BgL_localz00_bglt) BgL_vz00_1786), BgL_nesterz00_1787);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1785))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2496), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1785);
			}
		}
	}



/* &nest-loop!-box-ref1336 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1336za2zzinline_loopz00(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164, obj_t BgL_vz00_2165,
		obj_t BgL_nesterz00_2166)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 382 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1777;
				obj_t BgL_vz00_1778;
				obj_t BgL_nesterz00_1779;

				BgL_nodez00_1777 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2164);
				BgL_vz00_1778 = BgL_vz00_2165;
				BgL_nesterz00_1779 = BgL_nesterz00_2166;
				{
					BgL_varz00_bglt BgL_auxz00_2503;

					{	/* Inline/loop.scm 384 */
						BgL_varz00_bglt BgL_arg1680z00_2101;

						BgL_arg1680z00_2101 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1777))->BgL_varz00);
						BgL_auxz00_2503 =
							((BgL_varz00_bglt)
							BGl_nestzd2loopz12zc0zzinline_loopz00(
								((BgL_nodez00_bglt) BgL_arg1680z00_2101),
								((BgL_localz00_bglt) BgL_vz00_1778), BgL_nesterz00_1779));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1777))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2503), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1777);
			}
		}
	}



/* &nest-loop!-make-box1334 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1334za2zzinline_loopz00(obj_t
		BgL_envz00_2167, obj_t BgL_nodez00_2168, obj_t BgL_varz00_2169,
		obj_t BgL_nesterz00_2170)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 374 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1769;
				obj_t BgL_varz00_1770;
				obj_t BgL_nesterz00_1771;

				BgL_nodez00_1769 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2168);
				BgL_varz00_1770 = BgL_varz00_2169;
				BgL_nesterz00_1771 = BgL_nesterz00_2170;
				{
					BgL_nodez00_bglt BgL_auxz00_2512;

					{	/* Inline/loop.scm 376 */
						BgL_nodez00_bglt BgL_arg1679z00_2099;

						BgL_arg1679z00_2099 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1769))->BgL_valuez00);
						BgL_auxz00_2512 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1679z00_2099,
							((BgL_localz00_bglt) BgL_varz00_1770), BgL_nesterz00_1771);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1769))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2512), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1769);
			}
		}
	}



/* &nest-loop!-jump-ex-i1332 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1332z70zzinline_loopz00(obj_t
		BgL_envz00_2171, obj_t BgL_nodez00_2172, obj_t BgL_vz00_2173,
		obj_t BgL_nesterz00_2174)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 365 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1760;
				obj_t BgL_vz00_1761;
				obj_t BgL_nesterz00_1762;

				BgL_nodez00_1760 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2172);
				BgL_vz00_1761 = BgL_vz00_2173;
				BgL_nesterz00_1762 = BgL_nesterz00_2174;
				{
					BgL_nodez00_bglt BgL_auxz00_2519;

					{	/* Inline/loop.scm 367 */
						BgL_nodez00_bglt BgL_arg1677z00_1766;

						BgL_arg1677z00_1766 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1760))->
							BgL_exitz00);
						BgL_auxz00_2519 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1677z00_1766,
							((BgL_localz00_bglt) BgL_vz00_1761), BgL_nesterz00_1762);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1760))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2519), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2524;

					{	/* Inline/loop.scm 368 */
						BgL_nodez00_bglt BgL_arg1678z00_1767;

						BgL_arg1678z00_1767 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1760))->
							BgL_valuez00);
						BgL_auxz00_2524 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1678z00_1767,
							((BgL_localz00_bglt) BgL_vz00_1761), BgL_nesterz00_1762);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1760))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2524), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1760);
			}
		}
	}



/* &nest-loop!-set-ex-it1330 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1330z70zzinline_loopz00(obj_t
		BgL_envz00_2175, obj_t BgL_nodez00_2176, obj_t BgL_varz00_2177,
		obj_t BgL_nesterz00_2178)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 357 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1752;
				obj_t BgL_varz00_1753;
				obj_t BgL_nesterz00_1754;

				BgL_nodez00_1752 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2176);
				BgL_varz00_1753 = BgL_varz00_2177;
				BgL_nesterz00_1754 = BgL_nesterz00_2178;
				{
					BgL_nodez00_bglt BgL_auxz00_2531;

					{	/* Inline/loop.scm 359 */
						BgL_nodez00_bglt BgL_arg1676z00_2097;

						BgL_arg1676z00_2097 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1752))->
							BgL_bodyz00);
						BgL_auxz00_2531 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1676z00_2097,
							((BgL_localz00_bglt) BgL_varz00_1753), BgL_nesterz00_1754);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1752))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2531), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1752);
			}
		}
	}



/* &nest-loop!-let-var1328 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1328za2zzinline_loopz00(obj_t
		BgL_envz00_2179, obj_t BgL_nodez00_2180, obj_t BgL_varz00_2181,
		obj_t BgL_nesterz00_2182)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 346 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1734;
				obj_t BgL_varz00_1735;
				obj_t BgL_nesterz00_1736;

				BgL_nodez00_1734 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2180);
				BgL_varz00_1735 = BgL_varz00_2181;
				BgL_nesterz00_1736 = BgL_nesterz00_2182;
				{
					BgL_nodez00_bglt BgL_auxz00_2538;

					{	/* Inline/loop.scm 348 */
						BgL_nodez00_bglt BgL_arg1669z00_1740;

						BgL_arg1669z00_1740 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1734))->BgL_bodyz00);
						BgL_auxz00_2538 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1669z00_1740,
							((BgL_localz00_bglt) BgL_varz00_1735), BgL_nesterz00_1736);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1734))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2538), BUNSPEC);
				}
				{	/* Inline/loop.scm 349 */
					obj_t BgL_g1256z00_1741;

					BgL_g1256z00_1741 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1734))->BgL_bindingsz00);
					{
						obj_t BgL_l1254z00_1743;

						BgL_l1254z00_1743 = BgL_g1256z00_1741;
					BgL_zc3anonymousza31670ze3z83_1744:
						if (PAIRP(BgL_l1254z00_1743))
							{	/* Inline/loop.scm 349 */
								{	/* Inline/loop.scm 350 */
									obj_t BgL_bindingz00_1746;

									BgL_bindingz00_1746 = CAR(BgL_l1254z00_1743);
									{	/* Inline/loop.scm 350 */
										BgL_nodez00_bglt BgL_arg1673z00_1747;

										{	/* Inline/loop.scm 350 */
											obj_t BgL_arg1674z00_1748;

											BgL_arg1674z00_1748 = CDR(BgL_bindingz00_1746);
											BgL_arg1673z00_1747 =
												BGl_nestzd2loopz12zc0zzinline_loopz00(
												((BgL_nodez00_bglt) BgL_arg1674z00_1748),
												((BgL_localz00_bglt) BgL_varz00_1735),
												BgL_nesterz00_1736);
										}
										{	/* Inline/loop.scm 350 */
											obj_t BgL_auxz00_2551;

											BgL_auxz00_2551 = ((obj_t) BgL_arg1673z00_1747);
											SET_CDR(BgL_bindingz00_1746, BgL_auxz00_2551);
										}
									}
								}
								{
									obj_t BgL_l1254z00_2554;

									BgL_l1254z00_2554 = CDR(BgL_l1254z00_1743);
									BgL_l1254z00_1743 = BgL_l1254z00_2554;
									goto BgL_zc3anonymousza31670ze3z83_1744;
								}
							}
						else
							{	/* Inline/loop.scm 349 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1734);
			}
		}
	}



/* &nest-loop!-let-fun1326 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1326za2zzinline_loopz00(obj_t
		BgL_envz00_2183, obj_t BgL_nodez00_2184, obj_t BgL_varz00_2185,
		obj_t BgL_nesterz00_2186)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 331 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1715;
				obj_t BgL_varz00_1716;
				obj_t BgL_nesterz00_1717;

				BgL_nodez00_1715 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2184);
				BgL_varz00_1716 = BgL_varz00_2185;
				BgL_nesterz00_1717 = BgL_nesterz00_2186;
				{
					BgL_nodez00_bglt BgL_auxz00_2558;

					{	/* Inline/loop.scm 333 */
						BgL_nodez00_bglt BgL_arg1651z00_1721;

						BgL_arg1651z00_1721 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1715))->BgL_bodyz00);
						BgL_auxz00_2558 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1651z00_1721,
							((BgL_localz00_bglt) BgL_varz00_1716), BgL_nesterz00_1717);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1715))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2558), BUNSPEC);
				}
				{	/* Inline/loop.scm 334 */
					obj_t BgL_g1253z00_1722;

					BgL_g1253z00_1722 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1715))->BgL_localsz00);
					{
						obj_t BgL_l1251z00_1724;

						BgL_l1251z00_1724 = BgL_g1253z00_1722;
					BgL_zc3anonymousza31652ze3z83_1725:
						if (PAIRP(BgL_l1251z00_1724))
							{	/* Inline/loop.scm 334 */
								{	/* Inline/loop.scm 335 */
									obj_t BgL_localz00_1727;

									BgL_localz00_1727 = CAR(BgL_l1251z00_1724);
									{	/* Inline/loop.scm 335 */
										BgL_valuez00_bglt BgL_sfunz00_1728;

										BgL_sfunz00_1728 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1727))))->
											BgL_valuez00);
										{	/* Inline/loop.scm 337 */
											BgL_nodez00_bglt BgL_arg1656z00_1729;

											{	/* Inline/loop.scm 337 */
												obj_t BgL_arg1657z00_1730;

												BgL_arg1657z00_1730 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_sfunz00_1728)))->
													BgL_bodyz00);
												BgL_arg1656z00_1729 =
													BGl_nestzd2loopz12zc0zzinline_loopz00((
														(BgL_nodez00_bglt) BgL_arg1657z00_1730),
													((BgL_localz00_bglt) BgL_varz00_1716),
													BgL_nesterz00_1717);
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_sfunz00_1728)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1656z00_1729)), BUNSPEC);
										}
									}
								}
								{
									obj_t BgL_l1251z00_2578;

									BgL_l1251z00_2578 = CDR(BgL_l1251z00_1724);
									BgL_l1251z00_1724 = BgL_l1251z00_2578;
									goto BgL_zc3anonymousza31652ze3z83_1725;
								}
							}
						else
							{	/* Inline/loop.scm 334 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1715);
			}
		}
	}



/* &nest-loop!-select1324 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2select1324z70zzinline_loopz00(obj_t
		BgL_envz00_2187, obj_t BgL_nodez00_2188, obj_t BgL_varz00_2189,
		obj_t BgL_nesterz00_2190)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 320 */
			{
				BgL_selectz00_bglt BgL_nodez00_1697;
				obj_t BgL_varz00_1698;
				obj_t BgL_nesterz00_1699;

				BgL_nodez00_1697 = ((BgL_selectz00_bglt) BgL_nodez00_2188);
				BgL_varz00_1698 = BgL_varz00_2189;
				BgL_nesterz00_1699 = BgL_nesterz00_2190;
				{
					BgL_nodez00_bglt BgL_auxz00_2582;

					{	/* Inline/loop.scm 322 */
						BgL_nodez00_bglt BgL_arg1635z00_1703;

						BgL_arg1635z00_1703 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1697))->BgL_testz00);
						BgL_auxz00_2582 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1635z00_1703,
							((BgL_localz00_bglt) BgL_varz00_1698), BgL_nesterz00_1699);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1697))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2582), BUNSPEC);
				}
				{	/* Inline/loop.scm 323 */
					obj_t BgL_g1250z00_1704;

					BgL_g1250z00_1704 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1697))->BgL_clausesz00);
					{
						obj_t BgL_l1248z00_1706;

						BgL_l1248z00_1706 = BgL_g1250z00_1704;
					BgL_zc3anonymousza31636ze3z83_1707:
						if (PAIRP(BgL_l1248z00_1706))
							{	/* Inline/loop.scm 323 */
								{	/* Inline/loop.scm 324 */
									obj_t BgL_clausez00_1709;

									BgL_clausez00_1709 = CAR(BgL_l1248z00_1706);
									{	/* Inline/loop.scm 324 */
										BgL_nodez00_bglt BgL_arg1643z00_1710;

										{	/* Inline/loop.scm 324 */
											obj_t BgL_arg1644z00_1711;

											BgL_arg1644z00_1711 = CDR(BgL_clausez00_1709);
											BgL_arg1643z00_1710 =
												BGl_nestzd2loopz12zc0zzinline_loopz00(
												((BgL_nodez00_bglt) BgL_arg1644z00_1711),
												((BgL_localz00_bglt) BgL_varz00_1698),
												BgL_nesterz00_1699);
										}
										{	/* Inline/loop.scm 324 */
											obj_t BgL_auxz00_2595;

											BgL_auxz00_2595 = ((obj_t) BgL_arg1643z00_1710);
											SET_CDR(BgL_clausez00_1709, BgL_auxz00_2595);
										}
									}
								}
								{
									obj_t BgL_l1248z00_2598;

									BgL_l1248z00_2598 = CDR(BgL_l1248z00_1706);
									BgL_l1248z00_1706 = BgL_l1248z00_2598;
									goto BgL_zc3anonymousza31636ze3z83_1707;
								}
							}
						else
							{	/* Inline/loop.scm 323 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1697);
			}
		}
	}



/* &nest-loop!-fail1322 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2fail1322z70zzinline_loopz00(obj_t
		BgL_envz00_2191, obj_t BgL_nodez00_2192, obj_t BgL_varz00_2193,
		obj_t BgL_nesterz00_2194)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 310 */
			{
				BgL_failz00_bglt BgL_nodez00_1687;
				obj_t BgL_varz00_1688;
				obj_t BgL_nesterz00_1689;

				BgL_nodez00_1687 = ((BgL_failz00_bglt) BgL_nodez00_2192);
				BgL_varz00_1688 = BgL_varz00_2193;
				BgL_nesterz00_1689 = BgL_nesterz00_2194;
				{
					BgL_nodez00_bglt BgL_auxz00_2602;

					{	/* Inline/loop.scm 312 */
						BgL_nodez00_bglt BgL_arg1631z00_1693;

						BgL_arg1631z00_1693 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1687))->BgL_procz00);
						BgL_auxz00_2602 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1631z00_1693,
							((BgL_localz00_bglt) BgL_varz00_1688), BgL_nesterz00_1689);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1687))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2602), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2607;

					{	/* Inline/loop.scm 313 */
						BgL_nodez00_bglt BgL_arg1633z00_1694;

						BgL_arg1633z00_1694 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1687))->BgL_msgz00);
						BgL_auxz00_2607 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1633z00_1694,
							((BgL_localz00_bglt) BgL_varz00_1688), BgL_nesterz00_1689);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1687))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2607), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2612;

					{	/* Inline/loop.scm 314 */
						BgL_nodez00_bglt BgL_arg1634z00_1695;

						BgL_arg1634z00_1695 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1687))->BgL_objz00);
						BgL_auxz00_2612 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1634z00_1695,
							((BgL_localz00_bglt) BgL_varz00_1688), BgL_nesterz00_1689);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1687))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2612), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1687);
			}
		}
	}



/* &nest-loop!-condition1320 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1320z70zzinline_loopz00(obj_t
		BgL_envz00_2195, obj_t BgL_nodez00_2196, obj_t BgL_varz00_2197,
		obj_t BgL_nesterz00_2198)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 300 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1677;
				obj_t BgL_varz00_1678;
				obj_t BgL_nesterz00_1679;

				BgL_nodez00_1677 = ((BgL_conditionalz00_bglt) BgL_nodez00_2196);
				BgL_varz00_1678 = BgL_varz00_2197;
				BgL_nesterz00_1679 = BgL_nesterz00_2198;
				{
					BgL_nodez00_bglt BgL_auxz00_2619;

					{	/* Inline/loop.scm 302 */
						BgL_nodez00_bglt BgL_arg1623z00_1683;

						BgL_arg1623z00_1683 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_testz00);
						BgL_auxz00_2619 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1623z00_1683,
							((BgL_localz00_bglt) BgL_varz00_1678), BgL_nesterz00_1679);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2619), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2624;

					{	/* Inline/loop.scm 303 */
						BgL_nodez00_bglt BgL_arg1624z00_1684;

						BgL_arg1624z00_1684 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_truez00);
						BgL_auxz00_2624 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1624z00_1684,
							((BgL_localz00_bglt) BgL_varz00_1678), BgL_nesterz00_1679);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2624), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2629;

					{	/* Inline/loop.scm 304 */
						BgL_nodez00_bglt BgL_arg1625z00_1685;

						BgL_arg1625z00_1685 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->
							BgL_falsez00);
						BgL_auxz00_2629 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1625z00_1685,
							((BgL_localz00_bglt) BgL_varz00_1678), BgL_nesterz00_1679);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2629), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1677);
			}
		}
	}



/* &nest-loop!-setq1318 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2setq1318z70zzinline_loopz00(obj_t
		BgL_envz00_2199, obj_t BgL_nodez00_2200, obj_t BgL_varz00_2201,
		obj_t BgL_nesterz00_2202)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 293 */
			{
				BgL_setqz00_bglt BgL_nodez00_1670;
				obj_t BgL_varz00_1671;
				obj_t BgL_nesterz00_1672;

				BgL_nodez00_1670 = ((BgL_setqz00_bglt) BgL_nodez00_2200);
				BgL_varz00_1671 = BgL_varz00_2201;
				BgL_nesterz00_1672 = BgL_nesterz00_2202;
				{	/* Inline/loop.scm 294 */
					BgL_nodez00_bglt BgL_arg1620z00_2072;

					BgL_arg1620z00_2072 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1670))->BgL_valuez00);
					BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1620z00_2072,
						((BgL_localz00_bglt) BgL_varz00_1671), BgL_nesterz00_1672);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1670);
			}
		}
	}



/* &nest-loop!-cast1316 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2cast1316z70zzinline_loopz00(obj_t
		BgL_envz00_2203, obj_t BgL_nodez00_2204, obj_t BgL_varz00_2205,
		obj_t BgL_nesterz00_2206)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 286 */
			{
				BgL_castz00_bglt BgL_nodez00_1663;
				obj_t BgL_varz00_1664;
				obj_t BgL_nesterz00_1665;

				BgL_nodez00_1663 = ((BgL_castz00_bglt) BgL_nodez00_2204);
				BgL_varz00_1664 = BgL_varz00_2205;
				BgL_nesterz00_1665 = BgL_nesterz00_2206;
				{	/* Inline/loop.scm 287 */
					BgL_nodez00_bglt BgL_arg1619z00_2070;

					BgL_arg1619z00_2070 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1663))->BgL_argz00);
					BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1619z00_2070,
						((BgL_localz00_bglt) BgL_varz00_1664), BgL_nesterz00_1665);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1663);
			}
		}
	}



/* &nest-loop!-extern1314 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2extern1314z70zzinline_loopz00(obj_t
		BgL_envz00_2207, obj_t BgL_nodez00_2208, obj_t BgL_varz00_2209,
		obj_t BgL_nesterz00_2210)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 279 */
			{
				BgL_externz00_bglt BgL_nodez00_1656;
				obj_t BgL_varz00_1657;
				obj_t BgL_nesterz00_1658;

				BgL_nodez00_1656 = ((BgL_externz00_bglt) BgL_nodez00_2208);
				BgL_varz00_1657 = BgL_varz00_2209;
				BgL_nesterz00_1658 = BgL_nesterz00_2210;
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1656))->BgL_exprza2za2),
					BgL_varz00_1657, BgL_nesterz00_1658);
				return ((BgL_nodez00_bglt) BgL_nodez00_1656);
			}
		}
	}



/* &nest-loop!-funcall1312 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2funcall1312z70zzinline_loopz00(obj_t
		BgL_envz00_2211, obj_t BgL_nodez00_2212, obj_t BgL_varz00_2213,
		obj_t BgL_nesterz00_2214)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 270 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1647;
				obj_t BgL_varz00_1648;
				obj_t BgL_nesterz00_1649;

				BgL_nodez00_1647 = ((BgL_funcallz00_bglt) BgL_nodez00_2212);
				BgL_varz00_1648 = BgL_varz00_2213;
				BgL_nesterz00_1649 = BgL_nesterz00_2214;
				{
					BgL_nodez00_bglt BgL_auxz00_2650;

					{	/* Inline/loop.scm 272 */
						BgL_nodez00_bglt BgL_arg1611z00_1653;

						BgL_arg1611z00_1653 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1647))->BgL_funz00);
						BgL_auxz00_2650 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1611z00_1653,
							((BgL_localz00_bglt) BgL_varz00_1648), BgL_nesterz00_1649);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1647))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2650), BUNSPEC);
				}
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1647))->BgL_argsz00),
					BgL_varz00_1648, BgL_nesterz00_1649);
				return ((BgL_nodez00_bglt) BgL_nodez00_1647);
			}
		}
	}



/* &nest-loop!-app-ly1310 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2appzd2ly1310za2zzinline_loopz00(obj_t
		BgL_envz00_2215, obj_t BgL_nodez00_2216, obj_t BgL_varz00_2217,
		obj_t BgL_nesterz00_2218)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 261 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1638;
				obj_t BgL_varz00_1639;
				obj_t BgL_nesterz00_1640;

				BgL_nodez00_1638 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2216);
				BgL_varz00_1639 = BgL_varz00_2217;
				BgL_nesterz00_1640 = BgL_nesterz00_2218;
				{
					BgL_nodez00_bglt BgL_auxz00_2659;

					{	/* Inline/loop.scm 263 */
						BgL_nodez00_bglt BgL_arg1606z00_1644;

						BgL_arg1606z00_1644 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1638))->BgL_funz00);
						BgL_auxz00_2659 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1606z00_1644,
							((BgL_localz00_bglt) BgL_varz00_1639), BgL_nesterz00_1640);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1638))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2659), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2664;

					{	/* Inline/loop.scm 264 */
						BgL_nodez00_bglt BgL_arg1610z00_1645;

						BgL_arg1610z00_1645 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1638))->BgL_argz00);
						BgL_auxz00_2664 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1610z00_1645,
							((BgL_localz00_bglt) BgL_varz00_1639), BgL_nesterz00_1640);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1638))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2664), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1638);
			}
		}
	}



/* &nest-loop!-app1308 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2app1308z70zzinline_loopz00(obj_t
		BgL_envz00_2219, obj_t BgL_nodez00_2220, obj_t BgL_varz00_2221,
		obj_t BgL_nesterz00_2222)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 251 */
			{
				BgL_appz00_bglt BgL_nodez00_1625;
				obj_t BgL_varz00_1626;
				obj_t BgL_nesterz00_1627;

				BgL_nodez00_1625 = ((BgL_appz00_bglt) BgL_nodez00_2220);
				BgL_varz00_1626 = BgL_varz00_2221;
				BgL_nesterz00_1627 = BgL_nesterz00_2222;
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1625))->BgL_argsz00),
					BgL_varz00_1626, BgL_nesterz00_1627);
				{	/* Inline/loop.scm 254 */
					bool_t BgL_testz00_2673;

					{	/* Inline/loop.scm 254 */
						bool_t BgL_testz00_2674;

						{	/* Inline/loop.scm 254 */
							BgL_varz00_bglt BgL_arg1595z00_1636;

							BgL_arg1595z00_1636 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1625))->BgL_funz00);
							{	/* Inline/loop.scm 254 */
								bool_t BgL_res1774z00_2066;

								BgL_res1774z00_2066 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1595z00_1636), BGl_varz00zzast_nodez00);
								BgL_testz00_2674 = BgL_res1774z00_2066;
							}
						}
						if (BgL_testz00_2674)
							{	/* Inline/loop.scm 254 */
								BgL_testz00_2673 =
									(
									((obj_t)
										(((BgL_varz00_bglt) CREF(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1625))->
														BgL_funz00)))->BgL_variablez00)) ==
									BgL_varz00_1626);
							}
						else
							{	/* Inline/loop.scm 254 */
								BgL_testz00_2673 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2673)
						{	/* Inline/loop.scm 254 */
							return
								((BgL_nodez00_bglt)
								PROCEDURE_ENTRY(BgL_nesterz00_1627) (BgL_nesterz00_1627,
									((obj_t) BgL_nodez00_1625), BEOA));
						}
					else
						{	/* Inline/loop.scm 254 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1625);
						}
				}
			}
		}
	}



/* &nest-loop!-sync1306 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sync1306z70zzinline_loopz00(obj_t
		BgL_envz00_2223, obj_t BgL_nodez00_2224, obj_t BgL_varz00_2225,
		obj_t BgL_nesterz00_2226)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 241 */
			{
				BgL_syncz00_bglt BgL_nodez00_1615;
				obj_t BgL_varz00_1616;
				obj_t BgL_nesterz00_1617;

				BgL_nodez00_1615 = ((BgL_syncz00_bglt) BgL_nodez00_2224);
				BgL_varz00_1616 = BgL_varz00_2225;
				BgL_nesterz00_1617 = BgL_nesterz00_2226;
				{
					BgL_nodez00_bglt BgL_auxz00_2690;

					{	/* Inline/loop.scm 243 */
						BgL_nodez00_bglt BgL_arg1572z00_1621;

						BgL_arg1572z00_1621 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1615))->BgL_mutexz00);
						BgL_auxz00_2690 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1572z00_1621,
							((BgL_localz00_bglt) BgL_varz00_1616), BgL_nesterz00_1617);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1615))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2690), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2695;

					{	/* Inline/loop.scm 244 */
						BgL_nodez00_bglt BgL_arg1576z00_1622;

						BgL_arg1576z00_1622 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1615))->BgL_prelockz00);
						BgL_auxz00_2695 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1576z00_1622,
							((BgL_localz00_bglt) BgL_varz00_1616), BgL_nesterz00_1617);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1615))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2695), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2700;

					{	/* Inline/loop.scm 245 */
						BgL_nodez00_bglt BgL_arg1582z00_1623;

						BgL_arg1582z00_1623 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1615))->BgL_bodyz00);
						BgL_auxz00_2700 =
							BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1582z00_1623,
							((BgL_localz00_bglt) BgL_varz00_1616), BgL_nesterz00_1617);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1615))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2700), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1615);
			}
		}
	}



/* &nest-loop!-sequence1304 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sequence1304z70zzinline_loopz00(obj_t
		BgL_envz00_2227, obj_t BgL_nodez00_2228, obj_t BgL_varz00_2229,
		obj_t BgL_nesterz00_2230)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 233 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1607;
				obj_t BgL_varz00_1608;
				obj_t BgL_nesterz00_1609;

				BgL_nodez00_1607 = ((BgL_sequencez00_bglt) BgL_nodez00_2228);
				BgL_varz00_1608 = BgL_varz00_2229;
				BgL_nesterz00_1609 = BgL_nesterz00_2230;
				BGl_nestzd2loopz12za2z62zzinline_loopz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1607))->BgL_nodesz00),
					BgL_varz00_1608, BgL_nesterz00_1609);
				return ((BgL_nodez00_bglt) BgL_nodez00_1607);
			}
		}
	}



/* &nest-loop!-var1302 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2var1302z70zzinline_loopz00(obj_t
		BgL_envz00_2231, obj_t BgL_nodez00_2232, obj_t BgL_varz00_2233,
		obj_t BgL_nesterz00_2234)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 227 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2232));
		}
	}



/* &nest-loop!-kwote1300 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2kwote1300z70zzinline_loopz00(obj_t
		BgL_envz00_2235, obj_t BgL_nodez00_2236, obj_t BgL_varz00_2237,
		obj_t BgL_nesterz00_2238)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 221 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2236));
		}
	}



/* &nest-loop!-atom1298 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2atom1298z70zzinline_loopz00(obj_t
		BgL_envz00_2239, obj_t BgL_nodez00_2240, obj_t BgL_varz00_2241,
		obj_t BgL_nesterz00_2242)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 215 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2240));
		}
	}



/* &find-let-fun?-box-se1294 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2se1294z91zzinline_loopz00(obj_t
		BgL_envz00_2243, obj_t BgL_nodez00_2244)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 190 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1581;

				BgL_nodez00_1581 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2244);
				{	/* Inline/loop.scm 192 */
					obj_t BgL__ortest_1122z00_1585;

					{	/* Inline/loop.scm 192 */
						BgL_varz00_bglt BgL_arg1569z00_1587;

						BgL_arg1569z00_1587 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1581))->BgL_varz00);
						BgL__ortest_1122z00_1585 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1569z00_1587));
					}
					if (CBOOL(BgL__ortest_1122z00_1585))
						{	/* Inline/loop.scm 192 */
							return BgL__ortest_1122z00_1585;
						}
					else
						{	/* Inline/loop.scm 192 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1581))->
									BgL_valuez00));
						}
				}
			}
		}
	}



/* &find-let-fun?-box-re1292 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2re1292z91zzinline_loopz00(obj_t
		BgL_envz00_2245, obj_t BgL_nodez00_2246)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 184 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1576;

				BgL_nodez00_1576 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2246);
				{	/* Inline/loop.scm 185 */
					BgL_varz00_bglt BgL_arg1555z00_2061;

					BgL_arg1555z00_2061 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1576))->BgL_varz00);
					return
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						((BgL_nodez00_bglt) BgL_arg1555z00_2061));
				}
			}
		}
	}



/* &find-let-fun?-make-b1290 */
	obj_t BGl_z62findzd2letzd2funzf3zd2makezd2b1290z91zzinline_loopz00(obj_t
		BgL_envz00_2247, obj_t BgL_nodez00_2248)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 178 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1571;

				BgL_nodez00_1571 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2248);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1571))->BgL_valuez00));
			}
		}
	}



/* &find-let-fun?-jump-e1288 */
	obj_t BGl_z62findzd2letzd2funzf3zd2jumpzd2e1288z91zzinline_loopz00(obj_t
		BgL_envz00_2249, obj_t BgL_nodez00_2250)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 171 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1563;

				BgL_nodez00_1563 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2250);
				{	/* Inline/loop.scm 173 */
					obj_t BgL__ortest_1120z00_1567;

					BgL__ortest_1120z00_1567 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1563))->
							BgL_exitz00));
					if (CBOOL(BgL__ortest_1120z00_1567))
						{	/* Inline/loop.scm 173 */
							return BgL__ortest_1120z00_1567;
						}
					else
						{	/* Inline/loop.scm 173 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1563))->
									BgL_valuez00));
						}
				}
			}
		}
	}



/* &find-let-fun?-set-ex1286 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setzd2ex1286z91zzinline_loopz00(obj_t
		BgL_envz00_2251, obj_t BgL_nodez00_2252)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 165 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1558;

				BgL_nodez00_1558 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2252);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1558))->BgL_bodyz00));
			}
		}
	}



/* &find-let-fun?-let-va1284 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2va1284z91zzinline_loopz00(obj_t
		BgL_envz00_2253, obj_t BgL_nodez00_2254)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 152 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1543;

				BgL_nodez00_1543 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2254);
				{	/* Inline/loop.scm 153 */
					obj_t BgL_g1118z00_1546;

					BgL_g1118z00_1546 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1543))->BgL_bindingsz00);
					{
						obj_t BgL_bindingsz00_1548;

						BgL_bindingsz00_1548 = BgL_g1118z00_1546;
					BgL_zc3anonymousza31517ze3z83_1549:
						if (NULLP(BgL_bindingsz00_1548))
							{	/* Inline/loop.scm 155 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1543))->
										BgL_bodyz00));
							}
						else
							{	/* Inline/loop.scm 157 */
								bool_t BgL_testz00_2747;

								{	/* Inline/loop.scm 157 */
									obj_t BgL_arg1527z00_1554;

									BgL_arg1527z00_1554 = CDR(CAR(BgL_bindingsz00_1548));
									BgL_testz00_2747 =
										CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1527z00_1554)));
								}
								if (BgL_testz00_2747)
									{	/* Inline/loop.scm 157 */
										return BTRUE;
									}
								else
									{
										obj_t BgL_bindingsz00_2753;

										BgL_bindingsz00_2753 = CDR(BgL_bindingsz00_1548);
										BgL_bindingsz00_1548 = BgL_bindingsz00_2753;
										goto BgL_zc3anonymousza31517ze3z83_1549;
									}
							}
					}
				}
			}
		}
	}



/* &find-let-fun?-let-fu1282 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2fu1282z91zzinline_loopz00(obj_t
		BgL_envz00_2255, obj_t BgL_nodez00_2256)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 146 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &find-let-fun?-select1280 */
	obj_t BGl_z62findzd2letzd2funzf3zd2select1280z43zzinline_loopz00(obj_t
		BgL_envz00_2257, obj_t BgL_nodez00_2258)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 133 */
			{
				BgL_selectz00_bglt BgL_nodez00_1524;

				BgL_nodez00_1524 = ((BgL_selectz00_bglt) BgL_nodez00_2258);
				{	/* Inline/loop.scm 134 */
					obj_t BgL_g1117z00_1527;

					BgL_g1117z00_1527 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1524))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1529;

						BgL_clausesz00_1529 = BgL_g1117z00_1527;
					BgL_zc3anonymousza31501ze3z83_1530:
						if (NULLP(BgL_clausesz00_1529))
							{	/* Inline/loop.scm 136 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1524))->BgL_testz00));
							}
						else
							{	/* Inline/loop.scm 138 */
								bool_t BgL_testz00_2762;

								{	/* Inline/loop.scm 138 */
									obj_t BgL_arg1511z00_1535;

									BgL_arg1511z00_1535 = CDR(CAR(BgL_clausesz00_1529));
									BgL_testz00_2762 =
										CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1511z00_1535)));
								}
								if (BgL_testz00_2762)
									{	/* Inline/loop.scm 138 */
										return BTRUE;
									}
								else
									{
										obj_t BgL_clausesz00_2768;

										BgL_clausesz00_2768 = CDR(BgL_clausesz00_1529);
										BgL_clausesz00_1529 = BgL_clausesz00_2768;
										goto BgL_zc3anonymousza31501ze3z83_1530;
									}
							}
					}
				}
			}
		}
	}



/* &find-let-fun?-fail1278 */
	obj_t BGl_z62findzd2letzd2funzf3zd2fail1278z43zzinline_loopz00(obj_t
		BgL_envz00_2259, obj_t BgL_nodez00_2260)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 124 */
			{
				BgL_failz00_bglt BgL_nodez00_1514;

				BgL_nodez00_1514 = ((BgL_failz00_bglt) BgL_nodez00_2260);
				{	/* Inline/loop.scm 126 */
					obj_t BgL__ortest_1113z00_1518;

					BgL__ortest_1113z00_1518 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1514))->BgL_procz00));
					if (CBOOL(BgL__ortest_1113z00_1518))
						{	/* Inline/loop.scm 126 */
							return BgL__ortest_1113z00_1518;
						}
					else
						{	/* Inline/loop.scm 127 */
							obj_t BgL__ortest_1114z00_1519;

							BgL__ortest_1114z00_1519 =
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1514))->BgL_msgz00));
							if (CBOOL(BgL__ortest_1114z00_1519))
								{	/* Inline/loop.scm 127 */
									return BgL__ortest_1114z00_1519;
								}
							else
								{	/* Inline/loop.scm 127 */
									return
										BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										(((BgL_failz00_bglt) CREF(BgL_nodez00_1514))->BgL_objz00));
								}
						}
				}
			}
		}
	}



/* &find-let-fun?-condit1276 */
	obj_t BGl_z62findzd2letzd2funzf3zd2condit1276z43zzinline_loopz00(obj_t
		BgL_envz00_2261, obj_t BgL_nodez00_2262)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 115 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1504;

				BgL_nodez00_1504 = ((BgL_conditionalz00_bglt) BgL_nodez00_2262);
				{	/* Inline/loop.scm 117 */
					obj_t BgL__ortest_1110z00_1508;

					BgL__ortest_1110z00_1508 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1504))->BgL_testz00));
					if (CBOOL(BgL__ortest_1110z00_1508))
						{	/* Inline/loop.scm 117 */
							return BgL__ortest_1110z00_1508;
						}
					else
						{	/* Inline/loop.scm 118 */
							obj_t BgL__ortest_1111z00_1509;

							BgL__ortest_1111z00_1509 =
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1504))->
									BgL_truez00));
							if (CBOOL(BgL__ortest_1111z00_1509))
								{	/* Inline/loop.scm 118 */
									return BgL__ortest_1111z00_1509;
								}
							else
								{	/* Inline/loop.scm 118 */
									return
										BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1504))->
											BgL_falsez00));
								}
						}
				}
			}
		}
	}



/* &find-let-fun?-setq1274 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setq1274z43zzinline_loopz00(obj_t
		BgL_envz00_2263, obj_t BgL_nodez00_2264)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 109 */
			{
				BgL_setqz00_bglt BgL_nodez00_1499;

				BgL_nodez00_1499 = ((BgL_setqz00_bglt) BgL_nodez00_2264);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1499))->BgL_valuez00));
			}
		}
	}



/* &find-let-fun?-cast1272 */
	obj_t BGl_z62findzd2letzd2funzf3zd2cast1272z43zzinline_loopz00(obj_t
		BgL_envz00_2265, obj_t BgL_nodez00_2266)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 103 */
			{
				BgL_castz00_bglt BgL_nodez00_1494;

				BgL_nodez00_1494 = ((BgL_castz00_bglt) BgL_nodez00_2266);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1494))->BgL_argz00));
			}
		}
	}



/* &find-let-fun?-extern1270 */
	obj_t BGl_z62findzd2letzd2funzf3zd2extern1270z43zzinline_loopz00(obj_t
		BgL_envz00_2267, obj_t BgL_nodez00_2268)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 97 */
			{
				BgL_externz00_bglt BgL_nodez00_1489;

				{	/* Inline/loop.scm 98 */
					bool_t BgL_auxz00_2799;

					BgL_nodez00_1489 = ((BgL_externz00_bglt) BgL_nodez00_2268);
					BgL_auxz00_2799 =
						BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1489))->BgL_exprza2za2));
					return BBOOL(BgL_auxz00_2799);
				}
			}
		}
	}



/* &find-let-fun?-funcal1268 */
	obj_t BGl_z62findzd2letzd2funzf3zd2funcal1268z43zzinline_loopz00(obj_t
		BgL_envz00_2269, obj_t BgL_nodez00_2270)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 89 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1481;

				BgL_nodez00_1481 = ((BgL_funcallz00_bglt) BgL_nodez00_2270);
				{	/* Inline/loop.scm 91 */
					obj_t BgL__ortest_1108z00_1485;

					BgL__ortest_1108z00_1485 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1481))->BgL_funz00));
					if (CBOOL(BgL__ortest_1108z00_1485))
						{	/* Inline/loop.scm 91 */
							return BgL__ortest_1108z00_1485;
						}
					else
						{	/* Inline/loop.scm 92 */
							obj_t BgL_arg1468z00_1486;

							BgL_arg1468z00_1486 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1481))->BgL_argsz00);
							return
								BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
								(BgL_arg1468z00_1486));
						}
				}
			}
		}
	}



/* &find-let-fun?-app-ly1266 */
	obj_t BGl_z62findzd2letzd2funzf3zd2appzd2ly1266z91zzinline_loopz00(obj_t
		BgL_envz00_2271, obj_t BgL_nodez00_2272)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 82 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1473;

				BgL_nodez00_1473 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2272);
				{	/* Inline/loop.scm 84 */
					obj_t BgL__ortest_1106z00_1477;

					BgL__ortest_1106z00_1477 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1473))->BgL_funz00));
					if (CBOOL(BgL__ortest_1106z00_1477))
						{	/* Inline/loop.scm 84 */
							return BgL__ortest_1106z00_1477;
						}
					else
						{	/* Inline/loop.scm 84 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1473))->BgL_argz00));
						}
				}
			}
		}
	}



/* &find-let-fun?-app1264 */
	obj_t BGl_z62findzd2letzd2funzf3zd2app1264z43zzinline_loopz00(obj_t
		BgL_envz00_2273, obj_t BgL_nodez00_2274)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 75 */
			{
				BgL_appz00_bglt BgL_nodez00_1467;

				{	/* Inline/loop.scm 76 */
					bool_t BgL_auxz00_2819;

					BgL_nodez00_1467 = ((BgL_appz00_bglt) BgL_nodez00_2274);
					BgL_auxz00_2819 =
						BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1467))->BgL_argsz00));
					return BBOOL(BgL_auxz00_2819);
				}
			}
		}
	}



/* &find-let-fun?-sync1262 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sync1262z43zzinline_loopz00(obj_t
		BgL_envz00_2275, obj_t BgL_nodez00_2276)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 67 */
			{
				BgL_syncz00_bglt BgL_nodez00_1458;

				BgL_nodez00_1458 = ((BgL_syncz00_bglt) BgL_nodez00_2276);
				{	/* Inline/loop.scm 68 */
					obj_t BgL__ortest_1102z00_1461;

					BgL__ortest_1102z00_1461 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1458))->BgL_mutexz00));
					if (CBOOL(BgL__ortest_1102z00_1461))
						{	/* Inline/loop.scm 68 */
							return BgL__ortest_1102z00_1461;
						}
					else
						{	/* Inline/loop.scm 69 */
							obj_t BgL__ortest_1103z00_1462;

							BgL__ortest_1103z00_1462 =
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1458))->BgL_prelockz00));
							if (CBOOL(BgL__ortest_1103z00_1462))
								{	/* Inline/loop.scm 69 */
									return BgL__ortest_1103z00_1462;
								}
							else
								{	/* Inline/loop.scm 69 */
									return
										BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										(((BgL_syncz00_bglt) CREF(BgL_nodez00_1458))->BgL_bodyz00));
								}
						}
				}
			}
		}
	}



/* &find-let-fun?-sequen1260 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sequen1260z43zzinline_loopz00(obj_t
		BgL_envz00_2277, obj_t BgL_nodez00_2278)
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 61 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1453;

				{	/* Inline/loop.scm 62 */
					bool_t BgL_auxz00_2835;

					BgL_nodez00_1453 = ((BgL_sequencez00_bglt) BgL_nodez00_2278);
					BgL_auxz00_2835 =
						BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1453))->BgL_nodesz00));
					return BBOOL(BgL_auxz00_2835);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00()
	{
		AN_OBJECT;
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long) 101873001),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1824z00zzinline_loopz00));
		}
	}

#ifdef __cplusplus
}
#endif
