/*===========================================================================*/
/*   (Integrate/kaptured.scm)                                                */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/kaptured.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_localzd2ctozd2zzintegrate_kapturedz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_kapturedz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static long BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00;
	static obj_t BGl_methodzd2initzd2zzintegrate_kapturedz00();
	static obj_t BGl_unionz00zzintegrate_kapturedz00(obj_t);
	static obj_t BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00(obj_t, obj_t);
	static obj_t BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(obj_t, obj_t);
	static bool_t BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00 =
		BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_kapturedz00();
	static obj_t BGl_genericzd2initzd2zzintegrate_kapturedz00();
	extern obj_t BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	extern obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t, BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_freez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2kapturedz12zd2envz12zzintegrate_kapturedz00,
		BgL_bgl_za762setza7d2kapture1683z00,
		BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1682z00zzintegrate_kapturedz00,
		BgL_bgl_string1682za700za7za7i1684za7, "integrate_kaptured", 18);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long
		BgL_checksumz00_1759, char *BgL_fromz00_1760)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_kapturedz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00();
					return BGl_toplevelzd2initzd2zzintegrate_kapturedz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_kapturedz00()
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_kaptured");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_kaptured");
			return BUNSPEC;
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_kapturedz00()
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 17 */
			return (BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 =
				((long) 0), BUNSPEC);
		}
	}



/* set-kaptured! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t
		BgL_localza2za2_3)
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 31 */
			{
				obj_t BgL_l1230z00_1408;

				{	/* Integrate/kaptured.scm 35 */
					bool_t BgL_auxz00_1770;

					BgL_l1230z00_1408 = BgL_localza2za2_3;
				BgL_zc3anonymousza31243ze3z83_1409:
					if (PAIRP(BgL_l1230z00_1408))
						{	/* Integrate/kaptured.scm 35 */
							BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(CAR
								(BgL_l1230z00_1408));
							{
								obj_t BgL_l1230z00_1775;

								BgL_l1230z00_1775 = CDR(BgL_l1230z00_1408);
								BgL_l1230z00_1408 = BgL_l1230z00_1775;
								goto BgL_zc3anonymousza31243ze3z83_1409;
							}
						}
					else
						{	/* Integrate/kaptured.scm 35 */
							BgL_auxz00_1770 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1770);
				}
			}
		}
	}



/* &set-kaptured! */
	obj_t BGl_z62setzd2kapturedz12za2zzintegrate_kapturedz00(obj_t
		BgL_envz00_1757, obj_t BgL_localza2za2_1758)
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 31 */
			return
				BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(BgL_localza2za2_1758);
		}
	}



/* set-one-kaptured! */
	bool_t BGl_setzd2onezd2kapturedz12z12zzintegrate_kapturedz00(obj_t
		BgL_localz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 145 */
			{	/* Integrate/kaptured.scm 148 */
				BgL_valuez00_bglt BgL_infoz00_1464;
				obj_t BgL_kapturedz00_1465;

				BgL_infoz00_1464 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				BgL_kapturedz00_1465 =
					BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(BgL_localz00_6,
					BNIL);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1783;

					{
						obj_t BgL_auxz00_1784;

						{	/* Integrate/kaptured.scm 150 */
							BgL_objectz00_bglt BgL_auxz00_1785;

							BgL_auxz00_1785 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1464));
							BgL_auxz00_1784 = BGL_OBJECT_WIDENING(BgL_auxz00_1785);
						}
						BgL_auxz00_1783 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1784);
					}
					((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1783))->
							BgL_kapturedz00) = ((obj_t) BgL_kapturedz00_1465), BUNSPEC);
				}
				{
					obj_t BgL_l1237z00_1467;

					BgL_l1237z00_1467 = BgL_kapturedz00_1465;
				BgL_zc3anonymousza31346ze3z83_1468:
					if (PAIRP(BgL_l1237z00_1467))
						{	/* Integrate/kaptured.scm 151 */
							{	/* Integrate/kaptured.scm 152 */
								obj_t BgL_localz00_1470;

								BgL_localz00_1470 = CAR(BgL_l1237z00_1467);
								{	/* Integrate/kaptured.scm 153 */
									BgL_valuez00_bglt BgL_arg1360z00_1471;

									BgL_arg1360z00_1471 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_1470))))->
										BgL_valuez00);
									{
										BgL_svarzf2iinfozf2_bglt BgL_auxz00_1797;

										{
											obj_t BgL_auxz00_1798;

											{	/* Integrate/kaptured.scm 152 */
												BgL_objectz00_bglt BgL_auxz00_1799;

												BgL_auxz00_1799 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_arg1360z00_1471));
												BgL_auxz00_1798 = BGL_OBJECT_WIDENING(BgL_auxz00_1799);
											}
											BgL_auxz00_1797 =
												((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_1798);
										}
										((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_1797))->
												BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1237z00_1805;

								BgL_l1237z00_1805 = CDR(BgL_l1237z00_1467);
								BgL_l1237z00_1467 = BgL_l1237z00_1805;
								goto BgL_zc3anonymousza31346ze3z83_1468;
							}
						}
					else
						{	/* Integrate/kaptured.scm 151 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* local-cto */
	obj_t BGl_localzd2ctozd2zzintegrate_kapturedz00(BgL_localz00_bglt
		BgL_localz00_7)
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 160 */
			{	/* Integrate/kaptured.scm 161 */
				BgL_valuez00_bglt BgL_infoz00_1474;

				BgL_infoz00_1474 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_7)))->BgL_valuez00);
				{	/* Integrate/kaptured.scm 161 */
					obj_t BgL_ctoz00_1475;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1809;

						{
							obj_t BgL_auxz00_1810;

							{	/* Integrate/kaptured.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_1811;

								BgL_auxz00_1811 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1474));
								BgL_auxz00_1810 = BGL_OBJECT_WIDENING(BgL_auxz00_1811);
							}
							BgL_auxz00_1809 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1810);
						}
						BgL_ctoz00_1475 =
							(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1809))->BgL_ctoz00);
					}
					{	/* Integrate/kaptured.scm 162 */

						{	/* Integrate/kaptured.scm 163 */
							bool_t BgL_testz00_1817;

							if (PAIRP(BgL_ctoz00_1475))
								{	/* Integrate/kaptured.scm 163 */
									BgL_testz00_1817 = ((bool_t) 1);
								}
							else
								{	/* Integrate/kaptured.scm 163 */
									BgL_testz00_1817 = NULLP(BgL_ctoz00_1475);
								}
							if (BgL_testz00_1817)
								{	/* Integrate/kaptured.scm 163 */
									return BgL_ctoz00_1475;
								}
							else
								{	/* Integrate/kaptured.scm 165 */
									obj_t BgL_bodyz00_1477;

									BgL_bodyz00_1477 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_infoz00_1474)))->BgL_bodyz00);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1823;

										{
											obj_t BgL_auxz00_1824;

											{	/* Integrate/kaptured.scm 166 */
												BgL_objectz00_bglt BgL_auxz00_1825;

												BgL_auxz00_1825 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1474));
												BgL_auxz00_1824 = BGL_OBJECT_WIDENING(BgL_auxz00_1825);
											}
											BgL_auxz00_1823 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1824);
										}
										((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1823))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_bodyz00_1477), BgL_localz00_7);
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1833;

										{
											obj_t BgL_auxz00_1834;

											{	/* Integrate/kaptured.scm 168 */
												BgL_objectz00_bglt BgL_auxz00_1835;

												BgL_auxz00_1835 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_infoz00_1474));
												BgL_auxz00_1834 = BGL_OBJECT_WIDENING(BgL_auxz00_1835);
											}
											BgL_auxz00_1833 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1834);
										}
										return
											(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1833))->
											BgL_ctoz00);
									}
								}
						}
					}
				}
			}
		}
	}



/* get-one-kaptured */
	obj_t BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00(obj_t BgL_localz00_8,
		obj_t BgL_stackz00_9)
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 173 */
			{	/* Integrate/kaptured.scm 176 */
				BgL_valuez00_bglt BgL_infoz00_1479;

				BgL_infoz00_1479 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_8))))->BgL_valuez00);
				{	/* Integrate/kaptured.scm 176 */
					obj_t BgL_kapturedz00_1480;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1844;

						{
							obj_t BgL_auxz00_1845;

							{	/* Integrate/kaptured.scm 177 */
								BgL_objectz00_bglt BgL_auxz00_1846;

								BgL_auxz00_1846 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_infoz00_1479));
								BgL_auxz00_1845 = BGL_OBJECT_WIDENING(BgL_auxz00_1846);
							}
							BgL_auxz00_1844 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1845);
						}
						BgL_kapturedz00_1480 =
							(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1844))->
							BgL_kapturedz00);
					}
					{	/* Integrate/kaptured.scm 177 */

						{	/* Integrate/kaptured.scm 179 */
							bool_t BgL_testz00_1852;

							if (PAIRP(BgL_kapturedz00_1480))
								{	/* Integrate/kaptured.scm 179 */
									BgL_testz00_1852 = ((bool_t) 1);
								}
							else
								{	/* Integrate/kaptured.scm 179 */
									BgL_testz00_1852 = NULLP(BgL_kapturedz00_1480);
								}
							if (BgL_testz00_1852)
								{	/* Integrate/kaptured.scm 179 */
									return BgL_kapturedz00_1480;
								}
							else
								{	/* Integrate/kaptured.scm 179 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_localz00_8, BgL_stackz00_9)))
										{	/* Integrate/kaptured.scm 181 */
											return BNIL;
										}
									else
										{	/* Integrate/kaptured.scm 184 */
											obj_t BgL_g1108z00_1484;
											obj_t BgL_g1109z00_1485;

											BgL_g1108z00_1484 =
												BGl_localzd2ctozd2zzintegrate_kapturedz00(
												((BgL_localz00_bglt) BgL_localz00_8));
											BgL_g1109z00_1485 =
												MAKE_PAIR(BgL_localz00_8, BgL_stackz00_9);
											{
												obj_t BgL_kapturedz00_1487;
												obj_t BgL_ctoz00_1488;
												obj_t BgL_nstackz00_1489;

												BgL_kapturedz00_1487 = BNIL;
												BgL_ctoz00_1488 = BgL_g1108z00_1484;
												BgL_nstackz00_1489 = BgL_g1109z00_1485;
											BgL_zc3anonymousza31366ze3z83_1490:
												if (NULLP(BgL_ctoz00_1488))
													{	/* Integrate/kaptured.scm 189 */
														obj_t BgL_bodyz00_1492;

														BgL_bodyz00_1492 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_infoz00_1479)))->
															BgL_bodyz00);
														{	/* Integrate/kaptured.scm 189 */
															obj_t BgL_freez00_1493;

															BgL_freez00_1493 =
																BGl_getzd2freezd2varsz00zzintegrate_freez00(
																((BgL_nodez00_bglt) BgL_bodyz00_1492),
																((BgL_localz00_bglt) BgL_localz00_8));
															{	/* Integrate/kaptured.scm 190 */
																obj_t BgL_fkapturedz00_1494;

																BgL_fkapturedz00_1494 =
																	BGl_freezd2fromzd2zzintegrate_freez00
																	(BgL_kapturedz00_1487,
																	((BgL_localz00_bglt) BgL_localz00_8));
																{	/* Integrate/kaptured.scm 191 */

																	{	/* Integrate/kaptured.scm 192 */
																		obj_t BgL_arg1371z00_1495;

																		BgL_arg1371z00_1495 =
																			MAKE_PAIR(BgL_freez00_1493,
																			BgL_fkapturedz00_1494);
																		return
																			BGl_unionz00zzintegrate_kapturedz00
																			(BgL_arg1371z00_1495);
																	}
																}
															}
														}
													}
												else
													{	/* Integrate/kaptured.scm 193 */
														bool_t BgL_testz00_1873;

														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_1874;

															{
																obj_t BgL_auxz00_1875;

																{	/* Integrate/kaptured.scm 193 */
																	BgL_objectz00_bglt BgL_auxz00_1876;

																	BgL_auxz00_1876 =
																		((BgL_objectz00_bglt)
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								CAR(BgL_ctoz00_1488)))))->
																				BgL_valuez00)));
																	BgL_auxz00_1875 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1876);
																}
																BgL_auxz00_1874 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_1875);
															}
															BgL_testz00_1873 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1874))->BgL_gzf3zf3);
														}
														if (BgL_testz00_1873)
															{	/* Integrate/kaptured.scm 194 */
																obj_t BgL_otherzd2kapturedzd2_1497;

																BgL_otherzd2kapturedzd2_1497 =
																	BGl_getzd2onezd2kapturedz00zzintegrate_kapturedz00
																	(CAR(BgL_ctoz00_1488), BgL_nstackz00_1489);
																{	/* Integrate/kaptured.scm 195 */
																	obj_t BgL_arg1374z00_1498;
																	obj_t BgL_arg1378z00_1499;
																	obj_t BgL_arg1379z00_1500;

																	BgL_arg1374z00_1498 =
																		MAKE_PAIR(BgL_otherzd2kapturedzd2_1497,
																		BgL_kapturedz00_1487);
																	BgL_arg1378z00_1499 = CDR(BgL_ctoz00_1488);
																	BgL_arg1379z00_1500 =
																		MAKE_PAIR(CAR(BgL_ctoz00_1488),
																		BgL_nstackz00_1489);
																	{
																		obj_t BgL_nstackz00_1894;
																		obj_t BgL_ctoz00_1893;
																		obj_t BgL_kapturedz00_1892;

																		BgL_kapturedz00_1892 = BgL_arg1374z00_1498;
																		BgL_ctoz00_1893 = BgL_arg1378z00_1499;
																		BgL_nstackz00_1894 = BgL_arg1379z00_1500;
																		BgL_nstackz00_1489 = BgL_nstackz00_1894;
																		BgL_ctoz00_1488 = BgL_ctoz00_1893;
																		BgL_kapturedz00_1487 = BgL_kapturedz00_1892;
																		goto BgL_zc3anonymousza31366ze3z83_1490;
																	}
																}
															}
														else
															{
																obj_t BgL_ctoz00_1895;

																BgL_ctoz00_1895 = CDR(BgL_ctoz00_1488);
																BgL_ctoz00_1488 = BgL_ctoz00_1895;
																goto BgL_zc3anonymousza31366ze3z83_1490;
															}
													}
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* union */
	obj_t BGl_unionz00zzintegrate_kapturedz00(obj_t BgL_setsz00_10)
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 209 */
			BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00 =
				(((long) 1) + BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00);
			{
				obj_t BgL_setsz00_1510;
				obj_t BgL_unionz00_1511;

				BgL_setsz00_1510 = BgL_setsz00_10;
				BgL_unionz00_1511 = BNIL;
			BgL_zc3anonymousza31443ze3z83_1512:
				if (NULLP(BgL_setsz00_1510))
					{	/* Integrate/kaptured.scm 213 */
						return BgL_unionz00_1511;
					}
				else
					{	/* Integrate/kaptured.scm 215 */
						obj_t BgL_g1112z00_1514;

						BgL_g1112z00_1514 = CAR(BgL_setsz00_1510);
						{
							obj_t BgL_setz00_1516;
							obj_t BgL_unionz00_1517;

							BgL_setz00_1516 = BgL_g1112z00_1514;
							BgL_unionz00_1517 = BgL_unionz00_1511;
						BgL_zc3anonymousza31445ze3z83_1518:
							if (NULLP(BgL_setz00_1516))
								{
									obj_t BgL_unionz00_1905;
									obj_t BgL_setsz00_1903;

									BgL_setsz00_1903 = CDR(BgL_setsz00_1510);
									BgL_unionz00_1905 = BgL_unionz00_1517;
									BgL_unionz00_1511 = BgL_unionz00_1905;
									BgL_setsz00_1510 = BgL_setsz00_1903;
									goto BgL_zc3anonymousza31443ze3z83_1512;
								}
							else
								{	/* Integrate/kaptured.scm 220 */
									bool_t BgL_testz00_1906;

									{	/* Integrate/kaptured.scm 220 */
										obj_t BgL_arg1476z00_1528;

										{
											BgL_svarzf2iinfozf2_bglt BgL_auxz00_1907;

											{
												obj_t BgL_auxz00_1908;

												{	/* Integrate/kaptured.scm 220 */
													BgL_objectz00_bglt BgL_auxz00_1909;

													BgL_auxz00_1909 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(BgL_setz00_1516)))))->
																BgL_valuez00)));
													BgL_auxz00_1908 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1909);
												}
												BgL_auxz00_1907 =
													((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_1908);
											}
											BgL_arg1476z00_1528 =
												(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_1907))->
												BgL_uzd2markzd2);
										}
										BgL_testz00_1906 =
											(BgL_arg1476z00_1528 ==
											BINT(BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00));
									}
									if (BgL_testz00_1906)
										{
											obj_t BgL_setz00_1921;

											BgL_setz00_1921 = CDR(BgL_setz00_1516);
											BgL_setz00_1516 = BgL_setz00_1921;
											goto BgL_zc3anonymousza31445ze3z83_1518;
										}
									else
										{	/* Integrate/kaptured.scm 220 */
											{	/* Integrate/kaptured.scm 224 */
												BgL_valuez00_bglt BgL_arg1454z00_1523;

												BgL_arg1454z00_1523 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(BgL_setz00_1516)))))->BgL_valuez00);
												{	/* Integrate/kaptured.scm 224 */
													obj_t BgL_vz00_1754;

													BgL_vz00_1754 =
														BINT
														(BGl_za2unionzd2roundza2zd2zzintegrate_kapturedz00);
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_1928;

														{
															obj_t BgL_auxz00_1929;

															{	/* Integrate/kaptured.scm 224 */
																BgL_objectz00_bglt BgL_auxz00_1930;

																BgL_auxz00_1930 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_arg1454z00_1523));
																BgL_auxz00_1929 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1930);
															}
															BgL_auxz00_1928 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_1929);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1928))->BgL_uzd2markzd2) =
															((obj_t) BgL_vz00_1754), BUNSPEC);
													}
												}
											}
											{	/* Integrate/kaptured.scm 225 */
												obj_t BgL_arg1460z00_1525;
												obj_t BgL_arg1467z00_1526;

												BgL_arg1460z00_1525 = CDR(BgL_setz00_1516);
												BgL_arg1467z00_1526 =
													MAKE_PAIR(CAR(BgL_setz00_1516), BgL_unionz00_1517);
												{
													obj_t BgL_unionz00_1940;
													obj_t BgL_setz00_1939;

													BgL_setz00_1939 = BgL_arg1460z00_1525;
													BgL_unionz00_1940 = BgL_arg1467z00_1526;
													BgL_unionz00_1517 = BgL_unionz00_1940;
													BgL_setz00_1516 = BgL_setz00_1939;
													goto BgL_zc3anonymousza31445ze3z83_1518;
												}
											}
										}
								}
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_kapturedz00()
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_kapturedz00()
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_kapturedz00()
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_kapturedz00()
	{
		AN_OBJECT;
		{	/* Integrate/kaptured.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			BGl_modulezd2initializa7ationz75zzintegrate_freez00(((long) 183600827),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(((long) 418449997),
				BSTRING_TO_STRING(BGl_string1682z00zzintegrate_kapturedz00));
		}
	}

#ifdef __cplusplus
}
#endif
