/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_walkz00();
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
	extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00,
		BgL_bgl_za762integrateza7d2w1549z00,
		BGl_z62integratezd2walkz12za2zzintegrate_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1520z00zzintegrate_walkz00,
		BgL_bgl_string1520za700za7za7i1550za7, "Integration", 11);
	      DEFINE_STRING(BGl_string1521z00zzintegrate_walkz00,
		BgL_bgl_string1521za700za7za7i1551za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1522z00zzintegrate_walkz00,
		BgL_bgl_string1522za700za7za7i1552za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1523z00zzintegrate_walkz00,
		BgL_bgl_string1523za700za7za7i1553za7, " error", 6);
	      DEFINE_STRING(BGl_string1524z00zzintegrate_walkz00,
		BgL_bgl_string1524za700za7za7i1554za7, "s", 1);
	      DEFINE_STRING(BGl_string1525z00zzintegrate_walkz00,
		BgL_bgl_string1525za700za7za7i1555za7, "", 0);
	      DEFINE_STRING(BGl_string1526z00zzintegrate_walkz00,
		BgL_bgl_string1526za700za7za7i1556za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1527z00zzintegrate_walkz00,
		BgL_bgl_string1527za700za7za7i1557za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1528z00zzintegrate_walkz00,
		BgL_bgl_string1528za700za7za7i1558za7, "integrate_walk", 14);
	      DEFINE_STRING(BGl_string1529z00zzintegrate_walkz00,
		BgL_bgl_string1529za700za7za7i1559za7, "(integrate cfa) pass-started ", 29);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long
		BgL_checksumz00_1465, char *BgL_fromz00_1466)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
					BGl_cnstzd2initzd2zzintegrate_walkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
					return BGl_methodzd2initzd2zzintegrate_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			{	/* Integrate/walk.scm 15 */
				obj_t BgL_cportz00_1452;

				{	/* Integrate/walk.scm 15 */
					obj_t BgL_startz00_1461;

					BgL_startz00_1461 = BINT(((long) 0));
					{	/* Integrate/walk.scm 15 */
						obj_t BgL_endz00_1462;

						BgL_endz00_1462 =
							BINT(STRING_LENGTH(BGl_string1529z00zzintegrate_walkz00));
						{	/* Integrate/walk.scm 15 */

							BgL_cportz00_1452 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1529z00zzintegrate_walkz00, BgL_startz00_1461,
								BgL_endz00_1462);
				}}}
				{
					long BgL_iz00_1453;

					BgL_iz00_1453 = ((long) 1);
				BgL_loopz00_1454:
					if ((BgL_iz00_1453 == ((long) -1)))
						{	/* Integrate/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/walk.scm 15 */
							{	/* Integrate/walk.scm 15 */
								obj_t BgL_arg1547z00_1456;

								{	/* Integrate/walk.scm 15 */

									{	/* Integrate/walk.scm 15 */
										obj_t BgL_locationz00_1458;

										BgL_locationz00_1458 = BBOOL(((bool_t) 0));
										{	/* Integrate/walk.scm 15 */

											BgL_arg1547z00_1456 =
												BGl_readz00zz__readerz00(BgL_cportz00_1452,
												BgL_locationz00_1458);
										}
									}
								}
								{	/* Integrate/walk.scm 15 */
									int BgL_auxz00_1490;

									BgL_auxz00_1490 = (int) (BgL_iz00_1453);
									CNST_TABLE_SET(BgL_auxz00_1490, BgL_arg1547z00_1456);
							}}
							{	/* Integrate/walk.scm 15 */
								int BgL_auxz00_1459;

								BgL_auxz00_1459 = (int) ((BgL_iz00_1453 - ((long) 1)));
								{
									long BgL_iz00_1495;

									BgL_iz00_1495 = (long) (BgL_auxz00_1459);
									BgL_iz00_1453 = BgL_iz00_1495;
									goto BgL_loopz00_1454;
								}
							}
						}
				}
			}
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1201;

				BgL_headz00_1201 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1202;
					obj_t BgL_tailz00_1203;

					BgL_prevz00_1202 = BgL_headz00_1201;
					BgL_tailz00_1203 = BgL_l1z00_1;
				BgL_loopz00_1204:
					if (PAIRP(BgL_tailz00_1203))
						{
							obj_t BgL_newzd2prevzd2_1206;

							BgL_newzd2prevzd2_1206 =
								MAKE_PAIR(CAR(BgL_tailz00_1203), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1202, BgL_newzd2prevzd2_1206);
							{
								obj_t BgL_tailz00_1504;
								obj_t BgL_prevz00_1503;

								BgL_prevz00_1503 = BgL_newzd2prevzd2_1206;
								BgL_tailz00_1504 = CDR(BgL_tailz00_1203);
								BgL_tailz00_1203 = BgL_tailz00_1504;
								BgL_prevz00_1202 = BgL_prevz00_1503;
								goto BgL_loopz00_1204;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1201);
				}
			}
		}
	}



/* integrate-walk! */
	BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 29 */
			{	/* Integrate/walk.scm 30 */
				obj_t BgL_list1214z00_1209;

				{	/* Integrate/walk.scm 30 */
					obj_t BgL_arg1216z00_1210;

					{	/* Integrate/walk.scm 30 */
						obj_t BgL_arg1218z00_1211;

						BgL_arg1218z00_1211 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1216z00_1210 =
							MAKE_PAIR(BGl_string1520z00zzintegrate_walkz00,
							BgL_arg1218z00_1211);
					}
					BgL_list1214z00_1209 =
						MAKE_PAIR(BGl_string1521z00zzintegrate_walkz00,
						BgL_arg1216z00_1210);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1214z00_1209);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1520z00zzintegrate_walkz00;
			{
				obj_t BgL_hooksz00_1215;
				obj_t BgL_hnamesz00_1216;

				BgL_hooksz00_1215 = BNIL;
				BgL_hnamesz00_1216 = BNIL;
			BgL_zc3anonymousza31219ze3z83_1217:
				if (NULLP(BgL_hooksz00_1215))
					{	/* Integrate/walk.scm 30 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Integrate/walk.scm 30 */
						bool_t BgL_testz00_1517;

						{	/* Integrate/walk.scm 30 */
							obj_t BgL_fun1228z00_1223;

							BgL_fun1228z00_1223 = CAR(BgL_hooksz00_1215);
							BgL_testz00_1517 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1228z00_1223) (BgL_fun1228z00_1223,
									BEOA));
						}
						if (BgL_testz00_1517)
							{
								obj_t BgL_hnamesz00_1525;
								obj_t BgL_hooksz00_1523;

								BgL_hooksz00_1523 = CDR(BgL_hooksz00_1215);
								BgL_hnamesz00_1525 = CDR(BgL_hnamesz00_1216);
								BgL_hnamesz00_1216 = BgL_hnamesz00_1525;
								BgL_hooksz00_1215 = BgL_hooksz00_1523;
								goto BgL_zc3anonymousza31219ze3z83_1217;
							}
						else
							{	/* Integrate/walk.scm 30 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1520z00zzintegrate_walkz00,
									BGl_string1522z00zzintegrate_walkz00,
									CAR(BgL_hnamesz00_1216));
							}
					}
			}
			{
				obj_t BgL_oldz00_1228;
				obj_t BgL_newz00_1229;

				BgL_oldz00_1228 = BgL_globalsz00_3;
				BgL_newz00_1229 = BNIL;
			BgL_zc3anonymousza31230ze3z83_1230:
				if (NULLP(BgL_oldz00_1228))
					{	/* Integrate/walk.scm 34 */
						obj_t BgL_valuez00_1232;

						BgL_valuez00_1232 =
							BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
							BgL_newz00_1229);
						if (((long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
								((long) 0)))
							{	/* Integrate/walk.scm 34 */
								{	/* Integrate/walk.scm 34 */
									obj_t BgL_port1210z00_1234;

									{	/* Integrate/walk.scm 34 */
										obj_t BgL_res1515z00_1428;

										{	/* Integrate/walk.scm 34 */
											obj_t BgL_auxz00_1536;

											BgL_auxz00_1536 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1515z00_1428 =
												BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1536);
										}
										BgL_port1210z00_1234 = BgL_res1515z00_1428;
									}
									bgl_display_obj
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
										BgL_port1210z00_1234);
									bgl_display_string(BGl_string1523z00zzintegrate_walkz00,
										BgL_port1210z00_1234);
									{	/* Integrate/walk.scm 34 */
										obj_t BgL_arg1236z00_1235;

										{	/* Integrate/walk.scm 34 */
											bool_t BgL_testz00_1541;

											if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Integrate/walk.scm 34 */
													if (INTEGERP
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
														{	/* Integrate/walk.scm 34 */
															BgL_testz00_1541 =
																(
																(long)
																CINT
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																> ((long) 1));
														}
													else
														{	/* Integrate/walk.scm 34 */
															BgL_testz00_1541 =
																BGl_2ze3ze3zz__r4_numbers_6_5z00
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																BINT(((long) 1)));
												}}
											else
												{	/* Integrate/walk.scm 34 */
													BgL_testz00_1541 = ((bool_t) 0);
												}
											if (BgL_testz00_1541)
												{	/* Integrate/walk.scm 34 */
													BgL_arg1236z00_1235 =
														BGl_string1524z00zzintegrate_walkz00;
												}
											else
												{	/* Integrate/walk.scm 34 */
													BgL_arg1236z00_1235 =
														BGl_string1525z00zzintegrate_walkz00;
												}
										}
										bgl_display_obj(BgL_arg1236z00_1235, BgL_port1210z00_1234);
									}
									bgl_display_string(BGl_string1526z00zzintegrate_walkz00,
										BgL_port1210z00_1234);
									bgl_display_char(((unsigned char) '\n'),
										BgL_port1210z00_1234);
								}
								{	/* Integrate/walk.scm 34 */
									obj_t BgL_list1240z00_1239;

									BgL_list1240z00_1239 = MAKE_PAIR(BINT(((long) -1)), BNIL);
									return BGl_exitz00zz__errorz00(BgL_list1240z00_1239);
								}
							}
						else
							{
								obj_t BgL_hooksz00_1243;
								obj_t BgL_hnamesz00_1244;

								BgL_hooksz00_1243 = BNIL;
								BgL_hnamesz00_1244 = BNIL;
							BgL_zc3anonymousza31241ze3z83_1245:
								if (NULLP(BgL_hooksz00_1243))
									{	/* Integrate/walk.scm 34 */
										return BgL_valuez00_1232;
									}
								else
									{	/* Integrate/walk.scm 34 */
										bool_t BgL_testz00_1558;

										{	/* Integrate/walk.scm 34 */
											obj_t BgL_fun1252z00_1251;

											BgL_fun1252z00_1251 = CAR(BgL_hooksz00_1243);
											BgL_testz00_1558 =
												CBOOL(PROCEDURE_ENTRY(BgL_fun1252z00_1251)
												(BgL_fun1252z00_1251, BEOA));
										}
										if (BgL_testz00_1558)
											{
												obj_t BgL_hnamesz00_1566;
												obj_t BgL_hooksz00_1564;

												BgL_hooksz00_1564 = CDR(BgL_hooksz00_1243);
												BgL_hnamesz00_1566 = CDR(BgL_hnamesz00_1244);
												BgL_hnamesz00_1244 = BgL_hnamesz00_1566;
												BgL_hooksz00_1243 = BgL_hooksz00_1564;
												goto BgL_zc3anonymousza31241ze3z83_1245;
											}
										else
											{	/* Integrate/walk.scm 34 */
												obj_t BgL_arg1250z00_1250;

												BgL_arg1250z00_1250 = CAR(BgL_hnamesz00_1244);
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string1527z00zzintegrate_walkz00,
													BgL_arg1250z00_1250);
											}
									}
							}
					}
				else
					{	/* Integrate/walk.scm 35 */
						obj_t BgL_globalz00_1254;

						BgL_globalz00_1254 = CAR(BgL_oldz00_1228);
						{	/* Integrate/walk.scm 36 */
							obj_t BgL_arg1254z00_1255;

							BgL_arg1254z00_1255 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_1254))))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1254z00_1255);
						}
						{
							obj_t BgL_newz00_1577;
							obj_t BgL_oldz00_1575;

							BgL_oldz00_1575 = CDR(BgL_oldz00_1228);
							BgL_newz00_1577 =
								BGl_appendzd221011zd2zzintegrate_walkz00
								(BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
								(BgL_globalz00_1254), BgL_newz00_1229);
							BgL_newz00_1229 = BgL_newz00_1577;
							BgL_oldz00_1228 = BgL_oldz00_1575;
							goto BgL_zc3anonymousza31230ze3z83_1230;
						}
					}
			}
		}
	}



/* &integrate-walk! */
	obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t BgL_envz00_1450,
		obj_t BgL_globalsz00_1451)
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 29 */
			return BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_1451);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00()
	{
		AN_OBJECT;
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(((long)
					67375820), BSTRING_TO_STRING(BGl_string1528z00zzintegrate_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
