/*===========================================================================*/
/*   (Module/prototype.scm)                                                  */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/prototype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_parsezd2classzd2zzmodule_prototypez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_prototypez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_prototypez00();
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	static obj_t BGl_parsezd2expanderzd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_parsezd2classzd2slotz00zzmodule_prototypez00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_prototypez00 = BUNSPEC;
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_prototypez00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_parsezd2syntaxzd2zzmodule_prototypez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_parsezd2macrozd2zzmodule_prototypez00(obj_t);
	extern bool_t BGl_dssslzd2checkzd2prototypezf3zf3zztools_dssslz00(obj_t);
	static bool_t BGl_correctzd2attributzf3z21zzmodule_prototypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_prototypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_prototypez00();
	static obj_t BGl_z62parsezd2prototypezb0zzmodule_prototypez00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[22];


	   
		 
		DEFINE_STRING(BGl_string1450z00zzmodule_prototypez00,
		BgL_bgl_string1450za700za7za7m1461za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1451z00zzmodule_prototypez00,
		BgL_bgl_string1451za700za7za7m1462za7, "Illegal class field definition",
		30);
	      DEFINE_STRING(BGl_string1452z00zzmodule_prototypez00,
		BgL_bgl_string1452za700za7za7m1463za7, "Illegal macro definition", 24);
	      DEFINE_STRING(BGl_string1453z00zzmodule_prototypez00,
		BgL_bgl_string1453za700za7za7m1464za7, "Illegal syntax definition", 25);
	      DEFINE_STRING(BGl_string1454z00zzmodule_prototypez00,
		BgL_bgl_string1454za700za7za7m1465za7, "Illegal expander definition", 27);
	      DEFINE_STRING(BGl_string1455z00zzmodule_prototypez00,
		BgL_bgl_string1455za700za7za7m1466za7, "module_prototype", 16);
	      DEFINE_STRING(BGl_string1456z00zzmodule_prototypez00,
		BgL_bgl_string1456za700za7za7m1467za7,
		"info default set get (read-only) * id define-macro svar expander syntax macro inline generic abstract-class wide-class final-class class sfun (main module-initialization) sifun sgfun ",
		183);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_parsezd2prototypezd2envz00zzmodule_prototypez00,
		BgL_bgl_za762parseza7d2proto1468z00,
		BGl_z62parsezd2prototypezb0zzmodule_prototypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long
		BgL_checksumz00_645, char *BgL_fromz00_646)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_prototypez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_prototypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00();
					BGl_cnstzd2initzd2zzmodule_prototypez00();
					BGl_importedzd2moduleszd2initz00zzmodule_prototypez00();
					return BGl_methodzd2initzd2zzmodule_prototypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_prototype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_prototype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"module_prototype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			{	/* Module/prototype.scm 15 */
				obj_t BgL_cportz00_632;

				{	/* Module/prototype.scm 15 */
					obj_t BgL_startz00_641;

					BgL_startz00_641 = BINT(((long) 0));
					{	/* Module/prototype.scm 15 */
						obj_t BgL_endz00_642;

						BgL_endz00_642 =
							BINT(STRING_LENGTH(BGl_string1456z00zzmodule_prototypez00));
						{	/* Module/prototype.scm 15 */

							BgL_cportz00_632 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1456z00zzmodule_prototypez00, BgL_startz00_641,
								BgL_endz00_642);
				}}}
				{
					long BgL_iz00_633;

					BgL_iz00_633 = ((long) 21);
				BgL_loopz00_634:
					if ((BgL_iz00_633 == ((long) -1)))
						{	/* Module/prototype.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/prototype.scm 15 */
							{	/* Module/prototype.scm 15 */
								obj_t BgL_arg1459z00_636;

								{	/* Module/prototype.scm 15 */

									{	/* Module/prototype.scm 15 */
										obj_t BgL_locationz00_638;

										BgL_locationz00_638 = BBOOL(((bool_t) 0));
										{	/* Module/prototype.scm 15 */

											BgL_arg1459z00_636 =
												BGl_readz00zz__readerz00(BgL_cportz00_632,
												BgL_locationz00_638);
										}
									}
								}
								{	/* Module/prototype.scm 15 */
									int BgL_auxz00_668;

									BgL_auxz00_668 = (int) (BgL_iz00_633);
									CNST_TABLE_SET(BgL_auxz00_668, BgL_arg1459z00_636);
							}}
							{	/* Module/prototype.scm 15 */
								int BgL_auxz00_639;

								BgL_auxz00_639 = (int) ((BgL_iz00_633 - ((long) 1)));
								{
									long BgL_iz00_673;

									BgL_iz00_673 = (long) (BgL_auxz00_639);
									BgL_iz00_633 = BgL_iz00_673;
									goto BgL_loopz00_634;
								}
							}
						}
				}
			}
		}
	}



/* parse-prototype */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t
		BgL_protoz00_3)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 30 */
			{
				obj_t BgL_idz00_89;

				if (PAIRP(BgL_protoz00_3))
					{	/* Module/prototype.scm 31 */
						obj_t BgL_carzd2113zd2_94;

						BgL_carzd2113zd2_94 = CAR(BgL_protoz00_3);
						if ((BgL_carzd2113zd2_94 == CNST_TABLE_REF(((long) 4))))
							{	/* Module/prototype.scm 31 */
								return
									BGl_parsezd2classzd2zzmodule_prototypez00(BgL_carzd2113zd2_94,
									CDR(BgL_protoz00_3));
							}
						else
							{	/* Module/prototype.scm 31 */
								if ((BgL_carzd2113zd2_94 == CNST_TABLE_REF(((long) 5))))
									{	/* Module/prototype.scm 31 */
										return
											BGl_parsezd2classzd2zzmodule_prototypez00
											(BgL_carzd2113zd2_94, CDR(BgL_protoz00_3));
									}
								else
									{	/* Module/prototype.scm 31 */
										if ((BgL_carzd2113zd2_94 == CNST_TABLE_REF(((long) 6))))
											{	/* Module/prototype.scm 31 */
												return
													BGl_parsezd2classzd2zzmodule_prototypez00
													(BgL_carzd2113zd2_94, CDR(BgL_protoz00_3));
											}
										else
											{	/* Module/prototype.scm 31 */
												if ((BgL_carzd2113zd2_94 == CNST_TABLE_REF(((long) 7))))
													{	/* Module/prototype.scm 31 */
														return
															BGl_parsezd2classzd2zzmodule_prototypez00
															(BgL_carzd2113zd2_94, CDR(BgL_protoz00_3));
													}
												else
													{	/* Module/prototype.scm 31 */
														if (
															(BgL_carzd2113zd2_94 ==
																CNST_TABLE_REF(((long) 8))))
															{	/* Module/prototype.scm 31 */
																{	/* Module/prototype.scm 35 */
																	obj_t BgL_arg1079z00_113;

																	BgL_arg1079z00_113 = CDR(BgL_protoz00_3);
																	return
																		BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00
																		(BgL_arg1079z00_113,
																		CNST_TABLE_REF(((long) 0)));
															}}
														else
															{	/* Module/prototype.scm 31 */
																if (
																	(CAR(BgL_protoz00_3) ==
																		CNST_TABLE_REF(((long) 9))))
																	{	/* Module/prototype.scm 31 */
																		{	/* Module/prototype.scm 37 */
																			obj_t BgL_arg1081z00_114;

																			BgL_arg1081z00_114 = CDR(BgL_protoz00_3);
																			return
																				BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00
																				(BgL_arg1081z00_114,
																				CNST_TABLE_REF(((long) 1)));
																	}}
																else
																	{	/* Module/prototype.scm 31 */
																		if (
																			(CAR(BgL_protoz00_3) ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* Module/prototype.scm 31 */
																				return
																					BGl_parsezd2macrozd2zzmodule_prototypez00
																					(CDR(BgL_protoz00_3));
																			}
																		else
																			{	/* Module/prototype.scm 31 */
																				if (
																					(CAR(BgL_protoz00_3) ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Module/prototype.scm 31 */
																						return
																							BGl_parsezd2syntaxzd2zzmodule_prototypez00
																							(CDR(BgL_protoz00_3));
																					}
																				else
																					{	/* Module/prototype.scm 31 */
																						if (
																							(CAR(BgL_protoz00_3) ==
																								CNST_TABLE_REF(((long) 12))))
																							{	/* Module/prototype.scm 31 */
																								return
																									BGl_parsezd2expanderzd2zzmodule_prototypez00
																									(CDR(BgL_protoz00_3));
																							}
																						else
																							{	/* Module/prototype.scm 31 */
																								BgL_idz00_89 =
																									CAR(BgL_protoz00_3);
																								{	/* Module/prototype.scm 45 */
																									bool_t BgL_testz00_729;

																									if (CBOOL
																										(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
																										{	/* Module/prototype.scm 45 */
																											if (CBOOL
																												(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																													(BgL_idz00_89,
																														CNST_TABLE_REF((
																																(long) 2)))))
																												{	/* Module/prototype.scm 46 */
																													BgL_testz00_729 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Module/prototype.scm 47 */
																													bool_t
																														BgL_testz00_736;
																													{	/* Module/prototype.scm 47 */
																														BgL_typez00_bglt
																															BgL_arg1091z00_121;
																														BgL_typez00_bglt
																															BgL_arg1092z00_122;
																														BgL_arg1091z00_121 =
																															BGl_getzd2defaultzd2typez00zztype_cachez00
																															();
																														BgL_arg1092z00_122 =
																															BGl_typezd2ofzd2idz00zzast_identz00
																															(BgL_idz00_89,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_protoz00_3));
																														BgL_testz00_736 =
																															(((obj_t)
																																BgL_arg1091z00_121)
																															==
																															((obj_t)
																																BgL_arg1092z00_122));
																													}
																													if (BgL_testz00_736)
																														{	/* Module/prototype.scm 47 */
																															BgL_testz00_729 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Module/prototype.scm 47 */
																															BgL_testz00_729 =
																																((bool_t) 1);
																														}
																												}
																										}
																									else
																										{	/* Module/prototype.scm 45 */
																											BgL_testz00_729 =
																												((bool_t) 1);
																										}
																									if (BgL_testz00_729)
																										{	/* Module/prototype.scm 45 */
																											return
																												BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00
																												(BgL_protoz00_3,
																												CNST_TABLE_REF(((long)
																														3)));
																										}
																									else
																										{	/* Module/prototype.scm 45 */
																											return
																												BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00
																												(BgL_idz00_89);
																										}
																								}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/prototype.scm 31 */
						return
							BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00
							(BgL_protoz00_3);
					}
			}
		}
	}



/* &parse-prototype */
	obj_t BGl_z62parsezd2prototypezb0zzmodule_prototypez00(obj_t BgL_envz00_628,
		obj_t BgL_protoz00_629)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 30 */
			return BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_protoz00_629);
		}
	}



/* parse-function-prototype */
	obj_t BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(obj_t
		BgL_protoz00_4, obj_t BgL_classz00_5)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 57 */
			{
				obj_t BgL_idz00_124;
				obj_t BgL_thezd2argszd2_125;

				if (PAIRP(BgL_protoz00_4))
					{	/* Module/prototype.scm 58 */
						obj_t BgL_carzd2156zd2_130;

						BgL_carzd2156zd2_130 = CAR(BgL_protoz00_4);
						if (SYMBOLP(BgL_carzd2156zd2_130))
							{	/* Module/prototype.scm 58 */
								BgL_idz00_124 = BgL_carzd2156zd2_130;
								BgL_thezd2argszd2_125 = CDR(BgL_protoz00_4);
								if (BGl_dssslzd2checkzd2prototypezf3zf3zztools_dssslz00
									(BgL_thezd2argszd2_125))
									{	/* Module/prototype.scm 61 */
										obj_t BgL_list1105z00_134;

										{	/* Module/prototype.scm 61 */
											obj_t BgL_arg1106z00_135;

											{	/* Module/prototype.scm 61 */
												obj_t BgL_arg1111z00_136;

												BgL_arg1111z00_136 =
													MAKE_PAIR(BgL_thezd2argszd2_125, BNIL);
												BgL_arg1106z00_135 =
													MAKE_PAIR(BgL_idz00_124, BgL_arg1111z00_136);
											}
											BgL_list1105z00_134 =
												MAKE_PAIR(BgL_classz00_5, BgL_arg1106z00_135);
										}
										return BgL_list1105z00_134;
									}
								else
									{
										obj_t BgL_argsz00_138;

										BgL_argsz00_138 = BgL_thezd2argszd2_125;
									BgL_zc3anonymousza31112ze3z83_139:
										if (NULLP(BgL_argsz00_138))
											{	/* Module/prototype.scm 65 */
												obj_t BgL_list1114z00_141;

												{	/* Module/prototype.scm 65 */
													obj_t BgL_arg1115z00_142;

													{	/* Module/prototype.scm 65 */
														obj_t BgL_arg1117z00_143;

														BgL_arg1117z00_143 =
															MAKE_PAIR(BgL_thezd2argszd2_125, BNIL);
														BgL_arg1115z00_142 =
															MAKE_PAIR(BgL_idz00_124, BgL_arg1117z00_143);
													}
													BgL_list1114z00_141 =
														MAKE_PAIR(BgL_classz00_5, BgL_arg1115z00_142);
												}
												return BgL_list1114z00_141;
											}
										else
											{	/* Module/prototype.scm 64 */
												if (SYMBOLP(BgL_argsz00_138))
													{	/* Module/prototype.scm 67 */
														obj_t BgL_list1119z00_145;

														{	/* Module/prototype.scm 67 */
															obj_t BgL_arg1121z00_146;

															{	/* Module/prototype.scm 67 */
																obj_t BgL_arg1122z00_147;

																BgL_arg1122z00_147 =
																	MAKE_PAIR(BgL_thezd2argszd2_125, BNIL);
																BgL_arg1121z00_146 =
																	MAKE_PAIR(BgL_idz00_124, BgL_arg1122z00_147);
															}
															BgL_list1119z00_145 =
																MAKE_PAIR(BgL_classz00_5, BgL_arg1121z00_146);
														}
														return BgL_list1119z00_145;
													}
												else
													{	/* Module/prototype.scm 66 */
														if (PAIRP(BgL_argsz00_138))
															{	/* Module/prototype.scm 70 */
																bool_t BgL_testz00_771;

																{	/* Module/prototype.scm 70 */
																	obj_t BgL_auxz00_772;

																	BgL_auxz00_772 = CAR(BgL_argsz00_138);
																	BgL_testz00_771 = SYMBOLP(BgL_auxz00_772);
																}
																if (BgL_testz00_771)
																	{
																		obj_t BgL_argsz00_775;

																		BgL_argsz00_775 = CDR(BgL_argsz00_138);
																		BgL_argsz00_138 = BgL_argsz00_775;
																		goto BgL_zc3anonymousza31112ze3z83_139;
																	}
																else
																	{	/* Module/prototype.scm 70 */
																		return BFALSE;
																	}
															}
														else
															{	/* Module/prototype.scm 68 */
																return BFALSE;
															}
													}
											}
									}
							}
						else
							{	/* Module/prototype.scm 58 */
								return BFALSE;
							}
					}
				else
					{	/* Module/prototype.scm 58 */
						return BFALSE;
					}
			}
		}
	}



/* parse-variable-prototype */
	obj_t BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(obj_t
		BgL_protoz00_6)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 80 */
			if (SYMBOLP(BgL_protoz00_6))
				{	/* Module/prototype.scm 82 */
					obj_t BgL_list1131z00_154;

					{	/* Module/prototype.scm 82 */
						obj_t BgL_arg1132z00_155;

						BgL_arg1132z00_155 = MAKE_PAIR(BgL_protoz00_6, BNIL);
						BgL_list1131z00_154 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BgL_arg1132z00_155);
					}
					return BgL_list1131z00_154;
				}
			else
				{	/* Module/prototype.scm 81 */
					return BFALSE;
				}
		}
	}



/* parse-class */
	obj_t BGl_parsezd2classzd2zzmodule_prototypez00(obj_t BgL_classz00_7,
		obj_t BgL_classzd2defzd2_8)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 88 */
			{	/* Module/prototype.scm 89 */
				obj_t BgL_locz00_156;

				BgL_locz00_156 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_classzd2defzd2_8);
				if (PAIRP(BgL_classzd2defzd2_8))
					{	/* Module/prototype.scm 108 */
						obj_t BgL_carzd2171zd2_168;
						obj_t BgL_cdrzd2172zd2_169;

						BgL_carzd2171zd2_168 = CAR(BgL_classzd2defzd2_8);
						BgL_cdrzd2172zd2_169 = CDR(BgL_classzd2defzd2_8);
						if (SYMBOLP(BgL_carzd2171zd2_168))
							{	/* Module/prototype.scm 108 */
								if (PAIRP(BgL_cdrzd2172zd2_169))
									{	/* Module/prototype.scm 108 */
										obj_t BgL_carzd2177zd2_172;

										BgL_carzd2177zd2_172 = CAR(BgL_cdrzd2172zd2_169);
										if (PAIRP(BgL_carzd2177zd2_172))
											{	/* Module/prototype.scm 108 */
												if (NULLP(CDR(BgL_carzd2177zd2_172)))
													{	/* Module/prototype.scm 108 */
														obj_t BgL_arg1140z00_175;
														obj_t BgL_arg1141z00_176;

														BgL_arg1140z00_175 = CAR(BgL_carzd2177zd2_172);
														BgL_arg1141z00_176 = CDR(BgL_cdrzd2172zd2_169);
														{	/* Module/prototype.scm 110 */
															obj_t BgL_arg1153z00_472;

															{	/* Module/prototype.scm 110 */
																obj_t BgL_arg1155z00_473;

																BgL_arg1155z00_473 =
																	MAKE_PAIR(BgL_arg1140z00_175,
																	BGl_parsezd2classzd2slotsz00zzmodule_prototypez00
																	(BgL_classzd2defzd2_8, BgL_locz00_156,
																		BgL_arg1141z00_176));
																BgL_arg1153z00_472 =
																	MAKE_PAIR(BgL_carzd2171zd2_168,
																	BgL_arg1155z00_473);
															}
															return
																MAKE_PAIR(BgL_classz00_7, BgL_arg1153z00_472);
														}
													}
												else
													{	/* Module/prototype.scm 112 */
														obj_t BgL_arg1157z00_481;

														{	/* Module/prototype.scm 112 */
															obj_t BgL_arg1160z00_482;

															BgL_arg1160z00_482 =
																MAKE_PAIR(BFALSE,
																BGl_parsezd2classzd2slotsz00zzmodule_prototypez00
																(BgL_classzd2defzd2_8, BgL_locz00_156,
																	BgL_cdrzd2172zd2_169));
															BgL_arg1157z00_481 =
																MAKE_PAIR(BgL_carzd2171zd2_168,
																BgL_arg1160z00_482);
														}
														return
															MAKE_PAIR(BgL_classz00_7, BgL_arg1157z00_481);
													}
											}
										else
											{	/* Module/prototype.scm 112 */
												obj_t BgL_arg1157z00_490;

												{	/* Module/prototype.scm 112 */
													obj_t BgL_arg1160z00_491;

													BgL_arg1160z00_491 =
														MAKE_PAIR(BFALSE,
														BGl_parsezd2classzd2slotsz00zzmodule_prototypez00
														(BgL_classzd2defzd2_8, BgL_locz00_156,
															BgL_cdrzd2172zd2_169));
													BgL_arg1157z00_490 =
														MAKE_PAIR(BgL_carzd2171zd2_168, BgL_arg1160z00_491);
												}
												return MAKE_PAIR(BgL_classz00_7, BgL_arg1157z00_490);
											}
									}
								else
									{	/* Module/prototype.scm 112 */
										obj_t BgL_arg1157z00_499;

										{	/* Module/prototype.scm 112 */
											obj_t BgL_arg1160z00_500;

											BgL_arg1160z00_500 =
												MAKE_PAIR(BFALSE,
												BGl_parsezd2classzd2slotsz00zzmodule_prototypez00
												(BgL_classzd2defzd2_8, BgL_locz00_156,
													BgL_cdrzd2172zd2_169));
											BgL_arg1157z00_499 =
												MAKE_PAIR(BgL_carzd2171zd2_168, BgL_arg1160z00_500);
										}
										return MAKE_PAIR(BgL_classz00_7, BgL_arg1157z00_499);
									}
							}
						else
							{	/* Module/prototype.scm 108 */
								return BFALSE;
							}
					}
				else
					{	/* Module/prototype.scm 108 */
						return BFALSE;
					}
			}
		}
	}



/* parse-class-slots */
	obj_t BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(obj_t
		BgL_classzd2defzd2_631, obj_t BgL_locz00_630, obj_t BgL_slotsz00_196)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 107 */
			{
				obj_t BgL_slotsz00_200;
				obj_t BgL_resz00_201;

				BgL_slotsz00_200 = BgL_slotsz00_196;
				BgL_resz00_201 = BNIL;
			BgL_zc3anonymousza31164ze3z83_202:
				if (NULLP(BgL_slotsz00_200))
					{	/* Module/prototype.scm 94 */
						return bgl_reverse_bang(BgL_resz00_201);
					}
				else
					{	/* Module/prototype.scm 94 */
						if (PAIRP(BgL_slotsz00_200))
							{	/* Module/prototype.scm 99 */
								obj_t BgL_slotz00_205;

								BgL_slotz00_205 =
									BGl_parsezd2classzd2slotz00zzmodule_prototypez00(CAR
									(BgL_slotsz00_200), BgL_locz00_630);
								if (CBOOL(BgL_slotz00_205))
									{	/* Module/prototype.scm 106 */
										obj_t BgL_arg1167z00_206;
										obj_t BgL_arg1168z00_207;

										BgL_arg1167z00_206 = CDR(BgL_slotsz00_200);
										BgL_arg1168z00_207 =
											MAKE_PAIR(BgL_slotz00_205, BgL_resz00_201);
										{
											obj_t BgL_resz00_828;
											obj_t BgL_slotsz00_827;

											BgL_slotsz00_827 = BgL_arg1167z00_206;
											BgL_resz00_828 = BgL_arg1168z00_207;
											BgL_resz00_201 = BgL_resz00_828;
											BgL_slotsz00_200 = BgL_slotsz00_827;
											goto BgL_zc3anonymousza31164ze3z83_202;
										}
									}
								else
									{	/* Module/prototype.scm 103 */
										obj_t BgL_arg1169z00_208;

										{	/* Module/prototype.scm 103 */
											bool_t BgL_testz00_829;

											{	/* Module/prototype.scm 103 */
												obj_t BgL_auxz00_830;

												BgL_auxz00_830 = CAR(BgL_slotsz00_200);
												BgL_testz00_829 = PAIRP(BgL_auxz00_830);
											}
											if (BgL_testz00_829)
												{	/* Module/prototype.scm 103 */
													BgL_arg1169z00_208 = CAR(BgL_slotsz00_200);
												}
											else
												{	/* Module/prototype.scm 103 */
													BgL_arg1169z00_208 = BgL_classzd2defzd2_631;
												}
										}
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1450z00zzmodule_prototypez00,
											BGl_string1451z00zzmodule_prototypez00,
											BgL_arg1169z00_208, BNIL);
									}
							}
						else
							{	/* Module/prototype.scm 96 */
								return BFALSE;
							}
					}
			}
		}
	}



/* parse-macro */
	obj_t BGl_parsezd2macrozd2zzmodule_prototypez00(obj_t BgL_macrozd2defzd2_9)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 119 */
			{
				obj_t BgL_idz00_218;
				obj_t BgL_thezd2argszd2_219;
				obj_t BgL_bodyz00_220;
				obj_t BgL_idz00_215;
				obj_t BgL_restz00_216;

				if (PAIRP(BgL_macrozd2defzd2_9))
					{	/* Module/prototype.scm 120 */
						obj_t BgL_carzd2246zd2_225;

						BgL_carzd2246zd2_225 = CAR(BgL_macrozd2defzd2_9);
						if (SYMBOLP(BgL_carzd2246zd2_225))
							{	/* Module/prototype.scm 120 */
								BgL_idz00_215 = BgL_carzd2246zd2_225;
								BgL_restz00_216 = CDR(BgL_macrozd2defzd2_9);
								{
									obj_t BgL_argsz00_235;

									BgL_argsz00_235 = BgL_restz00_216;
								BgL_zc3anonymousza31184ze3z83_236:
									if (NULLP(BgL_argsz00_235))
										{	/* Module/prototype.scm 124 */
											return
												MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
												BgL_macrozd2defzd2_9);
										}
									else
										{	/* Module/prototype.scm 124 */
											if (SYMBOLP(BgL_argsz00_235))
												{	/* Module/prototype.scm 126 */
													return
														MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
														BgL_macrozd2defzd2_9);
												}
											else
												{	/* Module/prototype.scm 126 */
													if (PAIRP(BgL_argsz00_235))
														{	/* Module/prototype.scm 130 */
															bool_t BgL_testz00_850;

															{	/* Module/prototype.scm 130 */
																obj_t BgL_auxz00_851;

																BgL_auxz00_851 = CAR(BgL_argsz00_235);
																BgL_testz00_850 = SYMBOLP(BgL_auxz00_851);
															}
															if (BgL_testz00_850)
																{
																	obj_t BgL_argsz00_854;

																	BgL_argsz00_854 = CDR(BgL_argsz00_235);
																	BgL_argsz00_235 = BgL_argsz00_854;
																	goto BgL_zc3anonymousza31184ze3z83_236;
																}
															else
																{	/* Module/prototype.scm 130 */
																	return
																		BGl_userzd2errorzd2zztools_errorz00
																		(BGl_string1450z00zzmodule_prototypez00,
																		BGl_string1452z00zzmodule_prototypez00,
																		BgL_macrozd2defzd2_9, BNIL);
																}
														}
													else
														{	/* Module/prototype.scm 128 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1450z00zzmodule_prototypez00,
																BGl_string1452z00zzmodule_prototypez00,
																BgL_macrozd2defzd2_9, BNIL);
														}
												}
										}
								}
							}
						else
							{	/* Module/prototype.scm 120 */
								if (PAIRP(BgL_carzd2246zd2_225))
									{	/* Module/prototype.scm 120 */
										obj_t BgL_carzd2261zd2_230;

										BgL_carzd2261zd2_230 = CAR(BgL_carzd2246zd2_225);
										if (SYMBOLP(BgL_carzd2261zd2_230))
											{	/* Module/prototype.scm 120 */
												BgL_idz00_218 = BgL_carzd2261zd2_230;
												BgL_thezd2argszd2_219 = CDR(BgL_carzd2246zd2_225);
												BgL_bodyz00_220 = CDR(BgL_macrozd2defzd2_9);
												{
													obj_t BgL_argsz00_247;

													BgL_argsz00_247 = BgL_thezd2argszd2_219;
												BgL_zc3anonymousza31195ze3z83_248:
													if (NULLP(BgL_bodyz00_220))
														{	/* Module/prototype.scm 137 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1450z00zzmodule_prototypez00,
																BGl_string1452z00zzmodule_prototypez00,
																BgL_macrozd2defzd2_9, BNIL);
														}
													else
														{	/* Module/prototype.scm 137 */
															if (NULLP(BgL_argsz00_247))
																{	/* Module/prototype.scm 139 */
																	return
																		MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																		BgL_macrozd2defzd2_9);
																}
															else
																{	/* Module/prototype.scm 139 */
																	if (SYMBOLP(BgL_argsz00_247))
																		{	/* Module/prototype.scm 141 */
																			return
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_macrozd2defzd2_9);
																		}
																	else
																		{	/* Module/prototype.scm 141 */
																			if (PAIRP(BgL_argsz00_247))
																				{	/* Module/prototype.scm 145 */
																					bool_t BgL_testz00_877;

																					{	/* Module/prototype.scm 145 */
																						obj_t BgL_auxz00_878;

																						BgL_auxz00_878 =
																							CAR(BgL_argsz00_247);
																						BgL_testz00_877 =
																							SYMBOLP(BgL_auxz00_878);
																					}
																					if (BgL_testz00_877)
																						{
																							obj_t BgL_argsz00_881;

																							BgL_argsz00_881 =
																								CDR(BgL_argsz00_247);
																							BgL_argsz00_247 = BgL_argsz00_881;
																							goto
																								BgL_zc3anonymousza31195ze3z83_248;
																						}
																					else
																						{	/* Module/prototype.scm 145 */
																							return
																								BGl_userzd2errorzd2zztools_errorz00
																								(BGl_string1450z00zzmodule_prototypez00,
																								BGl_string1452z00zzmodule_prototypez00,
																								BgL_macrozd2defzd2_9, BNIL);
																						}
																				}
																			else
																				{	/* Module/prototype.scm 143 */
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BGl_string1450z00zzmodule_prototypez00,
																						BGl_string1452z00zzmodule_prototypez00,
																						BgL_macrozd2defzd2_9, BNIL);
																				}
																		}
																}
														}
												}
											}
										else
											{	/* Module/prototype.scm 120 */
											BgL_tagzd2238zd2_222:
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1450z00zzmodule_prototypez00,
													BGl_string1452z00zzmodule_prototypez00,
													BgL_macrozd2defzd2_9, BNIL);
											}
									}
								else
									{	/* Module/prototype.scm 120 */
										goto BgL_tagzd2238zd2_222;
									}
							}
					}
				else
					{	/* Module/prototype.scm 120 */
						goto BgL_tagzd2238zd2_222;
					}
			}
		}
	}



/* parse-syntax */
	obj_t BGl_parsezd2syntaxzd2zzmodule_prototypez00(obj_t BgL_syntaxzd2defzd2_10)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 155 */
			{

				if (PAIRP(BgL_syntaxzd2defzd2_10))
					{	/* Module/prototype.scm 156 */
						obj_t BgL_carzd2278zd2_266;

						BgL_carzd2278zd2_266 = CAR(BgL_syntaxzd2defzd2_10);
						if (SYMBOLP(BgL_carzd2278zd2_266))
							{	/* Module/prototype.scm 156 */
								if (NULLP(CDR(BgL_syntaxzd2defzd2_10)))
									{	/* Module/prototype.scm 156 */
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
											BgL_syntaxzd2defzd2_10);
									}
								else
									{	/* Module/prototype.scm 156 */
									BgL_tagzd2274zd2_263:
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1450z00zzmodule_prototypez00,
											BGl_string1453z00zzmodule_prototypez00,
											BgL_syntaxzd2defzd2_10, BNIL);
									}
							}
						else
							{	/* Module/prototype.scm 156 */
								goto BgL_tagzd2274zd2_263;
							}
					}
				else
					{	/* Module/prototype.scm 156 */
						goto BgL_tagzd2274zd2_263;
					}
			}
		}
	}



/* parse-expander */
	obj_t BGl_parsezd2expanderzd2zzmodule_prototypez00(obj_t
		BgL_expanderzd2defzd2_11)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 165 */
			{

				if (PAIRP(BgL_expanderzd2defzd2_11))
					{	/* Module/prototype.scm 166 */
						obj_t BgL_carzd2287zd2_276;

						BgL_carzd2287zd2_276 = CAR(BgL_expanderzd2defzd2_11);
						if (SYMBOLP(BgL_carzd2287zd2_276))
							{	/* Module/prototype.scm 166 */
								if (NULLP(CDR(BgL_expanderzd2defzd2_11)))
									{	/* Module/prototype.scm 166 */
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
											BgL_expanderzd2defzd2_11);
									}
								else
									{	/* Module/prototype.scm 166 */
									BgL_tagzd2283zd2_273:
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1450z00zzmodule_prototypez00,
											BGl_string1454z00zzmodule_prototypez00,
											BgL_expanderzd2defzd2_11, BNIL);
									}
							}
						else
							{	/* Module/prototype.scm 166 */
								goto BgL_tagzd2283zd2_273;
							}
					}
				else
					{	/* Module/prototype.scm 166 */
						goto BgL_tagzd2283zd2_273;
					}
			}
		}
	}



/* parse-class-slot */
	obj_t BGl_parsezd2classzd2slotz00zzmodule_prototypez00(obj_t BgL_slotz00_12,
		obj_t BgL_locz00_13)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 175 */
			{	/* Module/prototype.scm 176 */
				obj_t BgL_locz00_281;

				BgL_locz00_281 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_slotz00_12,
					BgL_locz00_13);
				{
					obj_t BgL_idz00_286;
					obj_t BgL_attz00_287;
					obj_t BgL_idz00_283;
					obj_t BgL_attz00_284;

					if (SYMBOLP(BgL_slotz00_12))
						{	/* Module/prototype.scm 177 */
							{	/* Module/prototype.scm 179 */
								obj_t BgL_arg1246z00_309;

								{	/* Module/prototype.scm 179 */
									obj_t BgL_arg1248z00_310;

									BgL_arg1248z00_310 =
										MAKE_PAIR(BGl_parsezd2idzd2zzast_identz00(BgL_slotz00_12,
											BgL_locz00_281), BNIL);
									BgL_arg1246z00_309 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BgL_arg1248z00_310);
								}
								return
									BGl_epairifyz00zztools_miscz00(BgL_arg1246z00_309,
									BgL_slotz00_12);
							}
						}
					else
						{	/* Module/prototype.scm 177 */
							if (PAIRP(BgL_slotz00_12))
								{	/* Module/prototype.scm 177 */
									obj_t BgL_cdrzd2303zd2_293;

									BgL_cdrzd2303zd2_293 = CDR(BgL_slotz00_12);
									if ((CAR(BgL_slotz00_12) == CNST_TABLE_REF(((long) 16))))
										{	/* Module/prototype.scm 177 */
											if (PAIRP(BgL_cdrzd2303zd2_293))
												{	/* Module/prototype.scm 177 */
													obj_t BgL_carzd2306zd2_296;

													BgL_carzd2306zd2_296 = CAR(BgL_cdrzd2303zd2_293);
													if (SYMBOLP(BgL_carzd2306zd2_296))
														{	/* Module/prototype.scm 177 */
															BgL_idz00_283 = BgL_carzd2306zd2_296;
															BgL_attz00_284 = CDR(BgL_cdrzd2303zd2_293);
															if (BGl_correctzd2attributzf3z21zzmodule_prototypez00(BgL_attz00_284))
																{	/* Module/prototype.scm 182 */
																	obj_t BgL_arg1251z00_313;

																	{	/* Module/prototype.scm 182 */
																		obj_t BgL_arg1254z00_314;

																		{	/* Module/prototype.scm 182 */
																			obj_t BgL_arg1256z00_315;
																			obj_t BgL_arg1258z00_316;

																			{	/* Module/prototype.scm 182 */
																				obj_t BgL_arg1259z00_317;

																				BgL_arg1259z00_317 =
																					MAKE_PAIR
																					(BGl_parsezd2idzd2zzast_identz00
																					(BgL_idz00_283, BgL_locz00_281),
																					BNIL);
																				BgL_arg1256z00_315 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																					BgL_arg1259z00_317);
																			}
																			BgL_arg1258z00_316 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_attz00_284, BNIL);
																			BgL_arg1254z00_314 =
																				MAKE_PAIR(BgL_arg1256z00_315,
																				BgL_arg1258z00_316);
																		}
																		BgL_arg1251z00_313 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																			BgL_arg1254z00_314);
																	}
																	return
																		BGl_epairifyz00zztools_miscz00
																		(BgL_arg1251z00_313, BgL_slotz00_12);
																}
															else
																{	/* Module/prototype.scm 181 */
																	return BFALSE;
																}
														}
													else
														{	/* Module/prototype.scm 177 */
															obj_t BgL_carzd2315zd2_299;

															BgL_carzd2315zd2_299 = CAR(BgL_slotz00_12);
															if (SYMBOLP(BgL_carzd2315zd2_299))
																{	/* Module/prototype.scm 177 */
																	BgL_idz00_286 = BgL_carzd2315zd2_299;
																	BgL_attz00_287 = BgL_cdrzd2303zd2_293;
																BgL_tagzd2293zd2_288:
																	if (BGl_correctzd2attributzf3z21zzmodule_prototypez00(BgL_attz00_287))
																		{	/* Module/prototype.scm 186 */
																			obj_t BgL_arg1266z00_320;

																			{	/* Module/prototype.scm 186 */
																				obj_t BgL_arg1267z00_321;
																				obj_t BgL_arg1268z00_322;

																				{	/* Module/prototype.scm 186 */
																					obj_t BgL_arg1269z00_323;

																					BgL_arg1269z00_323 =
																						MAKE_PAIR
																						(BGl_parsezd2idzd2zzast_identz00
																						(BgL_idz00_286, BgL_locz00_281),
																						BNIL);
																					BgL_arg1267z00_321 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								15)), BgL_arg1269z00_323);
																				}
																				BgL_arg1268z00_322 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_attz00_287, BNIL);
																				BgL_arg1266z00_320 =
																					MAKE_PAIR(BgL_arg1267z00_321,
																					BgL_arg1268z00_322);
																			}
																			return
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1266z00_320, BgL_slotz00_12);
																		}
																	else
																		{	/* Module/prototype.scm 185 */
																			return BFALSE;
																		}
																}
															else
																{	/* Module/prototype.scm 177 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Module/prototype.scm 177 */
													obj_t BgL_carzd2324zd2_302;

													BgL_carzd2324zd2_302 = CAR(BgL_slotz00_12);
													if (SYMBOLP(BgL_carzd2324zd2_302))
														{
															obj_t BgL_attz00_958;
															obj_t BgL_idz00_957;

															BgL_idz00_957 = BgL_carzd2324zd2_302;
															BgL_attz00_958 = BgL_cdrzd2303zd2_293;
															BgL_attz00_287 = BgL_attz00_958;
															BgL_idz00_286 = BgL_idz00_957;
															goto BgL_tagzd2293zd2_288;
														}
													else
														{	/* Module/prototype.scm 177 */
															return BFALSE;
														}
												}
										}
									else
										{	/* Module/prototype.scm 177 */
											obj_t BgL_carzd2333zd2_305;

											BgL_carzd2333zd2_305 = CAR(BgL_slotz00_12);
											if (SYMBOLP(BgL_carzd2333zd2_305))
												{
													obj_t BgL_attz00_963;
													obj_t BgL_idz00_962;

													BgL_idz00_962 = BgL_carzd2333zd2_305;
													BgL_attz00_963 = BgL_cdrzd2303zd2_293;
													BgL_attz00_287 = BgL_attz00_963;
													BgL_idz00_286 = BgL_idz00_962;
													goto BgL_tagzd2293zd2_288;
												}
											else
												{	/* Module/prototype.scm 177 */
													return BFALSE;
												}
										}
								}
							else
								{	/* Module/prototype.scm 177 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* correct-attribut? */
	bool_t BGl_correctzd2attributzf3z21zzmodule_prototypez00(obj_t
		BgL_attributz00_14)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 194 */
			{
				obj_t BgL_attributz00_326;

				BgL_attributz00_326 = BgL_attributz00_14;
			BgL_zc3anonymousza31271ze3z83_327:
				if (NULLP(BgL_attributz00_326))
					{	/* Module/prototype.scm 197 */
						return ((bool_t) 1);
					}
				else
					{	/* Module/prototype.scm 197 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
									(BgL_attributz00_326), CNST_TABLE_REF(((long) 17)))))
							{
								obj_t BgL_attributz00_971;

								BgL_attributz00_971 = CDR(BgL_attributz00_326);
								BgL_attributz00_326 = BgL_attributz00_971;
								goto BgL_zc3anonymousza31271ze3z83_327;
							}
						else
							{

								{	/* Module/prototype.scm 202 */
									obj_t BgL_ezd2347zd2_336;

									BgL_ezd2347zd2_336 = CAR(BgL_attributz00_326);
									if (PAIRP(BgL_ezd2347zd2_336))
										{	/* Module/prototype.scm 202 */
											obj_t BgL_cdrzd2349zd2_338;

											BgL_cdrzd2349zd2_338 = CDR(BgL_ezd2347zd2_336);
											if (
												(CAR(BgL_ezd2347zd2_336) ==
													CNST_TABLE_REF(((long) 18))))
												{	/* Module/prototype.scm 202 */
													if (PAIRP(BgL_cdrzd2349zd2_338))
														{	/* Module/prototype.scm 202 */
															if (NULLP(CDR(BgL_cdrzd2349zd2_338)))
																{	/* Module/prototype.scm 202 */
																	{
																		obj_t BgL_attributz00_986;

																		BgL_attributz00_986 =
																			CDR(BgL_attributz00_326);
																		BgL_attributz00_326 = BgL_attributz00_986;
																		goto BgL_zc3anonymousza31271ze3z83_327;
																	}
																}
															else
																{	/* Module/prototype.scm 202 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Module/prototype.scm 202 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Module/prototype.scm 202 */
													if (
														(CAR(BgL_ezd2347zd2_336) ==
															CNST_TABLE_REF(((long) 19))))
														{	/* Module/prototype.scm 202 */
															if (PAIRP(BgL_cdrzd2349zd2_338))
																{	/* Module/prototype.scm 202 */
																	if (NULLP(CDR(BgL_cdrzd2349zd2_338)))
																		{	/* Module/prototype.scm 202 */
																			{
																				obj_t BgL_attributz00_997;

																				BgL_attributz00_997 =
																					CDR(BgL_attributz00_326);
																				BgL_attributz00_326 =
																					BgL_attributz00_997;
																				goto BgL_zc3anonymousza31271ze3z83_327;
																			}
																		}
																	else
																		{	/* Module/prototype.scm 202 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Module/prototype.scm 202 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Module/prototype.scm 202 */
															obj_t BgL_cdrzd2357zd2_348;

															BgL_cdrzd2357zd2_348 = CDR(BgL_ezd2347zd2_336);
															if (
																(CAR(BgL_ezd2347zd2_336) ==
																	CNST_TABLE_REF(((long) 20))))
																{	/* Module/prototype.scm 202 */
																	if (PAIRP(BgL_cdrzd2357zd2_348))
																		{	/* Module/prototype.scm 202 */
																			if (NULLP(CDR(BgL_cdrzd2357zd2_348)))
																				{	/* Module/prototype.scm 202 */
																					{
																						obj_t BgL_attributz00_1009;

																						BgL_attributz00_1009 =
																							CDR(BgL_attributz00_326);
																						BgL_attributz00_326 =
																							BgL_attributz00_1009;
																						goto
																							BgL_zc3anonymousza31271ze3z83_327;
																					}
																				}
																			else
																				{	/* Module/prototype.scm 202 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Module/prototype.scm 202 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Module/prototype.scm 202 */
																	if (
																		(CAR(BgL_ezd2347zd2_336) ==
																			CNST_TABLE_REF(((long) 21))))
																		{	/* Module/prototype.scm 202 */
																			if (PAIRP(BgL_cdrzd2357zd2_348))
																				{	/* Module/prototype.scm 202 */
																					if (NULLP(CDR(BgL_cdrzd2357zd2_348)))
																						{	/* Module/prototype.scm 202 */
																							{
																								obj_t BgL_attributz00_1020;

																								BgL_attributz00_1020 =
																									CDR(BgL_attributz00_326);
																								BgL_attributz00_326 =
																									BgL_attributz00_1020;
																								goto
																									BgL_zc3anonymousza31271ze3z83_327;
																							}
																						}
																					else
																						{	/* Module/prototype.scm 202 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Module/prototype.scm 202 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Module/prototype.scm 202 */
																			return ((bool_t) 0);
																		}
																}
														}
												}
										}
									else
										{	/* Module/prototype.scm 202 */
											return ((bool_t) 0);
										}
								}
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 428236825),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
			return
				BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1455z00zzmodule_prototypez00));
		}
	}

#ifdef __cplusplus
}
#endif
