/*===========================================================================*/
/*   (Eval/evutils.scm)                                                      */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evutils.scm -indent -o objs/obj_u/Eval/evutils.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_z62bindingszd2ze3listz53zz__evutilsz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evutilsz00();
	static obj_t BGl_objectzd2initzd2zz__evutilsz00();
	BGL_EXPORTED_DECL obj_t BGl_bindingszd2ze3listz31zz__evutilsz00(obj_t);
	extern obj_t BGl_errorzf2sourcezf2zz__errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__evutilsz00();
	extern obj_t BGl_errorzf2sourcezd2locationz20zz__errorz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_cnstzd2initzd2zz__evutilsz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evutilsz00();
	BGL_EXPORTED_DECL obj_t BGl_argszd2ze3listz31zz__evutilsz00(obj_t);
	static obj_t BGl_z62argszd2ze3listz53zz__evutilsz00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62parsezd2formalzd2identz62zz__evutilsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1583z00zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_symbol1586z00zz__evutilsz00 = BUNSPEC;
	static obj_t BGl_symbol1589z00zz__evutilsz00 = BUNSPEC;
	extern bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_argszd2ze3listzd2envze3zz__evutilsz00,
		BgL_bgl_za762argsza7d2za7e3lis1593za7,
		BGl_z62argszd2ze3listz53zz__evutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1580z00zz__evutilsz00,
		BgL_bgl_string1580za700za7za7_1594za7, "parse-formal-ident", 18);
	      DEFINE_STRING(BGl_string1581z00zz__evutilsz00,
		BgL_bgl_string1581za700za7za7_1595za7, "Illegal empty identifier type", 29);
	      DEFINE_STRING(BGl_string1582z00zz__evutilsz00,
		BgL_bgl_string1582za700za7za7_1596za7, "", 0);
	      DEFINE_STRING(BGl_string1584z00zz__evutilsz00,
		BgL_bgl_string1584za700za7za7_1597za7, "dsssl", 5);
	      DEFINE_STRING(BGl_string1585z00zz__evutilsz00,
		BgL_bgl_string1585za700za7za7_1598za7, "Illegal identifier type", 23);
	      DEFINE_STRING(BGl_string1587z00zz__evutilsz00,
		BgL_bgl_string1587za700za7za7_1599za7, "args->list", 10);
	      DEFINE_STRING(BGl_string1588z00zz__evutilsz00,
		BgL_bgl_string1588za700za7za7_1600za7, "Illegal args list", 17);
	      DEFINE_STRING(BGl_string1590z00zz__evutilsz00,
		BgL_bgl_string1590za700za7za7_1601za7, "bindings->list", 14);
	      DEFINE_STRING(BGl_string1591z00zz__evutilsz00,
		BgL_bgl_string1591za700za7za7_1602za7, "Illegal bindings list", 21);
	      DEFINE_STRING(BGl_string1592z00zz__evutilsz00,
		BgL_bgl_string1592za700za7za7_1603za7, "__evutils", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_parsezd2formalzd2identzd2envzd2zz__evutilsz00,
		BgL_bgl_za762parseza7d2forma1604z00,
		BGl_z62parsezd2formalzd2identz62zz__evutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindingszd2ze3listzd2envze3zz__evutilsz00,
		BgL_bgl_za762bindingsza7d2za7e1605za7,
		BGl_z62bindingszd2ze3listz53zz__evutilsz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evutilsz00(long
		BgL_checksumz00_1549, char *BgL_fromz00_1550)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evutilsz00))
				{
					BGl_requirezd2initializa7ationz75zz__evutilsz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evutilsz00();
					BGl_importedzd2moduleszd2initz00zz__evutilsz00();
					return BGl_methodzd2initzd2zz__evutilsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			BGl_symbol1583z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1584z00zz__evutilsz00);
			BGl_symbol1586z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1587z00zz__evutilsz00);
			return (BGl_symbol1589z00zz__evutilsz00 =
				bstring_to_symbol(BGl_string1590z00zz__evutilsz00), BUNSPEC);
		}
	}



/* parse-formal-ident */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2formalzd2identz00zz__evutilsz00(obj_t
		BgL_identz00_3, obj_t BgL_locz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 56 */
			{
				obj_t BgL_identz00_899;

				if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(BgL_identz00_3))
					{	/* Eval/evutils.scm 83 */
						return
							MAKE_PAIR(BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol1583z00zz__evutilsz00), BNIL);
					}
				else
					{	/* Eval/evutils.scm 85 */
						bool_t BgL_testz00_1564;

						if (PAIRP(BgL_identz00_3))
							{	/* Eval/evutils.scm 85 */
								obj_t BgL_auxz00_1567;

								BgL_auxz00_1567 = CAR(BgL_identz00_3);
								BgL_testz00_1564 = SYMBOLP(BgL_auxz00_1567);
							}
						else
							{	/* Eval/evutils.scm 85 */
								BgL_testz00_1564 = ((bool_t) 0);
							}
						if (BgL_testz00_1564)
							{	/* Eval/evutils.scm 85 */
								return MAKE_PAIR(BgL_identz00_3, BNIL);
							}
						else
							{	/* Eval/evutils.scm 85 */
								if (SYMBOLP(BgL_identz00_3))
									{	/* Eval/evutils.scm 87 */
										BgL_identz00_899 = BgL_identz00_3;
										{	/* Eval/evutils.scm 59 */
											obj_t BgL_strz00_901;

											{	/* Eval/evutils.scm 59 */
												obj_t BgL_res1513z00_1261;

												BgL_res1513z00_1261 =
													SYMBOL_TO_STRING(BgL_identz00_899);
												BgL_strz00_901 = BgL_res1513z00_1261;
											}
											{	/* Eval/evutils.scm 59 */
												long BgL_lenz00_902;

												BgL_lenz00_902 = STRING_LENGTH(BgL_strz00_901);
												{	/* Eval/evutils.scm 60 */

													{
														long BgL_iz00_904;

														BgL_iz00_904 = ((long) 0);
													BgL_zc3anonymousza31123ze3z83_905:
														if ((BgL_iz00_904 == BgL_lenz00_902))
															{	/* Eval/evutils.scm 63 */
																return MAKE_PAIR(BgL_identz00_899, BNIL);
															}
														else
															{	/* Eval/evutils.scm 65 */
																bool_t BgL_testz00_1578;

																if (
																	(STRING_REF(BgL_strz00_901,
																			BgL_iz00_904) == ((unsigned char) ':')))
																	{	/* Eval/evutils.scm 65 */
																		if (
																			(BgL_iz00_904 <
																				(BgL_lenz00_902 - ((long) 1))))
																			{	/* Eval/evutils.scm 66 */
																				BgL_testz00_1578 =
																					(STRING_REF(BgL_strz00_901,
																						(BgL_iz00_904 + ((long) 1))) ==
																					((unsigned char) ':'));
																			}
																		else
																			{	/* Eval/evutils.scm 66 */
																				BgL_testz00_1578 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evutils.scm 65 */
																		BgL_testz00_1578 = ((bool_t) 0);
																	}
																if (BgL_testz00_1578)
																	{	/* Eval/evutils.scm 65 */
																		if (
																			(BgL_iz00_904 ==
																				(BgL_lenz00_902 - ((long) 2))))
																			{	/* Eval/evutils.scm 69 */
																				return
																					BGl_errorzf2sourcezd2locationz20zz__errorz00
																					(BGl_string1580z00zz__evutilsz00,
																					BGl_string1581z00zz__evutilsz00,
																					BgL_identz00_899, BgL_locz00_4);
																			}
																		else
																			{	/* Eval/evutils.scm 69 */
																				if ((BgL_iz00_904 == ((long) 0)))
																					{	/* Eval/evutils.scm 74 */
																						return
																							MAKE_PAIR(bstring_to_symbol
																							(BGl_string1582z00zz__evutilsz00),
																							BgL_identz00_899);
																					}
																				else
																					{	/* Eval/evutils.scm 74 */
																						return
																							MAKE_PAIR(bstring_to_symbol
																							(c_substring(BgL_strz00_901,
																									((long) 0), BgL_iz00_904)),
																							bstring_to_symbol(c_substring
																								(BgL_strz00_901,
																									(BgL_iz00_904 + ((long) 2)),
																									BgL_lenz00_902)));
																	}}}
																else
																	{
																		long BgL_iz00_1602;

																		BgL_iz00_1602 = (BgL_iz00_904 + ((long) 1));
																		BgL_iz00_904 = BgL_iz00_1602;
																		goto BgL_zc3anonymousza31123ze3z83_905;
																	}
															}
													}
												}
											}
										}
									}
								else
									{	/* Eval/evutils.scm 87 */
										return
											BGl_errorzf2sourcezd2locationz20zz__errorz00
											(BGl_string1580z00zz__evutilsz00,
											BGl_string1585z00zz__evutilsz00, BgL_identz00_3,
											BgL_locz00_4);
									}
							}
					}
			}
		}
	}



/* &parse-formal-ident */
	obj_t BGl_z62parsezd2formalzd2identz62zz__evutilsz00(obj_t BgL_envz00_1542,
		obj_t BgL_identz00_1543, obj_t BgL_locz00_1544)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 56 */
			return
				BGl_parsezd2formalzd2identz00zz__evutilsz00(BgL_identz00_1543,
				BgL_locz00_1544);
		}
	}



/* args->list */
	BGL_EXPORTED_DEF obj_t BGl_argszd2ze3listz31zz__evutilsz00(obj_t
		BgL_argsz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 98 */
			if (NULLP(BgL_argsz00_5))
				{	/* Eval/evutils.scm 100 */
					return BNIL;
				}
			else
				{	/* Eval/evutils.scm 100 */
					if (SYMBOLP(BgL_argsz00_5))
						{	/* Eval/evutils.scm 103 */
							obj_t BgL_list1151z00_928;

							BgL_list1151z00_928 = MAKE_PAIR(BgL_argsz00_5, BNIL);
							return BgL_list1151z00_928;
						}
					else
						{	/* Eval/evutils.scm 102 */
							if (PAIRP(BgL_argsz00_5))
								{	/* Eval/evutils.scm 104 */
									return
										MAKE_PAIR(CAR(BgL_argsz00_5),
										BGl_argszd2ze3listz31zz__evutilsz00(CDR(BgL_argsz00_5)));
								}
							else
								{	/* Eval/evutils.scm 104 */
									return
										BGl_errorzf2sourcezf2zz__errorz00
										(BGl_symbol1586z00zz__evutilsz00,
										BGl_string1588z00zz__evutilsz00, BgL_argsz00_5,
										BgL_argsz00_5);
								}
						}
				}
		}
	}



/* &args->list */
	obj_t BGl_z62argszd2ze3listz53zz__evutilsz00(obj_t BgL_envz00_1545,
		obj_t BgL_argsz00_1546)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 98 */
			return BGl_argszd2ze3listz31zz__evutilsz00(BgL_argsz00_1546);
		}
	}



/* bindings->list */
	BGL_EXPORTED_DEF obj_t BGl_bindingszd2ze3listz31zz__evutilsz00(obj_t
		BgL_bindingsz00_6)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 112 */
			if (NULLP(BgL_bindingsz00_6))
				{	/* Eval/evutils.scm 114 */
					return BNIL;
				}
			else
				{	/* Eval/evutils.scm 114 */
					if (PAIRP(BgL_bindingsz00_6))
						{	/* Eval/evutils.scm 118 */
							bool_t BgL_testz00_1623;

							{	/* Eval/evutils.scm 118 */
								obj_t BgL_auxz00_1624;

								BgL_auxz00_1624 = CAR(BgL_bindingsz00_6);
								BgL_testz00_1623 = SYMBOLP(BgL_auxz00_1624);
							}
							if (BgL_testz00_1623)
								{	/* Eval/evutils.scm 118 */
									return
										MAKE_PAIR(BgL_bindingsz00_6,
										BGl_bindingszd2ze3listz31zz__evutilsz00(CDR
											(BgL_bindingsz00_6)));
								}
							else
								{	/* Eval/evutils.scm 120 */
									bool_t BgL_testz00_1630;

									{	/* Eval/evutils.scm 120 */
										obj_t BgL_auxz00_1631;

										BgL_auxz00_1631 = CAR(BgL_bindingsz00_6);
										BgL_testz00_1630 = PAIRP(BgL_auxz00_1631);
									}
									if (BgL_testz00_1630)
										{	/* Eval/evutils.scm 120 */
											return
												MAKE_PAIR(CAR(BgL_bindingsz00_6),
												BGl_bindingszd2ze3listz31zz__evutilsz00(CDR
													(BgL_bindingsz00_6)));
										}
									else
										{	/* Eval/evutils.scm 120 */
											return
												BGl_errorzf2sourcezf2zz__errorz00
												(BGl_symbol1589z00zz__evutilsz00,
												BGl_string1591z00zz__evutilsz00, BgL_bindingsz00_6,
												BgL_bindingsz00_6);
										}
								}
						}
					else
						{	/* Eval/evutils.scm 116 */
							return
								BGl_errorzf2sourcezf2zz__errorz00
								(BGl_symbol1589z00zz__evutilsz00,
								BGl_string1591z00zz__evutilsz00, BgL_bindingsz00_6,
								BgL_bindingsz00_6);
						}
				}
		}
	}



/* &bindings->list */
	obj_t BGl_z62bindingszd2ze3listz53zz__evutilsz00(obj_t BgL_envz00_1547,
		obj_t BgL_bindingsz00_1548)
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 112 */
			return BGl_bindingszd2ze3listz31zz__evutilsz00(BgL_bindingsz00_1548);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evutilsz00()
	{
		AN_OBJECT;
		{	/* Eval/evutils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 477830603),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 171970731),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 515402798),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 454272164),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					381113196), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 482314420),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 434147503),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 261215800),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
			return BGl_modulezd2initializa7ationz75zz__macroz00(((long) 261397491),
				BSTRING_TO_STRING(BGl_string1592z00zz__evutilsz00));
		}
	}

#ifdef __cplusplus
}
#endif
