/*===========================================================================*/
/*   (Eval/macro.scm)                                                        */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/macro.scm -indent -o objs/obj_u/Eval/macro.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__macroz00 = BUNSPEC;
	extern obj_t BGl_evalzd2modulezd2zz__evmodulez00();
	BGL_EXPORTED_DECL obj_t
		BGl_installzd2compilerzd2expanderz00zz__macroz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2evalzd2expanderz62zz__macroz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__macroz00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t);
	static obj_t BGl_za2evalzd2macrozd2tableza2z00zz__macroz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__macroz00();
	static obj_t BGl_objectzd2initzd2zz__macroz00();
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2compilerzd2expanderz62zz__macroz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2macrozd2tablez00zz__evmodulez00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__macroz00();
	static obj_t BGl_modulezd2macrozd2tablez00zz__macroz00();
	static obj_t BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00 = BUNSPEC;
	extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_installzd2expanderzd2zz__macroz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3anonymousza31133ze31537ze1zz__macroz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__macroz00();
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_z62installzd2expanderzb0zz__macroz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_installzd2evalzd2expanderz00zz__macroz00(obj_t,
		obj_t);
	static obj_t BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31133ze3ze1zz__macroz00(obj_t, obj_t);
	extern obj_t BGl_hashtablezd2updatez12zc0zz__hashz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62installzd2evalzd2expanderz62zz__macroz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62installzd2compilerzd2expanderz62zz__macroz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1538z00zz__macroz00,
		BgL_bgl_string1538za700za7za7_1549za7, "eval-macros", 11);
	      DEFINE_STRING(BGl_string1539z00zz__macroz00,
		BgL_bgl_string1539za700za7za7_1550za7, "compiler-macros", 15);
	      DEFINE_STRING(BGl_string1540z00zz__macroz00,
		BgL_bgl_string1540za700za7za7_1551za7, "eval", 4);
	      DEFINE_STRING(BGl_string1541z00zz__macroz00,
		BgL_bgl_string1541za700za7za7_1552za7, "install-eval-expander", 21);
	      DEFINE_STRING(BGl_string1542z00zz__macroz00,
		BgL_bgl_string1542za700za7za7_1553za7, "Illegal expander expander", 25);
	      DEFINE_STRING(BGl_string1543z00zz__macroz00,
		BgL_bgl_string1543za700za7za7_1554za7, "Illegal expander keyword", 24);
	      DEFINE_STRING(BGl_string1544z00zz__macroz00,
		BgL_bgl_string1544za700za7za7_1555za7, "Redefinition of ", 16);
	      DEFINE_STRING(BGl_string1545z00zz__macroz00,
		BgL_bgl_string1545za700za7za7_1556za7, " expander -- ", 13);
	      DEFINE_STRING(BGl_string1546z00zz__macroz00,
		BgL_bgl_string1546za700za7za7_1557za7, "install-expander", 16);
	      DEFINE_STRING(BGl_string1547z00zz__macroz00,
		BgL_bgl_string1547za700za7za7_1558za7, "compiler", 8);
	      DEFINE_STRING(BGl_string1548z00zz__macroz00,
		BgL_bgl_string1548za700za7za7_1559za7, "__macro", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2compilerzd2expanderzd2envzd2zz__macroz00,
		BgL_bgl_za762installza7d2com1560z00,
		BGl_z62installzd2compilerzd2expanderz62zz__macroz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2compilerzd2expanderzd2envzd2zz__macroz00,
		BgL_bgl_za762getza7d2compile1561z00,
		BGl_z62getzd2compilerzd2expanderz62zz__macroz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2evalzd2expanderzd2envzd2zz__macroz00,
		BgL_bgl_za762installza7d2eva1562z00,
		BGl_z62installzd2evalzd2expanderz62zz__macroz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2evalzd2expanderzd2envzd2zz__macroz00,
		BgL_bgl_za762getza7d2evalza7d21563za7,
		BGl_z62getzd2evalzd2expanderz62zz__macroz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_installzd2expanderzd2envz00zz__macroz00,
		BgL_bgl_za762installza7d2exp1564z00,
		BGl_z62installzd2expanderzb0zz__macroz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long
		BgL_checksumz00_1517, char *BgL_fromz00_1518)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__macroz00))
				{
					BGl_requirezd2initializa7ationz75zz__macroz00 = BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__macroz00();
					return BGl_toplevelzd2initzd2zz__macroz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__macroz00()
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 14 */
			{	/* Eval/macro.scm 58 */
				obj_t BgL_res1494z00_1258;

				BgL_res1494z00_1258 = bgl_make_mutex(BGl_string1538z00zz__macroz00);
				BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00 = BgL_res1494z00_1258;
			}
			{	/* Eval/macro.scm 59 */
				obj_t BgL_res1495z00_1260;

				BgL_res1495z00_1260 = bgl_make_mutex(BGl_string1539z00zz__macroz00);
				BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00 = BgL_res1495z00_1260;
			}
			BGl_za2evalzd2macrozd2tableza2z00zz__macroz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			return (BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* module-macro-table */
	obj_t BGl_modulezd2macrozd2tablez00zz__macroz00()
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 75 */
			{	/* Eval/macro.scm 76 */
				obj_t BgL_mz00_923;

				BgL_mz00_923 = BGl_evalzd2modulezd2zz__evmodulez00();
				if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_mz00_923))
					{	/* Eval/macro.scm 77 */
						return BGl_evmodulezd2macrozd2tablez00zz__evmodulez00(BgL_mz00_923);
					}
				else
					{	/* Eval/macro.scm 77 */
						return BFALSE;
					}
			}
		}
	}



/* install-eval-expander */
	BGL_EXPORTED_DEF obj_t BGl_installzd2evalzd2expanderz00zz__macroz00(obj_t
		BgL_keywordz00_21, obj_t BgL_expanderz00_22)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 101 */
			if (SYMBOLP(BgL_keywordz00_21))
				{	/* Eval/macro.scm 103 */
					if (PROCEDUREP(BgL_expanderz00_22))
						{	/* Eval/macro.scm 108 */
							obj_t BgL_top1566z00_1537;

							BgL_top1566z00_1537 = BGL_EXITD_TOP_AS_OBJ();
							BGL_MUTEX_LOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00);
							BGL_EXITD_PUSH_PROTECT(BgL_top1566z00_1537,
								BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00);
							BUNSPEC;
							{	/* Eval/macro.scm 108 */
								obj_t BgL_tmp1565z00_1536;

								{	/* Eval/macro.scm 109 */
									obj_t BgL_arg1144z00_935;

									{	/* Eval/macro.scm 109 */
										obj_t BgL__ortest_1038z00_936;

										BgL__ortest_1038z00_936 =
											BGl_modulezd2macrozd2tablez00zz__macroz00();
										if (CBOOL(BgL__ortest_1038z00_936))
											{	/* Eval/macro.scm 109 */
												BgL_arg1144z00_935 = BgL__ortest_1038z00_936;
											}
										else
											{	/* Eval/macro.scm 109 */
												BgL_arg1144z00_935 =
													BGl_za2evalzd2macrozd2tableza2z00zz__macroz00;
											}
									}
									{	/* Eval/macro.scm 87 */
										obj_t BgL_zc3anonymousza31133ze3z83_1491;

										BgL_zc3anonymousza31133ze3z83_1491 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31133ze3ze1zz__macroz00,
											(int) (((long) 1)), (int) (((long) 3)));
										PROCEDURE_SET(BgL_zc3anonymousza31133ze3z83_1491,
											(int) (((long) 0)), BGl_string1540z00zz__macroz00);
										PROCEDURE_SET(BgL_zc3anonymousza31133ze3z83_1491,
											(int) (((long) 1)), BgL_keywordz00_21);
										PROCEDURE_SET(BgL_zc3anonymousza31133ze3z83_1491,
											(int) (((long) 2)), BgL_expanderz00_22);
										BgL_tmp1565z00_1536 =
											BGl_hashtablezd2updatez12zc0zz__hashz00
											(BgL_arg1144z00_935, BgL_keywordz00_21,
											BgL_zc3anonymousza31133ze3z83_1491, BgL_expanderz00_22);
								}}
								BGL_EXITD_POP_PROTECT(BgL_top1566z00_1537);
								BUNSPEC;
								BGL_MUTEX_UNLOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00);
								return BgL_tmp1565z00_1536;
							}
						}
					else
						{	/* Eval/macro.scm 105 */
							return
								BGl_errorz00zz__errorz00(BGl_string1541z00zz__macroz00,
								BGl_string1542z00zz__macroz00, BgL_expanderz00_22);
						}
				}
			else
				{	/* Eval/macro.scm 103 */
					return
						BGl_errorz00zz__errorz00(BGl_string1541z00zz__macroz00,
						BGl_string1543z00zz__macroz00, BgL_keywordz00_21);
				}
		}
	}



/* &install-eval-expander */
	obj_t BGl_z62installzd2evalzd2expanderz62zz__macroz00(obj_t BgL_envz00_1492,
		obj_t BgL_keywordz00_1493, obj_t BgL_expanderz00_1494)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 101 */
			return
				BGl_installzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_1493,
				BgL_expanderz00_1494);
		}
	}



/* &<anonymous:1133> */
	obj_t BGl_z62zc3anonymousza31133ze3ze1zz__macroz00(obj_t BgL_envz00_1495,
		obj_t BgL_xz00_1499)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 86 */
			{	/* Eval/macro.scm 87 */
				obj_t BgL_wherez00_1496;
				obj_t BgL_keyz00_1497;
				obj_t BgL_expanderz00_1498;

				BgL_wherez00_1496 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1495, (int) (((long) 0))));
				BgL_keyz00_1497 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1495, (int) (((long) 1))));
				BgL_expanderz00_1498 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1495, (int) (((long) 2))));
				{
					obj_t BgL_xz00_1277;

					BgL_xz00_1277 = BgL_xz00_1499;
					{	/* Eval/macro.scm 89 */
						obj_t BgL_arg1135z00_1278;

						BgL_arg1135z00_1278 =
							string_append_3(BGl_string1544z00zz__macroz00, BgL_wherez00_1496,
							BGl_string1545z00zz__macroz00);
						{	/* Eval/macro.scm 87 */
							obj_t BgL_list1136z00_1279;

							{	/* Eval/macro.scm 87 */
								obj_t BgL_arg1137z00_1280;

								{	/* Eval/macro.scm 87 */
									obj_t BgL_arg1140z00_1281;

									BgL_arg1140z00_1281 = MAKE_PAIR(BgL_keyz00_1497, BNIL);
									BgL_arg1137z00_1280 =
										MAKE_PAIR(BgL_arg1135z00_1278, BgL_arg1140z00_1281);
								}
								BgL_list1136z00_1279 =
									MAKE_PAIR(BGl_string1546z00zz__macroz00, BgL_arg1137z00_1280);
							}
							BGl_evwarningz00zz__everrorz00(BFALSE, BgL_list1136z00_1279);
					}}
					return BgL_expanderz00_1498;
				}
			}
		}
	}



/* install-compiler-expander */
	BGL_EXPORTED_DEF obj_t BGl_installzd2compilerzd2expanderz00zz__macroz00(obj_t
		BgL_keywordz00_23, obj_t BgL_expanderz00_24)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 117 */
			if (SYMBOLP(BgL_keywordz00_23))
				{	/* Eval/macro.scm 119 */
					if (PROCEDUREP(BgL_expanderz00_24))
						{	/* Eval/macro.scm 124 */
							obj_t BgL_top1568z00_1578;

							BgL_top1568z00_1578 = BGL_EXITD_TOP_AS_OBJ();
							BGL_MUTEX_LOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00);
							BGL_EXITD_PUSH_PROTECT(BgL_top1568z00_1578,
								BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00);
							BUNSPEC;
							{	/* Eval/macro.scm 124 */
								obj_t BgL_tmp1567z00_1577;

								{	/* Eval/macro.scm 125 */
									obj_t BgL_tablez00_1286;

									BgL_tablez00_1286 =
										BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00;
									{	/* Eval/macro.scm 87 */
										obj_t BgL_zc3anonymousza31133ze3z83_1500;

										BgL_zc3anonymousza31133ze3z83_1500 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31133ze31537ze1zz__macroz00,
											(int) (((long) 1)), (int) (((long) 3)));
										PROCEDURE_SET(BgL_zc3anonymousza31133ze3z83_1500,
											(int) (((long) 0)), BGl_string1547z00zz__macroz00);
										PROCEDURE_SET(BgL_zc3anonymousza31133ze3z83_1500,
											(int) (((long) 1)), BgL_keywordz00_23);
										PROCEDURE_SET(BgL_zc3anonymousza31133ze3z83_1500,
											(int) (((long) 2)), BgL_expanderz00_24);
										BgL_tmp1567z00_1577 =
											BGl_hashtablezd2updatez12zc0zz__hashz00(BgL_tablez00_1286,
											BgL_keywordz00_23, BgL_zc3anonymousza31133ze3z83_1500,
											BgL_expanderz00_24);
								}}
								BGL_EXITD_POP_PROTECT(BgL_top1568z00_1578);
								BUNSPEC;
								BGL_MUTEX_UNLOCK
									(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00);
								return BgL_tmp1567z00_1577;
							}
						}
					else
						{	/* Eval/macro.scm 121 */
							return
								BGl_errorz00zz__errorz00(BGl_string1541z00zz__macroz00,
								BGl_string1542z00zz__macroz00, BgL_expanderz00_24);
						}
				}
			else
				{	/* Eval/macro.scm 119 */
					return
						BGl_errorz00zz__errorz00(BGl_string1541z00zz__macroz00,
						BGl_string1543z00zz__macroz00, BgL_keywordz00_23);
				}
		}
	}



/* &install-compiler-expander */
	obj_t BGl_z62installzd2compilerzd2expanderz62zz__macroz00(obj_t
		BgL_envz00_1501, obj_t BgL_keywordz00_1502, obj_t BgL_expanderz00_1503)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 117 */
			return
				BGl_installzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_1502,
				BgL_expanderz00_1503);
		}
	}



/* &<anonymous:1133>1537 */
	obj_t BGl_z62zc3anonymousza31133ze31537ze1zz__macroz00(obj_t BgL_envz00_1504,
		obj_t BgL_xz00_1508)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 86 */
			{	/* Eval/macro.scm 87 */
				obj_t BgL_wherez00_1505;
				obj_t BgL_keyz00_1506;
				obj_t BgL_expanderz00_1507;

				BgL_wherez00_1505 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1504, (int) (((long) 0))));
				BgL_keyz00_1506 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1504, (int) (((long) 1))));
				BgL_expanderz00_1507 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1504, (int) (((long) 2))));
				{
					obj_t BgL_xz00_1291;

					BgL_xz00_1291 = BgL_xz00_1508;
					{	/* Eval/macro.scm 89 */
						obj_t BgL_arg1135z00_1292;

						BgL_arg1135z00_1292 =
							string_append_3(BGl_string1544z00zz__macroz00, BgL_wherez00_1505,
							BGl_string1545z00zz__macroz00);
						{	/* Eval/macro.scm 87 */
							obj_t BgL_list1136z00_1293;

							{	/* Eval/macro.scm 87 */
								obj_t BgL_arg1137z00_1294;

								{	/* Eval/macro.scm 87 */
									obj_t BgL_arg1140z00_1295;

									BgL_arg1140z00_1295 = MAKE_PAIR(BgL_keyz00_1506, BNIL);
									BgL_arg1137z00_1294 =
										MAKE_PAIR(BgL_arg1135z00_1292, BgL_arg1140z00_1295);
								}
								BgL_list1136z00_1293 =
									MAKE_PAIR(BGl_string1546z00zz__macroz00, BgL_arg1137z00_1294);
							}
							BGl_evwarningz00zz__everrorz00(BFALSE, BgL_list1136z00_1293);
					}}
					return BgL_expanderz00_1507;
				}
			}
		}
	}



/* install-expander */
	BGL_EXPORTED_DEF obj_t BGl_installzd2expanderzd2zz__macroz00(obj_t
		BgL_keywordz00_25, obj_t BgL_expanderz00_26)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 132 */
			BGl_installzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_25,
				BgL_expanderz00_26);
			return BGl_installzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_25,
				BgL_expanderz00_26);
		}
	}



/* &install-expander */
	obj_t BGl_z62installzd2expanderzb0zz__macroz00(obj_t BgL_envz00_1509,
		obj_t BgL_keywordz00_1510, obj_t BgL_expanderz00_1511)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 132 */
			return
				BGl_installzd2expanderzd2zz__macroz00(BgL_keywordz00_1510,
				BgL_expanderz00_1511);
		}
	}



/* get-eval-expander */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t
		BgL_keywordz00_27)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 141 */
			{	/* Eval/macro.scm 142 */
				obj_t BgL_top1570z00_1615;

				BgL_top1570z00_1615 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1570z00_1615,
					BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00);
				BUNSPEC;
				{	/* Eval/macro.scm 142 */
					obj_t BgL_tmp1569z00_1614;

					{	/* Eval/macro.scm 143 */
						obj_t BgL_mtablez00_939;

						BgL_mtablez00_939 = BGl_modulezd2macrozd2tablez00zz__macroz00();
						{	/* Eval/macro.scm 144 */
							obj_t BgL__ortest_1039z00_940;

							if (CBOOL(BgL_mtablez00_939))
								{	/* Eval/macro.scm 144 */
									BgL__ortest_1039z00_940 =
										BGl_hashtablezd2getzd2zz__hashz00(BgL_mtablez00_939,
										BgL_keywordz00_27);
								}
							else
								{	/* Eval/macro.scm 144 */
									BgL__ortest_1039z00_940 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1039z00_940))
								{	/* Eval/macro.scm 144 */
									BgL_tmp1569z00_1614 = BgL__ortest_1039z00_940;
								}
							else
								{	/* Eval/macro.scm 144 */
									BgL_tmp1569z00_1614 =
										BGl_hashtablezd2getzd2zz__hashz00
										(BGl_za2evalzd2macrozd2tableza2z00zz__macroz00,
										BgL_keywordz00_27);
								}
						}
					}
					BGL_EXITD_POP_PROTECT(BgL_top1570z00_1615);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00);
					return BgL_tmp1569z00_1614;
				}
			}
		}
	}



/* &get-eval-expander */
	obj_t BGl_z62getzd2evalzd2expanderz62zz__macroz00(obj_t BgL_envz00_1512,
		obj_t BgL_keywordz00_1513)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 141 */
			return BGl_getzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_1513);
		}
	}



/* get-compiler-expander */
	BGL_EXPORTED_DEF obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t
		BgL_keywordz00_28)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 155 */
			{	/* Eval/macro.scm 156 */
				obj_t BgL_top1572z00_1630;

				BgL_top1572z00_1630 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1572z00_1630,
					BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00);
				BUNSPEC;
				{	/* Eval/macro.scm 156 */
					obj_t BgL_tmp1571z00_1629;

					BgL_tmp1571z00_1629 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00,
						BgL_keywordz00_28);
					BGL_EXITD_POP_PROTECT(BgL_top1572z00_1630);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00);
					return BgL_tmp1571z00_1629;
				}
			}
		}
	}



/* &get-compiler-expander */
	obj_t BGl_z62getzd2compilerzd2expanderz62zz__macroz00(obj_t BgL_envz00_1514,
		obj_t BgL_keywordz00_1515)
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 155 */
			return BGl_getzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_1515);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__macroz00()
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__macroz00()
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__macroz00()
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__macroz00()
	{
		AN_OBJECT;
		{	/* Eval/macro.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1548z00zz__macroz00));
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 298032684),
				BSTRING_TO_STRING(BGl_string1548z00zz__macroz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1548z00zz__macroz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1047446),
				BSTRING_TO_STRING(BGl_string1548z00zz__macroz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1548z00zz__macroz00));
		}
	}

#ifdef __cplusplus
}
#endif
