/*===========================================================================*/
/*   (Rgc/rgc.scm)                                                           */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Rgc/rgc.scm -indent -o objs/obj_u/Rgc/rgc.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t,
		int);
	BGL_EXPORTED_DECL long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t, long);
	static obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t,
		obj_t);
	extern obj_t rgc_buffer_downcase_keyword(obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t, obj_t, obj_t);
	extern obj_t rgc_buffer_subsymbol(obj_t, long, long);
	static obj_t BGl_objectzd2initzd2zz__rgcz00();
	extern obj_t rgc_buffer_integer(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern double rgc_buffer_flonum(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_bof_p(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t, long,
		long, long);
	static obj_t BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t, int);
	extern obj_t rgc_buffer_keyword(obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t, long);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_substring(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_upcase_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t, long);
	extern obj_t rgc_buffer_escape_substring(obj_t, long, long, bool_t);
	static obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2bufposz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_bol_p(obj_t);
	static obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_insert_substring(obj_t, obj_t, long, long);
	extern bool_t rgc_buffer_eof_p(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgcz00();
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00();
	static obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern long rgc_buffer_fixnum(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t, long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t, long,
		long);
	extern bool_t rgc_buffer_insert_char(obj_t, int);
	static obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t, obj_t,
		obj_t);
	extern int rgc_buffer_unget_char(obj_t, int);
	extern obj_t rgc_buffer_symbol(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t,
		obj_t);
	static obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BUNSPEC;
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2forwardz00zz__rgcz00(obj_t);
	extern bool_t rgc_buffer_eol_p(obj_t, long, long);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t, obj_t, long,
		long);
	static obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
	static obj_t BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t rgc_buffer_upcase_keyword(obj_t);
	static obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl_symbol1720z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1722z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1724z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(obj_t, long, long);
	BGL_EXPORTED_DECL double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t, long, long,
		bool_t);
	extern obj_t rgc_buffer_downcase_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eof2zf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71728za7,
		BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2positionzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71729za7,
		BGl_z62rgczd2bufferzd2positionz62zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71730za7,
		BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2flonumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71731za7,
		BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2thezd2submatchzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2theza7d2s1732za7,
		BGl_z62rgczd2thezd2submatchz62zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71733za7,
		BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2bytezd2refzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71734za7,
		BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2symbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71735za7,
		BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1700z00zz__rgcz00,
		BgL_bgl_string1700za700za7za7_1736za7, "&rgc-buffer-subsymbol", 21);
	      DEFINE_STRING(BGl_string1701z00zz__rgcz00,
		BgL_bgl_string1701za700za7za7_1737za7, "&rgc-buffer-downcase-symbol", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2stopzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2stopza7d21738za7,
		BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1702z00zz__rgcz00,
		BgL_bgl_string1702za700za7za7_1739za7, "&rgc-buffer-downcase-subsymbol",
		30);
	      DEFINE_STRING(BGl_string1703z00zz__rgcz00,
		BgL_bgl_string1703za700za7za7_1740za7, "&rgc-buffer-upcase-symbol", 25);
	      DEFINE_STRING(BGl_string1704z00zz__rgcz00,
		BgL_bgl_string1704za700za7za7_1741za7, "&rgc-buffer-upcase-subsymbol", 28);
	      DEFINE_STRING(BGl_string1705z00zz__rgcz00,
		BgL_bgl_string1705za700za7za7_1742za7, "&rgc-buffer-keyword", 19);
	      DEFINE_STRING(BGl_string1706z00zz__rgcz00,
		BgL_bgl_string1706za700za7za7_1743za7, "&rgc-buffer-downcase-keyword", 28);
	      DEFINE_STRING(BGl_string1707z00zz__rgcz00,
		BgL_bgl_string1707za700za7za7_1744za7, "&rgc-buffer-upcase-keyword", 26);
	      DEFINE_STRING(BGl_string1708z00zz__rgcz00,
		BgL_bgl_string1708za700za7za7_1745za7, "&rgc-buffer-position", 20);
	      DEFINE_STRING(BGl_string1709z00zz__rgcz00,
		BgL_bgl_string1709za700za7za7_1746za7, "&rgc-buffer-forward", 19);
	      DEFINE_STRING(BGl_string1710z00zz__rgcz00,
		BgL_bgl_string1710za700za7za7_1747za7, "&rgc-buffer-bufpos", 18);
	      DEFINE_STRING(BGl_string1711z00zz__rgcz00,
		BgL_bgl_string1711za700za7za7_1748za7, "&rgc-set-filepos!", 17);
	      DEFINE_STRING(BGl_string1712z00zz__rgcz00,
		BgL_bgl_string1712za700za7za7_1749za7, "&rgc-start-match!", 17);
	      DEFINE_STRING(BGl_string1713z00zz__rgcz00,
		BgL_bgl_string1713za700za7za7_1750za7, "&rgc-stop-match!", 16);
	      DEFINE_STRING(BGl_string1714z00zz__rgcz00,
		BgL_bgl_string1714za700za7za7_1751za7, "&rgc-fill-buffer", 16);
	      DEFINE_STRING(BGl_string1715z00zz__rgcz00,
		BgL_bgl_string1715za700za7za7_1752za7, "&rgc-buffer-bol?", 16);
	      DEFINE_STRING(BGl_string1716z00zz__rgcz00,
		BgL_bgl_string1716za700za7za7_1753za7, "&rgc-buffer-eol?", 16);
	      DEFINE_STRING(BGl_string1717z00zz__rgcz00,
		BgL_bgl_string1717za700za7za7_1754za7, "&rgc-buffer-bof?", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2subsymbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71755za7,
		BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1718z00zz__rgcz00,
		BgL_bgl_string1718za700za7za7_1756za7, "&rgc-buffer-eof?", 16);
	      DEFINE_STRING(BGl_string1719z00zz__rgcz00,
		BgL_bgl_string1719za700za7za7_1757za7, "&rgc-buffer-eof2?", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2fixnumzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71758za7,
		BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1721z00zz__rgcz00,
		BgL_bgl_string1721za700za7za7_1759za7, "stop", 4);
	      DEFINE_STRING(BGl_string1723z00zz__rgcz00,
		BgL_bgl_string1723za700za7za7_1760za7, "start", 5);
	      DEFINE_STRING(BGl_string1725z00zz__rgcz00,
		BgL_bgl_string1725za700za7za7_1761za7, "start*", 6);
	      DEFINE_STRING(BGl_string1726z00zz__rgcz00,
		BgL_bgl_string1726za700za7za7_1762za7, "&rgc-the-submatch", 17);
	      DEFINE_STRING(BGl_string1727z00zz__rgcz00,
		BgL_bgl_string1727za700za7za7_1763za7, "__rgc", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71764za7,
		BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2substringz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71765za7,
		BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2getzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71766za7,
		BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bufposzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71767za7,
		BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1682z00zz__rgcz00,
		BgL_bgl_string1682za700za7za7_1768za7, "/tmp/bigloo/runtime/Rgc/rgc.scm",
		31);
	      DEFINE_STRING(BGl_string1683z00zz__rgcz00,
		BgL_bgl_string1683za700za7za7_1769za7, "&rgc-buffer-get-char", 20);
	      DEFINE_STRING(BGl_string1684z00zz__rgcz00,
		BgL_bgl_string1684za700za7za7_1770za7, "input-port", 10);
	      DEFINE_STRING(BGl_string1685z00zz__rgcz00,
		BgL_bgl_string1685za700za7za7_1771za7, "bint", 4);
	      DEFINE_STRING(BGl_string1686z00zz__rgcz00,
		BgL_bgl_string1686za700za7za7_1772za7, "&rgc-buffer-unget-char", 22);
	      DEFINE_STRING(BGl_string1687z00zz__rgcz00,
		BgL_bgl_string1687za700za7za7_1773za7, "&rgc-buffer-insert-substring!", 29);
	      DEFINE_STRING(BGl_string1688z00zz__rgcz00,
		BgL_bgl_string1688za700za7za7_1774za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1689z00zz__rgcz00,
		BgL_bgl_string1689za700za7za7_1775za7, "&rgc-buffer-insert-char!", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2forwardzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71776za7,
		BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1690z00zz__rgcz00,
		BgL_bgl_string1690za700za7za7_1777za7, "&rgc-buffer-character", 21);
	      DEFINE_STRING(BGl_string1691z00zz__rgcz00,
		BgL_bgl_string1691za700za7za7_1778za7, "&rgc-buffer-byte", 16);
	      DEFINE_STRING(BGl_string1692z00zz__rgcz00,
		BgL_bgl_string1692za700za7za7_1779za7, "&rgc-buffer-byte-ref", 20);
	      DEFINE_STRING(BGl_string1693z00zz__rgcz00,
		BgL_bgl_string1693za700za7za7_1780za7, "&rgc-buffer-substring", 21);
	      DEFINE_STRING(BGl_string1694z00zz__rgcz00,
		BgL_bgl_string1694za700za7za7_1781za7, "&rgc-buffer-escape-substring", 28);
	      DEFINE_STRING(BGl_string1695z00zz__rgcz00,
		BgL_bgl_string1695za700za7za7_1782za7, "&rgc-buffer-length", 18);
	      DEFINE_STRING(BGl_string1696z00zz__rgcz00,
		BgL_bgl_string1696za700za7za7_1783za7, "&rgc-buffer-fixnum", 18);
	      DEFINE_STRING(BGl_string1697z00zz__rgcz00,
		BgL_bgl_string1697za700za7za7_1784za7, "&rgc-buffer-integer", 19);
	      DEFINE_STRING(BGl_string1698z00zz__rgcz00,
		BgL_bgl_string1698za700za7za7_1785za7, "&rgc-buffer-flonum", 18);
	      DEFINE_STRING(BGl_string1699z00zz__rgcz00,
		BgL_bgl_string1699za700za7za7_1786za7, "&rgc-buffer-symbol", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2subsymbolzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71787za7,
		BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2integerzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71788za7,
		BGl_z62rgczd2bufferzd2integerz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2keywordzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71789za7,
		BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71790za7,
		BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2insertzd2charz12zd2envz12zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71791za7,
		BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2lengthzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71792za7,
		BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2fillzd2bufferzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2fillza7d21793za7,
		BGl_z62rgczd2fillzd2bufferz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2subsymbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71794za7,
		BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eofzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71795za7,
		BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2ungetzd2charzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71796za7,
		BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2characterzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71797za7,
		BGl_z62rgczd2bufferzd2characterz62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2escapezd2substringzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71798za7,
		BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2substringzd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71799za7,
		BGl_z62rgczd2bufferzd2substringz62zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2startzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2startza7d1800za7,
		BGl_z62rgczd2startzd2matchz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71801za7,
		BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bytezd2envzd2zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71802za7,
		BGl_z62rgczd2bufferzd2bytez62zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71803za7,
		BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2setzd2fileposz12zd2envzc0zz__rgcz00,
		BgL_bgl_za762rgcza7d2setza7d2f1804za7,
		BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bolzf3zd2envz21zz__rgcz00,
		BgL_bgl_za762rgcza7d2bufferza71805za7,
		BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long
		BgL_checksumz00_1912, char *BgL_fromz00_1913)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgcz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgcz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgcz00();
					BGl_importedzd2moduleszd2initz00zz__rgcz00();
					return BGl_toplevelzd2initzd2zz__rgcz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			BGl_symbol1720z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1721z00zz__rgcz00);
			BGl_symbol1722z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1723z00zz__rgcz00);
			return (BGl_symbol1724z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1725z00zz__rgcz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return (BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BFALSE, BUNSPEC);
		}
	}



/* rgc-buffer-get-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_3, long BgL_indexz00_4)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 240 */
			return RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_3, BgL_indexz00_4);
		}
	}



/* &rgc-buffer-get-char */
	obj_t BGl_z62rgczd2bufferzd2getzd2charzb0zz__rgcz00(obj_t BgL_envz00_1629,
		obj_t BgL_inputzd2portzd2_1630, obj_t BgL_indexz00_1631)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 240 */
			{	/* Rgc/rgc.scm 241 */
				int BgL_auxz00_1924;

				{	/* Rgc/rgc.scm 241 */
					obj_t BgL_inputzd2portzd2_1846;
					long BgL_indexz00_1847;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1630))
						{	/* Rgc/rgc.scm 241 */
							BgL_inputzd2portzd2_1846 = BgL_inputzd2portzd2_1630;
						}
					else
						{
							obj_t BgL_auxz00_1927;

							BgL_auxz00_1927 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 11332)), BGl_string1683z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1630);
							FAILURE(BgL_auxz00_1927, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 241 */
						obj_t BgL_auxz00_1931;

						if (INTEGERP(BgL_indexz00_1631))
							{	/* Rgc/rgc.scm 241 */
								BgL_auxz00_1931 = BgL_indexz00_1631;
							}
						else
							{
								obj_t BgL_auxz00_1934;

								BgL_auxz00_1934 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 11332)), BGl_string1683z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_indexz00_1631);
								FAILURE(BgL_auxz00_1934, BFALSE, BFALSE);
							}
						BgL_indexz00_1847 = (long) CINT(BgL_auxz00_1931);
					}
					BgL_auxz00_1924 =
						RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1846, BgL_indexz00_1847);
				}
				return BINT(BgL_auxz00_1924);
			}
		}
	}



/* rgc-buffer-unget-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_5, int BgL_charz00_6)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 246 */
			return rgc_buffer_unget_char(BgL_inputzd2portzd2_5, BgL_charz00_6);
		}
	}



/* &rgc-buffer-unget-char */
	obj_t BGl_z62rgczd2bufferzd2ungetzd2charzb0zz__rgcz00(obj_t BgL_envz00_1632,
		obj_t BgL_inputzd2portzd2_1633, obj_t BgL_charz00_1634)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 246 */
			{	/* Rgc/rgc.scm 247 */
				int BgL_auxz00_1942;

				{	/* Rgc/rgc.scm 247 */
					obj_t BgL_inputzd2portzd2_1848;
					int BgL_charz00_1849;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1633))
						{	/* Rgc/rgc.scm 247 */
							BgL_inputzd2portzd2_1848 = BgL_inputzd2portzd2_1633;
						}
					else
						{
							obj_t BgL_auxz00_1945;

							BgL_auxz00_1945 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 11654)), BGl_string1686z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1633);
							FAILURE(BgL_auxz00_1945, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 247 */
						obj_t BgL_auxz00_1949;

						if (INTEGERP(BgL_charz00_1634))
							{	/* Rgc/rgc.scm 247 */
								BgL_auxz00_1949 = BgL_charz00_1634;
							}
						else
							{
								obj_t BgL_auxz00_1952;

								BgL_auxz00_1952 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 11654)), BGl_string1686z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_charz00_1634);
								FAILURE(BgL_auxz00_1952, BFALSE, BFALSE);
							}
						BgL_charz00_1849 = CINT(BgL_auxz00_1949);
					}
					BgL_auxz00_1942 =
						rgc_buffer_unget_char(BgL_inputzd2portzd2_1848, BgL_charz00_1849);
				}
				return BINT(BgL_auxz00_1942);
			}
		}
	}



/* rgc-buffer-insert-substring! */
	BGL_EXPORTED_DEF bool_t
		BGl_rgczd2bufferzd2insertzd2substringz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_7, obj_t BgL_strz00_8, long BgL_fromz00_9,
		long BgL_toz00_10)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 252 */
			return
				rgc_buffer_insert_substring(BgL_inputzd2portzd2_7, BgL_strz00_8,
				BgL_fromz00_9, BgL_toz00_10);
		}
	}



/* &rgc-buffer-insert-substring! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2substringz12za2zz__rgcz00(obj_t
		BgL_envz00_1635, obj_t BgL_inputzd2portzd2_1636, obj_t BgL_strz00_1637,
		obj_t BgL_fromz00_1638, obj_t BgL_toz00_1639)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 252 */
			{	/* Rgc/rgc.scm 253 */
				bool_t BgL_auxz00_1960;

				{	/* Rgc/rgc.scm 253 */
					obj_t BgL_inputzd2portzd2_1850;
					obj_t BgL_strz00_1851;
					long BgL_fromz00_1852;
					long BgL_toz00_1853;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1636))
						{	/* Rgc/rgc.scm 253 */
							BgL_inputzd2portzd2_1850 = BgL_inputzd2portzd2_1636;
						}
					else
						{
							obj_t BgL_auxz00_1963;

							BgL_auxz00_1963 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 11991)), BGl_string1687z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1636);
							FAILURE(BgL_auxz00_1963, BFALSE, BFALSE);
						}
					if (STRINGP(BgL_strz00_1637))
						{	/* Rgc/rgc.scm 253 */
							BgL_strz00_1851 = BgL_strz00_1637;
						}
					else
						{
							obj_t BgL_auxz00_1969;

							BgL_auxz00_1969 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 11991)), BGl_string1687z00zz__rgcz00,
								BGl_string1688z00zz__rgcz00, BgL_strz00_1637);
							FAILURE(BgL_auxz00_1969, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 253 */
						obj_t BgL_auxz00_1973;

						if (INTEGERP(BgL_fromz00_1638))
							{	/* Rgc/rgc.scm 253 */
								BgL_auxz00_1973 = BgL_fromz00_1638;
							}
						else
							{
								obj_t BgL_auxz00_1976;

								BgL_auxz00_1976 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 11991)), BGl_string1687z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_fromz00_1638);
								FAILURE(BgL_auxz00_1976, BFALSE, BFALSE);
							}
						BgL_fromz00_1852 = (long) CINT(BgL_auxz00_1973);
					}
					{	/* Rgc/rgc.scm 253 */
						obj_t BgL_auxz00_1981;

						if (INTEGERP(BgL_toz00_1639))
							{	/* Rgc/rgc.scm 253 */
								BgL_auxz00_1981 = BgL_toz00_1639;
							}
						else
							{
								obj_t BgL_auxz00_1984;

								BgL_auxz00_1984 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 11991)), BGl_string1687z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_toz00_1639);
								FAILURE(BgL_auxz00_1984, BFALSE, BFALSE);
							}
						BgL_toz00_1853 = (long) CINT(BgL_auxz00_1981);
					}
					BgL_auxz00_1960 =
						rgc_buffer_insert_substring(BgL_inputzd2portzd2_1850,
						BgL_strz00_1851, BgL_fromz00_1852, BgL_toz00_1853);
				}
				return BBOOL(BgL_auxz00_1960);
			}
		}
	}



/* rgc-buffer-insert-char! */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2insertzd2charz12zc0zz__rgcz00(obj_t
		BgL_inputzd2portzd2_11, long BgL_charz00_12)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 258 */
			return
				rgc_buffer_insert_char(BgL_inputzd2portzd2_11, (int) (BgL_charz00_12));
		}
	}



/* &rgc-buffer-insert-char! */
	obj_t BGl_z62rgczd2bufferzd2insertzd2charz12za2zz__rgcz00(obj_t
		BgL_envz00_1640, obj_t BgL_inputzd2portzd2_1641, obj_t BgL_charz00_1642)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 258 */
			{	/* Rgc/rgc.scm 259 */
				bool_t BgL_auxz00_1993;

				{	/* Rgc/rgc.scm 259 */
					obj_t BgL_inputzd2portzd2_1854;
					long BgL_charz00_1855;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1641))
						{	/* Rgc/rgc.scm 259 */
							BgL_inputzd2portzd2_1854 = BgL_inputzd2portzd2_1641;
						}
					else
						{
							obj_t BgL_auxz00_1996;

							BgL_auxz00_1996 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 12329)), BGl_string1689z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1641);
							FAILURE(BgL_auxz00_1996, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 259 */
						obj_t BgL_auxz00_2000;

						if (INTEGERP(BgL_charz00_1642))
							{	/* Rgc/rgc.scm 259 */
								BgL_auxz00_2000 = BgL_charz00_1642;
							}
						else
							{
								obj_t BgL_auxz00_2003;

								BgL_auxz00_2003 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 12329)), BGl_string1689z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_charz00_1642);
								FAILURE(BgL_auxz00_2003, BFALSE, BFALSE);
							}
						BgL_charz00_1855 = (long) CINT(BgL_auxz00_2000);
					}
					BgL_auxz00_1993 =
						rgc_buffer_insert_char(BgL_inputzd2portzd2_1854,
						(int) (BgL_charz00_1855));
				}
				return BBOOL(BgL_auxz00_1993);
			}
		}
	}



/* rgc-buffer-character */
	BGL_EXPORTED_DEF unsigned char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_13)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 264 */
			return RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_13);
		}
	}



/* &rgc-buffer-character */
	obj_t BGl_z62rgczd2bufferzd2characterz62zz__rgcz00(obj_t BgL_envz00_1643,
		obj_t BgL_inputzd2portzd2_1644)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 264 */
			{	/* Rgc/rgc.scm 265 */
				unsigned char BgL_auxz00_2012;

				{	/* Rgc/rgc.scm 265 */
					obj_t BgL_inputzd2portzd2_1856;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1644))
						{	/* Rgc/rgc.scm 265 */
							BgL_inputzd2portzd2_1856 = BgL_inputzd2portzd2_1644;
						}
					else
						{
							obj_t BgL_auxz00_2015;

							BgL_auxz00_2015 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 12647)), BGl_string1690z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1644);
							FAILURE(BgL_auxz00_2015, BFALSE, BFALSE);
						}
					BgL_auxz00_2012 = RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_1856);
				}
				return BCHAR(BgL_auxz00_2012);
			}
		}
	}



/* rgc-buffer-byte */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_14)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 270 */
			return RGC_BUFFER_BYTE(BgL_inputzd2portzd2_14);
		}
	}



/* &rgc-buffer-byte */
	obj_t BGl_z62rgczd2bufferzd2bytez62zz__rgcz00(obj_t BgL_envz00_1645,
		obj_t BgL_inputzd2portzd2_1646)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 270 */
			{	/* Rgc/rgc.scm 271 */
				int BgL_auxz00_2022;

				{	/* Rgc/rgc.scm 271 */
					obj_t BgL_inputzd2portzd2_1857;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1646))
						{	/* Rgc/rgc.scm 271 */
							BgL_inputzd2portzd2_1857 = BgL_inputzd2portzd2_1646;
						}
					else
						{
							obj_t BgL_auxz00_2025;

							BgL_auxz00_2025 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 12953)), BGl_string1691z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1646);
							FAILURE(BgL_auxz00_2025, BFALSE, BFALSE);
						}
					BgL_auxz00_2022 = RGC_BUFFER_BYTE(BgL_inputzd2portzd2_1857);
				}
				return BINT(BgL_auxz00_2022);
			}
		}
	}



/* rgc-buffer-byte-ref */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_15, int BgL_offsetz00_16)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 276 */
			return RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_15, BgL_offsetz00_16);
		}
	}



/* &rgc-buffer-byte-ref */
	obj_t BGl_z62rgczd2bufferzd2bytezd2refzb0zz__rgcz00(obj_t BgL_envz00_1647,
		obj_t BgL_inputzd2portzd2_1648, obj_t BgL_offsetz00_1649)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 276 */
			{	/* Rgc/rgc.scm 277 */
				int BgL_auxz00_2032;

				{	/* Rgc/rgc.scm 277 */
					obj_t BgL_inputzd2portzd2_1858;
					int BgL_offsetz00_1859;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1648))
						{	/* Rgc/rgc.scm 277 */
							BgL_inputzd2portzd2_1858 = BgL_inputzd2portzd2_1648;
						}
					else
						{
							obj_t BgL_auxz00_2035;

							BgL_auxz00_2035 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 13265)), BGl_string1692z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1648);
							FAILURE(BgL_auxz00_2035, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 277 */
						obj_t BgL_auxz00_2039;

						if (INTEGERP(BgL_offsetz00_1649))
							{	/* Rgc/rgc.scm 277 */
								BgL_auxz00_2039 = BgL_offsetz00_1649;
							}
						else
							{
								obj_t BgL_auxz00_2042;

								BgL_auxz00_2042 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 13265)), BGl_string1692z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_offsetz00_1649);
								FAILURE(BgL_auxz00_2042, BFALSE, BFALSE);
							}
						BgL_offsetz00_1859 = CINT(BgL_auxz00_2039);
					}
					BgL_auxz00_2032 =
						RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_1858, BgL_offsetz00_1859);
				}
				return BINT(BgL_auxz00_2032);
			}
		}
	}



/* rgc-buffer-substring */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_17, long BgL_startz00_18, long BgL_stopz00_19)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 282 */
			return
				rgc_buffer_substring(BgL_inputzd2portzd2_17, BgL_startz00_18,
				BgL_stopz00_19);
		}
	}



/* &rgc-buffer-substring */
	obj_t BGl_z62rgczd2bufferzd2substringz62zz__rgcz00(obj_t BgL_envz00_1650,
		obj_t BgL_inputzd2portzd2_1651, obj_t BgL_startz00_1652,
		obj_t BgL_stopz00_1653)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 282 */
			{	/* Rgc/rgc.scm 283 */
				obj_t BgL_inputzd2portzd2_1860;
				long BgL_startz00_1861;
				long BgL_stopz00_1862;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1651))
					{	/* Rgc/rgc.scm 283 */
						BgL_inputzd2portzd2_1860 = BgL_inputzd2portzd2_1651;
					}
				else
					{
						obj_t BgL_auxz00_2052;

						BgL_auxz00_2052 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 13593)), BGl_string1693z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1651);
						FAILURE(BgL_auxz00_2052, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 283 */
					obj_t BgL_auxz00_2056;

					if (INTEGERP(BgL_startz00_1652))
						{	/* Rgc/rgc.scm 283 */
							BgL_auxz00_2056 = BgL_startz00_1652;
						}
					else
						{
							obj_t BgL_auxz00_2059;

							BgL_auxz00_2059 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 13593)), BGl_string1693z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_startz00_1652);
							FAILURE(BgL_auxz00_2059, BFALSE, BFALSE);
						}
					BgL_startz00_1861 = (long) CINT(BgL_auxz00_2056);
				}
				{	/* Rgc/rgc.scm 283 */
					obj_t BgL_auxz00_2064;

					if (INTEGERP(BgL_stopz00_1653))
						{	/* Rgc/rgc.scm 283 */
							BgL_auxz00_2064 = BgL_stopz00_1653;
						}
					else
						{
							obj_t BgL_auxz00_2067;

							BgL_auxz00_2067 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 13593)), BGl_string1693z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_stopz00_1653);
							FAILURE(BgL_auxz00_2067, BFALSE, BFALSE);
						}
					BgL_stopz00_1862 = (long) CINT(BgL_auxz00_2064);
				}
				return
					rgc_buffer_substring(BgL_inputzd2portzd2_1860, BgL_startz00_1861,
					BgL_stopz00_1862);
			}
		}
	}



/* rgc-buffer-escape-substring */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2escapezd2substringzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_20, long BgL_startz00_21, long BgL_stopz00_22,
		bool_t BgL_strictz00_23)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 288 */
			return
				rgc_buffer_escape_substring(BgL_inputzd2portzd2_20, BgL_startz00_21,
				BgL_stopz00_22, BgL_strictz00_23);
		}
	}



/* &rgc-buffer-escape-substring */
	obj_t BGl_z62rgczd2bufferzd2escapezd2substringzb0zz__rgcz00(obj_t
		BgL_envz00_1654, obj_t BgL_inputzd2portzd2_1655, obj_t BgL_startz00_1656,
		obj_t BgL_stopz00_1657, obj_t BgL_strictz00_1658)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 288 */
			{	/* Rgc/rgc.scm 289 */
				obj_t BgL_inputzd2portzd2_1863;
				long BgL_startz00_1864;
				long BgL_stopz00_1865;
				bool_t BgL_strictz00_1866;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1655))
					{	/* Rgc/rgc.scm 289 */
						BgL_inputzd2portzd2_1863 = BgL_inputzd2portzd2_1655;
					}
				else
					{
						obj_t BgL_auxz00_2076;

						BgL_auxz00_2076 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 13940)), BGl_string1694z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1655);
						FAILURE(BgL_auxz00_2076, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 289 */
					obj_t BgL_auxz00_2080;

					if (INTEGERP(BgL_startz00_1656))
						{	/* Rgc/rgc.scm 289 */
							BgL_auxz00_2080 = BgL_startz00_1656;
						}
					else
						{
							obj_t BgL_auxz00_2083;

							BgL_auxz00_2083 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 13940)), BGl_string1694z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_startz00_1656);
							FAILURE(BgL_auxz00_2083, BFALSE, BFALSE);
						}
					BgL_startz00_1864 = (long) CINT(BgL_auxz00_2080);
				}
				{	/* Rgc/rgc.scm 289 */
					obj_t BgL_auxz00_2088;

					if (INTEGERP(BgL_stopz00_1657))
						{	/* Rgc/rgc.scm 289 */
							BgL_auxz00_2088 = BgL_stopz00_1657;
						}
					else
						{
							obj_t BgL_auxz00_2091;

							BgL_auxz00_2091 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 13940)), BGl_string1694z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_stopz00_1657);
							FAILURE(BgL_auxz00_2091, BFALSE, BFALSE);
						}
					BgL_stopz00_1865 = (long) CINT(BgL_auxz00_2088);
				}
				BgL_strictz00_1866 = CBOOL(BgL_strictz00_1658);
				return
					rgc_buffer_escape_substring(BgL_inputzd2portzd2_1863,
					BgL_startz00_1864, BgL_stopz00_1865, BgL_strictz00_1866);
			}
		}
	}



/* rgc-buffer-length */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_24)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 294 */
			return RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_24);
		}
	}



/* &rgc-buffer-length */
	obj_t BGl_z62rgczd2bufferzd2lengthz62zz__rgcz00(obj_t BgL_envz00_1659,
		obj_t BgL_inputzd2portzd2_1660)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 294 */
			{	/* Rgc/rgc.scm 295 */
				long BgL_auxz00_2099;

				{	/* Rgc/rgc.scm 295 */
					obj_t BgL_inputzd2portzd2_1867;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1660))
						{	/* Rgc/rgc.scm 295 */
							BgL_inputzd2portzd2_1867 = BgL_inputzd2portzd2_1660;
						}
					else
						{
							obj_t BgL_auxz00_2102;

							BgL_auxz00_2102 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 14291)), BGl_string1695z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1660);
							FAILURE(BgL_auxz00_2102, BFALSE, BFALSE);
						}
					BgL_auxz00_2099 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1867);
				}
				return BINT(BgL_auxz00_2099);
			}
		}
	}



/* rgc-buffer-fixnum */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_25)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 300 */
			return rgc_buffer_fixnum(BgL_inputzd2portzd2_25);
		}
	}



/* &rgc-buffer-fixnum */
	obj_t BGl_z62rgczd2bufferzd2fixnumz62zz__rgcz00(obj_t BgL_envz00_1661,
		obj_t BgL_inputzd2portzd2_1662)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 300 */
			{	/* Rgc/rgc.scm 301 */
				long BgL_auxz00_2109;

				{	/* Rgc/rgc.scm 301 */
					obj_t BgL_inputzd2portzd2_1868;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1662))
						{	/* Rgc/rgc.scm 301 */
							BgL_inputzd2portzd2_1868 = BgL_inputzd2portzd2_1662;
						}
					else
						{
							obj_t BgL_auxz00_2112;

							BgL_auxz00_2112 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 14614)), BGl_string1696z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1662);
							FAILURE(BgL_auxz00_2112, BFALSE, BFALSE);
						}
					BgL_auxz00_2109 = rgc_buffer_fixnum(BgL_inputzd2portzd2_1868);
				}
				return BINT(BgL_auxz00_2109);
			}
		}
	}



/* rgc-buffer-integer */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_26)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 306 */
			return rgc_buffer_integer(BgL_inputzd2portzd2_26);
		}
	}



/* &rgc-buffer-integer */
	obj_t BGl_z62rgczd2bufferzd2integerz62zz__rgcz00(obj_t BgL_envz00_1663,
		obj_t BgL_inputzd2portzd2_1664)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 306 */
			{	/* Rgc/rgc.scm 307 */
				obj_t BgL_inputzd2portzd2_1869;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1664))
					{	/* Rgc/rgc.scm 307 */
						BgL_inputzd2portzd2_1869 = BgL_inputzd2portzd2_1664;
					}
				else
					{
						obj_t BgL_auxz00_2121;

						BgL_auxz00_2121 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 14937)), BGl_string1697z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1664);
						FAILURE(BgL_auxz00_2121, BFALSE, BFALSE);
					}
				return rgc_buffer_integer(BgL_inputzd2portzd2_1869);
			}
		}
	}



/* rgc-buffer-flonum */
	BGL_EXPORTED_DEF double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_27)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 312 */
			return rgc_buffer_flonum(BgL_inputzd2portzd2_27);
		}
	}



/* &rgc-buffer-flonum */
	obj_t BGl_z62rgczd2bufferzd2flonumz62zz__rgcz00(obj_t BgL_envz00_1665,
		obj_t BgL_inputzd2portzd2_1666)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 312 */
			{	/* Rgc/rgc.scm 313 */
				double BgL_auxz00_2127;

				{	/* Rgc/rgc.scm 313 */
					obj_t BgL_inputzd2portzd2_1870;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1666))
						{	/* Rgc/rgc.scm 313 */
							BgL_inputzd2portzd2_1870 = BgL_inputzd2portzd2_1666;
						}
					else
						{
							obj_t BgL_auxz00_2130;

							BgL_auxz00_2130 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 15263)), BGl_string1698z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1666);
							FAILURE(BgL_auxz00_2130, BFALSE, BFALSE);
						}
					BgL_auxz00_2127 = rgc_buffer_flonum(BgL_inputzd2portzd2_1870);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_2127);
			}
		}
	}



/* rgc-buffer-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_28)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 318 */
			return rgc_buffer_symbol(BgL_inputzd2portzd2_28);
		}
	}



/* &rgc-buffer-symbol */
	obj_t BGl_z62rgczd2bufferzd2symbolz62zz__rgcz00(obj_t BgL_envz00_1667,
		obj_t BgL_inputzd2portzd2_1668)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 318 */
			{	/* Rgc/rgc.scm 319 */
				obj_t BgL_inputzd2portzd2_1871;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1668))
					{	/* Rgc/rgc.scm 319 */
						BgL_inputzd2portzd2_1871 = BgL_inputzd2portzd2_1668;
					}
				else
					{
						obj_t BgL_auxz00_2139;

						BgL_auxz00_2139 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 15588)), BGl_string1699z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1668);
						FAILURE(BgL_auxz00_2139, BFALSE, BFALSE);
					}
				return rgc_buffer_symbol(BgL_inputzd2portzd2_1871);
			}
		}
	}



/* rgc-buffer-subsymbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_29, long BgL_startz00_30, long BgL_stopz00_31)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 324 */
			return
				rgc_buffer_subsymbol(BgL_inputzd2portzd2_29, BgL_startz00_30,
				BgL_stopz00_31);
		}
	}



/* &rgc-buffer-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2subsymbolz62zz__rgcz00(obj_t BgL_envz00_1669,
		obj_t BgL_inputzd2portzd2_1670, obj_t BgL_startz00_1671,
		obj_t BgL_stopz00_1672)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 324 */
			{	/* Rgc/rgc.scm 325 */
				obj_t BgL_inputzd2portzd2_1872;
				long BgL_startz00_1873;
				long BgL_stopz00_1874;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1670))
					{	/* Rgc/rgc.scm 325 */
						BgL_inputzd2portzd2_1872 = BgL_inputzd2portzd2_1670;
					}
				else
					{
						obj_t BgL_auxz00_2147;

						BgL_auxz00_2147 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 15907)), BGl_string1700z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1670);
						FAILURE(BgL_auxz00_2147, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 325 */
					obj_t BgL_auxz00_2151;

					if (INTEGERP(BgL_startz00_1671))
						{	/* Rgc/rgc.scm 325 */
							BgL_auxz00_2151 = BgL_startz00_1671;
						}
					else
						{
							obj_t BgL_auxz00_2154;

							BgL_auxz00_2154 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 15907)), BGl_string1700z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_startz00_1671);
							FAILURE(BgL_auxz00_2154, BFALSE, BFALSE);
						}
					BgL_startz00_1873 = (long) CINT(BgL_auxz00_2151);
				}
				{	/* Rgc/rgc.scm 325 */
					obj_t BgL_auxz00_2159;

					if (INTEGERP(BgL_stopz00_1672))
						{	/* Rgc/rgc.scm 325 */
							BgL_auxz00_2159 = BgL_stopz00_1672;
						}
					else
						{
							obj_t BgL_auxz00_2162;

							BgL_auxz00_2162 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 15907)), BGl_string1700z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_stopz00_1672);
							FAILURE(BgL_auxz00_2162, BFALSE, BFALSE);
						}
					BgL_stopz00_1874 = (long) CINT(BgL_auxz00_2159);
				}
				return
					rgc_buffer_subsymbol(BgL_inputzd2portzd2_1872, BgL_startz00_1873,
					BgL_stopz00_1874);
			}
		}
	}



/* rgc-buffer-downcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_32)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 330 */
			{	/* Rgc/rgc.scm 331 */
				long BgL_arg1140z00_1875;

				{	/* Rgc/rgc.scm 331 */
					long BgL_res1502z00_1876;

					BgL_res1502z00_1876 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_32);
					BgL_arg1140z00_1875 = BgL_res1502z00_1876;
				}
				return
					rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_32, ((long) 0),
					BgL_arg1140z00_1875);
		}}
	}



/* &rgc-buffer-downcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1673, obj_t BgL_inputzd2portzd2_1674)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 330 */
			{	/* Rgc/rgc.scm 331 */
				obj_t BgL_inputzd2portzd2_1877;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1674))
					{	/* Rgc/rgc.scm 331 */
						BgL_inputzd2portzd2_1877 = BgL_inputzd2portzd2_1674;
					}
				else
					{
						obj_t BgL_auxz00_2172;

						BgL_auxz00_2172 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 16300)), BGl_string1701z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1674);
						FAILURE(BgL_auxz00_2172, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 331 */
					long BgL_arg1140z00_1878;

					{	/* Rgc/rgc.scm 331 */
						long BgL_res1502z00_1879;

						BgL_res1502z00_1879 =
							RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1877);
						BgL_arg1140z00_1878 = BgL_res1502z00_1879;
					}
					return
						rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_1877, ((long) 0),
						BgL_arg1140z00_1878);
		}}}
	}



/* rgc-buffer-downcase-subsymbol */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2subsymbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_33, long BgL_startz00_34, long BgL_stopz00_35)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 336 */
			return
				rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_33, BgL_startz00_34,
				BgL_stopz00_35);
		}
	}



/* &rgc-buffer-downcase-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2subsymbolzb0zz__rgcz00(obj_t
		BgL_envz00_1675, obj_t BgL_inputzd2portzd2_1676, obj_t BgL_startz00_1677,
		obj_t BgL_stopz00_1678)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 336 */
			{	/* Rgc/rgc.scm 337 */
				obj_t BgL_inputzd2portzd2_1880;
				long BgL_startz00_1881;
				long BgL_stopz00_1882;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1676))
					{	/* Rgc/rgc.scm 337 */
						BgL_inputzd2portzd2_1880 = BgL_inputzd2portzd2_1676;
					}
				else
					{
						obj_t BgL_auxz00_2181;

						BgL_auxz00_2181 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 16640)), BGl_string1702z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1676);
						FAILURE(BgL_auxz00_2181, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 337 */
					obj_t BgL_auxz00_2185;

					if (INTEGERP(BgL_startz00_1677))
						{	/* Rgc/rgc.scm 337 */
							BgL_auxz00_2185 = BgL_startz00_1677;
						}
					else
						{
							obj_t BgL_auxz00_2188;

							BgL_auxz00_2188 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 16640)), BGl_string1702z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_startz00_1677);
							FAILURE(BgL_auxz00_2188, BFALSE, BFALSE);
						}
					BgL_startz00_1881 = (long) CINT(BgL_auxz00_2185);
				}
				{	/* Rgc/rgc.scm 337 */
					obj_t BgL_auxz00_2193;

					if (INTEGERP(BgL_stopz00_1678))
						{	/* Rgc/rgc.scm 337 */
							BgL_auxz00_2193 = BgL_stopz00_1678;
						}
					else
						{
							obj_t BgL_auxz00_2196;

							BgL_auxz00_2196 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 16640)), BGl_string1702z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_stopz00_1678);
							FAILURE(BgL_auxz00_2196, BFALSE, BFALSE);
						}
					BgL_stopz00_1882 = (long) CINT(BgL_auxz00_2193);
				}
				return
					rgc_buffer_downcase_subsymbol(BgL_inputzd2portzd2_1880,
					BgL_startz00_1881, BgL_stopz00_1882);
			}
		}
	}



/* rgc-buffer-upcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_36)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 342 */
			{	/* Rgc/rgc.scm 343 */
				long BgL_arg1141z00_1883;

				{	/* Rgc/rgc.scm 343 */
					long BgL_res1503z00_1884;

					BgL_res1503z00_1884 = RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_36);
					BgL_arg1141z00_1883 = BgL_res1503z00_1884;
				}
				return
					rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_36, ((long) 0),
					BgL_arg1141z00_1883);
		}}
	}



/* &rgc-buffer-upcase-symbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2symbolzb0zz__rgcz00(obj_t
		BgL_envz00_1679, obj_t BgL_inputzd2portzd2_1680)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 342 */
			{	/* Rgc/rgc.scm 343 */
				obj_t BgL_inputzd2portzd2_1885;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1680))
					{	/* Rgc/rgc.scm 343 */
						BgL_inputzd2portzd2_1885 = BgL_inputzd2portzd2_1680;
					}
				else
					{
						obj_t BgL_auxz00_2206;

						BgL_auxz00_2206 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 17038)), BGl_string1703z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1680);
						FAILURE(BgL_auxz00_2206, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 343 */
					long BgL_arg1141z00_1886;

					{	/* Rgc/rgc.scm 343 */
						long BgL_res1503z00_1887;

						BgL_res1503z00_1887 =
							RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1885);
						BgL_arg1141z00_1886 = BgL_res1503z00_1887;
					}
					return
						rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_1885, ((long) 0),
						BgL_arg1141z00_1886);
		}}}
	}



/* rgc-buffer-upcase-subsymbol */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2upcasezd2subsymbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_37, long BgL_startz00_38, long BgL_stopz00_39)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 348 */
			return
				rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_37, BgL_startz00_38,
				BgL_stopz00_39);
		}
	}



/* &rgc-buffer-upcase-subsymbol */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2subsymbolzb0zz__rgcz00(obj_t
		BgL_envz00_1681, obj_t BgL_inputzd2portzd2_1682, obj_t BgL_startz00_1683,
		obj_t BgL_stopz00_1684)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 348 */
			{	/* Rgc/rgc.scm 349 */
				obj_t BgL_inputzd2portzd2_1888;
				long BgL_startz00_1889;
				long BgL_stopz00_1890;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1682))
					{	/* Rgc/rgc.scm 349 */
						BgL_inputzd2portzd2_1888 = BgL_inputzd2portzd2_1682;
					}
				else
					{
						obj_t BgL_auxz00_2215;

						BgL_auxz00_2215 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 17376)), BGl_string1704z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1682);
						FAILURE(BgL_auxz00_2215, BFALSE, BFALSE);
					}
				{	/* Rgc/rgc.scm 349 */
					obj_t BgL_auxz00_2219;

					if (INTEGERP(BgL_startz00_1683))
						{	/* Rgc/rgc.scm 349 */
							BgL_auxz00_2219 = BgL_startz00_1683;
						}
					else
						{
							obj_t BgL_auxz00_2222;

							BgL_auxz00_2222 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 17376)), BGl_string1704z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_startz00_1683);
							FAILURE(BgL_auxz00_2222, BFALSE, BFALSE);
						}
					BgL_startz00_1889 = (long) CINT(BgL_auxz00_2219);
				}
				{	/* Rgc/rgc.scm 349 */
					obj_t BgL_auxz00_2227;

					if (INTEGERP(BgL_stopz00_1684))
						{	/* Rgc/rgc.scm 349 */
							BgL_auxz00_2227 = BgL_stopz00_1684;
						}
					else
						{
							obj_t BgL_auxz00_2230;

							BgL_auxz00_2230 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 17376)), BGl_string1704z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_stopz00_1684);
							FAILURE(BgL_auxz00_2230, BFALSE, BFALSE);
						}
					BgL_stopz00_1890 = (long) CINT(BgL_auxz00_2227);
				}
				return
					rgc_buffer_upcase_subsymbol(BgL_inputzd2portzd2_1888,
					BgL_startz00_1889, BgL_stopz00_1890);
			}
		}
	}



/* rgc-buffer-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_40)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 354 */
			return rgc_buffer_keyword(BgL_inputzd2portzd2_40);
		}
	}



/* &rgc-buffer-keyword */
	obj_t BGl_z62rgczd2bufferzd2keywordz62zz__rgcz00(obj_t BgL_envz00_1685,
		obj_t BgL_inputzd2portzd2_1686)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 354 */
			{	/* Rgc/rgc.scm 355 */
				obj_t BgL_inputzd2portzd2_1891;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1686))
					{	/* Rgc/rgc.scm 355 */
						BgL_inputzd2portzd2_1891 = BgL_inputzd2portzd2_1686;
					}
				else
					{
						obj_t BgL_auxz00_2239;

						BgL_auxz00_2239 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 17724)), BGl_string1705z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1686);
						FAILURE(BgL_auxz00_2239, BFALSE, BFALSE);
					}
				return rgc_buffer_keyword(BgL_inputzd2portzd2_1891);
			}
		}
	}



/* rgc-buffer-downcase-keyword */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_41)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 360 */
			return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_41);
		}
	}



/* &rgc-buffer-downcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2downcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1687, obj_t BgL_inputzd2portzd2_1688)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 360 */
			{	/* Rgc/rgc.scm 361 */
				obj_t BgL_inputzd2portzd2_1892;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1688))
					{	/* Rgc/rgc.scm 361 */
						BgL_inputzd2portzd2_1892 = BgL_inputzd2portzd2_1688;
					}
				else
					{
						obj_t BgL_auxz00_2247;

						BgL_auxz00_2247 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 18061)), BGl_string1706z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1688);
						FAILURE(BgL_auxz00_2247, BFALSE, BFALSE);
					}
				return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_1892);
			}
		}
	}



/* rgc-buffer-upcase-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_42)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 366 */
			return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_42);
		}
	}



/* &rgc-buffer-upcase-keyword */
	obj_t BGl_z62rgczd2bufferzd2upcasezd2keywordzb0zz__rgcz00(obj_t
		BgL_envz00_1689, obj_t BgL_inputzd2portzd2_1690)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 366 */
			{	/* Rgc/rgc.scm 367 */
				obj_t BgL_inputzd2portzd2_1893;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1690))
					{	/* Rgc/rgc.scm 367 */
						BgL_inputzd2portzd2_1893 = BgL_inputzd2portzd2_1690;
					}
				else
					{
						obj_t BgL_auxz00_2255;

						BgL_auxz00_2255 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 18405)), BGl_string1707z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1690);
						FAILURE(BgL_auxz00_2255, BFALSE, BFALSE);
					}
				return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_1893);
			}
		}
	}



/* rgc-buffer-position */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_43, long BgL_forwardz00_44)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 372 */
			return RGC_BUFFER_POSITION(BgL_inputzd2portzd2_43, BgL_forwardz00_44);
		}
	}



/* &rgc-buffer-position */
	obj_t BGl_z62rgczd2bufferzd2positionz62zz__rgcz00(obj_t BgL_envz00_1691,
		obj_t BgL_inputzd2portzd2_1692, obj_t BgL_forwardz00_1693)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 372 */
			{	/* Rgc/rgc.scm 373 */
				long BgL_auxz00_2261;

				{	/* Rgc/rgc.scm 373 */
					obj_t BgL_inputzd2portzd2_1894;
					long BgL_forwardz00_1895;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1692))
						{	/* Rgc/rgc.scm 373 */
							BgL_inputzd2portzd2_1894 = BgL_inputzd2portzd2_1692;
						}
					else
						{
							obj_t BgL_auxz00_2264;

							BgL_auxz00_2264 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 18746)), BGl_string1708z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1692);
							FAILURE(BgL_auxz00_2264, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 373 */
						obj_t BgL_auxz00_2268;

						if (INTEGERP(BgL_forwardz00_1693))
							{	/* Rgc/rgc.scm 373 */
								BgL_auxz00_2268 = BgL_forwardz00_1693;
							}
						else
							{
								obj_t BgL_auxz00_2271;

								BgL_auxz00_2271 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 18746)), BGl_string1708z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_forwardz00_1693);
								FAILURE(BgL_auxz00_2271, BFALSE, BFALSE);
							}
						BgL_forwardz00_1895 = (long) CINT(BgL_auxz00_2268);
					}
					BgL_auxz00_2261 =
						RGC_BUFFER_POSITION(BgL_inputzd2portzd2_1894, BgL_forwardz00_1895);
				}
				return BINT(BgL_auxz00_2261);
			}
		}
	}



/* rgc-buffer-forward */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2forwardz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_45)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 378 */
			return RGC_BUFFER_FORWARD(BgL_inputzd2portzd2_45);
		}
	}



/* &rgc-buffer-forward */
	obj_t BGl_z62rgczd2bufferzd2forwardz62zz__rgcz00(obj_t BgL_envz00_1694,
		obj_t BgL_inputzd2portzd2_1695)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 378 */
			{	/* Rgc/rgc.scm 379 */
				long BgL_auxz00_2279;

				{	/* Rgc/rgc.scm 379 */
					obj_t BgL_inputzd2portzd2_1896;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1695))
						{	/* Rgc/rgc.scm 379 */
							BgL_inputzd2portzd2_1896 = BgL_inputzd2portzd2_1695;
						}
					else
						{
							obj_t BgL_auxz00_2282;

							BgL_auxz00_2282 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 19080)), BGl_string1709z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1695);
							FAILURE(BgL_auxz00_2282, BFALSE, BFALSE);
						}
					BgL_auxz00_2279 = RGC_BUFFER_FORWARD(BgL_inputzd2portzd2_1896);
				}
				return BINT(BgL_auxz00_2279);
			}
		}
	}



/* rgc-buffer-bufpos */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2bufposz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_46)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 384 */
			return RGC_BUFFER_BUFPOS(BgL_inputzd2portzd2_46);
		}
	}



/* &rgc-buffer-bufpos */
	obj_t BGl_z62rgczd2bufferzd2bufposz62zz__rgcz00(obj_t BgL_envz00_1696,
		obj_t BgL_inputzd2portzd2_1697)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 384 */
			{	/* Rgc/rgc.scm 385 */
				long BgL_auxz00_2289;

				{	/* Rgc/rgc.scm 385 */
					obj_t BgL_inputzd2portzd2_1897;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1697))
						{	/* Rgc/rgc.scm 385 */
							BgL_inputzd2portzd2_1897 = BgL_inputzd2portzd2_1697;
						}
					else
						{
							obj_t BgL_auxz00_2292;

							BgL_auxz00_2292 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 19404)), BGl_string1710z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1697);
							FAILURE(BgL_auxz00_2292, BFALSE, BFALSE);
						}
					BgL_auxz00_2289 = RGC_BUFFER_BUFPOS(BgL_inputzd2portzd2_1897);
				}
				return BINT(BgL_auxz00_2289);
			}
		}
	}



/* rgc-set-filepos! */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_47)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 390 */
			return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_47));
		}
	}



/* &rgc-set-filepos! */
	obj_t BGl_z62rgczd2setzd2fileposz12z70zz__rgcz00(obj_t BgL_envz00_1698,
		obj_t BgL_inputzd2portzd2_1699)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 390 */
			{	/* Rgc/rgc.scm 391 */
				obj_t BgL_inputzd2portzd2_1898;

				if (INPUT_PORTP(BgL_inputzd2portzd2_1699))
					{	/* Rgc/rgc.scm 391 */
						BgL_inputzd2portzd2_1898 = BgL_inputzd2portzd2_1699;
					}
				else
					{
						obj_t BgL_auxz00_2302;

						BgL_auxz00_2302 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
							BINT(((long) 19720)), BGl_string1711z00zz__rgcz00,
							BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1699);
						FAILURE(BgL_auxz00_2302, BFALSE, BFALSE);
					}
				return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_1898));
			}
		}
	}



/* rgc-start-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_48)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 396 */
			return RGC_START_MATCH(BgL_inputzd2portzd2_48);
		}
	}



/* &rgc-start-match! */
	obj_t BGl_z62rgczd2startzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1700,
		obj_t BgL_inputzd2portzd2_1701)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 396 */
			{	/* Rgc/rgc.scm 397 */
				long BgL_auxz00_2309;

				{	/* Rgc/rgc.scm 397 */
					obj_t BgL_inputzd2portzd2_1899;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1701))
						{	/* Rgc/rgc.scm 397 */
							BgL_inputzd2portzd2_1899 = BgL_inputzd2portzd2_1701;
						}
					else
						{
							obj_t BgL_auxz00_2312;

							BgL_auxz00_2312 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 20023)), BGl_string1712z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1701);
							FAILURE(BgL_auxz00_2312, BFALSE, BFALSE);
						}
					BgL_auxz00_2309 = RGC_START_MATCH(BgL_inputzd2portzd2_1899);
				}
				return BINT(BgL_auxz00_2309);
			}
		}
	}



/* rgc-stop-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_49, long BgL_forwardz00_50)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 402 */
			return RGC_STOP_MATCH(BgL_inputzd2portzd2_49, BgL_forwardz00_50);
		}
	}



/* &rgc-stop-match! */
	obj_t BGl_z62rgczd2stopzd2matchz12z70zz__rgcz00(obj_t BgL_envz00_1702,
		obj_t BgL_inputzd2portzd2_1703, obj_t BgL_forwardz00_1704)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 402 */
			{	/* Rgc/rgc.scm 403 */
				long BgL_auxz00_2319;

				{	/* Rgc/rgc.scm 403 */
					obj_t BgL_inputzd2portzd2_1900;
					long BgL_forwardz00_1901;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1703))
						{	/* Rgc/rgc.scm 403 */
							BgL_inputzd2portzd2_1900 = BgL_inputzd2portzd2_1703;
						}
					else
						{
							obj_t BgL_auxz00_2322;

							BgL_auxz00_2322 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 20333)), BGl_string1713z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1703);
							FAILURE(BgL_auxz00_2322, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 403 */
						obj_t BgL_auxz00_2326;

						if (INTEGERP(BgL_forwardz00_1704))
							{	/* Rgc/rgc.scm 403 */
								BgL_auxz00_2326 = BgL_forwardz00_1704;
							}
						else
							{
								obj_t BgL_auxz00_2329;

								BgL_auxz00_2329 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 20333)), BGl_string1713z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_forwardz00_1704);
								FAILURE(BgL_auxz00_2329, BFALSE, BFALSE);
							}
						BgL_forwardz00_1901 = (long) CINT(BgL_auxz00_2326);
					}
					BgL_auxz00_2319 =
						RGC_STOP_MATCH(BgL_inputzd2portzd2_1900, BgL_forwardz00_1901);
				}
				return BINT(BgL_auxz00_2319);
			}
		}
	}



/* rgc-fill-buffer */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_51)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 408 */
			return rgc_fill_buffer(BgL_inputzd2portzd2_51);
		}
	}



/* &rgc-fill-buffer */
	obj_t BGl_z62rgczd2fillzd2bufferz62zz__rgcz00(obj_t BgL_envz00_1705,
		obj_t BgL_inputzd2portzd2_1706)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 408 */
			{	/* Rgc/rgc.scm 409 */
				bool_t BgL_auxz00_2337;

				{	/* Rgc/rgc.scm 409 */
					obj_t BgL_inputzd2portzd2_1902;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1706))
						{	/* Rgc/rgc.scm 409 */
							BgL_inputzd2portzd2_1902 = BgL_inputzd2portzd2_1706;
						}
					else
						{
							obj_t BgL_auxz00_2340;

							BgL_auxz00_2340 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 20660)), BGl_string1714z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1706);
							FAILURE(BgL_auxz00_2340, BFALSE, BFALSE);
						}
					BgL_auxz00_2337 = rgc_fill_buffer(BgL_inputzd2portzd2_1902);
				}
				return BBOOL(BgL_auxz00_2337);
			}
		}
	}



/* rgc-buffer-bol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_52)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 414 */
			return rgc_buffer_bol_p(BgL_inputzd2portzd2_52);
		}
	}



/* &rgc-buffer-bol? */
	obj_t BGl_z62rgczd2bufferzd2bolzf3z91zz__rgcz00(obj_t BgL_envz00_1707,
		obj_t BgL_inputzd2portzd2_1708)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 414 */
			{	/* Rgc/rgc.scm 415 */
				bool_t BgL_auxz00_2347;

				{	/* Rgc/rgc.scm 415 */
					obj_t BgL_inputzd2portzd2_1903;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1708))
						{	/* Rgc/rgc.scm 415 */
							BgL_inputzd2portzd2_1903 = BgL_inputzd2portzd2_1708;
						}
					else
						{
							obj_t BgL_auxz00_2350;

							BgL_auxz00_2350 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 20979)), BGl_string1715z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1708);
							FAILURE(BgL_auxz00_2350, BFALSE, BFALSE);
						}
					BgL_auxz00_2347 = rgc_buffer_bol_p(BgL_inputzd2portzd2_1903);
				}
				return BBOOL(BgL_auxz00_2347);
			}
		}
	}



/* rgc-buffer-eol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_53, long BgL_forwardz00_54, long BgL_bufposz00_55)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 420 */
			return
				rgc_buffer_eol_p(BgL_inputzd2portzd2_53, BgL_forwardz00_54,
				BgL_bufposz00_55);
		}
	}



/* &rgc-buffer-eol? */
	obj_t BGl_z62rgczd2bufferzd2eolzf3z91zz__rgcz00(obj_t BgL_envz00_1709,
		obj_t BgL_inputzd2portzd2_1710, obj_t BgL_forwardz00_1711,
		obj_t BgL_bufposz00_1712)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 420 */
			{	/* Rgc/rgc.scm 421 */
				bool_t BgL_auxz00_2357;

				{	/* Rgc/rgc.scm 421 */
					obj_t BgL_inputzd2portzd2_1904;
					long BgL_forwardz00_1905;
					long BgL_bufposz00_1906;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1710))
						{	/* Rgc/rgc.scm 421 */
							BgL_inputzd2portzd2_1904 = BgL_inputzd2portzd2_1710;
						}
					else
						{
							obj_t BgL_auxz00_2360;

							BgL_auxz00_2360 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 21313)), BGl_string1716z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1710);
							FAILURE(BgL_auxz00_2360, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 421 */
						obj_t BgL_auxz00_2364;

						if (INTEGERP(BgL_forwardz00_1711))
							{	/* Rgc/rgc.scm 421 */
								BgL_auxz00_2364 = BgL_forwardz00_1711;
							}
						else
							{
								obj_t BgL_auxz00_2367;

								BgL_auxz00_2367 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 21313)), BGl_string1716z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_forwardz00_1711);
								FAILURE(BgL_auxz00_2367, BFALSE, BFALSE);
							}
						BgL_forwardz00_1905 = (long) CINT(BgL_auxz00_2364);
					}
					{	/* Rgc/rgc.scm 421 */
						obj_t BgL_auxz00_2372;

						if (INTEGERP(BgL_bufposz00_1712))
							{	/* Rgc/rgc.scm 421 */
								BgL_auxz00_2372 = BgL_bufposz00_1712;
							}
						else
							{
								obj_t BgL_auxz00_2375;

								BgL_auxz00_2375 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 21313)), BGl_string1716z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_bufposz00_1712);
								FAILURE(BgL_auxz00_2375, BFALSE, BFALSE);
							}
						BgL_bufposz00_1906 = (long) CINT(BgL_auxz00_2372);
					}
					BgL_auxz00_2357 =
						rgc_buffer_eol_p(BgL_inputzd2portzd2_1904, BgL_forwardz00_1905,
						BgL_bufposz00_1906);
				}
				return BBOOL(BgL_auxz00_2357);
			}
		}
	}



/* rgc-buffer-bof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_56)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 426 */
			return rgc_buffer_bof_p(BgL_inputzd2portzd2_56);
		}
	}



/* &rgc-buffer-bof? */
	obj_t BGl_z62rgczd2bufferzd2bofzf3z91zz__rgcz00(obj_t BgL_envz00_1713,
		obj_t BgL_inputzd2portzd2_1714)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 426 */
			{	/* Rgc/rgc.scm 427 */
				bool_t BgL_auxz00_2383;

				{	/* Rgc/rgc.scm 427 */
					obj_t BgL_inputzd2portzd2_1907;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1714))
						{	/* Rgc/rgc.scm 427 */
							BgL_inputzd2portzd2_1907 = BgL_inputzd2portzd2_1714;
						}
					else
						{
							obj_t BgL_auxz00_2386;

							BgL_auxz00_2386 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 21647)), BGl_string1717z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1714);
							FAILURE(BgL_auxz00_2386, BFALSE, BFALSE);
						}
					BgL_auxz00_2383 = rgc_buffer_bof_p(BgL_inputzd2portzd2_1907);
				}
				return BBOOL(BgL_auxz00_2383);
			}
		}
	}



/* rgc-buffer-eof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_57)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 432 */
			return rgc_buffer_eof_p(BgL_inputzd2portzd2_57);
		}
	}



/* &rgc-buffer-eof? */
	obj_t BGl_z62rgczd2bufferzd2eofzf3z91zz__rgcz00(obj_t BgL_envz00_1715,
		obj_t BgL_inputzd2portzd2_1716)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 432 */
			{	/* Rgc/rgc.scm 433 */
				bool_t BgL_auxz00_2393;

				{	/* Rgc/rgc.scm 433 */
					obj_t BgL_inputzd2portzd2_1908;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1716))
						{	/* Rgc/rgc.scm 433 */
							BgL_inputzd2portzd2_1908 = BgL_inputzd2portzd2_1716;
						}
					else
						{
							obj_t BgL_auxz00_2396;

							BgL_auxz00_2396 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 21966)), BGl_string1718z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1716);
							FAILURE(BgL_auxz00_2396, BFALSE, BFALSE);
						}
					BgL_auxz00_2393 = rgc_buffer_eof_p(BgL_inputzd2portzd2_1908);
				}
				return BBOOL(BgL_auxz00_2393);
			}
		}
	}



/* rgc-buffer-eof2? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eof2zf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_58, long BgL_forwardz00_59, long BgL_bufposz00_60)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 438 */
			return
				rgc_buffer_eof2_p(BgL_inputzd2portzd2_58, BgL_forwardz00_59,
				BgL_bufposz00_60);
		}
	}



/* &rgc-buffer-eof2? */
	obj_t BGl_z62rgczd2bufferzd2eof2zf3z91zz__rgcz00(obj_t BgL_envz00_1717,
		obj_t BgL_inputzd2portzd2_1718, obj_t BgL_forwardz00_1719,
		obj_t BgL_bufposz00_1720)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 438 */
			{	/* Rgc/rgc.scm 439 */
				bool_t BgL_auxz00_2403;

				{	/* Rgc/rgc.scm 439 */
					obj_t BgL_inputzd2portzd2_1909;
					long BgL_forwardz00_1910;
					long BgL_bufposz00_1911;

					if (INPUT_PORTP(BgL_inputzd2portzd2_1718))
						{	/* Rgc/rgc.scm 439 */
							BgL_inputzd2portzd2_1909 = BgL_inputzd2portzd2_1718;
						}
					else
						{
							obj_t BgL_auxz00_2406;

							BgL_auxz00_2406 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 22301)), BGl_string1719z00zz__rgcz00,
								BGl_string1684z00zz__rgcz00, BgL_inputzd2portzd2_1718);
							FAILURE(BgL_auxz00_2406, BFALSE, BFALSE);
						}
					{	/* Rgc/rgc.scm 439 */
						obj_t BgL_auxz00_2410;

						if (INTEGERP(BgL_forwardz00_1719))
							{	/* Rgc/rgc.scm 439 */
								BgL_auxz00_2410 = BgL_forwardz00_1719;
							}
						else
							{
								obj_t BgL_auxz00_2413;

								BgL_auxz00_2413 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 22301)), BGl_string1719z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_forwardz00_1719);
								FAILURE(BgL_auxz00_2413, BFALSE, BFALSE);
							}
						BgL_forwardz00_1910 = (long) CINT(BgL_auxz00_2410);
					}
					{	/* Rgc/rgc.scm 439 */
						obj_t BgL_auxz00_2418;

						if (INTEGERP(BgL_bufposz00_1720))
							{	/* Rgc/rgc.scm 439 */
								BgL_auxz00_2418 = BgL_bufposz00_1720;
							}
						else
							{
								obj_t BgL_auxz00_2421;

								BgL_auxz00_2421 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
									BINT(((long) 22301)), BGl_string1719z00zz__rgcz00,
									BGl_string1685z00zz__rgcz00, BgL_bufposz00_1720);
								FAILURE(BgL_auxz00_2421, BFALSE, BFALSE);
							}
						BgL_bufposz00_1911 = (long) CINT(BgL_auxz00_2418);
					}
					BgL_auxz00_2403 =
						rgc_buffer_eof2_p(BgL_inputzd2portzd2_1909, BgL_forwardz00_1910,
						BgL_bufposz00_1911);
				}
				return BBOOL(BgL_auxz00_2403);
			}
		}
	}



/* rgc-the-submatch */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t
		BgL_rgczd2submatcheszd2_61, long BgL_posz00_62, long BgL_matchz00_63,
		long BgL_submatchz00_64)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 448 */
			{
				obj_t BgL_submatchesz00_953;
				long BgL_startz00_954;
				obj_t BgL_stopz00_955;

				BgL_submatchesz00_953 = BgL_rgczd2submatcheszd2_61;
				BgL_startz00_954 = ((long) -1);
				BgL_stopz00_955 = BINT(((long) -1));
			BgL_zc3anonymousza31142ze3z83_956:
				if (NULLP(BgL_submatchesz00_953))
					{	/* Rgc/rgc.scm 457 */
						{	/* Rgc/rgc.scm 458 */
							int BgL_res1505z00_1326;

							{	/* Rgc/rgc.scm 458 */
								int BgL_auxz00_2430;

								BgL_auxz00_2430 = (int) (((long) 2));
								BgL_res1505z00_1326 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2430);
							} BgL_res1505z00_1326;
						}
						{	/* Rgc/rgc.scm 458 */
							int BgL_auxz00_2433;

							BgL_auxz00_2433 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2433, BgL_stopz00_955);
						}
						return BINT(BgL_startz00_954);
					}
				else
					{	/* Rgc/rgc.scm 459 */
						obj_t BgL_mvz00_960;

						BgL_mvz00_960 = CAR(BgL_submatchesz00_953);
						{	/* Rgc/rgc.scm 459 */
							obj_t BgL_ruz00_961;

							BgL_ruz00_961 = VECTOR_REF(BgL_mvz00_960, (int) (((long) 0)));
							{	/* Rgc/rgc.scm 460 */
								obj_t BgL_smz00_962;

								BgL_smz00_962 = VECTOR_REF(BgL_mvz00_960, (int) (((long) 1)));
								{	/* Rgc/rgc.scm 461 */
									obj_t BgL_spz00_963;

									BgL_spz00_963 = VECTOR_REF(BgL_mvz00_960, (int) (((long) 2)));
									{	/* Rgc/rgc.scm 462 */
										obj_t BgL_whatz00_964;

										BgL_whatz00_964 =
											VECTOR_REF(BgL_mvz00_960, (int) (((long) 3)));
										{	/* Rgc/rgc.scm 463 */

											{	/* Rgc/rgc.scm 465 */
												bool_t BgL_testz00_2446;

												if (((long) CINT(BgL_ruz00_961) == BgL_matchz00_63))
													{	/* Rgc/rgc.scm 465 */
														if (
															((long) CINT(BgL_smz00_962) ==
																BgL_submatchz00_64))
															{	/* Rgc/rgc.scm 465 */
																BgL_testz00_2446 =
																	((long) CINT(BgL_spz00_963) <= BgL_posz00_62);
															}
														else
															{	/* Rgc/rgc.scm 465 */
																BgL_testz00_2446 = ((bool_t) 0);
															}
													}
												else
													{	/* Rgc/rgc.scm 465 */
														BgL_testz00_2446 = ((bool_t) 0);
													}
												if (BgL_testz00_2446)
													{	/* Rgc/rgc.scm 465 */
														if (
															(BgL_whatz00_964 == BGl_symbol1720z00zz__rgcz00))
															{	/* Rgc/rgc.scm 466 */
																if (((long) CINT(BgL_stopz00_955) < ((long) 0)))
																	{
																		obj_t BgL_stopz00_2462;
																		obj_t BgL_submatchesz00_2460;

																		BgL_submatchesz00_2460 =
																			CDR(BgL_submatchesz00_953);
																		BgL_stopz00_2462 = BgL_spz00_963;
																		BgL_stopz00_955 = BgL_stopz00_2462;
																		BgL_submatchesz00_953 =
																			BgL_submatchesz00_2460;
																		goto BgL_zc3anonymousza31142ze3z83_956;
																	}
																else
																	{
																		obj_t BgL_submatchesz00_2463;

																		BgL_submatchesz00_2463 =
																			CDR(BgL_submatchesz00_953);
																		BgL_submatchesz00_953 =
																			BgL_submatchesz00_2463;
																		goto BgL_zc3anonymousza31142ze3z83_956;
																	}
															}
														else
															{	/* Rgc/rgc.scm 466 */
																if (
																	(BgL_whatz00_964 ==
																		BGl_symbol1722z00zz__rgcz00))
																	{	/* Rgc/rgc.scm 472 */
																		long BgL_val0_1079z00_972;

																		BgL_val0_1079z00_972 =
																			((long) CINT(BgL_spz00_963) - ((long) 1));
																		{	/* Rgc/rgc.scm 472 */
																			int BgL_res1513z00_1362;

																			{	/* Rgc/rgc.scm 472 */
																				int BgL_auxz00_2469;

																				BgL_auxz00_2469 = (int) (((long) 2));
																				BgL_res1513z00_1362 =
																					BGL_MVALUES_NUMBER_SET
																					(BgL_auxz00_2469);
																			} BgL_res1513z00_1362;
																		}
																		{	/* Rgc/rgc.scm 472 */
																			int BgL_auxz00_2472;

																			BgL_auxz00_2472 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_2472,
																				BgL_stopz00_955);
																		}
																		return BINT(BgL_val0_1079z00_972);
																	}
																else
																	{	/* Rgc/rgc.scm 466 */
																		if (
																			(BgL_whatz00_964 ==
																				BGl_symbol1724z00zz__rgcz00))
																			{
																				long BgL_startz00_2480;
																				obj_t BgL_submatchesz00_2478;

																				BgL_submatchesz00_2478 =
																					CDR(BgL_submatchesz00_953);
																				BgL_startz00_2480 =
																					(
																					(long) CINT(BgL_spz00_963) -
																					((long) 1));
																				BgL_startz00_954 = BgL_startz00_2480;
																				BgL_submatchesz00_953 =
																					BgL_submatchesz00_2478;
																				goto BgL_zc3anonymousza31142ze3z83_956;
																			}
																		else
																			{	/* Rgc/rgc.scm 466 */
																				return BUNSPEC;
																			}
																	}
															}
													}
												else
													{	/* Rgc/rgc.scm 465 */
														if ((BgL_whatz00_964 == BgL_stopz00_955))
															{	/* Rgc/rgc.scm 475 */
																{	/* Rgc/rgc.scm 476 */
																	int BgL_res1516z00_1373;

																	{	/* Rgc/rgc.scm 476 */
																		int BgL_auxz00_2485;

																		BgL_auxz00_2485 = (int) (((long) 2));
																		BgL_res1516z00_1373 =
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_2485);
																	} BgL_res1516z00_1373;
																}
																{	/* Rgc/rgc.scm 476 */
																	int BgL_auxz00_2488;

																	BgL_auxz00_2488 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_auxz00_2488,
																		BgL_stopz00_955);
																}
																return BINT(BgL_startz00_954);
															}
														else
															{
																obj_t BgL_submatchesz00_2492;

																BgL_submatchesz00_2492 =
																	CDR(BgL_submatchesz00_953);
																BgL_submatchesz00_953 = BgL_submatchesz00_2492;
																goto BgL_zc3anonymousza31142ze3z83_956;
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* &rgc-the-submatch */
	obj_t BGl_z62rgczd2thezd2submatchz62zz__rgcz00(obj_t BgL_envz00_1721,
		obj_t BgL_rgczd2submatcheszd2_1722, obj_t BgL_posz00_1723,
		obj_t BgL_matchz00_1724, obj_t BgL_submatchz00_1725)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 448 */
			{	/* Rgc/rgc.scm 457 */
				long BgL_auxz00_2513;
				long BgL_auxz00_2504;
				long BgL_auxz00_2495;

				{	/* Rgc/rgc.scm 457 */
					obj_t BgL_auxz00_2514;

					if (INTEGERP(BgL_submatchz00_1725))
						{	/* Rgc/rgc.scm 457 */
							BgL_auxz00_2514 = BgL_submatchz00_1725;
						}
					else
						{
							obj_t BgL_auxz00_2517;

							BgL_auxz00_2517 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 23366)), BGl_string1726z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_submatchz00_1725);
							FAILURE(BgL_auxz00_2517, BFALSE, BFALSE);
						}
					BgL_auxz00_2513 = (long) CINT(BgL_auxz00_2514);
				}
				{	/* Rgc/rgc.scm 457 */
					obj_t BgL_auxz00_2505;

					if (INTEGERP(BgL_matchz00_1724))
						{	/* Rgc/rgc.scm 457 */
							BgL_auxz00_2505 = BgL_matchz00_1724;
						}
					else
						{
							obj_t BgL_auxz00_2508;

							BgL_auxz00_2508 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 23366)), BGl_string1726z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_matchz00_1724);
							FAILURE(BgL_auxz00_2508, BFALSE, BFALSE);
						}
					BgL_auxz00_2504 = (long) CINT(BgL_auxz00_2505);
				}
				{	/* Rgc/rgc.scm 457 */
					obj_t BgL_auxz00_2496;

					if (INTEGERP(BgL_posz00_1723))
						{	/* Rgc/rgc.scm 457 */
							BgL_auxz00_2496 = BgL_posz00_1723;
						}
					else
						{
							obj_t BgL_auxz00_2499;

							BgL_auxz00_2499 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1682z00zz__rgcz00,
								BINT(((long) 23366)), BGl_string1726z00zz__rgcz00,
								BGl_string1685z00zz__rgcz00, BgL_posz00_1723);
							FAILURE(BgL_auxz00_2499, BFALSE, BFALSE);
						}
					BgL_auxz00_2495 = (long) CINT(BgL_auxz00_2496);
				}
				return
					BGl_rgczd2thezd2submatchz00zz__rgcz00(BgL_rgczd2submatcheszd2_1722,
					BgL_auxz00_2495, BgL_auxz00_2504, BgL_auxz00_2513);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1727z00zz__rgcz00));
		}
	}

#ifdef __cplusplus
}
#endif
