/*===========================================================================*/
/*   (Cnst/initialize.scm)                                                   */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cnst/initialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;


	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	static obj_t BGl_objectzd2initzd2zzcnst_initializa7eza7();
	extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcnst_initializa7eza7();
	extern BgL_nodez00_bglt BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t,
		obj_t);
	static obj_t BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7();
	static obj_t BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7();
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
	extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	static obj_t BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7();
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	static obj_t
		BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcnst_initializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcnst_initializa7eza7();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t obj_to_string(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00();
	static obj_t
		BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	static obj_t
		BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(obj_t);
	static obj_t BGl_z62initializa7ezd2astz17zzcnst_initializa7eza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00
		(BgL_backendz00_bglt, int);
	static obj_t
		BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
	static obj_t BGl_cnstzd2initzd2zzcnst_initializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7();
	extern obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
	static obj_t __cnst[29];


	   
		 
		DEFINE_STRING(BGl_string1814z00zzcnst_initializa7eza7,
		BgL_bgl_string1814za700za7za7c1821za7, "intialize-stop!", 15);
	      DEFINE_STRING(BGl_string1815z00zzcnst_initializa7eza7,
		BgL_bgl_string1815za700za7za7c1822za7, "Illegal init-mode", 17);
	      DEFINE_STRING(BGl_string1816z00zzcnst_initializa7eza7,
		BgL_bgl_string1816za700za7za7c1823za7, "cnst_initialize", 15);
	      DEFINE_STRING(BGl_string1817z00zzcnst_initializa7eza7,
		BgL_bgl_string1817za700za7za7c1824za7,
		"$vector-ref-ur cnst-tmp i::int cnst-tmp::vector string->obj __intext labels if begin let loop aux aux::int c--fx cnst-table-set! cport @ __reader c-=fx i i::long cport::input-port open-input-string! unit cnst staged intern read lib ",
		232);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2astzd2envza7zzcnst_initializa7eza7,
		BgL_bgl_za762initializa7a7eza71825za7,
		BGl_z62initializa7ezd2astz17zzcnst_initializa7eza7, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long
		BgL_checksumz00_1849, char *BgL_fromz00_1850)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7();
					BGl_cnstzd2initzd2zzcnst_initializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7();
					return BGl_toplevelzd2initzd2zzcnst_initializa7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cnst_initialize");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"cnst_initialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			{	/* Cnst/initialize.scm 15 */
				obj_t BgL_cportz00_1836;

				{	/* Cnst/initialize.scm 15 */
					obj_t BgL_startz00_1845;

					BgL_startz00_1845 = BINT(((long) 0));
					{	/* Cnst/initialize.scm 15 */
						obj_t BgL_endz00_1846;

						BgL_endz00_1846 =
							BINT(STRING_LENGTH(BGl_string1817z00zzcnst_initializa7eza7));
						{	/* Cnst/initialize.scm 15 */

							BgL_cportz00_1836 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1817z00zzcnst_initializa7eza7, BgL_startz00_1845,
								BgL_endz00_1846);
				}}}
				{
					long BgL_iz00_1837;

					BgL_iz00_1837 = ((long) 28);
				BgL_loopz00_1838:
					if ((BgL_iz00_1837 == ((long) -1)))
						{	/* Cnst/initialize.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/initialize.scm 15 */
							{	/* Cnst/initialize.scm 15 */
								obj_t BgL_arg1819z00_1840;

								{	/* Cnst/initialize.scm 15 */

									{	/* Cnst/initialize.scm 15 */
										obj_t BgL_locationz00_1842;

										BgL_locationz00_1842 = BBOOL(((bool_t) 0));
										{	/* Cnst/initialize.scm 15 */

											BgL_arg1819z00_1840 =
												BGl_readz00zz__readerz00(BgL_cportz00_1836,
												BgL_locationz00_1842);
										}
									}
								}
								{	/* Cnst/initialize.scm 15 */
									int BgL_auxz00_1877;

									BgL_auxz00_1877 = (int) (BgL_iz00_1837);
									CNST_TABLE_SET(BgL_auxz00_1877, BgL_arg1819z00_1840);
							}}
							{	/* Cnst/initialize.scm 15 */
								int BgL_auxz00_1843;

								BgL_auxz00_1843 = (int) ((BgL_iz00_1837 - ((long) 1)));
								{
									long BgL_iz00_1882;

									BgL_iz00_1882 = (long) (BgL_auxz00_1843);
									BgL_iz00_1837 = BgL_iz00_1882;
									goto BgL_loopz00_1838;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* initialize-ast */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 41 */
			{	/* Cnst/initialize.scm 42 */
				obj_t BgL_bodyz00_1326;

				{	/* Cnst/initialize.scm 42 */
					obj_t BgL_casezd2valuezd2_1343;

					BgL_casezd2valuezd2_1343 = BGl_za2initzd2modeza2zd2zzengine_paramz00;
					if ((BgL_casezd2valuezd2_1343 == CNST_TABLE_REF(((long) 0))))
						{	/* Cnst/initialize.scm 42 */
							BgL_bodyz00_1326 =
								BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7();
						}
					else
						{	/* Cnst/initialize.scm 42 */
							if ((BgL_casezd2valuezd2_1343 == CNST_TABLE_REF(((long) 1))))
								{	/* Cnst/initialize.scm 42 */
									BgL_bodyz00_1326 =
										BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7();
								}
							else
								{	/* Cnst/initialize.scm 42 */
									if ((BgL_casezd2valuezd2_1343 == CNST_TABLE_REF(((long) 2))))
										{	/* Cnst/initialize.scm 42 */
											BgL_bodyz00_1326 =
												BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7();
										}
									else
										{	/* Cnst/initialize.scm 42 */
											BgL_bodyz00_1326 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1814z00zzcnst_initializa7eza7,
												BGl_string1815z00zzcnst_initializa7eza7,
												BGl_za2initzd2modeza2zd2zzengine_paramz00);
										}
								}
						}
				}
				if (PAIRP(BgL_bodyz00_1326))
					{	/* Cnst/initialize.scm 54 */
						obj_t BgL_unitz00_1328;

						{	/* Cnst/initialize.scm 54 */
							bool_t BgL_arg1360z00_1342;

							BgL_arg1360z00_1342 =
								(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 3)));
							{	/* Cnst/initialize.scm 54 */
								obj_t BgL_idz00_1760;

								BgL_idz00_1760 = CNST_TABLE_REF(((long) 4));
								{	/* Cnst/initialize.scm 54 */
									obj_t BgL_newz00_1765;

									BgL_newz00_1765 =
										create_struct(CNST_TABLE_REF(((long) 5)),
										(int) (((long) 5)));
									{	/* Cnst/initialize.scm 54 */
										obj_t BgL_auxz00_1907;
										int BgL_auxz00_1905;

										BgL_auxz00_1907 = BBOOL(BgL_arg1360z00_1342);
										BgL_auxz00_1905 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_1765, BgL_auxz00_1905,
											BgL_auxz00_1907);
									}
									{	/* Cnst/initialize.scm 54 */
										int BgL_auxz00_1910;

										BgL_auxz00_1910 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_1765, BgL_auxz00_1910, BTRUE);
									}
									{	/* Cnst/initialize.scm 54 */
										int BgL_auxz00_1913;

										BgL_auxz00_1913 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_1765, BgL_auxz00_1913,
											BgL_bodyz00_1326);
									}
									{	/* Cnst/initialize.scm 54 */
										obj_t BgL_auxz00_1918;
										int BgL_auxz00_1916;

										BgL_auxz00_1918 = BINT(((long) 8));
										BgL_auxz00_1916 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_1765, BgL_auxz00_1916,
											BgL_auxz00_1918);
									}
									{	/* Cnst/initialize.scm 54 */
										int BgL_auxz00_1921;

										BgL_auxz00_1921 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_1765, BgL_auxz00_1921,
											BgL_idz00_1760);
									}
									BgL_unitz00_1328 = BgL_newz00_1765;
						}}}
						{	/* Cnst/initialize.scm 55 */
							obj_t BgL_astz00_1329;

							{	/* Cnst/initialize.scm 55 */
								obj_t BgL_arg1344z00_1340;

								{	/* Cnst/initialize.scm 55 */
									obj_t BgL_list1345z00_1341;

									BgL_list1345z00_1341 = MAKE_PAIR(BgL_unitz00_1328, BNIL);
									BgL_arg1344z00_1340 = BgL_list1345z00_1341;
								}
								BgL_astz00_1329 =
									BGl_buildzd2astzd2zzast_buildz00(BgL_arg1344z00_1340);
							}
							{
								obj_t BgL_l1265z00_1331;

								BgL_l1265z00_1331 = BgL_astz00_1329;
							BgL_zc3anonymousza31319ze3z83_1332:
								if (PAIRP(BgL_l1265z00_1331))
									{	/* Cnst/initialize.scm 56 */
										{	/* Cnst/initialize.scm 57 */
											obj_t BgL_globalz00_1334;

											BgL_globalz00_1334 = CAR(BgL_l1265z00_1331);
											{	/* Cnst/initialize.scm 57 */
												obj_t BgL_bodyz00_1335;

												BgL_bodyz00_1335 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_1334))))->
																	BgL_valuez00))))->BgL_bodyz00);
												BGl_lvtypezd2nodez12zc0zzast_lvtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_1335));
												{	/* Cnst/initialize.scm 59 */
													BgL_typez00_bglt BgL_arg1328z00_1336;

													BgL_arg1328z00_1336 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1334))))->
														BgL_typez00);
													BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
															BgL_bodyz00_1335), BgL_globalz00_1334,
														BgL_arg1328z00_1336, ((bool_t) 0));
												}
											}
										}
										{
											obj_t BgL_l1265z00_1941;

											BgL_l1265z00_1941 = CDR(BgL_l1265z00_1331);
											BgL_l1265z00_1331 = BgL_l1265z00_1941;
											goto BgL_zc3anonymousza31319ze3z83_1332;
										}
									}
								else
									{	/* Cnst/initialize.scm 56 */
										((bool_t) 1);
									}
							}
							return BgL_astz00_1329;
						}
					}
				else
					{	/* Cnst/initialize.scm 53 */
						return BNIL;
					}
			}
		}
	}



/* &initialize-ast */
	obj_t BGl_z62initializa7ezd2astz17zzcnst_initializa7eza7(obj_t
		BgL_envz00_1834)
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 41 */
			return BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
		}
	}



/* lib-initialize! */
	obj_t BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 67 */
			{	/* Cnst/initialize.scm 68 */
				obj_t BgL_arg1366z00_1347;
				obj_t BgL_arg1371z00_1348;

				BgL_arg1366z00_1347 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* Cnst/initialize.scm 68 */
					obj_t BgL_arg1372z00_1349;

					BgL_arg1372z00_1349 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1371z00_1348 =
						BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
						((BgL_backendz00_bglt) BgL_arg1372z00_1349), (int) (((long) 0)));
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1366z00_1347))))->BgL_namez00) =
					((obj_t) BgL_arg1371z00_1348), BUNSPEC);
			}
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}
	}



/* read-initialize! */
	obj_t BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 74 */
			{	/* Cnst/initialize.scm 75 */
				bool_t BgL_testz00_1953;

				{	/* Cnst/initialize.scm 75 */
					obj_t BgL_arg1374z00_1351;

					BgL_arg1374z00_1351 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_testz00_1953 = ((long) CINT(BgL_arg1374z00_1351) == ((long) 0));
				}
				if (BgL_testz00_1953)
					{	/* Cnst/initialize.scm 75 */
						return
							BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
				else
					{	/* Cnst/initialize.scm 75 */
						return
							BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
			}
		}
	}



/* read-empty-cnst-initialize! */
	obj_t BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 82 */
			{	/* Cnst/initialize.scm 83 */
				obj_t BgL_arg1378z00_1352;
				obj_t BgL_arg1379z00_1353;

				BgL_arg1378z00_1352 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* Cnst/initialize.scm 83 */
					obj_t BgL_arg1385z00_1354;

					BgL_arg1385z00_1354 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1379z00_1353 =
						BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
						((BgL_backendz00_bglt) BgL_arg1385z00_1354), (int) (((long) 0)));
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1378z00_1352))))->BgL_namez00) =
					((obj_t) BgL_arg1379z00_1353), BUNSPEC);
			}
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}
	}



/* read-full-cnst-initialize! */
	obj_t BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 89 */
			{
				obj_t BgL_cnstzd2stringzd2_1362;

				{	/* Cnst/initialize.scm 108 */
					obj_t BgL_arg1386z00_1356;
					obj_t BgL_arg1398z00_1357;

					BgL_arg1386z00_1356 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					{	/* Cnst/initialize.scm 109 */
						obj_t BgL_arg1399z00_1358;
						obj_t BgL_arg1441z00_1359;

						BgL_arg1399z00_1358 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1441z00_1359 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
						BgL_arg1398z00_1357 =
							BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
							((BgL_backendz00_bglt) BgL_arg1399z00_1358),
							CINT(BgL_arg1441z00_1359));
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_arg1386z00_1356))))->
							BgL_namez00) = ((obj_t) BgL_arg1398z00_1357), BUNSPEC);
				}
				BgL_cnstzd2stringzd2_1362 =
					BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7
					(BGl_getzd2cnstzd2setz00zzcnst_allocz00());
				{	/* Cnst/initialize.scm 92 */
					BgL_nodez00_bglt BgL_varzd2stringzd2_1364;

					BgL_varzd2stringzd2_1364 =
						BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
						(BgL_cnstzd2stringzd2_1362, BFALSE);
					{	/* Cnst/initialize.scm 92 */
						obj_t BgL_sexpz00_1365;

						{	/* Cnst/initialize.scm 95 */
							obj_t BgL_arg1452z00_1367;

							{	/* Cnst/initialize.scm 95 */
								obj_t BgL_arg1454z00_1368;
								obj_t BgL_arg1459z00_1369;

								{	/* Cnst/initialize.scm 95 */
									obj_t BgL_arg1460z00_1370;

									{	/* Cnst/initialize.scm 95 */
										obj_t BgL_arg1467z00_1371;

										{	/* Cnst/initialize.scm 95 */
											obj_t BgL_arg1468z00_1372;

											{	/* Cnst/initialize.scm 95 */
												obj_t BgL_arg1476z00_1373;

												{	/* Cnst/initialize.scm 95 */
													obj_t BgL_arg1482z00_1374;

													BgL_arg1482z00_1374 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt)
																		(((BgL_varz00_bglt) CREF(
																					((BgL_varz00_bglt)
																						BgL_varzd2stringzd2_1364)))->
																			BgL_variablez00)))))->BgL_idz00);
													BgL_arg1476z00_1373 =
														MAKE_PAIR(BgL_arg1482z00_1374, BNIL);
												}
												BgL_arg1468z00_1372 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
													BgL_arg1476z00_1373);
											}
											BgL_arg1467z00_1371 =
												MAKE_PAIR(BgL_arg1468z00_1372, BNIL);
										}
										BgL_arg1460z00_1370 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
											BgL_arg1467z00_1371);
									}
									BgL_arg1454z00_1368 = MAKE_PAIR(BgL_arg1460z00_1370, BNIL);
								}
								{	/* Cnst/initialize.scm 96 */
									obj_t BgL_arg1485z00_1376;

									{	/* Cnst/initialize.scm 96 */
										obj_t BgL_arg1491z00_1377;

										{	/* Cnst/initialize.scm 96 */
											obj_t BgL_arg1492z00_1378;
											obj_t BgL_arg1493z00_1379;

											{	/* Cnst/initialize.scm 96 */
												obj_t BgL_arg1494z00_1380;

												{	/* Cnst/initialize.scm 96 */
													obj_t BgL_arg1496z00_1381;

													{	/* Cnst/initialize.scm 96 */
														obj_t BgL_arg1500z00_1382;
														obj_t BgL_arg1505z00_1383;

														BgL_arg1500z00_1382 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BNIL);
														{	/* Cnst/initialize.scm 97 */
															obj_t BgL_arg1509z00_1384;

															{	/* Cnst/initialize.scm 97 */
																obj_t BgL_arg1511z00_1385;

																{	/* Cnst/initialize.scm 97 */
																	obj_t BgL_arg1516z00_1386;
																	obj_t BgL_arg1519z00_1387;

																	{	/* Cnst/initialize.scm 97 */
																		obj_t BgL_arg1526z00_1388;

																		{	/* Cnst/initialize.scm 97 */
																			obj_t BgL_arg1527z00_1389;

																			BgL_arg1527z00_1389 =
																				MAKE_PAIR(BINT(((long) -1)), BNIL);
																			BgL_arg1526z00_1388 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																				BgL_arg1527z00_1389);
																		}
																		BgL_arg1516z00_1386 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																			BgL_arg1526z00_1388);
																	}
																	{	/* Cnst/initialize.scm 102 */
																		obj_t BgL_arg1528z00_1390;

																		{	/* Cnst/initialize.scm 102 */
																			obj_t BgL_arg1530z00_1391;

																			{	/* Cnst/initialize.scm 102 */
																				obj_t BgL_arg1547z00_1392;

																				{	/* Cnst/initialize.scm 102 */
																					obj_t BgL_arg1549z00_1393;
																					obj_t BgL_arg1552z00_1394;

																					{	/* Cnst/initialize.scm 102 */
																						obj_t BgL_arg1555z00_1395;

																						{	/* Cnst/initialize.scm 102 */
																							obj_t BgL_arg1557z00_1396;

																							{	/* Cnst/initialize.scm 102 */
																								obj_t BgL_arg1569z00_1397;

																								{	/* Cnst/initialize.scm 102 */
																									obj_t BgL_arg1571z00_1398;
																									obj_t BgL_arg1572z00_1399;

																									{	/* Cnst/initialize.scm 102 */
																										obj_t BgL_arg1576z00_1400;

																										{	/* Cnst/initialize.scm 102 */
																											obj_t BgL_arg1582z00_1401;

																											BgL_arg1582z00_1401 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 11)), BNIL);
																											BgL_arg1576z00_1400 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 1)),
																												BgL_arg1582z00_1401);
																										}
																										BgL_arg1571z00_1398 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 12)),
																											BgL_arg1576z00_1400);
																									}
																									BgL_arg1572z00_1399 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 13)), BNIL);
																									BgL_arg1569z00_1397 =
																										MAKE_PAIR
																										(BgL_arg1571z00_1398,
																										BgL_arg1572z00_1399);
																								}
																								BgL_arg1557z00_1396 =
																									MAKE_PAIR(BgL_arg1569z00_1397,
																									BNIL);
																							}
																							BgL_arg1555z00_1395 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										9)), BgL_arg1557z00_1396);
																						}
																						BgL_arg1549z00_1393 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									14)), BgL_arg1555z00_1395);
																					}
																					{	/* Cnst/initialize.scm 103 */
																						obj_t BgL_arg1583z00_1402;

																						{	/* Cnst/initialize.scm 103 */
																							obj_t BgL_arg1587z00_1403;

																							{	/* Cnst/initialize.scm 103 */
																								obj_t BgL_arg1591z00_1404;
																								obj_t BgL_arg1595z00_1405;

																								{	/* Cnst/initialize.scm 103 */
																									obj_t BgL_arg1606z00_1406;

																									{	/* Cnst/initialize.scm 103 */
																										obj_t BgL_arg1610z00_1407;

																										{	/* Cnst/initialize.scm 103 */
																											obj_t BgL_arg1611z00_1408;

																											{	/* Cnst/initialize.scm 103 */
																												obj_t
																													BgL_arg1613z00_1409;
																												{	/* Cnst/initialize.scm 103 */
																													obj_t
																														BgL_arg1614z00_1410;
																													BgL_arg1614z00_1410 =
																														MAKE_PAIR(BINT((
																																(long) 1)),
																														BNIL);
																													BgL_arg1613z00_1409 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BgL_arg1614z00_1410);
																												}
																												BgL_arg1611z00_1408 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 15)),
																													BgL_arg1613z00_1409);
																											}
																											BgL_arg1610z00_1407 =
																												MAKE_PAIR
																												(BgL_arg1611z00_1408,
																												BNIL);
																										}
																										BgL_arg1606z00_1406 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 16)),
																											BgL_arg1610z00_1407);
																									}
																									BgL_arg1591z00_1404 =
																										MAKE_PAIR
																										(BgL_arg1606z00_1406, BNIL);
																								}
																								{	/* Cnst/initialize.scm 104 */
																									obj_t BgL_arg1619z00_1411;

																									{	/* Cnst/initialize.scm 104 */
																										obj_t BgL_arg1620z00_1412;

																										BgL_arg1620z00_1412 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 17)), BNIL);
																										BgL_arg1619z00_1411 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 18)),
																											BgL_arg1620z00_1412);
																									}
																									BgL_arg1595z00_1405 =
																										MAKE_PAIR
																										(BgL_arg1619z00_1411, BNIL);
																								}
																								BgL_arg1587z00_1403 =
																									MAKE_PAIR(BgL_arg1591z00_1404,
																									BgL_arg1595z00_1405);
																							}
																							BgL_arg1583z00_1402 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										19)), BgL_arg1587z00_1403);
																						}
																						BgL_arg1552z00_1394 =
																							MAKE_PAIR(BgL_arg1583z00_1402,
																							BNIL);
																					}
																					BgL_arg1547z00_1392 =
																						MAKE_PAIR(BgL_arg1549z00_1393,
																						BgL_arg1552z00_1394);
																				}
																				BgL_arg1530z00_1391 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
																					BgL_arg1547z00_1392);
																			}
																			BgL_arg1528z00_1390 =
																				MAKE_PAIR(BgL_arg1530z00_1391, BNIL);
																		}
																		BgL_arg1519z00_1387 =
																			MAKE_PAIR(BUNSPEC, BgL_arg1528z00_1390);
																	}
																	BgL_arg1511z00_1385 =
																		MAKE_PAIR(BgL_arg1516z00_1386,
																		BgL_arg1519z00_1387);
																}
																BgL_arg1509z00_1384 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
																	BgL_arg1511z00_1385);
															}
															BgL_arg1505z00_1383 =
																MAKE_PAIR(BgL_arg1509z00_1384, BNIL);
														}
														BgL_arg1496z00_1381 =
															MAKE_PAIR(BgL_arg1500z00_1382,
															BgL_arg1505z00_1383);
													}
													BgL_arg1494z00_1380 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1496z00_1381);
												}
												BgL_arg1492z00_1378 =
													MAKE_PAIR(BgL_arg1494z00_1380, BNIL);
											}
											{	/* Cnst/initialize.scm 105 */
												obj_t BgL_arg1623z00_1413;

												{	/* Cnst/initialize.scm 105 */
													obj_t BgL_arg1624z00_1414;

													{	/* Cnst/initialize.scm 105 */
														long BgL_arg1625z00_1415;

														{	/* Cnst/initialize.scm 105 */
															obj_t BgL_arg1631z00_1416;

															BgL_arg1631z00_1416 =
																BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
															BgL_arg1625z00_1415 =
																((long) CINT(BgL_arg1631z00_1416) - ((long) 1));
														}
														BgL_arg1624z00_1414 =
															MAKE_PAIR(BINT(BgL_arg1625z00_1415), BNIL);
													}
													BgL_arg1623z00_1413 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1624z00_1414);
												}
												BgL_arg1493z00_1379 =
													MAKE_PAIR(BgL_arg1623z00_1413, BNIL);
											}
											BgL_arg1491z00_1377 =
												MAKE_PAIR(BgL_arg1492z00_1378, BgL_arg1493z00_1379);
										}
										BgL_arg1485z00_1376 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 22)),
											BgL_arg1491z00_1377);
									}
									BgL_arg1459z00_1369 = MAKE_PAIR(BgL_arg1485z00_1376, BNIL);
								}
								BgL_arg1452z00_1367 =
									MAKE_PAIR(BgL_arg1454z00_1368, BgL_arg1459z00_1369);
							}
							BgL_sexpz00_1365 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1452z00_1367);
						}
						{	/* Cnst/initialize.scm 93 */

							return
								MAKE_PAIR(BgL_sexpz00_1365,
								BGl_getzd2cnstzd2sexpz00zzcnst_allocz00());
						}
					}
				}
			}
		}
	}



/* cnst-set->cnst-string */
	obj_t BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(obj_t
		BgL_setz00_25)
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 120 */
			{	/* Cnst/initialize.scm 121 */
				obj_t BgL_portz00_1418;

				{	/* Cnst/initialize.scm 121 */

					{	/* Cnst/initialize.scm 121 */

						BgL_portz00_1418 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				{
					obj_t BgL_l1267z00_1421;

					BgL_l1267z00_1421 = BgL_setz00_25;
				BgL_zc3anonymousza31633ze3z83_1422:
					if (PAIRP(BgL_l1267z00_1421))
						{	/* Cnst/initialize.scm 127 */
							{	/* Cnst/initialize.scm 128 */
								obj_t BgL_cnstz00_1424;

								BgL_cnstz00_1424 = CAR(BgL_l1267z00_1421);
								{	/* Cnst/initialize.scm 128 */
									obj_t BgL_list1635z00_1425;

									BgL_list1635z00_1425 = MAKE_PAIR(BgL_portz00_1418, BNIL);
									BGl_writez00zz__r4_output_6_10_3z00(BgL_cnstz00_1424,
										BgL_list1635z00_1425);
								}
								bgl_display_char(((unsigned char) ' '), BgL_portz00_1418);
							}
							{
								obj_t BgL_l1267z00_2070;

								BgL_l1267z00_2070 = CDR(BgL_l1267z00_1421);
								BgL_l1267z00_1421 = BgL_l1267z00_2070;
								goto BgL_zc3anonymousza31633ze3z83_1422;
							}
						}
					else
						{	/* Cnst/initialize.scm 127 */
							((bool_t) 1);
						}
				}
				return bgl_close_output_port(BgL_portz00_1418);
			}
		}
	}



/* intern-initialize! */
	obj_t BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 136 */
			{	/* Cnst/initialize.scm 137 */
				bool_t BgL_testz00_2073;

				{	/* Cnst/initialize.scm 137 */
					obj_t BgL_arg1647z00_1430;

					BgL_arg1647z00_1430 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
					BgL_testz00_2073 = ((long) CINT(BgL_arg1647z00_1430) == ((long) 0));
				}
				if (BgL_testz00_2073)
					{	/* Cnst/initialize.scm 137 */
						return
							BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
				else
					{	/* Cnst/initialize.scm 137 */
						return
							BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7
							();
					}
			}
		}
	}



/* intern-empty-cnst-initialize! */
	obj_t BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 144 */
			{	/* Cnst/initialize.scm 145 */
				obj_t BgL_arg1651z00_1431;
				obj_t BgL_arg1652z00_1432;

				BgL_arg1651z00_1431 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
				{	/* Cnst/initialize.scm 146 */
					obj_t BgL_arg1656z00_1433;

					BgL_arg1656z00_1433 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1652z00_1432 =
						BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
						((BgL_backendz00_bglt) BgL_arg1656z00_1433), (int) (((long) 0)));
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_arg1651z00_1431))))->BgL_namez00) =
					((obj_t) BgL_arg1652z00_1432), BUNSPEC);
			}
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}
	}



/* intern-full-cnst-initialize! */
	obj_t BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 152 */
			{
				obj_t BgL_cnstzd2stringzd2_1445;

				{	/* Cnst/initialize.scm 153 */
					obj_t BgL_arg1657z00_1435;
					obj_t BgL_arg1663z00_1436;

					BgL_arg1657z00_1435 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					{	/* Cnst/initialize.scm 154 */
						obj_t BgL_arg1669z00_1437;
						obj_t BgL_arg1670z00_1438;

						BgL_arg1669z00_1437 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1670z00_1438 = BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
						BgL_arg1663z00_1436 =
							BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
							((BgL_backendz00_bglt) BgL_arg1669z00_1437),
							CINT(BgL_arg1670z00_1438));
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_arg1657z00_1435))))->
							BgL_namez00) = ((obj_t) BgL_arg1663z00_1436), BUNSPEC);
				}
				{	/* Cnst/initialize.scm 173 */
					obj_t BgL_cnstzd2stringzd2_1439;

					{	/* Cnst/initialize.scm 173 */
						obj_t BgL_arg1671z00_1440;

						BgL_arg1671z00_1440 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(bgl_reverse_bang
							(BGl_getzd2cnstzd2setz00zzcnst_allocz00()));
						{	/* Cnst/initialize.scm 173 */

							BgL_cnstzd2stringzd2_1439 =
								obj_to_string(BgL_arg1671z00_1440, BFALSE);
						}
					}
					{	/* Cnst/initialize.scm 173 */

						BgL_cnstzd2stringzd2_1445 = BgL_cnstzd2stringzd2_1439;
						{	/* Cnst/initialize.scm 156 */
							BgL_nodez00_bglt BgL_varzd2stringzd2_1447;

							BgL_varzd2stringzd2_1447 =
								BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
								(BgL_cnstzd2stringzd2_1445, BFALSE);
							{	/* Cnst/initialize.scm 156 */
								obj_t BgL_sexpz00_1448;

								{	/* Cnst/initialize.scm 158 */
									obj_t BgL_arg1676z00_1450;

									{	/* Cnst/initialize.scm 158 */
										obj_t BgL_arg1677z00_1451;
										obj_t BgL_arg1678z00_1452;

										{	/* Cnst/initialize.scm 158 */
											obj_t BgL_arg1679z00_1453;

											{	/* Cnst/initialize.scm 158 */
												obj_t BgL_arg1680z00_1454;

												{	/* Cnst/initialize.scm 158 */
													obj_t BgL_arg1682z00_1455;

													{	/* Cnst/initialize.scm 158 */
														obj_t BgL_arg1683z00_1456;
														obj_t BgL_arg1684z00_1457;

														{	/* Cnst/initialize.scm 158 */
															obj_t BgL_arg1685z00_1458;

															{	/* Cnst/initialize.scm 158 */
																obj_t BgL_arg1686z00_1459;

																BgL_arg1686z00_1459 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 23)), BNIL);
																BgL_arg1685z00_1458 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 24)),
																	BgL_arg1686z00_1459);
															}
															BgL_arg1683z00_1456 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																BgL_arg1685z00_1458);
														}
														{	/* Cnst/initialize.scm 160 */
															obj_t BgL_arg1687z00_1460;

															BgL_arg1687z00_1460 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) CREF(
																							((BgL_varz00_bglt)
																								BgL_varzd2stringzd2_1447)))->
																					BgL_variablez00)))))->BgL_idz00);
															BgL_arg1684z00_1457 =
																MAKE_PAIR(BgL_arg1687z00_1460, BNIL);
														}
														BgL_arg1682z00_1455 =
															MAKE_PAIR(BgL_arg1683z00_1456,
															BgL_arg1684z00_1457);
													}
													BgL_arg1680z00_1454 =
														MAKE_PAIR(BgL_arg1682z00_1455, BNIL);
												}
												BgL_arg1679z00_1453 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 25)),
													BgL_arg1680z00_1454);
											}
											BgL_arg1677z00_1451 =
												MAKE_PAIR(BgL_arg1679z00_1453, BNIL);
										}
										{	/* Cnst/initialize.scm 161 */
											obj_t BgL_arg1689z00_1462;

											{	/* Cnst/initialize.scm 161 */
												obj_t BgL_arg1690z00_1463;

												{	/* Cnst/initialize.scm 161 */
													obj_t BgL_arg1691z00_1464;
													obj_t BgL_arg1692z00_1465;

													{	/* Cnst/initialize.scm 161 */
														obj_t BgL_arg1694z00_1466;

														{	/* Cnst/initialize.scm 161 */
															obj_t BgL_arg1695z00_1467;

															{	/* Cnst/initialize.scm 161 */
																obj_t BgL_arg1696z00_1468;
																obj_t BgL_arg1697z00_1469;

																BgL_arg1696z00_1468 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 26)), BNIL);
																{	/* Cnst/initialize.scm 162 */
																	obj_t BgL_arg1698z00_1470;

																	{	/* Cnst/initialize.scm 162 */
																		obj_t BgL_arg1699z00_1471;

																		{	/* Cnst/initialize.scm 162 */
																			obj_t BgL_arg1700z00_1472;
																			obj_t BgL_arg1702z00_1473;

																			{	/* Cnst/initialize.scm 162 */
																				obj_t BgL_arg1703z00_1474;

																				{	/* Cnst/initialize.scm 162 */
																					obj_t BgL_arg1705z00_1475;

																					BgL_arg1705z00_1475 =
																						MAKE_PAIR(BINT(((long) -1)), BNIL);
																					BgL_arg1703z00_1474 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								9)), BgL_arg1705z00_1475);
																				}
																				BgL_arg1700z00_1472 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																					BgL_arg1703z00_1474);
																			}
																			{	/* Cnst/initialize.scm 166 */
																				obj_t BgL_arg1707z00_1476;

																				{	/* Cnst/initialize.scm 166 */
																					obj_t BgL_arg1708z00_1477;

																					{	/* Cnst/initialize.scm 166 */
																						obj_t BgL_arg1709z00_1478;

																						{	/* Cnst/initialize.scm 166 */
																							obj_t BgL_arg1710z00_1479;
																							obj_t BgL_arg1712z00_1480;

																							{	/* Cnst/initialize.scm 166 */
																								obj_t BgL_arg1713z00_1481;

																								{	/* Cnst/initialize.scm 166 */
																									obj_t BgL_arg1714z00_1482;

																									{	/* Cnst/initialize.scm 166 */
																										obj_t BgL_arg1715z00_1483;

																										{	/* Cnst/initialize.scm 166 */
																											obj_t BgL_arg1716z00_1484;

																											{	/* Cnst/initialize.scm 166 */
																												obj_t
																													BgL_arg1718z00_1485;
																												BgL_arg1718z00_1485 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 9)), BNIL);
																												BgL_arg1716z00_1484 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 27)),
																													BgL_arg1718z00_1485);
																											}
																											BgL_arg1715z00_1483 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 28)),
																												BgL_arg1716z00_1484);
																										}
																										BgL_arg1714z00_1482 =
																											MAKE_PAIR
																											(BgL_arg1715z00_1483,
																											BNIL);
																									}
																									BgL_arg1713z00_1481 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 9)),
																										BgL_arg1714z00_1482);
																								}
																								BgL_arg1710z00_1479 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 14)),
																									BgL_arg1713z00_1481);
																							}
																							{	/* Cnst/initialize.scm 169 */
																								obj_t BgL_arg1719z00_1486;

																								{	/* Cnst/initialize.scm 169 */
																									obj_t BgL_arg1720z00_1487;

																									{	/* Cnst/initialize.scm 169 */
																										obj_t BgL_arg1721z00_1488;
																										obj_t BgL_arg1723z00_1489;

																										{	/* Cnst/initialize.scm 169 */
																											obj_t BgL_arg1724z00_1490;

																											{	/* Cnst/initialize.scm 169 */
																												obj_t
																													BgL_arg1727z00_1491;
																												{	/* Cnst/initialize.scm 169 */
																													obj_t
																														BgL_arg1728z00_1492;
																													{	/* Cnst/initialize.scm 169 */
																														obj_t
																															BgL_arg1730z00_1493;
																														{	/* Cnst/initialize.scm 169 */
																															obj_t
																																BgL_arg1731z00_1494;
																															BgL_arg1731z00_1494
																																=
																																MAKE_PAIR(BINT((
																																		(long) 1)),
																																BNIL);
																															BgL_arg1730z00_1493
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 9)),
																																BgL_arg1731z00_1494);
																														}
																														BgL_arg1728z00_1492
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 15)),
																															BgL_arg1730z00_1493);
																													}
																													BgL_arg1727z00_1491 =
																														MAKE_PAIR
																														(BgL_arg1728z00_1492,
																														BNIL);
																												}
																												BgL_arg1724z00_1490 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 16)),
																													BgL_arg1727z00_1491);
																											}
																											BgL_arg1721z00_1488 =
																												MAKE_PAIR
																												(BgL_arg1724z00_1490,
																												BNIL);
																										}
																										{	/* Cnst/initialize.scm 170 */
																											obj_t BgL_arg1732z00_1495;

																											{	/* Cnst/initialize.scm 170 */
																												obj_t
																													BgL_arg1735z00_1496;
																												BgL_arg1735z00_1496 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 17)),
																													BNIL);
																												BgL_arg1732z00_1495 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 18)),
																													BgL_arg1735z00_1496);
																											}
																											BgL_arg1723z00_1489 =
																												MAKE_PAIR
																												(BgL_arg1732z00_1495,
																												BNIL);
																										}
																										BgL_arg1720z00_1487 =
																											MAKE_PAIR
																											(BgL_arg1721z00_1488,
																											BgL_arg1723z00_1489);
																									}
																									BgL_arg1719z00_1486 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 19)),
																										BgL_arg1720z00_1487);
																								}
																								BgL_arg1712z00_1480 =
																									MAKE_PAIR(BgL_arg1719z00_1486,
																									BNIL);
																							}
																							BgL_arg1709z00_1478 =
																								MAKE_PAIR(BgL_arg1710z00_1479,
																								BgL_arg1712z00_1480);
																						}
																						BgL_arg1708z00_1477 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									20)), BgL_arg1709z00_1478);
																					}
																					BgL_arg1707z00_1476 =
																						MAKE_PAIR(BgL_arg1708z00_1477,
																						BNIL);
																				}
																				BgL_arg1702z00_1473 =
																					MAKE_PAIR(BUNSPEC,
																					BgL_arg1707z00_1476);
																			}
																			BgL_arg1699z00_1471 =
																				MAKE_PAIR(BgL_arg1700z00_1472,
																				BgL_arg1702z00_1473);
																		}
																		BgL_arg1698z00_1470 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
																			BgL_arg1699z00_1471);
																	}
																	BgL_arg1697z00_1469 =
																		MAKE_PAIR(BgL_arg1698z00_1470, BNIL);
																}
																BgL_arg1695z00_1467 =
																	MAKE_PAIR(BgL_arg1696z00_1468,
																	BgL_arg1697z00_1469);
															}
															BgL_arg1694z00_1466 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																BgL_arg1695z00_1467);
														}
														BgL_arg1691z00_1464 =
															MAKE_PAIR(BgL_arg1694z00_1466, BNIL);
													}
													{	/* Cnst/initialize.scm 171 */
														obj_t BgL_arg1736z00_1497;

														{	/* Cnst/initialize.scm 171 */
															obj_t BgL_arg1738z00_1498;

															{	/* Cnst/initialize.scm 171 */
																long BgL_arg1739z00_1499;

																{	/* Cnst/initialize.scm 171 */
																	obj_t BgL_arg1741z00_1500;

																	BgL_arg1741z00_1500 =
																		BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
																	BgL_arg1739z00_1499 =
																		(
																		(long) CINT(BgL_arg1741z00_1500) -
																		((long) 1));
																}
																BgL_arg1738z00_1498 =
																	MAKE_PAIR(BINT(BgL_arg1739z00_1499), BNIL);
															}
															BgL_arg1736z00_1497 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																BgL_arg1738z00_1498);
														}
														BgL_arg1692z00_1465 =
															MAKE_PAIR(BgL_arg1736z00_1497, BNIL);
													}
													BgL_arg1690z00_1463 =
														MAKE_PAIR(BgL_arg1691z00_1464, BgL_arg1692z00_1465);
												}
												BgL_arg1689z00_1462 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 22)),
													BgL_arg1690z00_1463);
											}
											BgL_arg1678z00_1452 =
												MAKE_PAIR(BgL_arg1689z00_1462, BNIL);
										}
										BgL_arg1676z00_1450 =
											MAKE_PAIR(BgL_arg1677z00_1451, BgL_arg1678z00_1452);
									}
									BgL_sexpz00_1448 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1676z00_1450);
								}
								{	/* Cnst/initialize.scm 157 */

									return
										MAKE_PAIR(BgL_sexpz00_1448,
										BGl_getzd2cnstzd2sexpz00zzcnst_allocz00());
								}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Cnst/initialize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699986),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string1816z00zzcnst_initializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
