/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00();
	static obj_t BGl_z62zc3anonymousza31442ze3ze1zzeffect_walkz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk1737z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec1738z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1711z00zzeffect_walkz00,
		BgL_bgl_string1711za700za7za7e1739za7, "Effect", 6);
	      DEFINE_STRING(BGl_string1712z00zzeffect_walkz00,
		BgL_bgl_string1712za700za7za7e1740za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1713z00zzeffect_walkz00,
		BgL_bgl_string1713za700za7za7e1741za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1714z00zzeffect_walkz00,
		BgL_bgl_string1714za700za7za7e1742za7, " error", 6);
	      DEFINE_STRING(BGl_string1715z00zzeffect_walkz00,
		BgL_bgl_string1715za700za7za7e1743za7, "s", 1);
	      DEFINE_STRING(BGl_string1716z00zzeffect_walkz00,
		BgL_bgl_string1716za700za7za7e1744za7, "", 0);
	      DEFINE_STRING(BGl_string1717z00zzeffect_walkz00,
		BgL_bgl_string1717za700za7za7e1745za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1718z00zzeffect_walkz00,
		BgL_bgl_string1718za700za7za7e1746za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1719z00zzeffect_walkz00,
		BgL_bgl_string1719za700za7za7e1747za7, " (effect", 8);
	      DEFINE_STRING(BGl_string1720z00zzeffect_walkz00,
		BgL_bgl_string1720za700za7za7e1748za7, "   (", 4);
	      DEFINE_STRING(BGl_string1721z00zzeffect_walkz00,
		BgL_bgl_string1721za700za7za7e1749za7, ")", 1);
	      DEFINE_STRING(BGl_string1722z00zzeffect_walkz00,
		BgL_bgl_string1722za700za7za7e1750za7, " (read ", 7);
	      DEFINE_STRING(BGl_string1723z00zzeffect_walkz00,
		BgL_bgl_string1723za700za7za7e1751za7, " (write ", 8);
	      DEFINE_STRING(BGl_string1724z00zzeffect_walkz00,
		BgL_bgl_string1724za700za7za7e1752za7, "))", 2);
	      DEFINE_STRING(BGl_string1725z00zzeffect_walkz00,
		BgL_bgl_string1725za700za7za7e1753za7, ".sch", 4);
	      DEFINE_STRING(BGl_string1726z00zzeffect_walkz00,
		BgL_bgl_string1726za700za7za7e1754za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string1727z00zzeffect_walkz00,
		BgL_bgl_string1727za700za7za7e1755za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string1728z00zzeffect_walkz00,
		BgL_bgl_string1728za700za7za7e1756za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string1729z00zzeffect_walkz00,
		BgL_bgl_string1729za700za7za7e1757za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1730z00zzeffect_walkz00,
		BgL_bgl_string1730za700za7za7e1758za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string1731z00zzeffect_walkz00,
		BgL_bgl_string1731za700za7za7e1759za7,
		"top (reset-effect-tables!) pass-started ", 40);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_1766, char *BgL_fromz00_1767)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BGl_methodzd2initzd2zzeffect_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_1753;

				{	/* Effect/walk.scm 15 */
					obj_t BgL_startz00_1762;

					BgL_startz00_1762 = BINT(((long) 0));
					{	/* Effect/walk.scm 15 */
						obj_t BgL_endz00_1763;

						BgL_endz00_1763 =
							BINT(STRING_LENGTH(BGl_string1731z00zzeffect_walkz00));
						{	/* Effect/walk.scm 15 */

							BgL_cportz00_1753 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1731z00zzeffect_walkz00, BgL_startz00_1762,
								BgL_endz00_1763);
				}}}
				{
					long BgL_iz00_1754;

					BgL_iz00_1754 = ((long) 2);
				BgL_loopz00_1755:
					if ((BgL_iz00_1754 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg1735z00_1757;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_1759;

										BgL_locationz00_1759 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg1735z00_1757 =
												BGl_readz00zz__readerz00(BgL_cportz00_1753,
												BgL_locationz00_1759);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_auxz00_1794;

									BgL_auxz00_1794 = (int) (BgL_iz00_1754);
									CNST_TABLE_SET(BgL_auxz00_1794, BgL_arg1735z00_1757);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_1760;

								BgL_auxz00_1760 = (int) ((BgL_iz00_1754 - ((long) 1)));
								{
									long BgL_iz00_1799;

									BgL_iz00_1799 = (long) (BgL_auxz00_1760);
									BgL_iz00_1754 = BgL_iz00_1799;
									goto BgL_loopz00_1755;
								}
							}
						}
				}
			}
		}
	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list1249z00_1340;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg1250z00_1341;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg1251z00_1342;

						BgL_arg1251z00_1342 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1250z00_1341 =
							MAKE_PAIR(BGl_string1711z00zzeffect_walkz00, BgL_arg1251z00_1342);
					}
					BgL_list1249z00_1340 =
						MAKE_PAIR(BGl_string1712z00zzeffect_walkz00, BgL_arg1250z00_1341);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1249z00_1340);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1711z00zzeffect_walkz00;
			{
				obj_t BgL_hooksz00_1346;
				obj_t BgL_hnamesz00_1347;

				BgL_hooksz00_1346 = BNIL;
				BgL_hnamesz00_1347 = BNIL;
			BgL_zc3anonymousza31252ze3z83_1348:
				if (NULLP(BgL_hooksz00_1346))
					{	/* Effect/walk.scm 34 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Effect/walk.scm 34 */
						bool_t BgL_testz00_1811;

						{	/* Effect/walk.scm 34 */
							obj_t BgL_fun1260z00_1354;

							BgL_fun1260z00_1354 = CAR(BgL_hooksz00_1346);
							BgL_testz00_1811 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1260z00_1354) (BgL_fun1260z00_1354,
									BEOA));
						}
						if (BgL_testz00_1811)
							{
								obj_t BgL_hnamesz00_1819;
								obj_t BgL_hooksz00_1817;

								BgL_hooksz00_1817 = CDR(BgL_hooksz00_1346);
								BgL_hnamesz00_1819 = CDR(BgL_hnamesz00_1347);
								BgL_hnamesz00_1347 = BgL_hnamesz00_1819;
								BgL_hooksz00_1346 = BgL_hooksz00_1817;
								goto BgL_zc3anonymousza31252ze3z83_1348;
							}
						else
							{	/* Effect/walk.scm 34 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string1711z00zzeffect_walkz00,
									BGl_string1713z00zzeffect_walkz00, CAR(BgL_hnamesz00_1347));
							}
					}
			}
			{
				obj_t BgL_l1230z00_1358;

				BgL_l1230z00_1358 = BgL_globalsz00_3;
			BgL_zc3anonymousza31262ze3z83_1359:
				if (PAIRP(BgL_l1230z00_1358))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_1361;

							BgL_globalz00_1361 = CAR(BgL_l1230z00_1358);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_1361));
						}
						{
							obj_t BgL_l1230z00_1828;

							BgL_l1230z00_1828 = CDR(BgL_l1230z00_1358);
							BgL_l1230z00_1358 = BgL_l1230z00_1828;
							goto BgL_zc3anonymousza31262ze3z83_1359;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 46 */
				obj_t BgL_g1234z00_1365;

				BgL_g1234z00_1365 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l1232z00_1367;

					BgL_l1232z00_1367 = BgL_g1234z00_1365;
				BgL_zc3anonymousza31267ze3z83_1368:
					if (PAIRP(BgL_l1232z00_1367))
						{	/* Effect/walk.scm 50 */
							{	/* Effect/walk.scm 47 */
								obj_t BgL_varz00_1370;

								BgL_varz00_1370 = CAR(BgL_l1232z00_1367);
								{	/* Effect/walk.scm 47 */
									BgL_valuez00_bglt BgL_funz00_1371;

									BgL_funz00_1371 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1370)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1371)))->BgL_sidezd2effectzd2) ==
											BUNSPEC))
										{	/* Effect/walk.scm 48 */
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funz00_1371)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Effect/walk.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1232z00_1844;

								BgL_l1232z00_1844 = CDR(BgL_l1232z00_1367);
								BgL_l1232z00_1367 = BgL_l1232z00_1844;
								goto BgL_zc3anonymousza31267ze3z83_1368;
							}
						}
					else
						{	/* Effect/walk.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1235z00_1377;

				BgL_l1235z00_1377 = BgL_globalsz00_3;
			BgL_zc3anonymousza31273ze3z83_1378:
				if (PAIRP(BgL_l1235z00_1377))
					{	/* Effect/walk.scm 53 */
						{	/* Effect/walk.scm 54 */
							obj_t BgL_globalz00_1380;

							BgL_globalz00_1380 = CAR(BgL_l1235z00_1377);
							{	/* Effect/walk.scm 54 */
								obj_t BgL_arg1275z00_1381;

								BgL_arg1275z00_1381 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1380))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
										(BgL_nodez00_bglt) BgL_arg1275z00_1381));
							}
						}
						{
							obj_t BgL_l1235z00_1856;

							BgL_l1235z00_1856 = CDR(BgL_l1235z00_1377);
							BgL_l1235z00_1377 = BgL_l1235z00_1856;
							goto BgL_zc3anonymousza31273ze3z83_1378;
						}
					}
				else
					{	/* Effect/walk.scm 53 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 59 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 59 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 62 */
					{	/* Effect/walk.scm 62 */
						obj_t BgL_port1237z00_1387;

						{	/* Effect/walk.scm 62 */
							obj_t BgL_res1689z00_1668;

							{	/* Effect/walk.scm 62 */
								obj_t BgL_auxz00_1863;

								BgL_auxz00_1863 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1689z00_1668 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1863);
							}
							BgL_port1237z00_1387 = BgL_res1689z00_1668;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1237z00_1387);
						bgl_display_string(BGl_string1714z00zzeffect_walkz00,
							BgL_port1237z00_1387);
						{	/* Effect/walk.scm 62 */
							obj_t BgL_arg1328z00_1388;

							{	/* Effect/walk.scm 62 */
								bool_t BgL_testz00_1868;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 62 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 62 */
												BgL_testz00_1868 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Effect/walk.scm 62 */
												BgL_testz00_1868 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Effect/walk.scm 62 */
										BgL_testz00_1868 = ((bool_t) 0);
									}
								if (BgL_testz00_1868)
									{	/* Effect/walk.scm 62 */
										BgL_arg1328z00_1388 = BGl_string1715z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 62 */
										BgL_arg1328z00_1388 = BGl_string1716z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1328z00_1388, BgL_port1237z00_1387);
						}
						bgl_display_string(BGl_string1717z00zzeffect_walkz00,
							BgL_port1237z00_1387);
						bgl_display_char(((unsigned char) '\n'), BgL_port1237z00_1387);
					}
					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1332z00_1392;

						BgL_list1332z00_1392 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1332z00_1392);
					}
				}
			else
				{	/* Effect/walk.scm 62 */
					obj_t BgL_g1110z00_1393;
					obj_t BgL_g1112z00_1394;

					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1364z00_1406;

						BgL_list1364z00_1406 =
							MAKE_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g1110z00_1393 = BgL_list1364z00_1406;
					}
					BgL_g1112z00_1394 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_1396;
						obj_t BgL_hnamesz00_1397;

						BgL_hooksz00_1396 = BgL_g1110z00_1393;
						BgL_hnamesz00_1397 = BgL_g1112z00_1394;
					BgL_zc3anonymousza31333ze3z83_1398:
						if (NULLP(BgL_hooksz00_1396))
							{	/* Effect/walk.scm 62 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 62 */
								bool_t BgL_testz00_1887;

								{	/* Effect/walk.scm 62 */
									obj_t BgL_fun1363z00_1404;

									BgL_fun1363z00_1404 = CAR(BgL_hooksz00_1396);
									BgL_testz00_1887 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1363z00_1404)
										(BgL_fun1363z00_1404, BEOA));
								}
								if (BgL_testz00_1887)
									{
										obj_t BgL_hnamesz00_1895;
										obj_t BgL_hooksz00_1893;

										BgL_hooksz00_1893 = CDR(BgL_hooksz00_1396);
										BgL_hnamesz00_1895 = CDR(BgL_hnamesz00_1397);
										BgL_hnamesz00_1397 = BgL_hnamesz00_1895;
										BgL_hooksz00_1396 = BgL_hooksz00_1893;
										goto BgL_zc3anonymousza31333ze3z83_1398;
									}
								else
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1361z00_1403;

										BgL_arg1361z00_1403 = CAR(BgL_hnamesz00_1397);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1718z00zzeffect_walkz00, BgL_arg1361z00_1403);
									}
							}
					}
				}
		}
	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_1744,
		obj_t BgL_globalsz00_1745, obj_t BgL_feffectz00_1746)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_1745,
				CBOOL(BgL_feffectz00_1746));
		}
	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 67 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l1238z00_1409;

					BgL_l1238z00_1409 = BgL_wz00_5;
				BgL_zc3anonymousza31366ze3z83_1410:
					if (PAIRP(BgL_l1238z00_1409))
						{	/* Effect/walk.scm 69 */
							{	/* Effect/walk.scm 71 */
								obj_t BgL_varz00_1412;

								BgL_varz00_1412 = CAR(BgL_l1238z00_1409);
								{	/* Effect/walk.scm 71 */
									BgL_valuez00_bglt BgL_funz00_1413;

									BgL_funz00_1413 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1412)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1413)))->BgL_sidezd2effectzd2) ==
											BTRUE))
										{	/* Effect/walk.scm 72 */
											((bool_t) 0);
										}
									else
										{	/* Effect/walk.scm 72 */
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funz00_1413)))->
													BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
											if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1412,
													BGl_localzf2fromzf2zzeffect_cgraphz00))
												{	/* Effect/walk.scm 76 */
													obj_t BgL_arg1371z00_1416;

													{
														BgL_localzf2fromzf2_bglt BgL_auxz00_1916;

														{
															obj_t BgL_auxz00_1917;

															{	/* Effect/walk.scm 76 */
																BgL_objectz00_bglt BgL_auxz00_1918;

																BgL_auxz00_1918 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_1412));
																BgL_auxz00_1917 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1918);
															}
															BgL_auxz00_1916 =
																((BgL_localzf2fromzf2_bglt) BgL_auxz00_1917);
														}
														BgL_arg1371z00_1416 =
															(((BgL_localzf2fromzf2_bglt)
																CREF(BgL_auxz00_1916))->BgL_fromz00);
													}
													BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
														(BgL_arg1371z00_1416);
												}
											else
												{	/* Effect/walk.scm 75 */
													if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1412,
															BGl_globalzf2fromzf2zzeffect_cgraphz00))
														{	/* Effect/walk.scm 78 */
															obj_t BgL_arg1374z00_1418;

															{
																BgL_globalzf2fromzf2_bglt BgL_auxz00_1927;

																{
																	obj_t BgL_auxz00_1928;

																	{	/* Effect/walk.scm 78 */
																		BgL_objectz00_bglt BgL_auxz00_1929;

																		BgL_auxz00_1929 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_varz00_1412));
																		BgL_auxz00_1928 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1929);
																	}
																	BgL_auxz00_1927 =
																		((BgL_globalzf2fromzf2_bglt)
																		BgL_auxz00_1928);
																}
																BgL_arg1374z00_1418 =
																	(((BgL_globalzf2fromzf2_bglt)
																		CREF(BgL_auxz00_1927))->BgL_fromz00);
															}
															BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																(BgL_arg1374z00_1418);
														}
													else
														{	/* Effect/walk.scm 77 */
															((bool_t) 0);
														}
												}
										}
								}
							}
							{
								obj_t BgL_l1238z00_1936;

								BgL_l1238z00_1936 = CDR(BgL_l1238z00_1409);
								BgL_l1238z00_1409 = BgL_l1238z00_1936;
								goto BgL_zc3anonymousza31366ze3z83_1410;
							}
						}
					else
						{	/* Effect/walk.scm 69 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 68 */
					return ((bool_t) 0);
				}
		}
	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			{
				obj_t BgL_gz00_1451;

				{	/* Effect/walk.scm 95 */
					obj_t BgL_onamez00_1423;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* Effect/walk.scm 95 */
							BgL_onamez00_1423 = BGl_za2destza2z00zzengine_paramz00;
						}
					else
						{	/* Effect/walk.scm 97 */
							bool_t BgL_testz00_1940;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Effect/walk.scm 97 */
									obj_t BgL_auxz00_1943;

									BgL_auxz00_1943 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_testz00_1940 = STRINGP(BgL_auxz00_1943);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_testz00_1940 = ((bool_t) 0);
								}
							if (BgL_testz00_1940)
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1423 =
										string_append(BGl_prefixz00zz__osz00(CAR
											(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
										BGl_string1725z00zzeffect_walkz00);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1423 = BFALSE;
								}
						}
					{	/* Effect/walk.scm 95 */
						obj_t BgL_portz00_1424;

						if (STRINGP(BgL_onamez00_1423))
							{	/* Effect/walk.scm 101 */

								BgL_portz00_1424 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_onamez00_1423, BTRUE);
							}
						else
							{	/* Effect/walk.scm 102 */
								obj_t BgL_res1706z00_1727;

								{	/* Effect/walk.scm 102 */
									obj_t BgL_auxz00_1952;

									BgL_auxz00_1952 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1706z00_1727 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1952);
								}
								BgL_portz00_1424 = BgL_res1706z00_1727;
							}
						{	/* Effect/walk.scm 100 */

							if (OUTPUT_PORTP(BgL_portz00_1424))
								{	/* Effect/walk.scm 105 */
									obj_t BgL_exitd1114z00_1426;

									BgL_exitd1114z00_1426 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Effect/walk.scm 110 */
										obj_t BgL_zc3anonymousza31442ze3z83_1748;

										BgL_zc3anonymousza31442ze3z83_1748 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31442ze3ze1zzeffect_walkz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza31442ze3z83_1748,
											(int) (((long) 0)), BgL_portz00_1424);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1114z00_1426,
											BgL_zc3anonymousza31442ze3z83_1748);
										{	/* Effect/walk.scm 107 */
											obj_t BgL_tmp1116z00_1428;

											{	/* Effect/walk.scm 107 */
												obj_t BgL_arg1385z00_1429;

												{	/* Effect/walk.scm 107 */
													obj_t BgL_res1708z00_1733;

													{	/* Effect/walk.scm 107 */
														obj_t BgL_auxz00_1964;

														BgL_auxz00_1964 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res1708z00_1733 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1964);
													}
													BgL_arg1385z00_1429 = BgL_res1708z00_1733;
												}
												bgl_display_string(BGl_string1726z00zzeffect_walkz00,
													BgL_arg1385z00_1429);
											}
											{
												obj_t BgL_l1241z00_1431;

												BgL_l1241z00_1431 = BgL_globalsz00_6;
											BgL_zc3anonymousza31386ze3z83_1432:
												if (PAIRP(BgL_l1241z00_1431))
													{	/* Effect/walk.scm 108 */
														BgL_gz00_1451 = CAR(BgL_l1241z00_1431);
														{	/* Effect/walk.scm 86 */
															obj_t BgL_fez00_1453;

															BgL_fez00_1453 =
																(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_gz00_1451)))->
																				BgL_valuez00))))->BgL_effectz00);
															if (BGl_isazf3zf3zz__objectz00(BgL_fez00_1453,
																	BGl_feffectz00zzast_varz00))
																{	/* Effect/walk.scm 89 */
																	bool_t BgL_testz00_1976;

																	if (
																		((((BgL_feffectz00_bglt) CREF(
																						((BgL_feffectz00_bglt)
																							BgL_fez00_1453)))->BgL_readz00) ==
																			CNST_TABLE_REF(((long) 2))))
																		{	/* Effect/walk.scm 89 */
																			BgL_testz00_1976 =
																				(
																				(((BgL_feffectz00_bglt) CREF(
																							((BgL_feffectz00_bglt)
																								BgL_fez00_1453)))->
																					BgL_writez00) ==
																				CNST_TABLE_REF(((long) 2)));
																		}
																	else
																		{	/* Effect/walk.scm 89 */
																			BgL_testz00_1976 = ((bool_t) 0);
																		}
																	if (BgL_testz00_1976)
																		{	/* Effect/walk.scm 89 */
																			BFALSE;
																		}
																	else
																		{	/* Effect/walk.scm 89 */
																			{	/* Effect/walk.scm 91 */
																				obj_t BgL_arg1467z00_1457;

																				BgL_arg1467z00_1457 =
																					BGl_shapez00zztools_shapez00
																					(BgL_gz00_1451);
																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_list1468z00_1458;

																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_arg1476z00_1459;

																						{	/* Effect/walk.scm 91 */
																							obj_t BgL_arg1482z00_1460;

																							BgL_arg1482z00_1460 =
																								MAKE_PAIR
																								(BGl_string1719z00zzeffect_walkz00,
																								BNIL);
																							BgL_arg1476z00_1459 =
																								MAKE_PAIR(BgL_arg1467z00_1457,
																								BgL_arg1482z00_1460);
																						}
																						BgL_list1468z00_1458 =
																							MAKE_PAIR
																							(BGl_string1720z00zzeffect_walkz00,
																							BgL_arg1476z00_1459);
																					}
																					BGl_displayza2za2zz__r4_output_6_10_3z00
																						(BgL_list1468z00_1458);
																				}
																			}
																			if (NULLP(
																					(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1453)))->
																						BgL_readz00)))
																				{	/* Effect/walk.scm 92 */
																					BFALSE;
																				}
																			else
																				{	/* Effect/walk.scm 92 */
																					obj_t BgL_arg1484z00_1462;

																					BgL_arg1484z00_1462 =
																						(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1453)))->
																						BgL_readz00);
																					{	/* Effect/walk.scm 92 */
																						obj_t BgL_list1485z00_1463;

																						{	/* Effect/walk.scm 92 */
																							obj_t BgL_arg1491z00_1464;

																							{	/* Effect/walk.scm 92 */
																								obj_t BgL_arg1492z00_1465;

																								BgL_arg1492z00_1465 =
																									MAKE_PAIR
																									(BGl_string1721z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg1491z00_1464 =
																									MAKE_PAIR(BgL_arg1484z00_1462,
																									BgL_arg1492z00_1465);
																							}
																							BgL_list1485z00_1463 =
																								MAKE_PAIR
																								(BGl_string1722z00zzeffect_walkz00,
																								BgL_arg1491z00_1464);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list1485z00_1463);
																					}
																				}
																			if (NULLP(
																					(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1453)))->
																						BgL_writez00)))
																				{	/* Effect/walk.scm 93 */
																					BFALSE;
																				}
																			else
																				{	/* Effect/walk.scm 93 */
																					obj_t BgL_arg1496z00_1468;

																					BgL_arg1496z00_1468 =
																						(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1453)))->
																						BgL_writez00);
																					{	/* Effect/walk.scm 93 */
																						obj_t BgL_list1497z00_1469;

																						{	/* Effect/walk.scm 93 */
																							obj_t BgL_arg1500z00_1470;

																							{	/* Effect/walk.scm 93 */
																								obj_t BgL_arg1505z00_1471;

																								BgL_arg1505z00_1471 =
																									MAKE_PAIR
																									(BGl_string1721z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg1500z00_1470 =
																									MAKE_PAIR(BgL_arg1496z00_1468,
																									BgL_arg1505z00_1471);
																							}
																							BgL_list1497z00_1469 =
																								MAKE_PAIR
																								(BGl_string1723z00zzeffect_walkz00,
																								BgL_arg1500z00_1470);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list1497z00_1469);
																					}
																				}
																			{	/* Effect/walk.scm 94 */
																				obj_t BgL_port1240z00_1473;

																				{	/* Effect/walk.scm 94 */
																					obj_t BgL_res1701z00_1712;

																					{	/* Effect/walk.scm 94 */
																						obj_t BgL_auxz00_2011;

																						BgL_auxz00_2011 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_res1701z00_1712 =
																							BGL_ENV_CURRENT_OUTPUT_PORT
																							(BgL_auxz00_2011);
																					}
																					BgL_port1240z00_1473 =
																						BgL_res1701z00_1712;
																				}
																				bgl_display_string
																					(BGl_string1724z00zzeffect_walkz00,
																					BgL_port1240z00_1473);
																				bgl_display_char(((unsigned char) '\n'),
																					BgL_port1240z00_1473);
																}}}
															else
																{	/* Effect/walk.scm 87 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_l1241z00_2017;

															BgL_l1241z00_2017 = CDR(BgL_l1241z00_1431);
															BgL_l1241z00_1431 = BgL_l1241z00_2017;
															goto BgL_zc3anonymousza31386ze3z83_1432;
														}
													}
												else
													{	/* Effect/walk.scm 108 */
														((bool_t) 1);
													}
											}
											{	/* Effect/walk.scm 109 */
												obj_t BgL_arg1441z00_1437;

												{	/* Effect/walk.scm 109 */
													obj_t BgL_res1710z00_1741;

													{	/* Effect/walk.scm 109 */
														obj_t BgL_auxz00_2019;

														BgL_auxz00_2019 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res1710z00_1741 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2019);
													}
													BgL_arg1441z00_1437 = BgL_res1710z00_1741;
												}
												BgL_tmp1116z00_1428 =
													bgl_display_string(BGl_string1727z00zzeffect_walkz00,
													BgL_arg1441z00_1437);
											}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1114z00_1426);
											BGl_z62zc3anonymousza31442ze3ze1zzeffect_walkz00
												(BgL_zc3anonymousza31442ze3z83_1748);
											return BgL_tmp1116z00_1428;
										}
									}
								}
							else
								{	/* Effect/walk.scm 103 */
									return
										BGl_errorz00zz__errorz00(BGl_string1728z00zzeffect_walkz00,
										BGl_string1729z00zzeffect_walkz00, BgL_onamez00_1423);
								}
						}
					}
				}
			}
		}
	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_1749,
		obj_t BgL_globalsz00_1750)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_1750);
		}
	}



/* &<anonymous:1442> */
	obj_t BGl_z62zc3anonymousza31442ze3ze1zzeffect_walkz00(obj_t BgL_envz00_1751)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 105 */
			{	/* Effect/walk.scm 110 */
				obj_t BgL_portz00_1752;

				BgL_portz00_1752 = PROCEDURE_REF(BgL_envz00_1751, (int) (((long) 0)));
				{

					{	/* Effect/walk.scm 110 */
						bool_t BgL_testz00_2029;

						{	/* Effect/walk.scm 110 */
							obj_t BgL_arg1447z00_1440;

							{	/* Effect/walk.scm 110 */
								obj_t BgL_res1707z00_1730;

								{	/* Effect/walk.scm 110 */
									obj_t BgL_auxz00_2030;

									BgL_auxz00_2030 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1707z00_1730 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2030);
								}
								BgL_arg1447z00_1440 = BgL_res1707z00_1730;
							}
							BgL_testz00_2029 = (BgL_portz00_1752 == BgL_arg1447z00_1440);
						}
						if (BgL_testz00_2029)
							{	/* Effect/walk.scm 110 */
								return BFALSE;
							}
						else
							{	/* Effect/walk.scm 110 */
								return bgl_close_output_port(BgL_portz00_1752);
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1730z00zzeffect_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
