/*===========================================================================*/
/*   (Object/method.scm)                                                     */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/method.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_methodz00();
	BGL_EXPORTED_DECL obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_methodz00();
	static obj_t BGl_z62makezd2methodzd2bodyz62zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_methodz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_za2methodsza2z00zzobject_methodz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_methodz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_methodz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_methodz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00();
	BGL_EXPORTED_DECL bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[13];


	   
		 
		DEFINE_STRING(BGl_string1642z00zzobject_methodz00,
		BgL_bgl_string1642za700za7za7o1653za7, "\"); ", 4);
	      DEFINE_STRING(BGl_string1643z00zzobject_methodz00,
		BgL_bgl_string1643za700za7za7o1654za7, " ::", 3);
	      DEFINE_STRING(BGl_string1644z00zzobject_methodz00,
		BgL_bgl_string1644za700za7za7o1655za7,
		"bgl_init_module_debug_string( \"generic-add-method: ", 51);
	      DEFINE_STRING(BGl_string1645z00zzobject_methodz00,
		BgL_bgl_string1645za700za7za7o1656za7, "Can't find generic for method", 29);
	      DEFINE_STRING(BGl_string1646z00zzobject_methodz00,
		BgL_bgl_string1646za700za7za7o1657za7,
		"method has a non-class dispatching type arg", 43);
	      DEFINE_STRING(BGl_string1647z00zzobject_methodz00,
		BgL_bgl_string1647za700za7za7o1658za7, "object_method", 13);
	      DEFINE_STRING(BGl_string1648z00zzobject_methodz00,
		BgL_bgl_string1648za700za7za7o1659za7,
		"(quote method-definition-error) generic-add-method! pragma::void module labels call-next-method let apply cons* find-super-class-method @ - next-method ",
		152);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_markzd2methodz12zd2envz12zzobject_methodz00,
		BgL_bgl_za762markza7d2method1660z00,
		BGl_z62markzd2methodz12za2zzobject_methodz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzd2iszd2methodzf3zd2envz21zzobject_methodz00,
		BgL_bgl_za762localza7d2isza7d21661za7,
		BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2bodyzd2envzd2zzobject_methodz00,
		BgL_bgl_za762makeza7d2method1662z00,
		BGl_z62makezd2methodzd2bodyz62zzobject_methodz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long
		BgL_checksumz00_1122, char *BgL_fromz00_1123)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_methodz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_methodz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
					BGl_cnstzd2initzd2zzobject_methodz00();
					BGl_importedzd2moduleszd2initz00zzobject_methodz00();
					return BGl_toplevelzd2initzd2zzobject_methodz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "object_method");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_method");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"object_method");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			{	/* Object/method.scm 15 */
				obj_t BgL_cportz00_1109;

				{	/* Object/method.scm 15 */
					obj_t BgL_startz00_1118;

					BgL_startz00_1118 = BINT(((long) 0));
					{	/* Object/method.scm 15 */
						obj_t BgL_endz00_1119;

						BgL_endz00_1119 =
							BINT(STRING_LENGTH(BGl_string1648z00zzobject_methodz00));
						{	/* Object/method.scm 15 */

							BgL_cportz00_1109 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1648z00zzobject_methodz00, BgL_startz00_1118,
								BgL_endz00_1119);
				}}}
				{
					long BgL_iz00_1110;

					BgL_iz00_1110 = ((long) 12);
				BgL_loopz00_1111:
					if ((BgL_iz00_1110 == ((long) -1)))
						{	/* Object/method.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/method.scm 15 */
							{	/* Object/method.scm 15 */
								obj_t BgL_arg1651z00_1113;

								{	/* Object/method.scm 15 */

									{	/* Object/method.scm 15 */
										obj_t BgL_locationz00_1115;

										BgL_locationz00_1115 = BBOOL(((bool_t) 0));
										{	/* Object/method.scm 15 */

											BgL_arg1651z00_1113 =
												BGl_readz00zz__readerz00(BgL_cportz00_1109,
												BgL_locationz00_1115);
										}
									}
								}
								{	/* Object/method.scm 15 */
									int BgL_auxz00_1148;

									BgL_auxz00_1148 = (int) (BgL_iz00_1110);
									CNST_TABLE_SET(BgL_auxz00_1148, BgL_arg1651z00_1113);
							}}
							{	/* Object/method.scm 15 */
								int BgL_auxz00_1116;

								BgL_auxz00_1116 = (int) ((BgL_iz00_1110 - ((long) 1)));
								{
									long BgL_iz00_1153;

									BgL_iz00_1153 = (long) (BgL_auxz00_1116);
									BgL_iz00_1110 = BgL_iz00_1153;
									goto BgL_loopz00_1111;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return (BGl_za2methodsza2z00zzobject_methodz00 = BNIL, BUNSPEC);
		}
	}



/* make-method-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t
		BgL_identz00_3, obj_t BgL_argsz00_4, obj_t BgL_localsz00_5,
		obj_t BgL_bodyz00_6, obj_t BgL_srcz00_7)
	{
		AN_OBJECT;
		{	/* Object/method.scm 35 */
			{	/* Object/method.scm 36 */
				obj_t BgL_idz00_731;

				BgL_idz00_731 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_identz00_3,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_7));
				{	/* Object/method.scm 36 */
					obj_t BgL_metz00_732;

					BgL_metz00_732 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
					{	/* Object/method.scm 37 */
						long BgL_arityz00_733;

						BgL_arityz00_733 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_4);
						{	/* Object/method.scm 38 */
							bool_t BgL_dssslz00_734;

							BgL_dssslz00_734 =
								BGl_dssslzd2methodzf3z21zzobject_methodz00(BgL_argsz00_4);
							{	/* Object/method.scm 39 */
								obj_t BgL_argszd2idzd2_735;

								if (BgL_dssslz00_734)
									{	/* Object/method.scm 40 */
										BgL_argszd2idzd2_735 =
											BGl_pairzd2ze3listz31zzobject_methodz00
											(BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
											(BgL_argsz00_4, BGl_errorzd2envzd2zz__errorz00,
												((bool_t) 0)));
									}
								else
									{	/* Object/method.scm 40 */
										if (NULLP(BgL_localsz00_5))
											{	/* Object/method.scm 42 */
												BgL_argszd2idzd2_735 = BNIL;
											}
										else
											{	/* Object/method.scm 42 */
												obj_t BgL_head1165z00_837;

												{	/* Object/method.scm 42 */
													obj_t BgL_arg1494z00_849;

													BgL_arg1494z00_849 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(BgL_localsz00_5)))))->BgL_idz00);
													{	/* Object/method.scm 42 */
														obj_t BgL_res1615z00_992;

														BgL_res1615z00_992 =
															MAKE_PAIR(BgL_arg1494z00_849, BNIL);
														BgL_head1165z00_837 = BgL_res1615z00_992;
													}
												}
												{	/* Object/method.scm 42 */
													obj_t BgL_g1168z00_838;

													BgL_g1168z00_838 = CDR(BgL_localsz00_5);
													{
														obj_t BgL_l1163z00_840;
														obj_t BgL_tail1166z00_841;

														BgL_l1163z00_840 = BgL_g1168z00_838;
														BgL_tail1166z00_841 = BgL_head1165z00_837;
													BgL_zc3anonymousza31487ze3z83_842:
														if (NULLP(BgL_l1163z00_840))
															{	/* Object/method.scm 42 */
																BgL_argszd2idzd2_735 = BgL_head1165z00_837;
															}
														else
															{	/* Object/method.scm 42 */
																obj_t BgL_newtail1167z00_844;

																{	/* Object/method.scm 42 */
																	obj_t BgL_arg1492z00_846;

																	BgL_arg1492z00_846 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(BgL_l1163z00_840)))))->
																		BgL_idz00);
																	{	/* Object/method.scm 42 */
																		obj_t BgL_res1617z00_1000;

																		BgL_res1617z00_1000 =
																			MAKE_PAIR(BgL_arg1492z00_846, BNIL);
																		BgL_newtail1167z00_844 =
																			BgL_res1617z00_1000;
																	}
																}
																SET_CDR(BgL_tail1166z00_841,
																	BgL_newtail1167z00_844);
																{
																	obj_t BgL_tail1166z00_1182;
																	obj_t BgL_l1163z00_1180;

																	BgL_l1163z00_1180 = CDR(BgL_l1163z00_840);
																	BgL_tail1166z00_1182 = BgL_newtail1167z00_844;
																	BgL_tail1166z00_841 = BgL_tail1166z00_1182;
																	BgL_l1163z00_840 = BgL_l1163z00_1180;
																	goto BgL_zc3anonymousza31487ze3z83_842;
																}
															}
													}
												}
											}
									}
								{	/* Object/method.scm 40 */
									BgL_typez00_bglt BgL_typez00_736;

									BgL_typez00_736 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt)
														CAR(BgL_localsz00_5)))))->BgL_typez00);
									{	/* Object/method.scm 43 */
										obj_t BgL_mzd2idzd2_737;

										{	/* Object/method.scm 44 */
											obj_t BgL_arg1467z00_828;

											{	/* Object/method.scm 44 */
												obj_t BgL_arg1468z00_829;

												BgL_arg1468z00_829 =
													(((BgL_typez00_bglt) CREF(BgL_typez00_736))->
													BgL_idz00);
												{	/* Object/method.scm 44 */
													obj_t BgL_list1469z00_830;

													{	/* Object/method.scm 44 */
														obj_t BgL_arg1476z00_831;

														{	/* Object/method.scm 44 */
															obj_t BgL_arg1482z00_832;

															BgL_arg1482z00_832 =
																MAKE_PAIR(BgL_arg1468z00_829, BNIL);
															BgL_arg1476z00_831 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
																BgL_arg1482z00_832);
														}
														BgL_list1469z00_830 =
															MAKE_PAIR(BgL_idz00_731, BgL_arg1476z00_831);
													}
													BgL_arg1467z00_828 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1469z00_830);
											}}
											BgL_mzd2idzd2_737 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1467z00_828);
										}
										{	/* Object/method.scm 44 */

											{	/* Object/method.scm 46 */
												bool_t BgL_testz00_1194;

												{	/* Object/method.scm 46 */
													bool_t BgL_res1618z00_1008;

													BgL_res1618z00_1008 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_typez00_736),
														BGl_tclassz00zzobject_classz00);
													BgL_testz00_1194 = BgL_res1618z00_1008;
												}
												if (BgL_testz00_1194)
													{	/* Object/method.scm 49 */
														BgL_globalz00_bglt BgL_holderz00_739;

														{
															BgL_tclassz00_bglt BgL_auxz00_1197;

															{
																obj_t BgL_auxz00_1198;

																{	/* Object/method.scm 49 */
																	BgL_objectz00_bglt BgL_auxz00_1199;

																	BgL_auxz00_1199 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_typez00_736));
																	BgL_auxz00_1198 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1199);
																}
																BgL_auxz00_1197 =
																	((BgL_tclassz00_bglt) BgL_auxz00_1198);
															}
															BgL_holderz00_739 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1197))->
																BgL_holderz00);
														}
														{	/* Object/method.scm 49 */
															obj_t BgL_modulez00_740;

															BgL_modulez00_740 =
																(((BgL_globalz00_bglt)
																	CREF(BgL_holderz00_739))->BgL_modulez00);
															{	/* Object/method.scm 50 */
																obj_t BgL_genericz00_741;

																BgL_genericz00_741 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_idz00_731, BNIL);
																{	/* Object/method.scm 51 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_genericz00_741,
																			BGl_globalz00zzast_varz00))
																		{	/* Object/method.scm 56 */
																			obj_t BgL_bodyz00_743;

																			{	/* Object/method.scm 58 */
																				obj_t BgL_arg1266z00_794;

																				{	/* Object/method.scm 58 */
																					obj_t BgL_arg1267z00_795;
																					obj_t BgL_arg1268z00_796;

																					{	/* Object/method.scm 58 */
																						obj_t BgL_arg1269z00_797;

																						{	/* Object/method.scm 58 */
																							obj_t BgL_arg1270z00_798;

																							{	/* Object/method.scm 58 */
																								obj_t BgL_arg1272z00_799;

																								{	/* Object/method.scm 58 */
																									obj_t BgL_arg1273z00_800;

																									{	/* Object/method.scm 58 */
																										obj_t BgL_arg1274z00_801;

																										{	/* Object/method.scm 58 */
																											obj_t BgL_arg1275z00_802;
																											obj_t BgL_arg1310z00_803;

																											{	/* Object/method.scm 58 */
																												obj_t
																													BgL_arg1316z00_804;
																												{	/* Object/method.scm 58 */
																													obj_t
																														BgL_arg1328z00_805;
																													{	/* Object/method.scm 58 */
																														obj_t
																															BgL_arg1331z00_806;
																														{	/* Object/method.scm 58 */
																															obj_t
																																BgL_arg1335z00_807;
																															{	/* Object/method.scm 58 */
																																obj_t
																																	BgL_arg1344z00_808;
																																obj_t
																																	BgL_arg1360z00_809;
																																BgL_arg1344z00_808
																																	=
																																	CAR
																																	(BgL_argszd2idzd2_735);
																																{	/* Object/method.scm 60 */
																																	obj_t
																																		BgL_arg1361z00_810;
																																	{	/* Object/method.scm 60 */
																																		obj_t
																																			BgL_arg1366z00_811;
																																		{	/* Object/method.scm 60 */
																																			obj_t
																																				BgL_arg1371z00_812;
																																			{	/* Object/method.scm 60 */
																																				obj_t
																																					BgL_arg1372z00_813;
																																				obj_t
																																					BgL_arg1374z00_814;
																																				BgL_arg1372z00_813
																																					=
																																					(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_holderz00_739)))->BgL_idz00);
																																				BgL_arg1374z00_814
																																					=
																																					MAKE_PAIR
																																					(BgL_modulez00_740,
																																					BNIL);
																																				BgL_arg1371z00_812
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1372z00_813,
																																					BgL_arg1374z00_814);
																																			}
																																			BgL_arg1366z00_811
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						2)),
																																				BgL_arg1371z00_812);
																																		}
																																		BgL_arg1361z00_810
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1366z00_811,
																																			BNIL);
																																	}
																																	BgL_arg1360z00_809
																																		=
																																		MAKE_PAIR
																																		(BgL_idz00_731,
																																		BgL_arg1361z00_810);
																																}
																																BgL_arg1335z00_807
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1344z00_808,
																																	BgL_arg1360z00_809);
																															}
																															BgL_arg1331z00_806
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 3)),
																																BgL_arg1335z00_807);
																														}
																														BgL_arg1328z00_805 =
																															MAKE_PAIR
																															(BgL_arg1331z00_806,
																															BNIL);
																													}
																													BgL_arg1316z00_804 =
																														MAKE_PAIR
																														(BgL_metz00_732,
																														BgL_arg1328z00_805);
																												}
																												BgL_arg1275z00_802 =
																													MAKE_PAIR
																													(BgL_arg1316z00_804,
																													BNIL);
																											}
																											{	/* Object/method.scm 62 */
																												obj_t
																													BgL_arg1378z00_815;
																												if (BgL_dssslz00_734)
																													{	/* Object/method.scm 63 */
																														obj_t
																															BgL_arg1379z00_816;
																														{	/* Object/method.scm 63 */
																															obj_t
																																BgL_arg1385z00_817;
																															{	/* Object/method.scm 63 */
																																obj_t
																																	BgL_arg1386z00_818;
																																{	/* Object/method.scm 63 */
																																	obj_t
																																		BgL_arg1398z00_819;
																																	BgL_arg1398z00_819
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argszd2idzd2_735,
																																		BNIL);
																																	BgL_arg1386z00_818
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				4)),
																																		BgL_arg1398z00_819);
																																}
																																BgL_arg1385z00_817
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1386z00_818,
																																	BNIL);
																															}
																															BgL_arg1379z00_816
																																=
																																MAKE_PAIR
																																(BgL_metz00_732,
																																BgL_arg1385z00_817);
																														}
																														BgL_arg1378z00_815 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 5)),
																															BgL_arg1379z00_816);
																													}
																												else
																													{	/* Object/method.scm 62 */
																														if (
																															(BgL_arityz00_733
																																>= ((long) 0)))
																															{	/* Object/method.scm 64 */
																																BgL_arg1378z00_815
																																	=
																																	MAKE_PAIR
																																	(BgL_metz00_732,
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_argszd2idzd2_735,
																																		BNIL));
																															}
																														else
																															{	/* Object/method.scm 67 */
																																obj_t
																																	BgL_arg1442z00_822;
																																{	/* Object/method.scm 67 */
																																	obj_t
																																		BgL_arg1447z00_823;
																																	{	/* Object/method.scm 67 */
																																		obj_t
																																			BgL_arg1452z00_824;
																																		{	/* Object/method.scm 67 */
																																			obj_t
																																				BgL_arg1454z00_825;
																																			BgL_arg1454z00_825
																																				=
																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_argszd2idzd2_735,
																																				BNIL);
																																			BgL_arg1452z00_824
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BgL_arg1454z00_825);
																																		}
																																		BgL_arg1447z00_823
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1452z00_824,
																																			BNIL);
																																	}
																																	BgL_arg1442z00_822
																																		=
																																		MAKE_PAIR
																																		(BgL_metz00_732,
																																		BgL_arg1447z00_823);
																																}
																																BgL_arg1378z00_815
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 5)),
																																	BgL_arg1442z00_822);
																													}}
																												BgL_arg1310z00_803 =
																													MAKE_PAIR
																													(BgL_arg1378z00_815,
																													BNIL);
																											}
																											BgL_arg1274z00_801 =
																												MAKE_PAIR
																												(BgL_arg1275z00_802,
																												BgL_arg1310z00_803);
																										}
																										BgL_arg1273z00_800 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 6)),
																											BgL_arg1274z00_801);
																									}
																									BgL_arg1272z00_799 =
																										MAKE_PAIR
																										(BgL_arg1273z00_800, BNIL);
																								}
																								BgL_arg1270z00_798 =
																									MAKE_PAIR(BNIL,
																									BgL_arg1272z00_799);
																							}
																							BgL_arg1269z00_797 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										7)), BgL_arg1270z00_798);
																						}
																						BgL_arg1267z00_795 =
																							MAKE_PAIR(BgL_arg1269z00_797,
																							BNIL);
																					}
																					{	/* Object/method.scm 68 */
																						obj_t BgL_arg1459z00_826;

																						if (BgL_dssslz00_734)
																							{	/* Object/method.scm 68 */
																								BgL_arg1459z00_826 =
																									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																									(BgL_identz00_3,
																									BgL_argsz00_4, BgL_bodyz00_6,
																									BGl_errorzd2envzd2zz__errorz00);
																							}
																						else
																							{	/* Object/method.scm 68 */
																								BgL_arg1459z00_826 =
																									BgL_bodyz00_6;
																							}
																						BgL_arg1268z00_796 =
																							MAKE_PAIR(BgL_arg1459z00_826,
																							BNIL);
																					}
																					BgL_arg1266z00_794 =
																						MAKE_PAIR(BgL_arg1267z00_795,
																						BgL_arg1268z00_796);
																				}
																				BgL_bodyz00_743 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																					BgL_arg1266z00_794);
																			}
																			{	/* Object/method.scm 56 */
																				obj_t BgL_ebodyz00_744;

																				{	/* Object/method.scm 71 */
																					bool_t BgL_testz00_1258;

																					{	/* Object/method.scm 71 */
																						bool_t BgL_res1621z00_1019;

																						BgL_res1621z00_1019 =
																							EXTENDED_PAIRP(BgL_srcz00_7);
																						BgL_testz00_1258 =
																							BgL_res1621z00_1019;
																					}
																					if (BgL_testz00_1258)
																						{	/* Object/method.scm 72 */
																							obj_t BgL_arg1258z00_791;
																							obj_t BgL_arg1259z00_792;
																							obj_t BgL_arg1264z00_793;

																							BgL_arg1258z00_791 =
																								CAR(BgL_bodyz00_743);
																							BgL_arg1259z00_792 =
																								CDR(BgL_bodyz00_743);
																							BgL_arg1264z00_793 =
																								CER(BgL_srcz00_7);
																							{	/* Object/method.scm 72 */
																								obj_t BgL_res1622z00_1026;

																								BgL_res1622z00_1026 =
																									MAKE_EXTENDED_PAIR
																									(BgL_arg1258z00_791,
																									BgL_arg1259z00_792,
																									BgL_arg1264z00_793);
																								BgL_ebodyz00_744 =
																									BgL_res1622z00_1026;
																							}
																						}
																					else
																						{	/* Object/method.scm 71 */
																							BgL_ebodyz00_744 =
																								BgL_bodyz00_743;
																						}
																				}
																				{	/* Object/method.scm 71 */
																					obj_t BgL_tmzd2idzd2_745;

																					{	/* Object/method.scm 74 */
																						bool_t BgL_testz00_1264;

																						{	/* Object/method.scm 74 */
																							BgL_typez00_bglt
																								BgL_arg1256z00_789;
																							BgL_arg1256z00_789 =
																								(((BgL_variablez00_bglt)
																									CREF(((BgL_variablez00_bglt) (
																												(BgL_globalz00_bglt)
																												BgL_genericz00_741))))->
																								BgL_typez00);
																							BgL_testz00_1264 =
																								BGl_bigloozd2typezf3z21zztype_typez00
																								(BgL_arg1256z00_789);
																						}
																						if (BgL_testz00_1264)
																							{	/* Object/method.scm 75 */
																								obj_t BgL_arg1251z00_787;

																								BgL_arg1251z00_787 =
																									(((BgL_typez00_bglt) CREF(
																											(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_genericz00_741))))->BgL_typez00)))->BgL_idz00);
																								BgL_tmzd2idzd2_745 =
																									BGl_makezd2typedzd2identz00zzast_identz00
																									(BgL_mzd2idzd2_737,
																									BgL_arg1251z00_787);
																							}
																						else
																							{	/* Object/method.scm 74 */
																								BgL_tmzd2idzd2_745 =
																									BgL_mzd2idzd2_737;
																							}
																					}
																					{	/* Object/method.scm 74 */
																						obj_t BgL_bdgz00_746;

																						{	/* Object/method.scm 77 */
																							obj_t BgL_arg1246z00_783;

																							{	/* Object/method.scm 77 */
																								obj_t BgL_arg1248z00_784;
																								obj_t BgL_arg1249z00_785;

																								if (BgL_dssslz00_734)
																									{	/* Object/method.scm 77 */
																										BgL_arg1248z00_784 =
																											BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
																											(BgL_argsz00_4,
																											BGl_errorzd2envzd2zz__errorz00,
																											((bool_t) 0));
																									}
																								else
																									{	/* Object/method.scm 77 */
																										BgL_arg1248z00_784 =
																											BgL_argsz00_4;
																									}
																								BgL_arg1249z00_785 =
																									MAKE_PAIR(BgL_ebodyz00_744,
																									BNIL);
																								BgL_arg1246z00_783 =
																									MAKE_PAIR(BgL_arg1248z00_784,
																									BgL_arg1249z00_785);
																							}
																							BgL_bdgz00_746 =
																								MAKE_PAIR(BgL_tmzd2idzd2_745,
																								BgL_arg1246z00_783);
																						}
																						{	/* Object/method.scm 77 */
																							obj_t BgL_ebdgz00_747;

																							{	/* Object/method.scm 81 */
																								bool_t BgL_testz00_1279;

																								{	/* Object/method.scm 81 */
																									bool_t BgL_res1623z00_1031;

																									BgL_res1623z00_1031 =
																										EXTENDED_PAIRP
																										(BgL_srcz00_7);
																									BgL_testz00_1279 =
																										BgL_res1623z00_1031;
																								}
																								if (BgL_testz00_1279)
																									{	/* Object/method.scm 82 */
																										obj_t BgL_arg1239z00_780;
																										obj_t BgL_arg1241z00_781;
																										obj_t BgL_arg1242z00_782;

																										BgL_arg1239z00_780 =
																											CAR(BgL_bdgz00_746);
																										BgL_arg1241z00_781 =
																											CDR(BgL_bdgz00_746);
																										BgL_arg1242z00_782 =
																											CER(BgL_srcz00_7);
																										{	/* Object/method.scm 82 */
																											obj_t BgL_res1624z00_1038;

																											BgL_res1624z00_1038 =
																												MAKE_EXTENDED_PAIR
																												(BgL_arg1239z00_780,
																												BgL_arg1241z00_781,
																												BgL_arg1242z00_782);
																											BgL_ebdgz00_747 =
																												BgL_res1624z00_1038;
																										}
																									}
																								else
																									{	/* Object/method.scm 81 */
																										BgL_ebdgz00_747 =
																											BgL_bdgz00_746;
																									}
																							}
																							{	/* Object/method.scm 81 */

																								BGl_za2methodsza2z00zzobject_methodz00
																									=
																									MAKE_PAIR(BgL_mzd2idzd2_737,
																									BGl_za2methodsza2z00zzobject_methodz00);
																								{	/* Object/method.scm 85 */
																									obj_t BgL_arg1182z00_748;

																									{	/* Object/method.scm 85 */
																										obj_t BgL_arg1184z00_750;

																										{	/* Object/method.scm 85 */
																											obj_t BgL_arg1186z00_751;
																											obj_t BgL_arg1190z00_752;

																											BgL_arg1186z00_751 =
																												MAKE_PAIR
																												(BgL_ebdgz00_747, BNIL);
																											{	/* Object/method.scm 86 */
																												obj_t
																													BgL_arg1193z00_753;
																												obj_t
																													BgL_arg1198z00_754;
																												{	/* Object/method.scm 86 */
																													bool_t
																														BgL_testz00_1287;
																													if (((long)
																															CINT
																															(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
																															>= ((long) 1)))
																														{	/* Object/method.scm 89 */
																															obj_t
																																BgL_arg1216z00_767;
																															{	/* Object/method.scm 89 */
																																obj_t
																																	BgL_arg1218z00_768;
																																BgL_arg1218z00_768
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_arg1216z00_767
																																	=
																																	(((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt) BgL_arg1218z00_768)))->BgL_debugzd2supportzd2);
																															}
																															BgL_testz00_1287 =
																																CBOOL
																																(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																(CNST_TABLE_REF(
																																		((long) 9)),
																																	BgL_arg1216z00_767));
																														}
																													else
																														{	/* Object/method.scm 86 */
																															BgL_testz00_1287 =
																																((bool_t) 0);
																														}
																													if (BgL_testz00_1287)
																														{	/* Object/method.scm 91 */
																															obj_t
																																BgL_arg1201z00_756;
																															{	/* Object/method.scm 91 */
																																obj_t
																																	BgL_arg1202z00_757;
																																{	/* Object/method.scm 91 */
																																	obj_t
																																		BgL_arg1205z00_758;
																																	obj_t
																																		BgL_arg1206z00_759;
																																	{	/* Object/method.scm 91 */
																																		obj_t
																																			BgL_res1627z00_1048;
																																		{	/* Object/method.scm 91 */
																																			obj_t
																																				BgL_arg1362z00_1047;
																																			BgL_arg1362z00_1047
																																				=
																																				SYMBOL_TO_STRING
																																				(BgL_identz00_3);
																																			BgL_res1627z00_1048
																																				=
																																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																				(BgL_arg1362z00_1047);
																																		}
																																		BgL_arg1205z00_758
																																			=
																																			BgL_res1627z00_1048;
																																	}
																																	{	/* Object/method.scm 91 */
																																		obj_t
																																			BgL_arg1213z00_765;
																																		BgL_arg1213z00_765
																																			=
																																			(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_holderz00_739)))->BgL_idz00);
																																		{	/* Object/method.scm 91 */
																																			obj_t
																																				BgL_res1628z00_1052;
																																			{	/* Object/method.scm 91 */
																																				obj_t
																																					BgL_arg1362z00_1051;
																																				BgL_arg1362z00_1051
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_arg1213z00_765);
																																				BgL_res1628z00_1052
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1362z00_1051);
																																			}
																																			BgL_arg1206z00_759
																																				=
																																				BgL_res1628z00_1052;
																																		}
																																	}
																																	{	/* Object/method.scm 91 */
																																		obj_t
																																			BgL_list1207z00_760;
																																		{	/* Object/method.scm 91 */
																																			obj_t
																																				BgL_arg1209z00_761;
																																			{	/* Object/method.scm 91 */
																																				obj_t
																																					BgL_arg1210z00_762;
																																				{	/* Object/method.scm 91 */
																																					obj_t
																																						BgL_arg1211z00_763;
																																					{	/* Object/method.scm 91 */
																																						obj_t
																																							BgL_arg1212z00_764;
																																						BgL_arg1212z00_764
																																							=
																																							MAKE_PAIR
																																							(BGl_string1642z00zzobject_methodz00,
																																							BNIL);
																																						BgL_arg1211z00_763
																																							=
																																							MAKE_PAIR
																																							(BgL_arg1206z00_759,
																																							BgL_arg1212z00_764);
																																					}
																																					BgL_arg1210z00_762
																																						=
																																						MAKE_PAIR
																																						(BGl_string1643z00zzobject_methodz00,
																																						BgL_arg1211z00_763);
																																				}
																																				BgL_arg1209z00_761
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1205z00_758,
																																					BgL_arg1210z00_762);
																																			}
																																			BgL_list1207z00_760
																																				=
																																				MAKE_PAIR
																																				(BGl_string1644z00zzobject_methodz00,
																																				BgL_arg1209z00_761);
																																		}
																																		BgL_arg1202z00_757
																																			=
																																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																			(BgL_list1207z00_760);
																																	}
																																}
																																BgL_arg1201z00_756
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1202z00_757,
																																	BNIL);
																															}
																															BgL_arg1193z00_753
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 10)),
																																BgL_arg1201z00_756);
																														}
																													else
																														{	/* Object/method.scm 86 */
																															BgL_arg1193z00_753
																																= BFALSE;
																														}
																												}
																												{	/* Object/method.scm 94 */
																													obj_t
																														BgL_arg1220z00_769;
																													{	/* Object/method.scm 94 */
																														obj_t
																															BgL_arg1221z00_770;
																														{	/* Object/method.scm 94 */
																															obj_t
																																BgL_arg1223z00_771;
																															{	/* Object/method.scm 94 */
																																obj_t
																																	BgL_arg1224z00_772;
																																obj_t
																																	BgL_arg1227z00_773;
																																{	/* Object/method.scm 94 */
																																	obj_t
																																		BgL_arg1231z00_774;
																																	{	/* Object/method.scm 94 */
																																		obj_t
																																			BgL_arg1233z00_775;
																																		obj_t
																																			BgL_arg1234z00_776;
																																		BgL_arg1233z00_775
																																			=
																																			(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_holderz00_739)))->BgL_idz00);
																																		BgL_arg1234z00_776
																																			=
																																			MAKE_PAIR
																																			(BgL_modulez00_740,
																																			BNIL);
																																		BgL_arg1231z00_774
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1233z00_775,
																																			BgL_arg1234z00_776);
																																	}
																																	BgL_arg1224z00_772
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				2)),
																																		BgL_arg1231z00_774);
																																}
																																{	/* Object/method.scm 96 */
																																	obj_t
																																		BgL_arg1236z00_777;
																																	{	/* Object/method.scm 96 */
																																		obj_t
																																			BgL_arg1237z00_778;
																																		{	/* Object/method.scm 96 */
																																			obj_t
																																				BgL_res1629z00_1056;
																																			{	/* Object/method.scm 96 */
																																				obj_t
																																					BgL_arg1362z00_1055;
																																				BgL_arg1362z00_1055
																																					=
																																					SYMBOL_TO_STRING
																																					(BgL_identz00_3);
																																				BgL_res1629z00_1056
																																					=
																																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																					(BgL_arg1362z00_1055);
																																			}
																																			BgL_arg1237z00_778
																																				=
																																				BgL_res1629z00_1056;
																																		}
																																		BgL_arg1236z00_777
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1237z00_778,
																																			BNIL);
																																	}
																																	BgL_arg1227z00_773
																																		=
																																		MAKE_PAIR
																																		(BgL_mzd2idzd2_737,
																																		BgL_arg1236z00_777);
																																}
																																BgL_arg1223z00_771
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1224z00_772,
																																	BgL_arg1227z00_773);
																															}
																															BgL_arg1221z00_770
																																=
																																MAKE_PAIR
																																(BgL_idz00_731,
																																BgL_arg1223z00_771);
																														}
																														BgL_arg1220z00_769 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 11)),
																															BgL_arg1221z00_770);
																													}
																													BgL_arg1198z00_754 =
																														MAKE_PAIR
																														(BgL_arg1220z00_769,
																														BNIL);
																												}
																												BgL_arg1190z00_752 =
																													MAKE_PAIR
																													(BgL_arg1193z00_753,
																													BgL_arg1198z00_754);
																											}
																											BgL_arg1184z00_750 =
																												MAKE_PAIR
																												(BgL_arg1186z00_751,
																												BgL_arg1190z00_752);
																										}
																										BgL_arg1182z00_748 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 8)),
																											BgL_arg1184z00_750);
																									}
																									{	/* Object/method.scm 85 */
																										obj_t BgL_list1183z00_749;

																										BgL_list1183z00_749 =
																											MAKE_PAIR
																											(BgL_arg1182z00_748,
																											BNIL);
																										return BgL_list1183z00_749;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Object/method.scm 135 */
																			obj_t BgL_arg1527z00_1062;

																			{	/* Object/method.scm 135 */
																				obj_t BgL_list1529z00_1063;

																				BgL_list1529z00_1063 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																					BNIL);
																				BgL_arg1527z00_1062 =
																					BgL_list1529z00_1063;
																			}
																			{	/* Object/method.scm 135 */
																				obj_t BgL_list1528z00_1064;

																				BgL_list1528z00_1064 =
																					MAKE_PAIR(BgL_arg1527z00_1062, BNIL);
																				return
																					BGl_userzd2errorzd2zztools_errorz00
																					(BgL_idz00_731,
																					BGl_string1645z00zzobject_methodz00,
																					BgL_srcz00_7, BgL_list1528z00_1064);
																			}
																		}
																}
															}
														}
													}
												else
													{	/* Object/method.scm 135 */
														obj_t BgL_arg1527z00_1070;

														{	/* Object/method.scm 135 */
															obj_t BgL_list1529z00_1071;

															BgL_list1529z00_1071 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 12)), BNIL);
															BgL_arg1527z00_1070 = BgL_list1529z00_1071;
														}
														{	/* Object/method.scm 135 */
															obj_t BgL_list1528z00_1072;

															BgL_list1528z00_1072 =
																MAKE_PAIR(BgL_arg1527z00_1070, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BgL_idz00_731,
																BGl_string1646z00zzobject_methodz00,
																BgL_srcz00_7, BgL_list1528z00_1072);
														}
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &make-method-body */
	obj_t BGl_z62makezd2methodzd2bodyz62zzobject_methodz00(obj_t BgL_envz00_1095,
		obj_t BgL_identz00_1096, obj_t BgL_argsz00_1097, obj_t BgL_localsz00_1098,
		obj_t BgL_bodyz00_1099, obj_t BgL_srcz00_1100)
	{
		AN_OBJECT;
		{	/* Object/method.scm 35 */
			return
				BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_identz00_1096,
				BgL_argsz00_1097, BgL_localsz00_1098, BgL_bodyz00_1099,
				BgL_srcz00_1100);
		}
	}



/* dsssl-method? */
	bool_t BGl_dssslzd2methodzf3z21zzobject_methodz00(obj_t BgL_argsz00_8)
	{
		AN_OBJECT;
		{	/* Object/method.scm 101 */
			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_8))
				{
					obj_t BgL_l1169z00_854;

					BgL_l1169z00_854 = BgL_argsz00_8;
				BgL_zc3anonymousza31501ze3z83_855:
					if (NULLP(BgL_l1169z00_854))
						{	/* Object/method.scm 102 */
							return ((bool_t) 0);
						}
					else
						{	/* Object/method.scm 102 */
							bool_t BgL__ortest_1171z00_857;

							BgL__ortest_1171z00_857 =
								BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
								(BgL_l1169z00_854));
							if (BgL__ortest_1171z00_857)
								{	/* Object/method.scm 102 */
									return BgL__ortest_1171z00_857;
								}
							else
								{
									obj_t BgL_l1169z00_1348;

									BgL_l1169z00_1348 = CDR(BgL_l1169z00_854);
									BgL_l1169z00_854 = BgL_l1169z00_1348;
									goto BgL_zc3anonymousza31501ze3z83_855;
								}
						}
				}
			else
				{	/* Object/method.scm 102 */
					return ((bool_t) 0);
				}
		}
	}



/* pair->list */
	obj_t BGl_pairzd2ze3listz31zzobject_methodz00(obj_t BgL_pz00_9)
	{
		AN_OBJECT;
		{	/* Object/method.scm 108 */
			if (PAIRP(BgL_pz00_9))
				{	/* Object/method.scm 110 */
					return
						MAKE_PAIR(CAR(BgL_pz00_9),
						BGl_pairzd2ze3listz31zzobject_methodz00(CDR(BgL_pz00_9)));
				}
			else
				{	/* Object/method.scm 110 */
					if (NULLP(BgL_pz00_9))
						{	/* Object/method.scm 111 */
							return BNIL;
						}
					else
						{	/* Object/method.scm 112 */
							obj_t BgL_list1521z00_866;

							BgL_list1521z00_866 = MAKE_PAIR(BgL_pz00_9, BNIL);
							return BgL_list1521z00_866;
						}
				}
		}
	}



/* mark-method! */
	BGL_EXPORTED_DEF obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t
		BgL_idz00_10)
	{
		AN_OBJECT;
		{	/* Object/method.scm 122 */
			return (BGl_za2methodsza2z00zzobject_methodz00 =
				MAKE_PAIR(BgL_idz00_10, BGl_za2methodsza2z00zzobject_methodz00),
				BUNSPEC);
		}
	}



/* &mark-method! */
	obj_t BGl_z62markzd2methodz12za2zzobject_methodz00(obj_t BgL_envz00_1105,
		obj_t BgL_idz00_1106)
	{
		AN_OBJECT;
		{	/* Object/method.scm 122 */
			return BGl_markzd2methodz12zc0zzobject_methodz00(BgL_idz00_1106);
		}
	}



/* local-is-method? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(BgL_localz00_bglt
		BgL_localz00_11)
	{
		AN_OBJECT;
		{	/* Object/method.scm 128 */
			{	/* Object/method.scm 129 */
				obj_t BgL_arg1526z00_1087;

				BgL_arg1526z00_1087 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_11)))->BgL_idz00);
				return
					CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1526z00_1087,
						BGl_za2methodsza2z00zzobject_methodz00));
			}
		}
	}



/* &local-is-method? */
	obj_t BGl_z62localzd2iszd2methodzf3z91zzobject_methodz00(obj_t
		BgL_envz00_1107, obj_t BgL_localz00_1108)
	{
		AN_OBJECT;
		{	/* Object/method.scm 128 */
			return
				BBOOL(BGl_localzd2iszd2methodzf3zf3zzobject_methodz00(
					((BgL_localz00_bglt) BgL_localz00_1108)));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1647z00zzobject_methodz00));
		}
	}

#ifdef __cplusplus
}
#endif
