/*===========================================================================*/
/*   (Object/nil.scm)                                                        */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/nil.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	static obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2nilzd2valuez00zzobject_nilz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_nilz00();
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_nilz00();
	static obj_t BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	static obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_typez00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62typezd2nilzd2valuez62zzobject_nilz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzobject_nilz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_nilz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jarrayz00zzforeign_jtypez00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t);
	static obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t, obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_nilz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	static obj_t BGl_z62importzd2classzd2nilz62zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[110];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl_za762genza7d2plainza7d1974za7,
		BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl_za762genza7d2wideza7d21975za7,
		BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2nilzd2valuezd2envzd2zzobject_nilz00,
		BgL_bgl_za762typeza7d2nilza7d21976za7,
		BGl_z62typezd2nilzd2valuez62zzobject_nilz00, 0L, BUNSPEC, 2);
	      DEFINE_REAL(BGl_real1965z00zzobject_nilz00,
		BgL_bgl_real1965za700za7za7obj1977za7, 0.0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2nilzd2envzd2zzobject_nilz00,
		BgL_bgl_za762importza7d2clas1978z00,
		BGl_z62importzd2classzd2nilz62zzobject_nilz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1966z00zzobject_nilz00,
		BgL_bgl_string1966za700za7za7o1979za7, "", 0);
	      DEFINE_STRING(BGl_string1967z00zzobject_nilz00,
		BgL_bgl_string1967za700za7za7o1980za7, "Illegal slot type `~a'", 22);
	      DEFINE_STRING(BGl_string1968z00zzobject_nilz00,
		BgL_bgl_string1968za700za7za7o1981za7, "0L", 2);
	      DEFINE_STRING(BGl_string1969z00zzobject_nilz00,
		BgL_bgl_string1969za700za7za7o1982za7, "object_nil", 10);
	      DEFINE_STRING(BGl_string1970z00zzobject_nilz00,
		BgL_bgl_string1970za700za7za7o1983za7,
		"free-pragma string char double float byte long int cast-null (make-f64vector 0) f64vector (make-f32vector 0) f32vector (make-u64vector 0) u64vector (make-s64vector 0) s64vector (make-u32vector 0) u32vector (make-s32vector 0) s32vector (make-u16vector 0) u16vector (make-s16vector 0) s16vector (make-u8vector 0) u8vector (make-s8vector 0) s8vector (condition-variable-nil) condvar (mutex-nil) mutex (utf8-string->ucs2-string \"\") ucs2string (char->ucs2 #\\_) bucs2 (make-datagram-server-socket) datagram-socket (make-server-socket) socket (opaque-nil) opaque (custom-nil) custom (process-nil) process procedure make-struct struct vector keyword symbol bstring epair pair pair-nil nil bchar breal bbool bool elong llong bint cell unspec (current-date) date (string->mmap \"\") mmap binary-port error-port (current-output-port) output-port (current-input-port) input-port cons (quote #()) :_ (quote _) (econs #f #f #f) (cons #f #f) (quote ()) #z0 (string->elong \"0\") (string->llong \"0\") (make-cell #unspecified) class-nil "
		"make- list->tvector quote object-widening-set! object-class-num-set! class-num @ ? - unsafe if let set! isa? define fill- ! %allocate- obj %the- -nil ",
		1165);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long
		BgL_checksumz00_1661, char *BgL_fromz00_1662)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_nilz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_nilz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
					BGl_cnstzd2initzd2zzobject_nilz00();
					BGl_importedzd2moduleszd2initz00zzobject_nilz00();
					return BGl_methodzd2initzd2zzobject_nilz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"object_nil");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			{	/* Object/nil.scm 15 */
				obj_t BgL_cportz00_1648;

				{	/* Object/nil.scm 15 */
					obj_t BgL_startz00_1657;

					BgL_startz00_1657 = BINT(((long) 0));
					{	/* Object/nil.scm 15 */
						obj_t BgL_endz00_1658;

						BgL_endz00_1658 =
							BINT(STRING_LENGTH(BGl_string1970z00zzobject_nilz00));
						{	/* Object/nil.scm 15 */

							BgL_cportz00_1648 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1970z00zzobject_nilz00, BgL_startz00_1657,
								BgL_endz00_1658);
				}}}
				{
					long BgL_iz00_1649;

					BgL_iz00_1649 = ((long) 109);
				BgL_loopz00_1650:
					if ((BgL_iz00_1649 == ((long) -1)))
						{	/* Object/nil.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/nil.scm 15 */
							{	/* Object/nil.scm 15 */
								obj_t BgL_arg1972z00_1652;

								{	/* Object/nil.scm 15 */

									{	/* Object/nil.scm 15 */
										obj_t BgL_locationz00_1654;

										BgL_locationz00_1654 = BBOOL(((bool_t) 0));
										{	/* Object/nil.scm 15 */

											BgL_arg1972z00_1652 =
												BGl_readz00zz__readerz00(BgL_cportz00_1648,
												BgL_locationz00_1654);
										}
									}
								}
								{	/* Object/nil.scm 15 */
									int BgL_auxz00_1687;

									BgL_auxz00_1687 = (int) (BgL_iz00_1649);
									CNST_TABLE_SET(BgL_auxz00_1687, BgL_arg1972z00_1652);
							}}
							{	/* Object/nil.scm 15 */
								int BgL_auxz00_1655;

								BgL_auxz00_1655 = (int) ((BgL_iz00_1649 - ((long) 1)));
								{
									long BgL_iz00_1692;

									BgL_iz00_1692 = (long) (BgL_auxz00_1655);
									BgL_iz00_1649 = BgL_iz00_1692;
									goto BgL_loopz00_1650;
								}
							}
						}
				}
			}
		}
	}



/* import-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_typez00_bglt BgL_classz00_3,
		obj_t BgL_srczd2defzd2_4, obj_t BgL_modulez00_5)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			{	/* Object/nil.scm 45 */
				obj_t BgL_idz00_900;

				BgL_idz00_900 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_3)))->BgL_idz00);
				{	/* Object/nil.scm 45 */
					obj_t BgL_idzd2nilzd2_901;

					{	/* Object/nil.scm 46 */
						obj_t BgL_arg1205z00_905;

						{	/* Object/nil.scm 46 */
							obj_t BgL_arg1206z00_906;
							obj_t BgL_arg1209z00_907;

							{	/* Object/nil.scm 46 */
								obj_t BgL_res1874z00_1370;

								{	/* Object/nil.scm 46 */
									obj_t BgL_arg1362z00_1369;

									BgL_arg1362z00_1369 = SYMBOL_TO_STRING(BgL_idz00_900);
									BgL_res1874z00_1370 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1362z00_1369);
								}
								BgL_arg1206z00_906 = BgL_res1874z00_1370;
							}
							{	/* Object/nil.scm 46 */
								obj_t BgL_res1875z00_1373;

								{	/* Object/nil.scm 46 */
									obj_t BgL_symbolz00_1371;

									BgL_symbolz00_1371 = CNST_TABLE_REF(((long) 0));
									{	/* Object/nil.scm 46 */
										obj_t BgL_arg1362z00_1372;

										BgL_arg1362z00_1372 = SYMBOL_TO_STRING(BgL_symbolz00_1371);
										BgL_res1875z00_1373 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1362z00_1372);
								}}
								BgL_arg1209z00_907 = BgL_res1875z00_1373;
							}
							BgL_arg1205z00_905 =
								string_append(BgL_arg1206z00_906, BgL_arg1209z00_907);
						}
						BgL_idzd2nilzd2_901 = bstring_to_symbol(BgL_arg1205z00_905);
					}
					{	/* Object/nil.scm 46 */
						obj_t BgL_tidzd2nilzd2_902;

						BgL_tidzd2nilzd2_902 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_901,
							BgL_idz00_900);
						{	/* Object/nil.scm 47 */

							{	/* Object/nil.scm 48 */
								obj_t BgL_arg1201z00_903;

								BgL_arg1201z00_903 = MAKE_PAIR(BgL_tidzd2nilzd2_902, BNIL);
								return
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_5,
									BgL_arg1201z00_903, BFALSE, BNIL);
							}
						}
					}
				}
			}
		}
	}



/* &import-class-nil */
	obj_t BGl_z62importzd2classzd2nilz62zzobject_nilz00(obj_t BgL_envz00_1633,
		obj_t BgL_classz00_1634, obj_t BgL_srczd2defzd2_1635,
		obj_t BgL_modulez00_1636)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			return
				BGl_importzd2classzd2nilz00zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_1634), BgL_srczd2defzd2_1635,
				BgL_modulez00_1636);
		}
	}



/* gen-plain-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt
		BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_importz00_8)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 55 */
			{	/* Object/nil.scm 57 */
				obj_t BgL_idz00_909;

				BgL_idz00_909 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_6)))->BgL_idz00);
				{	/* Object/nil.scm 57 */
					obj_t BgL_idzd2nilzd2_910;

					{	/* Object/nil.scm 58 */
						obj_t BgL_arg1361z00_967;

						{	/* Object/nil.scm 58 */
							obj_t BgL_arg1366z00_968;
							obj_t BgL_arg1371z00_969;

							{	/* Object/nil.scm 58 */
								obj_t BgL_res1877z00_1379;

								{	/* Object/nil.scm 58 */
									obj_t BgL_arg1362z00_1378;

									BgL_arg1362z00_1378 = SYMBOL_TO_STRING(BgL_idz00_909);
									BgL_res1877z00_1379 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1362z00_1378);
								}
								BgL_arg1366z00_968 = BgL_res1877z00_1379;
							}
							{	/* Object/nil.scm 58 */
								obj_t BgL_res1878z00_1382;

								{	/* Object/nil.scm 58 */
									obj_t BgL_symbolz00_1380;

									BgL_symbolz00_1380 = CNST_TABLE_REF(((long) 0));
									{	/* Object/nil.scm 58 */
										obj_t BgL_arg1362z00_1381;

										BgL_arg1362z00_1381 = SYMBOL_TO_STRING(BgL_symbolz00_1380);
										BgL_res1878z00_1382 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1362z00_1381);
								}}
								BgL_arg1371z00_969 = BgL_res1878z00_1382;
							}
							BgL_arg1361z00_967 =
								string_append(BgL_arg1366z00_968, BgL_arg1371z00_969);
						}
						BgL_idzd2nilzd2_910 = bstring_to_symbol(BgL_arg1361z00_967);
					}
					{	/* Object/nil.scm 58 */
						obj_t BgL_tidzd2nilzd2_911;

						BgL_tidzd2nilzd2_911 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_910,
							BgL_idz00_909);
						{	/* Object/nil.scm 59 */
							obj_t BgL_thezd2idzd2nilz00_912;

							{	/* Object/nil.scm 60 */
								obj_t BgL_arg1335z00_964;

								{	/* Object/nil.scm 60 */
									obj_t BgL_arg1344z00_965;
									obj_t BgL_arg1360z00_966;

									{	/* Object/nil.scm 60 */
										obj_t BgL_res1880z00_1387;

										{	/* Object/nil.scm 60 */
											obj_t BgL_symbolz00_1385;

											BgL_symbolz00_1385 = CNST_TABLE_REF(((long) 1));
											{	/* Object/nil.scm 60 */
												obj_t BgL_arg1362z00_1386;

												BgL_arg1362z00_1386 =
													SYMBOL_TO_STRING(BgL_symbolz00_1385);
												BgL_res1880z00_1387 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1362z00_1386);
										}}
										BgL_arg1344z00_965 = BgL_res1880z00_1387;
									}
									{	/* Object/nil.scm 60 */
										obj_t BgL_res1881z00_1390;

										{	/* Object/nil.scm 60 */
											obj_t BgL_arg1362z00_1389;

											BgL_arg1362z00_1389 =
												SYMBOL_TO_STRING(BgL_idzd2nilzd2_910);
											BgL_res1881z00_1390 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1362z00_1389);
										}
										BgL_arg1360z00_966 = BgL_res1881z00_1390;
									}
									BgL_arg1335z00_964 =
										string_append(BgL_arg1344z00_965, BgL_arg1360z00_966);
								}
								BgL_thezd2idzd2nilz00_912 =
									bstring_to_symbol(BgL_arg1335z00_964);
							}
							{	/* Object/nil.scm 60 */
								obj_t BgL_thezd2tidzd2nilz00_913;

								BgL_thezd2tidzd2nilz00_913 =
									BGl_makezd2typedzd2identz00zzast_identz00
									(BgL_thezd2idzd2nilz00_912, CNST_TABLE_REF(((long) 2)));
								{	/* Object/nil.scm 61 */
									obj_t BgL_allocz00_914;

									{	/* Object/nil.scm 62 */
										obj_t BgL_arg1316z00_961;

										{	/* Object/nil.scm 62 */
											obj_t BgL_arg1328z00_962;
											obj_t BgL_arg1331z00_963;

											{	/* Object/nil.scm 62 */
												obj_t BgL_res1883z00_1395;

												{	/* Object/nil.scm 62 */
													obj_t BgL_symbolz00_1393;

													BgL_symbolz00_1393 = CNST_TABLE_REF(((long) 3));
													{	/* Object/nil.scm 62 */
														obj_t BgL_arg1362z00_1394;

														BgL_arg1362z00_1394 =
															SYMBOL_TO_STRING(BgL_symbolz00_1393);
														BgL_res1883z00_1395 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1362z00_1394);
												}}
												BgL_arg1328z00_962 = BgL_res1883z00_1395;
											}
											{	/* Object/nil.scm 62 */
												obj_t BgL_res1884z00_1398;

												{	/* Object/nil.scm 62 */
													obj_t BgL_arg1362z00_1397;

													BgL_arg1362z00_1397 = SYMBOL_TO_STRING(BgL_idz00_909);
													BgL_res1884z00_1398 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1362z00_1397);
												}
												BgL_arg1331z00_963 = BgL_res1884z00_1398;
											}
											BgL_arg1316z00_961 =
												string_append(BgL_arg1328z00_962, BgL_arg1331z00_963);
										}
										BgL_allocz00_914 = bstring_to_symbol(BgL_arg1316z00_961);
									}
									{	/* Object/nil.scm 62 */
										obj_t BgL_fillz00_915;

										{	/* Object/nil.scm 63 */
											obj_t BgL_list1274z00_958;

											{	/* Object/nil.scm 63 */
												obj_t BgL_arg1275z00_959;

												{	/* Object/nil.scm 63 */
													obj_t BgL_arg1310z00_960;

													BgL_arg1310z00_960 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
													BgL_arg1275z00_959 =
														MAKE_PAIR(BgL_idz00_909, BgL_arg1310z00_960);
												}
												BgL_list1274z00_958 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
													BgL_arg1275z00_959);
											}
											BgL_fillz00_915 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1274z00_958);
										}
										{	/* Object/nil.scm 63 */
											obj_t BgL_tmpz00_916;

											{	/* Object/nil.scm 64 */

												{	/* Object/nil.scm 64 */

													BgL_tmpz00_916 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											{	/* Object/nil.scm 64 */
												obj_t BgL_tmptz00_917;

												BgL_tmptz00_917 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_tmpz00_916, BgL_idz00_909);
												{	/* Object/nil.scm 65 */

													{	/* Object/nil.scm 66 */
														obj_t BgL_arg1210z00_918;

														{	/* Object/nil.scm 66 */
															obj_t BgL_arg1211z00_919;

															{	/* Object/nil.scm 66 */
																obj_t BgL_arg1212z00_920;

																BgL_arg1212z00_920 =
																	MAKE_PAIR(BgL_tidzd2nilzd2_911, BNIL);
																BgL_arg1211z00_919 =
																	MAKE_PAIR(BgL_arg1212z00_920, BNIL);
															}
															BgL_arg1210z00_918 =
																MAKE_PAIR(BgL_importz00_8, BgL_arg1211z00_919);
														}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg1210z00_918);
													}
													{	/* Object/nil.scm 68 */
														obj_t BgL_arg1213z00_921;
														obj_t BgL_arg1216z00_922;

														{	/* Object/nil.scm 68 */
															obj_t BgL_arg1220z00_925;

															{	/* Object/nil.scm 68 */
																obj_t BgL_arg1221z00_926;

																BgL_arg1221z00_926 = MAKE_PAIR(BUNSPEC, BNIL);
																BgL_arg1220z00_925 =
																	MAKE_PAIR(BgL_thezd2tidzd2nilz00_913,
																	BgL_arg1221z00_926);
															}
															BgL_arg1213z00_921 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1220z00_925);
														}
														{	/* Object/nil.scm 69 */
															obj_t BgL_arg1223z00_927;

															{	/* Object/nil.scm 69 */
																obj_t BgL_arg1224z00_928;

																{	/* Object/nil.scm 69 */
																	obj_t BgL_arg1227z00_929;
																	obj_t BgL_arg1231z00_930;

																	BgL_arg1227z00_929 =
																		MAKE_PAIR(BgL_tidzd2nilzd2_911, BNIL);
																	{	/* Object/nil.scm 71 */
																		obj_t BgL_arg1233z00_931;

																		{	/* Object/nil.scm 71 */
																			obj_t BgL_arg1234z00_932;

																			{	/* Object/nil.scm 71 */
																				obj_t BgL_arg1236z00_934;

																				{	/* Object/nil.scm 71 */
																					obj_t BgL_arg1237z00_935;
																					obj_t BgL_arg1238z00_936;

																					{	/* Object/nil.scm 71 */
																						obj_t BgL_arg1239z00_937;

																						{	/* Object/nil.scm 71 */
																							obj_t BgL_arg1241z00_938;

																							BgL_arg1241z00_938 =
																								MAKE_PAIR(BgL_idz00_909, BNIL);
																							BgL_arg1239z00_937 =
																								MAKE_PAIR
																								(BgL_thezd2idzd2nilz00_912,
																								BgL_arg1241z00_938);
																						}
																						BgL_arg1237z00_935 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									7)), BgL_arg1239z00_937);
																					}
																					{	/* Object/nil.scm 73 */
																						obj_t BgL_arg1242z00_939;

																						{	/* Object/nil.scm 73 */
																							obj_t BgL_arg1246z00_940;

																							{	/* Object/nil.scm 73 */
																								obj_t BgL_arg1248z00_941;

																								{	/* Object/nil.scm 73 */
																									obj_t BgL_arg1249z00_942;
																									obj_t BgL_arg1250z00_943;

																									{	/* Object/nil.scm 73 */
																										obj_t BgL_arg1251z00_944;

																										{	/* Object/nil.scm 73 */
																											obj_t BgL_arg1254z00_945;

																											{	/* Object/nil.scm 73 */
																												obj_t
																													BgL_arg1256z00_946;
																												BgL_arg1256z00_946 =
																													MAKE_PAIR
																													(BgL_allocz00_914,
																													BNIL);
																												BgL_arg1254z00_945 =
																													MAKE_PAIR
																													(BgL_arg1256z00_946,
																													BNIL);
																											}
																											BgL_arg1251z00_944 =
																												MAKE_PAIR
																												(BgL_tmptz00_917,
																												BgL_arg1254z00_945);
																										}
																										BgL_arg1249z00_942 =
																											MAKE_PAIR
																											(BgL_arg1251z00_944,
																											BNIL);
																									}
																									{	/* Object/nil.scm 74 */
																										obj_t BgL_arg1258z00_947;
																										obj_t BgL_arg1259z00_948;

																										{	/* Object/nil.scm 74 */
																											obj_t BgL_arg1264z00_949;

																											{	/* Object/nil.scm 74 */
																												obj_t
																													BgL_arg1266z00_950;
																												BgL_arg1266z00_950 =
																													MAKE_PAIR
																													(BgL_tmpz00_916,
																													BNIL);
																												BgL_arg1264z00_949 =
																													MAKE_PAIR
																													(BgL_thezd2idzd2nilz00_912,
																													BgL_arg1266z00_950);
																											}
																											BgL_arg1258z00_947 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 8)),
																												BgL_arg1264z00_949);
																										}
																										{	/* Object/nil.scm 75 */
																											obj_t BgL_arg1267z00_951;
																											obj_t BgL_arg1268z00_952;

																											{	/* Object/nil.scm 75 */
																												obj_t
																													BgL_arg1269z00_953;
																												{	/* Object/nil.scm 75 */
																													obj_t
																														BgL_arg1270z00_954;
																													{	/* Object/nil.scm 75 */
																														obj_t
																															BgL_arg1272z00_955;
																														{	/* Object/nil.scm 75 */
																															obj_t
																																BgL_arg1273z00_956;
																															{
																																BgL_tclassz00_bglt
																																	BgL_auxz00_1763;
																																{
																																	obj_t
																																		BgL_auxz00_1764;
																																	{	/* Object/nil.scm 75 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_1765;
																																		BgL_auxz00_1765
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_classz00_6);
																																		BgL_auxz00_1764
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_auxz00_1765);
																																	}
																																	BgL_auxz00_1763
																																		=
																																		(
																																		(BgL_tclassz00_bglt)
																																		BgL_auxz00_1764);
																																}
																																BgL_arg1273z00_956
																																	=
																																	(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1763))->BgL_slotsz00);
																															}
																															BgL_arg1272z00_955
																																=
																																BGl_fillzd2nilzd2zzobject_nilz00
																																(BgL_arg1273z00_956);
																														}
																														BgL_arg1270z00_954 =
																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1272z00_955,
																															BNIL);
																													}
																													BgL_arg1269z00_953 =
																														MAKE_PAIR
																														(BgL_tmpz00_916,
																														BgL_arg1270z00_954);
																												}
																												BgL_arg1267z00_951 =
																													MAKE_PAIR
																													(BgL_fillz00_915,
																													BgL_arg1269z00_953);
																											}
																											BgL_arg1268z00_952 =
																												MAKE_PAIR
																												(BgL_tmpz00_916, BNIL);
																											BgL_arg1259z00_948 =
																												MAKE_PAIR
																												(BgL_arg1267z00_951,
																												BgL_arg1268z00_952);
																										}
																										BgL_arg1250z00_943 =
																											MAKE_PAIR
																											(BgL_arg1258z00_947,
																											BgL_arg1259z00_948);
																									}
																									BgL_arg1248z00_941 =
																										MAKE_PAIR
																										(BgL_arg1249z00_942,
																										BgL_arg1250z00_943);
																								}
																								BgL_arg1246z00_940 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 9)),
																									BgL_arg1248z00_941);
																							}
																							BgL_arg1242z00_939 =
																								MAKE_PAIR(BgL_arg1246z00_940,
																								BNIL);
																						}
																						BgL_arg1238z00_936 =
																							MAKE_PAIR
																							(BgL_thezd2idzd2nilz00_912,
																							BgL_arg1242z00_939);
																					}
																					BgL_arg1236z00_934 =
																						MAKE_PAIR(BgL_arg1237z00_935,
																						BgL_arg1238z00_936);
																				}
																				BgL_arg1234z00_932 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																					BgL_arg1236z00_934);
																			}
																			{	/* Object/nil.scm 70 */
																				obj_t BgL_list1235z00_933;

																				BgL_list1235z00_933 =
																					MAKE_PAIR(BgL_arg1234z00_932, BNIL);
																				BgL_arg1233z00_931 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(CNST_TABLE_REF(((long) 11)),
																					BgL_idz00_909, BgL_list1235z00_933);
																		}}
																		BgL_arg1231z00_930 =
																			MAKE_PAIR(BgL_arg1233z00_931, BNIL);
																	}
																	BgL_arg1224z00_928 =
																		MAKE_PAIR(BgL_arg1227z00_929,
																		BgL_arg1231z00_930);
																}
																BgL_arg1223z00_927 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg1224z00_928);
															}
															BgL_arg1216z00_922 =
																BGl_epairifyz00zztools_miscz00
																(BgL_arg1223z00_927, BgL_srczd2defzd2_7);
														}
														{	/* Object/nil.scm 67 */
															obj_t BgL_list1217z00_923;

															{	/* Object/nil.scm 67 */
																obj_t BgL_arg1218z00_924;

																BgL_arg1218z00_924 =
																	MAKE_PAIR(BgL_arg1216z00_922, BNIL);
																BgL_list1217z00_923 =
																	MAKE_PAIR(BgL_arg1213z00_921,
																	BgL_arg1218z00_924);
															}
															return BgL_list1217z00_923;
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &gen-plain-class-nil */
	obj_t BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00(obj_t
		BgL_envz00_1637, obj_t BgL_classz00_1638, obj_t BgL_srczd2defzd2_1639,
		obj_t BgL_importz00_1640)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 55 */
			return
				BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_1638), BgL_srczd2defzd2_1639,
				BgL_importz00_1640);
		}
	}



/* gen-wide-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_importz00_11)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 84 */
			{	/* Object/nil.scm 86 */
				obj_t BgL_idz00_971;

				BgL_idz00_971 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_9)))->BgL_idz00);
				{	/* Object/nil.scm 86 */
					obj_t BgL_superzd2idzd2_972;

					{
						BgL_typez00_bglt BgL_auxz00_1799;

						{
							BgL_typez00_bglt BgL_auxz00_1800;

							{
								obj_t BgL_auxz00_1801;

								{
									BgL_tclassz00_bglt BgL_auxz00_1802;

									{
										obj_t BgL_auxz00_1803;

										{	/* Object/nil.scm 87 */
											BgL_objectz00_bglt BgL_auxz00_1804;

											BgL_auxz00_1804 = ((BgL_objectz00_bglt) BgL_classz00_9);
											BgL_auxz00_1803 = BGL_OBJECT_WIDENING(BgL_auxz00_1804);
										}
										BgL_auxz00_1802 = ((BgL_tclassz00_bglt) BgL_auxz00_1803);
									}
									BgL_auxz00_1801 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1802))->
										BgL_itszd2superzd2);
								}
								BgL_auxz00_1800 = ((BgL_typez00_bglt) BgL_auxz00_1801);
							}
							BgL_auxz00_1799 = ((BgL_typez00_bglt) BgL_auxz00_1800);
						}
						BgL_superzd2idzd2_972 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1799))->BgL_idz00);
					}
					{	/* Object/nil.scm 87 */
						obj_t BgL_superzd2slotszd2_973;

						{
							BgL_tclassz00_bglt BgL_auxz00_1812;

							{
								obj_t BgL_auxz00_1813;

								{	/* Object/nil.scm 88 */
									BgL_objectz00_bglt BgL_auxz00_1814;

									{
										BgL_typez00_bglt BgL_auxz00_1815;

										{
											obj_t BgL_auxz00_1816;

											{
												BgL_tclassz00_bglt BgL_auxz00_1817;

												{
													obj_t BgL_auxz00_1818;

													{	/* Object/nil.scm 88 */
														BgL_objectz00_bglt BgL_auxz00_1819;

														BgL_auxz00_1819 =
															((BgL_objectz00_bglt) BgL_classz00_9);
														BgL_auxz00_1818 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1819);
													}
													BgL_auxz00_1817 =
														((BgL_tclassz00_bglt) BgL_auxz00_1818);
												}
												BgL_auxz00_1816 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1817))->
													BgL_itszd2superzd2);
											}
											BgL_auxz00_1815 = ((BgL_typez00_bglt) BgL_auxz00_1816);
										}
										BgL_auxz00_1814 = ((BgL_objectz00_bglt) BgL_auxz00_1815);
									}
									BgL_auxz00_1813 = BGL_OBJECT_WIDENING(BgL_auxz00_1814);
								}
								BgL_auxz00_1812 = ((BgL_tclassz00_bglt) BgL_auxz00_1813);
							}
							BgL_superzd2slotszd2_973 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1812))->BgL_slotsz00);
						}
						{	/* Object/nil.scm 88 */
							obj_t BgL_idzd2nilzd2_974;

							{	/* Object/nil.scm 89 */
								obj_t BgL_arg1663z00_1059;

								{	/* Object/nil.scm 89 */
									obj_t BgL_arg1669z00_1060;
									obj_t BgL_arg1670z00_1061;

									{	/* Object/nil.scm 89 */
										obj_t BgL_res1889z00_1408;

										{	/* Object/nil.scm 89 */
											obj_t BgL_arg1362z00_1407;

											BgL_arg1362z00_1407 = SYMBOL_TO_STRING(BgL_idz00_971);
											BgL_res1889z00_1408 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1362z00_1407);
										}
										BgL_arg1669z00_1060 = BgL_res1889z00_1408;
									}
									{	/* Object/nil.scm 89 */
										obj_t BgL_res1890z00_1411;

										{	/* Object/nil.scm 89 */
											obj_t BgL_symbolz00_1409;

											BgL_symbolz00_1409 = CNST_TABLE_REF(((long) 0));
											{	/* Object/nil.scm 89 */
												obj_t BgL_arg1362z00_1410;

												BgL_arg1362z00_1410 =
													SYMBOL_TO_STRING(BgL_symbolz00_1409);
												BgL_res1890z00_1411 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1362z00_1410);
										}}
										BgL_arg1670z00_1061 = BgL_res1890z00_1411;
									}
									BgL_arg1663z00_1059 =
										string_append(BgL_arg1669z00_1060, BgL_arg1670z00_1061);
								}
								BgL_idzd2nilzd2_974 = bstring_to_symbol(BgL_arg1663z00_1059);
							}
							{	/* Object/nil.scm 89 */
								obj_t BgL_tidzd2nilzd2_975;

								BgL_tidzd2nilzd2_975 =
									BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_974,
									BgL_idz00_971);
								{	/* Object/nil.scm 90 */
									obj_t BgL_thezd2idzd2nilz00_976;

									{	/* Object/nil.scm 91 */
										obj_t BgL_arg1652z00_1056;

										{	/* Object/nil.scm 91 */
											obj_t BgL_arg1656z00_1057;
											obj_t BgL_arg1657z00_1058;

											{	/* Object/nil.scm 91 */
												obj_t BgL_res1892z00_1416;

												{	/* Object/nil.scm 91 */
													obj_t BgL_symbolz00_1414;

													BgL_symbolz00_1414 = CNST_TABLE_REF(((long) 1));
													{	/* Object/nil.scm 91 */
														obj_t BgL_arg1362z00_1415;

														BgL_arg1362z00_1415 =
															SYMBOL_TO_STRING(BgL_symbolz00_1414);
														BgL_res1892z00_1416 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1362z00_1415);
												}}
												BgL_arg1656z00_1057 = BgL_res1892z00_1416;
											}
											{	/* Object/nil.scm 91 */
												obj_t BgL_res1893z00_1419;

												{	/* Object/nil.scm 91 */
													obj_t BgL_arg1362z00_1418;

													BgL_arg1362z00_1418 =
														SYMBOL_TO_STRING(BgL_idzd2nilzd2_974);
													BgL_res1893z00_1419 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1362z00_1418);
												}
												BgL_arg1657z00_1058 = BgL_res1893z00_1419;
											}
											BgL_arg1652z00_1056 =
												string_append(BgL_arg1656z00_1057, BgL_arg1657z00_1058);
										}
										BgL_thezd2idzd2nilz00_976 =
											bstring_to_symbol(BgL_arg1652z00_1056);
									}
									{	/* Object/nil.scm 91 */
										obj_t BgL_thezd2tidzd2nilz00_977;

										BgL_thezd2tidzd2nilz00_977 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_thezd2idzd2nilz00_976, CNST_TABLE_REF(((long) 2)));
										{	/* Object/nil.scm 92 */
											obj_t BgL_wideningz00_978;

											{	/* Object/nil.scm 93 */
												obj_t BgL_arg1644z00_1052;

												{
													BgL_tclassz00_bglt BgL_auxz00_1846;

													{
														obj_t BgL_auxz00_1847;

														{	/* Object/nil.scm 93 */
															BgL_objectz00_bglt BgL_auxz00_1848;

															BgL_auxz00_1848 =
																((BgL_objectz00_bglt) BgL_classz00_9);
															BgL_auxz00_1847 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1848);
														}
														BgL_auxz00_1846 =
															((BgL_tclassz00_bglt) BgL_auxz00_1847);
													}
													BgL_arg1644z00_1052 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1846))->
														BgL_wideningz00);
												}
												{	/* Object/nil.scm 93 */
													obj_t BgL_list1645z00_1053;

													{	/* Object/nil.scm 93 */
														obj_t BgL_arg1647z00_1054;

														{	/* Object/nil.scm 93 */
															obj_t BgL_arg1651z00_1055;

															BgL_arg1651z00_1055 =
																MAKE_PAIR(BgL_idz00_971, BNIL);
															BgL_arg1647z00_1054 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																BgL_arg1651z00_1055);
														}
														BgL_list1645z00_1053 =
															MAKE_PAIR(BgL_arg1644z00_1052,
															BgL_arg1647z00_1054);
													}
													BgL_wideningz00_978 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1645z00_1053);
											}}
											{	/* Object/nil.scm 93 */
												obj_t BgL_superzd2alloczd2_979;

												{	/* Object/nil.scm 94 */
													obj_t BgL_arg1634z00_1049;

													{	/* Object/nil.scm 94 */
														obj_t BgL_arg1635z00_1050;
														obj_t BgL_arg1643z00_1051;

														{	/* Object/nil.scm 94 */
															obj_t BgL_res1895z00_1425;

															{	/* Object/nil.scm 94 */
																obj_t BgL_symbolz00_1423;

																BgL_symbolz00_1423 = CNST_TABLE_REF(((long) 3));
																{	/* Object/nil.scm 94 */
																	obj_t BgL_arg1362z00_1424;

																	BgL_arg1362z00_1424 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1423);
																	BgL_res1895z00_1425 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1362z00_1424);
															}}
															BgL_arg1635z00_1050 = BgL_res1895z00_1425;
														}
														{	/* Object/nil.scm 94 */
															obj_t BgL_res1896z00_1428;

															{	/* Object/nil.scm 94 */
																obj_t BgL_arg1362z00_1427;

																BgL_arg1362z00_1427 =
																	SYMBOL_TO_STRING(BgL_superzd2idzd2_972);
																BgL_res1896z00_1428 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1362z00_1427);
															}
															BgL_arg1643z00_1051 = BgL_res1896z00_1428;
														}
														BgL_arg1634z00_1049 =
															string_append(BgL_arg1635z00_1050,
															BgL_arg1643z00_1051);
													}
													BgL_superzd2alloczd2_979 =
														bstring_to_symbol(BgL_arg1634z00_1049);
												}
												{	/* Object/nil.scm 94 */
													obj_t BgL_superzd2fillzd2_980;

													{	/* Object/nil.scm 95 */
														obj_t BgL_list1626z00_1046;

														{	/* Object/nil.scm 95 */
															obj_t BgL_arg1631z00_1047;

															{	/* Object/nil.scm 95 */
																obj_t BgL_arg1633z00_1048;

																BgL_arg1633z00_1048 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
																BgL_arg1631z00_1047 =
																	MAKE_PAIR(BgL_superzd2idzd2_972,
																	BgL_arg1633z00_1048);
															}
															BgL_list1626z00_1046 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg1631z00_1047);
														}
														BgL_superzd2fillzd2_980 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list1626z00_1046);
													}
													{	/* Object/nil.scm 95 */
														obj_t BgL_idzf3zf3_981;

														{	/* Object/nil.scm 96 */
															obj_t BgL_arg1623z00_1043;

															{	/* Object/nil.scm 96 */
																obj_t BgL_arg1624z00_1044;
																obj_t BgL_arg1625z00_1045;

																{	/* Object/nil.scm 96 */
																	obj_t BgL_res1898z00_1433;

																	{	/* Object/nil.scm 96 */
																		obj_t BgL_arg1362z00_1432;

																		BgL_arg1362z00_1432 =
																			SYMBOL_TO_STRING(BgL_idz00_971);
																		BgL_res1898z00_1433 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1362z00_1432);
																	}
																	BgL_arg1624z00_1044 = BgL_res1898z00_1433;
																}
																{	/* Object/nil.scm 96 */
																	obj_t BgL_res1900z00_1436;

																	{	/* Object/nil.scm 96 */
																		obj_t BgL_symbolz00_1434;

																		BgL_symbolz00_1434 =
																			CNST_TABLE_REF(((long) 13));
																		{	/* Object/nil.scm 96 */
																			obj_t BgL_arg1362z00_1435;

																			BgL_arg1362z00_1435 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1434);
																			BgL_res1900z00_1436 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1362z00_1435);
																	}}
																	BgL_arg1625z00_1045 = BgL_res1900z00_1436;
																}
																BgL_arg1623z00_1043 =
																	string_append(BgL_arg1624z00_1044,
																	BgL_arg1625z00_1045);
															}
															BgL_idzf3zf3_981 =
																bstring_to_symbol(BgL_arg1623z00_1043);
														}
														{	/* Object/nil.scm 96 */
															obj_t BgL_tmpz00_982;

															{	/* Object/nil.scm 97 */

																{	/* Object/nil.scm 97 */

																	BgL_tmpz00_982 =
																		BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}}
															{	/* Object/nil.scm 97 */
																obj_t BgL_tmptz00_983;

																BgL_tmptz00_983 =
																	BGl_makezd2typedzd2identz00zzast_identz00
																	(BgL_tmpz00_982, BgL_idz00_971);
																{	/* Object/nil.scm 98 */

																	{	/* Object/nil.scm 99 */
																		obj_t BgL_arg1372z00_984;

																		{	/* Object/nil.scm 99 */
																			obj_t BgL_arg1374z00_985;

																			{	/* Object/nil.scm 99 */
																				obj_t BgL_arg1378z00_986;

																				BgL_arg1378z00_986 =
																					MAKE_PAIR(BgL_tidzd2nilzd2_975, BNIL);
																				BgL_arg1374z00_985 =
																					MAKE_PAIR(BgL_arg1378z00_986, BNIL);
																			}
																			BgL_arg1372z00_984 =
																				MAKE_PAIR(BgL_importz00_11,
																				BgL_arg1374z00_985);
																		}
																		BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																			(BgL_arg1372z00_984);
																	}
																	{	/* Object/nil.scm 101 */
																		obj_t BgL_arg1379z00_987;
																		obj_t BgL_arg1385z00_988;

																		{	/* Object/nil.scm 101 */
																			obj_t BgL_arg1399z00_991;

																			{	/* Object/nil.scm 101 */
																				obj_t BgL_arg1441z00_992;

																				BgL_arg1441z00_992 =
																					MAKE_PAIR(BUNSPEC, BNIL);
																				BgL_arg1399z00_991 =
																					MAKE_PAIR(BgL_thezd2tidzd2nilz00_977,
																					BgL_arg1441z00_992);
																			}
																			BgL_arg1379z00_987 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																				BgL_arg1399z00_991);
																		}
																		{	/* Object/nil.scm 102 */
																			obj_t BgL_arg1442z00_993;

																			{	/* Object/nil.scm 102 */
																				obj_t BgL_arg1447z00_994;

																				{	/* Object/nil.scm 102 */
																					obj_t BgL_arg1452z00_995;
																					obj_t BgL_arg1454z00_996;

																					BgL_arg1452z00_995 =
																						MAKE_PAIR(BgL_tidzd2nilzd2_975,
																						BNIL);
																					{	/* Object/nil.scm 104 */
																						obj_t BgL_arg1459z00_997;

																						{	/* Object/nil.scm 104 */
																							obj_t BgL_arg1460z00_998;

																							{	/* Object/nil.scm 104 */
																								obj_t BgL_arg1467z00_1000;

																								{	/* Object/nil.scm 104 */
																									obj_t BgL_arg1468z00_1001;
																									obj_t BgL_arg1476z00_1002;

																									{	/* Object/nil.scm 104 */
																										obj_t BgL_arg1482z00_1003;

																										BgL_arg1482z00_1003 =
																											MAKE_PAIR
																											(BgL_thezd2idzd2nilz00_976,
																											BNIL);
																										BgL_arg1468z00_1001 =
																											MAKE_PAIR
																											(BgL_idzf3zf3_981,
																											BgL_arg1482z00_1003);
																									}
																									{	/* Object/nil.scm 107 */
																										obj_t BgL_arg1484z00_1004;

																										{	/* Object/nil.scm 107 */
																											obj_t BgL_arg1485z00_1005;

																											{	/* Object/nil.scm 107 */
																												obj_t
																													BgL_arg1491z00_1006;
																												{	/* Object/nil.scm 107 */
																													obj_t
																														BgL_arg1492z00_1007;
																													obj_t
																														BgL_arg1493z00_1008;
																													{	/* Object/nil.scm 107 */
																														obj_t
																															BgL_arg1494z00_1009;
																														{	/* Object/nil.scm 107 */
																															obj_t
																																BgL_arg1496z00_1010;
																															{	/* Object/nil.scm 107 */
																																obj_t
																																	BgL_arg1500z00_1011;
																																BgL_arg1500z00_1011
																																	=
																																	MAKE_PAIR
																																	(BgL_superzd2alloczd2_979,
																																	BNIL);
																																BgL_arg1496z00_1010
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1500z00_1011,
																																	BNIL);
																															}
																															BgL_arg1494z00_1009
																																=
																																MAKE_PAIR
																																(BgL_tmptz00_983,
																																BgL_arg1496z00_1010);
																														}
																														BgL_arg1492z00_1007
																															=
																															MAKE_PAIR
																															(BgL_arg1494z00_1009,
																															BNIL);
																													}
																													{	/* Object/nil.scm 108 */
																														obj_t
																															BgL_arg1505z00_1012;
																														obj_t
																															BgL_arg1509z00_1013;
																														{	/* Object/nil.scm 108 */
																															obj_t
																																BgL_arg1511z00_1014;
																															{	/* Object/nil.scm 108 */
																																obj_t
																																	BgL_arg1516z00_1015;
																																BgL_arg1516z00_1015
																																	=
																																	MAKE_PAIR
																																	(BgL_tmpz00_982,
																																	BNIL);
																																BgL_arg1511z00_1014
																																	=
																																	MAKE_PAIR
																																	(BgL_thezd2idzd2nilz00_976,
																																	BgL_arg1516z00_1015);
																															}
																															BgL_arg1505z00_1012
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 8)),
																																BgL_arg1511z00_1014);
																														}
																														{	/* Object/nil.scm 110 */
																															obj_t
																																BgL_arg1519z00_1016;
																															obj_t
																																BgL_arg1526z00_1017;
																															{	/* Object/nil.scm 110 */
																																obj_t
																																	BgL_arg1527z00_1018;
																																BgL_arg1527z00_1018
																																	=
																																	MAKE_PAIR
																																	(BgL_tmpz00_982,
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BGl_fillzd2nilzd2zzobject_nilz00
																																		(BgL_superzd2slotszd2_973),
																																		BNIL));
																																BgL_arg1519z00_1016
																																	=
																																	MAKE_PAIR
																																	(BgL_superzd2fillzd2_980,
																																	BgL_arg1527z00_1018);
																															}
																															{	/* Object/nil.scm 114 */
																																obj_t
																																	BgL_arg1547z00_1021;
																																obj_t
																																	BgL_arg1549z00_1022;
																																{	/* Object/nil.scm 114 */
																																	obj_t
																																		BgL_arg1552z00_1023;
																																	{	/* Object/nil.scm 114 */
																																		obj_t
																																			BgL_arg1555z00_1024;
																																		{	/* Object/nil.scm 114 */
																																			obj_t
																																				BgL_arg1557z00_1025;
																																			{	/* Object/nil.scm 114 */
																																				obj_t
																																					BgL_arg1569z00_1026;
																																				{	/* Object/nil.scm 114 */
																																					obj_t
																																						BgL_arg1571z00_1027;
																																					{	/* Object/nil.scm 114 */
																																						obj_t
																																							BgL_arg1572z00_1028;
																																						{	/* Object/nil.scm 114 */
																																							obj_t
																																								BgL_arg1576z00_1029;
																																							obj_t
																																								BgL_arg1582z00_1030;
																																							{
																																								BgL_variablez00_bglt
																																									BgL_auxz00_1903;
																																								{
																																									BgL_globalz00_bglt
																																										BgL_auxz00_1904;
																																									{
																																										BgL_tclassz00_bglt
																																											BgL_auxz00_1905;
																																										{
																																											obj_t
																																												BgL_auxz00_1906;
																																											{	/* Object/nil.scm 114 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_1907;
																																												BgL_auxz00_1907
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_classz00_9);
																																												BgL_auxz00_1906
																																													=
																																													BGL_OBJECT_WIDENING
																																													(BgL_auxz00_1907);
																																											}
																																											BgL_auxz00_1905
																																												=
																																												(
																																												(BgL_tclassz00_bglt)
																																												BgL_auxz00_1906);
																																										}
																																										BgL_auxz00_1904
																																											=
																																											(
																																											((BgL_tclassz00_bglt) CREF(BgL_auxz00_1905))->BgL_holderz00);
																																									}
																																									BgL_auxz00_1903
																																										=
																																										(
																																										(BgL_variablez00_bglt)
																																										BgL_auxz00_1904);
																																								}
																																								BgL_arg1576z00_1029
																																									=
																																									(
																																									((BgL_variablez00_bglt) CREF(BgL_auxz00_1903))->BgL_idz00);
																																							}
																																							{	/* Object/nil.scm 115 */
																																								obj_t
																																									BgL_arg1587z00_1032;
																																								{
																																									BgL_globalz00_bglt
																																										BgL_auxz00_1914;
																																									{
																																										BgL_tclassz00_bglt
																																											BgL_auxz00_1915;
																																										{
																																											obj_t
																																												BgL_auxz00_1916;
																																											{	/* Object/nil.scm 115 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_1917;
																																												BgL_auxz00_1917
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_classz00_9);
																																												BgL_auxz00_1916
																																													=
																																													BGL_OBJECT_WIDENING
																																													(BgL_auxz00_1917);
																																											}
																																											BgL_auxz00_1915
																																												=
																																												(
																																												(BgL_tclassz00_bglt)
																																												BgL_auxz00_1916);
																																										}
																																										BgL_auxz00_1914
																																											=
																																											(
																																											((BgL_tclassz00_bglt) CREF(BgL_auxz00_1915))->BgL_holderz00);
																																									}
																																									BgL_arg1587z00_1032
																																										=
																																										(
																																										((BgL_globalz00_bglt) CREF(BgL_auxz00_1914))->BgL_modulez00);
																																								}
																																								BgL_arg1582z00_1030
																																									=
																																									MAKE_PAIR
																																									(BgL_arg1587z00_1032,
																																									BNIL);
																																							}
																																							BgL_arg1572z00_1028
																																								=
																																								MAKE_PAIR
																																								(BgL_arg1576z00_1029,
																																								BgL_arg1582z00_1030);
																																						}
																																						BgL_arg1571z00_1027
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 14)), BgL_arg1572z00_1028);
																																					}
																																					BgL_arg1569z00_1026
																																						=
																																						MAKE_PAIR
																																						(BgL_arg1571z00_1027,
																																						BNIL);
																																				}
																																				BgL_arg1557z00_1025
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 15)), BgL_arg1569z00_1026);
																																			}
																																			BgL_arg1555z00_1024
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1557z00_1025,
																																				BNIL);
																																		}
																																		BgL_arg1552z00_1023
																																			=
																																			MAKE_PAIR
																																			(BgL_tmpz00_982,
																																			BgL_arg1555z00_1024);
																																	}
																																	BgL_arg1547z00_1021
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				16)),
																																		BgL_arg1552z00_1023);
																																}
																																{	/* Object/nil.scm 119 */
																																	obj_t
																																		BgL_arg1595z00_1034;
																																	obj_t
																																		BgL_arg1606z00_1035;
																																	{	/* Object/nil.scm 119 */
																																		obj_t
																																			BgL_arg1610z00_1036;
																																		{	/* Object/nil.scm 119 */
																																			obj_t
																																				BgL_arg1611z00_1037;
																																			{	/* Object/nil.scm 119 */
																																				obj_t
																																					BgL_arg1613z00_1038;
																																				{	/* Object/nil.scm 119 */
																																					obj_t
																																						BgL_arg1614z00_1039;
																																					{	/* Object/nil.scm 119 */
																																						obj_t
																																							BgL_arg1619z00_1040;
																																						{	/* Object/nil.scm 119 */
																																							obj_t
																																								BgL_arg1620z00_1041;
																																							{
																																								BgL_tclassz00_bglt
																																									BgL_auxz00_1934;
																																								{
																																									obj_t
																																										BgL_auxz00_1935;
																																									{	/* Object/nil.scm 119 */
																																										BgL_objectz00_bglt
																																											BgL_auxz00_1936;
																																										BgL_auxz00_1936
																																											=
																																											(
																																											(BgL_objectz00_bglt)
																																											BgL_classz00_9);
																																										BgL_auxz00_1935
																																											=
																																											BGL_OBJECT_WIDENING
																																											(BgL_auxz00_1936);
																																									}
																																									BgL_auxz00_1934
																																										=
																																										(
																																										(BgL_tclassz00_bglt)
																																										BgL_auxz00_1935);
																																								}
																																								BgL_arg1620z00_1041
																																									=
																																									(
																																									((BgL_tclassz00_bglt) CREF(BgL_auxz00_1934))->BgL_slotsz00);
																																							}
																																							BgL_arg1619z00_1040
																																								=
																																								BGl_fillzd2nilzd2zzobject_nilz00
																																								(BgL_arg1620z00_1041);
																																						}
																																						BgL_arg1614z00_1039
																																							=
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_arg1619z00_1040,
																																							BNIL);
																																					}
																																					BgL_arg1613z00_1038
																																						=
																																						MAKE_PAIR
																																						(BgL_wideningz00_978,
																																						BgL_arg1614z00_1039);
																																				}
																																				BgL_arg1611z00_1037
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1613z00_1038,
																																					BNIL);
																																			}
																																			BgL_arg1610z00_1036
																																				=
																																				MAKE_PAIR
																																				(BgL_tmpz00_982,
																																				BgL_arg1611z00_1037);
																																		}
																																		BgL_arg1595z00_1034
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					17)),
																																			BgL_arg1610z00_1036);
																																	}
																																	BgL_arg1606z00_1035
																																		=
																																		MAKE_PAIR
																																		(BgL_tmpz00_982,
																																		BNIL);
																																	BgL_arg1549z00_1022
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1595z00_1034,
																																		BgL_arg1606z00_1035);
																																}
																																BgL_arg1526z00_1017
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1547z00_1021,
																																	BgL_arg1549z00_1022);
																															}
																															BgL_arg1509z00_1013
																																=
																																MAKE_PAIR
																																(BgL_arg1519z00_1016,
																																BgL_arg1526z00_1017);
																														}
																														BgL_arg1493z00_1008
																															=
																															MAKE_PAIR
																															(BgL_arg1505z00_1012,
																															BgL_arg1509z00_1013);
																													}
																													BgL_arg1491z00_1006 =
																														MAKE_PAIR
																														(BgL_arg1492z00_1007,
																														BgL_arg1493z00_1008);
																												}
																												BgL_arg1485z00_1005 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 9)),
																													BgL_arg1491z00_1006);
																											}
																											BgL_arg1484z00_1004 =
																												MAKE_PAIR
																												(BgL_arg1485z00_1005,
																												BNIL);
																										}
																										BgL_arg1476z00_1002 =
																											MAKE_PAIR
																											(BgL_thezd2idzd2nilz00_976,
																											BgL_arg1484z00_1004);
																									}
																									BgL_arg1467z00_1000 =
																										MAKE_PAIR
																										(BgL_arg1468z00_1001,
																										BgL_arg1476z00_1002);
																								}
																								BgL_arg1460z00_998 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 10)),
																									BgL_arg1467z00_1000);
																							}
																							{	/* Object/nil.scm 103 */
																								obj_t BgL_list1461z00_999;

																								BgL_list1461z00_999 =
																									MAKE_PAIR(BgL_arg1460z00_998,
																									BNIL);
																								BgL_arg1459z00_997 =
																									BGl_makezd2privatezd2sexpz00zzast_privatez00
																									(CNST_TABLE_REF(((long) 11)),
																									BgL_idz00_971,
																									BgL_list1461z00_999);
																						}}
																						BgL_arg1454z00_996 =
																							MAKE_PAIR(BgL_arg1459z00_997,
																							BNIL);
																					}
																					BgL_arg1447z00_994 =
																						MAKE_PAIR(BgL_arg1452z00_995,
																						BgL_arg1454z00_996);
																				}
																				BgL_arg1442z00_993 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																					BgL_arg1447z00_994);
																			}
																			BgL_arg1385z00_988 =
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1442z00_993,
																				BgL_srczd2defzd2_10);
																		}
																		{	/* Object/nil.scm 100 */
																			obj_t BgL_list1386z00_989;

																			{	/* Object/nil.scm 100 */
																				obj_t BgL_arg1398z00_990;

																				BgL_arg1398z00_990 =
																					MAKE_PAIR(BgL_arg1385z00_988, BNIL);
																				BgL_list1386z00_989 =
																					MAKE_PAIR(BgL_arg1379z00_987,
																					BgL_arg1398z00_990);
																			}
																			return BgL_list1386z00_989;
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &gen-wide-class-nil */
	obj_t BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00(obj_t BgL_envz00_1641,
		obj_t BgL_classz00_1642, obj_t BgL_srczd2defzd2_1643,
		obj_t BgL_importz00_1644)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 84 */
			return
				BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_1642), BgL_srczd2defzd2_1643,
				BgL_importz00_1644);
		}
	}



/* fill-nil */
	obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t BgL_slotsz00_12)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 126 */
			{
				obj_t BgL_slotsz00_1066;
				obj_t BgL_initsz00_1067;

				BgL_slotsz00_1066 = BgL_slotsz00_12;
				BgL_initsz00_1067 = BNIL;
			BgL_zc3anonymousza31673ze3z83_1068:
				if (NULLP(BgL_slotsz00_1066))
					{	/* Object/nil.scm 129 */
						return bgl_reverse_bang(BgL_initsz00_1067);
					}
				else
					{	/* Object/nil.scm 131 */
						obj_t BgL_slotz00_1070;

						BgL_slotz00_1070 = CAR(BgL_slotsz00_1066);
						if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
								((BgL_slotz00_bglt) BgL_slotz00_1070)))
							{
								obj_t BgL_slotsz00_1980;

								BgL_slotsz00_1980 = CDR(BgL_slotsz00_1066);
								BgL_slotsz00_1066 = BgL_slotsz00_1980;
								goto BgL_zc3anonymousza31673ze3z83_1068;
							}
						else
							{	/* Object/nil.scm 136 */
								obj_t BgL_arg1677z00_1073;
								obj_t BgL_arg1678z00_1074;

								BgL_arg1677z00_1073 = CDR(BgL_slotsz00_1066);
								BgL_arg1678z00_1074 =
									MAKE_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
									(BgL_slotz00_1070), BgL_initsz00_1067);
								{
									obj_t BgL_initsz00_1986;
									obj_t BgL_slotsz00_1985;

									BgL_slotsz00_1985 = BgL_arg1677z00_1073;
									BgL_initsz00_1986 = BgL_arg1678z00_1074;
									BgL_initsz00_1067 = BgL_initsz00_1986;
									BgL_slotsz00_1066 = BgL_slotsz00_1985;
									goto BgL_zc3anonymousza31673ze3z83_1068;
								}
							}
					}
			}
		}
	}



/* slot-get-nil */
	obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t BgL_slotz00_13)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 142 */
			{	/* Object/nil.scm 145 */
				bool_t BgL_testz00_1987;

				{	/* Object/nil.scm 145 */
					obj_t BgL_arg1716z00_1108;

					BgL_arg1716z00_1108 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
					BgL_testz00_1987 =
						BGl_isazf3zf3zz__objectz00(BgL_arg1716z00_1108,
						BGl_tclassz00zzobject_classz00);
				}
				if (BgL_testz00_1987)
					{	/* Object/nil.scm 146 */
						obj_t BgL_arg1682z00_1079;

						{	/* Object/nil.scm 146 */
							obj_t BgL_arg1683z00_1080;

							{	/* Object/nil.scm 146 */
								obj_t BgL_arg1684z00_1081;
								obj_t BgL_arg1685z00_1082;

								{	/* Object/nil.scm 146 */
									obj_t BgL_arg1686z00_1083;

									BgL_arg1686z00_1083 =
										(((BgL_typez00_bglt) CREF(
												((BgL_typez00_bglt)
													(((BgL_slotz00_bglt) CREF(
																((BgL_slotz00_bglt) BgL_slotz00_13)))->
														BgL_typez00))))->BgL_idz00);
									{	/* Object/nil.scm 146 */
										obj_t BgL_res1906z00_1453;

										{	/* Object/nil.scm 146 */
											obj_t BgL_arg1362z00_1452;

											BgL_arg1362z00_1452 =
												SYMBOL_TO_STRING(BgL_arg1686z00_1083);
											BgL_res1906z00_1453 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1362z00_1452);
										}
										BgL_arg1684z00_1081 = BgL_res1906z00_1453;
									}
								}
								{	/* Object/nil.scm 146 */
									obj_t BgL_res1907z00_1456;

									{	/* Object/nil.scm 146 */
										obj_t BgL_symbolz00_1454;

										BgL_symbolz00_1454 = CNST_TABLE_REF(((long) 0));
										{	/* Object/nil.scm 146 */
											obj_t BgL_arg1362z00_1455;

											BgL_arg1362z00_1455 =
												SYMBOL_TO_STRING(BgL_symbolz00_1454);
											BgL_res1907z00_1456 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1362z00_1455);
									}}
									BgL_arg1685z00_1082 = BgL_res1907z00_1456;
								}
								BgL_arg1683z00_1080 =
									string_append(BgL_arg1684z00_1081, BgL_arg1685z00_1082);
							}
							BgL_arg1682z00_1079 = bstring_to_symbol(BgL_arg1683z00_1080);
						}
						return MAKE_PAIR(BgL_arg1682z00_1079, BNIL);
					}
				else
					{	/* Object/nil.scm 147 */
						bool_t BgL_testz00_2003;

						{	/* Object/nil.scm 147 */
							obj_t BgL_arg1715z00_1107;

							BgL_arg1715z00_1107 =
								(((BgL_slotz00_bglt) CREF(
										((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
							BgL_testz00_2003 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1715z00_1107,
								BGl_tvecz00zztvector_tvectorz00);
						}
						if (BgL_testz00_2003)
							{	/* Object/nil.scm 148 */
								obj_t BgL_arg1689z00_1086;

								{	/* Object/nil.scm 148 */
									obj_t BgL_arg1690z00_1087;
									obj_t BgL_arg1691z00_1088;

									{	/* Object/nil.scm 148 */
										obj_t BgL_arg1692z00_1089;

										{	/* Object/nil.scm 148 */
											obj_t BgL_arg1694z00_1090;

											BgL_arg1694z00_1090 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															(((BgL_slotz00_bglt) CREF(
																		((BgL_slotz00_bglt) BgL_slotz00_13)))->
																BgL_typez00))))->BgL_idz00);
											BgL_arg1692z00_1089 =
												MAKE_PAIR(BgL_arg1694z00_1090, BNIL);
										}
										BgL_arg1690z00_1087 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
											BgL_arg1692z00_1089);
									}
									{	/* Object/nil.scm 148 */
										obj_t BgL_arg1696z00_1092;

										{	/* Object/nil.scm 148 */
											obj_t BgL_arg1697z00_1093;

											BgL_arg1697z00_1093 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1696z00_1092 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
												BgL_arg1697z00_1093);
										}
										BgL_arg1691z00_1088 = MAKE_PAIR(BgL_arg1696z00_1092, BNIL);
									}
									BgL_arg1689z00_1086 =
										MAKE_PAIR(BgL_arg1690z00_1087, BgL_arg1691z00_1088);
								}
								return
									MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1689z00_1086);
							}
						else
							{	/* Object/nil.scm 149 */
								bool_t BgL_testz00_2021;

								{	/* Object/nil.scm 149 */
									obj_t BgL_arg1714z00_1106;

									BgL_arg1714z00_1106 =
										(((BgL_slotz00_bglt) CREF(
												((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
									BgL_testz00_2021 =
										BGl_isazf3zf3zz__objectz00(BgL_arg1714z00_1106,
										BGl_jarrayz00zzforeign_jtypez00);
								}
								if (BgL_testz00_2021)
									{	/* Object/nil.scm 150 */
										obj_t BgL_arg1699z00_1095;
										obj_t BgL_arg1700z00_1096;

										{	/* Object/nil.scm 150 */
											obj_t BgL_arg1702z00_1097;

											{	/* Object/nil.scm 150 */
												obj_t BgL_arg1703z00_1098;
												obj_t BgL_arg1705z00_1099;

												{	/* Object/nil.scm 150 */
													obj_t BgL_res1911z00_1466;

													{	/* Object/nil.scm 150 */
														obj_t BgL_symbolz00_1464;

														BgL_symbolz00_1464 = CNST_TABLE_REF(((long) 20));
														{	/* Object/nil.scm 150 */
															obj_t BgL_arg1362z00_1465;

															BgL_arg1362z00_1465 =
																SYMBOL_TO_STRING(BgL_symbolz00_1464);
															BgL_res1911z00_1466 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1362z00_1465);
													}}
													BgL_arg1703z00_1098 = BgL_res1911z00_1466;
												}
												{	/* Object/nil.scm 150 */
													obj_t BgL_arg1707z00_1100;

													BgL_arg1707z00_1100 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt)
																	(((BgL_slotz00_bglt) CREF(
																				((BgL_slotz00_bglt) BgL_slotz00_13)))->
																		BgL_typez00))))->BgL_idz00);
													{	/* Object/nil.scm 150 */
														obj_t BgL_res1912z00_1470;

														{	/* Object/nil.scm 150 */
															obj_t BgL_arg1362z00_1469;

															BgL_arg1362z00_1469 =
																SYMBOL_TO_STRING(BgL_arg1707z00_1100);
															BgL_res1912z00_1470 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1362z00_1469);
														}
														BgL_arg1705z00_1099 = BgL_res1912z00_1470;
												}}
												BgL_arg1702z00_1097 =
													string_append(BgL_arg1703z00_1098,
													BgL_arg1705z00_1099);
											}
											BgL_arg1699z00_1095 =
												bstring_to_symbol(BgL_arg1702z00_1097);
										}
										BgL_arg1700z00_1096 = MAKE_PAIR(BINT(((long) 0)), BNIL);
										return MAKE_PAIR(BgL_arg1699z00_1095, BgL_arg1700z00_1096);
									}
								else
									{	/* Object/nil.scm 151 */
										bool_t BgL_testz00_2039;

										{	/* Object/nil.scm 151 */
											obj_t BgL_arg1713z00_1105;

											BgL_arg1713z00_1105 =
												(((BgL_slotz00_bglt) CREF(
														((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
											BgL_testz00_2039 =
												BGl_bigloozd2typezf3z21zztype_typez00(
												((BgL_typez00_bglt) BgL_arg1713z00_1105));
										}
										if (BgL_testz00_2039)
											{	/* Object/nil.scm 152 */
												obj_t BgL_arg1710z00_1103;

												BgL_arg1710z00_1103 =
													(((BgL_slotz00_bglt) CREF(
															((BgL_slotz00_bglt) BgL_slotz00_13)))->
													BgL_typez00);
												return
													BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
													(BgL_arg1710z00_1103, BgL_slotz00_13);
											}
										else
											{	/* Object/nil.scm 154 */
												obj_t BgL_arg1712z00_1104;

												BgL_arg1712z00_1104 =
													(((BgL_slotz00_bglt) CREF(
															((BgL_slotz00_bglt) BgL_slotz00_13)))->
													BgL_typez00);
												return
													BGl_externzd2typezd2nilz00zzobject_nilz00
													(BgL_arg1712z00_1104, BgL_slotz00_13);
											}
									}
							}
					}
			}
		}
	}



/* type-nil-value */
	BGL_EXPORTED_DEF obj_t BGl_typezd2nilzd2valuez00zzobject_nilz00(obj_t
		BgL_typez00_14, obj_t BgL_slotz00_15)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 159 */
			if (BGl_isazf3zf3zz__objectz00(BgL_typez00_14,
					BGl_tclassz00zzobject_classz00))
				{	/* Object/nil.scm 162 */
					obj_t BgL_arg1718z00_1110;

					{	/* Object/nil.scm 162 */
						obj_t BgL_arg1719z00_1111;

						BgL_arg1719z00_1111 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt)
										((BgL_typez00_bglt) BgL_typez00_14))))->BgL_idz00);
						BgL_arg1718z00_1110 = MAKE_PAIR(BgL_arg1719z00_1111, BNIL);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 21)), BgL_arg1718z00_1110);
				}
			else
				{	/* Object/nil.scm 161 */
					if (BGl_isazf3zf3zz__objectz00(BgL_typez00_14,
							BGl_tvecz00zztvector_tvectorz00))
						{	/* Object/nil.scm 164 */
							obj_t BgL_arg1721z00_1113;

							{	/* Object/nil.scm 164 */
								obj_t BgL_arg1723z00_1114;
								obj_t BgL_arg1724z00_1115;

								{	/* Object/nil.scm 164 */
									obj_t BgL_arg1727z00_1116;

									{	/* Object/nil.scm 164 */
										obj_t BgL_arg1728z00_1117;

										BgL_arg1728z00_1117 =
											(((BgL_typez00_bglt) CREF(
													((BgL_typez00_bglt)
														((BgL_typez00_bglt) BgL_typez00_14))))->BgL_idz00);
										BgL_arg1727z00_1116 = MAKE_PAIR(BgL_arg1728z00_1117, BNIL);
									}
									BgL_arg1723z00_1114 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 18)), BgL_arg1727z00_1116);
								}
								{	/* Object/nil.scm 164 */
									obj_t BgL_arg1730z00_1118;

									{	/* Object/nil.scm 164 */
										obj_t BgL_arg1731z00_1119;

										BgL_arg1731z00_1119 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1730z00_1118 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
											BgL_arg1731z00_1119);
									}
									BgL_arg1724z00_1115 = MAKE_PAIR(BgL_arg1730z00_1118, BNIL);
								}
								BgL_arg1721z00_1113 =
									MAKE_PAIR(BgL_arg1723z00_1114, BgL_arg1724z00_1115);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1721z00_1113);
						}
					else
						{	/* Object/nil.scm 163 */
							if (BGl_isazf3zf3zz__objectz00(BgL_typez00_14,
									BGl_jarrayz00zzforeign_jtypez00))
								{	/* Object/nil.scm 166 */
									obj_t BgL_arg1735z00_1121;
									obj_t BgL_arg1736z00_1122;

									{	/* Object/nil.scm 166 */
										obj_t BgL_arg1738z00_1123;

										{	/* Object/nil.scm 166 */
											obj_t BgL_arg1739z00_1124;
											obj_t BgL_arg1741z00_1125;

											{	/* Object/nil.scm 166 */
												obj_t BgL_res1917z00_1483;

												{	/* Object/nil.scm 166 */
													obj_t BgL_symbolz00_1481;

													BgL_symbolz00_1481 = CNST_TABLE_REF(((long) 20));
													{	/* Object/nil.scm 166 */
														obj_t BgL_arg1362z00_1482;

														BgL_arg1362z00_1482 =
															SYMBOL_TO_STRING(BgL_symbolz00_1481);
														BgL_res1917z00_1483 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1362z00_1482);
												}}
												BgL_arg1739z00_1124 = BgL_res1917z00_1483;
											}
											{	/* Object/nil.scm 166 */
												obj_t BgL_arg1743z00_1126;

												BgL_arg1743z00_1126 =
													(((BgL_typez00_bglt) CREF(
															((BgL_typez00_bglt)
																((BgL_typez00_bglt) BgL_typez00_14))))->
													BgL_idz00);
												{	/* Object/nil.scm 166 */
													obj_t BgL_res1918z00_1487;

													{	/* Object/nil.scm 166 */
														obj_t BgL_arg1362z00_1486;

														BgL_arg1362z00_1486 =
															SYMBOL_TO_STRING(BgL_arg1743z00_1126);
														BgL_res1918z00_1487 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1362z00_1486);
													}
													BgL_arg1741z00_1125 = BgL_res1918z00_1487;
											}}
											BgL_arg1738z00_1123 =
												string_append(BgL_arg1739z00_1124, BgL_arg1741z00_1125);
										}
										BgL_arg1735z00_1121 =
											bstring_to_symbol(BgL_arg1738z00_1123);
									}
									BgL_arg1736z00_1122 = MAKE_PAIR(BINT(((long) 0)), BNIL);
									return MAKE_PAIR(BgL_arg1735z00_1121, BgL_arg1736z00_1122);
								}
							else
								{	/* Object/nil.scm 165 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(
											((BgL_typez00_bglt) BgL_typez00_14)))
										{	/* Object/nil.scm 167 */
											return
												BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
												(BgL_typez00_14, BgL_slotz00_15);
										}
									else
										{	/* Object/nil.scm 167 */
											return
												BGl_externzd2typezd2nilz00zzobject_nilz00
												(BgL_typez00_14, BgL_slotz00_15);
										}
								}
						}
				}
		}
	}



/* &type-nil-value */
	obj_t BGl_z62typezd2nilzd2valuez62zzobject_nilz00(obj_t BgL_envz00_1645,
		obj_t BgL_typez00_1646, obj_t BgL_slotz00_1647)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 159 */
			return
				BGl_typezd2nilzd2valuez00zzobject_nilz00(BgL_typez00_1646,
				BgL_slotz00_1647);
		}
	}



/* bigloo-primitive-type-nil */
	obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t
		BgL_typez00_16, obj_t BgL_slotz00_17)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 175 */
			{	/* Object/nil.scm 177 */
				bool_t BgL_testz00_2094;

				if ((BgL_typez00_16 == BGl_za2objza2z00zztype_cachez00))
					{	/* Object/nil.scm 177 */
						BgL_testz00_2094 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 177 */
						BgL_testz00_2094 =
							(BgL_typez00_16 == BGl_za2unspecza2z00zztype_cachez00);
					}
				if (BgL_testz00_2094)
					{	/* Object/nil.scm 177 */
						return BUNSPEC;
					}
				else
					{	/* Object/nil.scm 177 */
						if ((BgL_typez00_16 == BGl_za2cellza2z00zztype_cachez00))
							{	/* Object/nil.scm 178 */
								return CNST_TABLE_REF(((long) 22));
							}
						else
							{	/* Object/nil.scm 178 */
								if ((BgL_typez00_16 == BGl_za2bintza2z00zztype_cachez00))
									{	/* Object/nil.scm 179 */
										return BINT(((long) 0));
									}
								else
									{	/* Object/nil.scm 179 */
										if ((BgL_typez00_16 == BGl_za2bllongza2z00zztype_cachez00))
											{	/* Object/nil.scm 180 */
												return CNST_TABLE_REF(((long) 23));
											}
										else
											{	/* Object/nil.scm 180 */
												if (
													(BgL_typez00_16 ==
														BGl_za2belongza2z00zztype_cachez00))
													{	/* Object/nil.scm 181 */
														return CNST_TABLE_REF(((long) 24));
													}
												else
													{	/* Object/nil.scm 181 */
														if (
															(BgL_typez00_16 ==
																BGl_za2bignumza2z00zztype_cachez00))
															{	/* Object/nil.scm 182 */
																return CNST_TABLE_REF(((long) 25));
															}
														else
															{	/* Object/nil.scm 182 */
																if (
																	(BgL_typez00_16 ==
																		BGl_za2boolza2z00zztype_cachez00))
																	{	/* Object/nil.scm 183 */
																		return BFALSE;
																	}
																else
																	{	/* Object/nil.scm 183 */
																		if (
																			(BgL_typez00_16 ==
																				BGl_za2brealza2z00zztype_cachez00))
																			{	/* Object/nil.scm 184 */
																				return BGl_real1965z00zzobject_nilz00;
																			}
																		else
																			{	/* Object/nil.scm 184 */
																				if (
																					(BgL_typez00_16 ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Object/nil.scm 185 */
																						return BCHAR(((unsigned char) '_'));
																					}
																				else
																					{	/* Object/nil.scm 186 */
																						bool_t BgL_testz00_2120;

																						if (
																							(BgL_typez00_16 ==
																								BGl_za2bnilza2z00zztype_cachez00))
																							{	/* Object/nil.scm 186 */
																								BgL_testz00_2120 = ((bool_t) 1);
																							}
																						else
																							{	/* Object/nil.scm 186 */
																								BgL_testz00_2120 =
																									(BgL_typez00_16 ==
																									BGl_za2pairzd2nilza2zd2zztype_cachez00);
																							}
																						if (BgL_testz00_2120)
																							{	/* Object/nil.scm 186 */
																								return
																									CNST_TABLE_REF(((long) 26));
																							}
																						else
																							{	/* Object/nil.scm 186 */
																								if (
																									(BgL_typez00_16 ==
																										BGl_za2pairza2z00zztype_cachez00))
																									{	/* Object/nil.scm 187 */
																										return
																											CNST_TABLE_REF(((long)
																												27));
																									}
																								else
																									{	/* Object/nil.scm 187 */
																										if (
																											(BgL_typez00_16 ==
																												BGl_za2epairza2z00zztype_cachez00))
																											{	/* Object/nil.scm 188 */
																												return
																													CNST_TABLE_REF(((long)
																														28));
																											}
																										else
																											{	/* Object/nil.scm 188 */
																												if (
																													(BgL_typez00_16 ==
																														BGl_za2bstringza2z00zztype_cachez00))
																													{	/* Object/nil.scm 189 */
																														return
																															BGl_string1966z00zzobject_nilz00;
																													}
																												else
																													{	/* Object/nil.scm 189 */
																														if (
																															(BgL_typez00_16 ==
																																BGl_za2symbolza2z00zztype_cachez00))
																															{	/* Object/nil.scm 190 */
																																return
																																	CNST_TABLE_REF
																																	(((long) 29));
																															}
																														else
																															{	/* Object/nil.scm 190 */
																																if (
																																	(BgL_typez00_16
																																		==
																																		BGl_za2keywordza2z00zztype_cachez00))
																																	{	/* Object/nil.scm 191 */
																																		return
																																			CNST_TABLE_REF
																																			(((long)
																																				30));
																																	}
																																else
																																	{	/* Object/nil.scm 191 */
																																		if (
																																			(BgL_typez00_16
																																				==
																																				BGl_za2vectorza2z00zztype_cachez00))
																																			{	/* Object/nil.scm 192 */
																																				return
																																					CNST_TABLE_REF
																																					(((long) 31));
																																			}
																																		else
																																			{	/* Object/nil.scm 192 */
																																				if (
																																					(BgL_typez00_16
																																						==
																																						BGl_za2procedureza2z00zztype_cachez00))
																																					{	/* Object/nil.scm 193 */
																																						return
																																							CNST_TABLE_REF
																																							(((long) 32));
																																					}
																																				else
																																					{	/* Object/nil.scm 195 */
																																						obj_t
																																							BgL_casezd2valuezd2_1145;
																																						BgL_casezd2valuezd2_1145
																																							=
																																							(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_16)))->BgL_idz00);
																																						if (
																																							(BgL_casezd2valuezd2_1145
																																								==
																																								CNST_TABLE_REF
																																								(((long) 33))))
																																							{	/* Object/nil.scm 195 */
																																								return
																																									CNST_TABLE_REF
																																									(
																																									((long) 34));
																																							}
																																						else
																																							{	/* Object/nil.scm 195 */
																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 35))))
																																									{	/* Object/nil.scm 195 */
																																										return
																																											CNST_TABLE_REF
																																											(
																																											((long) 36));
																																									}
																																								else
																																									{	/* Object/nil.scm 195 */
																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 37))))
																																											{	/* Object/nil.scm 195 */
																																												return
																																													CNST_TABLE_REF
																																													(
																																													((long) 36));
																																											}
																																										else
																																											{	/* Object/nil.scm 195 */
																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 38))))
																																													{	/* Object/nil.scm 195 */
																																														return
																																															CNST_TABLE_REF
																																															(
																																															((long) 36));
																																													}
																																												else
																																													{	/* Object/nil.scm 195 */
																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 39))))
																																															{	/* Object/nil.scm 195 */
																																																return
																																																	CNST_TABLE_REF
																																																	(
																																																	((long) 40));
																																															}
																																														else
																																															{	/* Object/nil.scm 195 */
																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 41))))
																																																	{	/* Object/nil.scm 195 */
																																																		return
																																																			CNST_TABLE_REF
																																																			(
																																																			((long) 42));
																																																	}
																																																else
																																																	{	/* Object/nil.scm 195 */
																																																		bool_t
																																																			BgL_testz00_2171;
																																																		{	/* Object/nil.scm 195 */
																																																			bool_t
																																																				BgL__ortest_1075z00_1203;
																																																			BgL__ortest_1075z00_1203
																																																				=
																																																				(BgL_casezd2valuezd2_1145
																																																				==
																																																				CNST_TABLE_REF
																																																				(((long) 2)));
																																																			if (BgL__ortest_1075z00_1203)
																																																				{	/* Object/nil.scm 195 */
																																																					BgL_testz00_2171
																																																						=
																																																						BgL__ortest_1075z00_1203;
																																																				}
																																																			else
																																																				{	/* Object/nil.scm 195 */
																																																					BgL_testz00_2171
																																																						=
																																																						(BgL_casezd2valuezd2_1145
																																																						==
																																																						CNST_TABLE_REF
																																																						(((long) 43)));
																																																		}}
																																																		if (BgL_testz00_2171)
																																																			{	/* Object/nil.scm 195 */
																																																				return
																																																					BUNSPEC;
																																																			}
																																																		else
																																																			{	/* Object/nil.scm 195 */
																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 44))))
																																																					{	/* Object/nil.scm 195 */
																																																						return
																																																							CNST_TABLE_REF
																																																							(
																																																							((long) 22));
																																																					}
																																																				else
																																																					{	/* Object/nil.scm 195 */
																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 45))))
																																																							{	/* Object/nil.scm 195 */
																																																								return
																																																									BINT
																																																									(
																																																									((long) 0));
																																																							}
																																																						else
																																																							{	/* Object/nil.scm 195 */
																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 46))))
																																																									{	/* Object/nil.scm 195 */
																																																										return
																																																											CNST_TABLE_REF
																																																											(
																																																											((long) 23));
																																																									}
																																																								else
																																																									{	/* Object/nil.scm 195 */
																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 47))))
																																																											{	/* Object/nil.scm 195 */
																																																												return
																																																													CNST_TABLE_REF
																																																													(
																																																													((long) 24));
																																																											}
																																																										else
																																																											{	/* Object/nil.scm 195 */
																																																												bool_t
																																																													BgL_testz00_2193;
																																																												{	/* Object/nil.scm 195 */
																																																													bool_t
																																																														BgL__ortest_1076z00_1202;
																																																													BgL__ortest_1076z00_1202
																																																														=
																																																														(BgL_casezd2valuezd2_1145
																																																														==
																																																														CNST_TABLE_REF
																																																														(((long) 48)));
																																																													if (BgL__ortest_1076z00_1202)
																																																														{	/* Object/nil.scm 195 */
																																																															BgL_testz00_2193
																																																																=
																																																																BgL__ortest_1076z00_1202;
																																																														}
																																																													else
																																																														{	/* Object/nil.scm 195 */
																																																															BgL_testz00_2193
																																																																=
																																																																(BgL_casezd2valuezd2_1145
																																																																==
																																																																CNST_TABLE_REF
																																																																(((long) 49)));
																																																												}}
																																																												if (BgL_testz00_2193)
																																																													{	/* Object/nil.scm 195 */
																																																														return
																																																															BFALSE;
																																																													}
																																																												else
																																																													{	/* Object/nil.scm 195 */
																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 50))))
																																																															{	/* Object/nil.scm 195 */
																																																																return
																																																																	BGl_real1965z00zzobject_nilz00;
																																																															}
																																																														else
																																																															{	/* Object/nil.scm 195 */
																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 51))))
																																																																	{	/* Object/nil.scm 195 */
																																																																		return
																																																																			BCHAR
																																																																			(
																																																																			((unsigned char) '_'));
																																																																	}
																																																																else
																																																																	{	/* Object/nil.scm 195 */
																																																																		bool_t
																																																																			BgL_testz00_2206;
																																																																		{	/* Object/nil.scm 195 */
																																																																			bool_t
																																																																				BgL__ortest_1077z00_1201;
																																																																			BgL__ortest_1077z00_1201
																																																																				=
																																																																				(BgL_casezd2valuezd2_1145
																																																																				==
																																																																				CNST_TABLE_REF
																																																																				(((long) 52)));
																																																																			if (BgL__ortest_1077z00_1201)
																																																																				{	/* Object/nil.scm 195 */
																																																																					BgL_testz00_2206
																																																																						=
																																																																						BgL__ortest_1077z00_1201;
																																																																				}
																																																																			else
																																																																				{	/* Object/nil.scm 195 */
																																																																					BgL_testz00_2206
																																																																						=
																																																																						(BgL_casezd2valuezd2_1145
																																																																						==
																																																																						CNST_TABLE_REF
																																																																						(((long) 53)));
																																																																		}}
																																																																		if (BgL_testz00_2206)
																																																																			{	/* Object/nil.scm 195 */
																																																																				return
																																																																					CNST_TABLE_REF
																																																																					(
																																																																					((long) 26));
																																																																			}
																																																																		else
																																																																			{	/* Object/nil.scm 195 */
																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 54))))
																																																																					{	/* Object/nil.scm 195 */
																																																																						return
																																																																							CNST_TABLE_REF
																																																																							(
																																																																							((long) 27));
																																																																					}
																																																																				else
																																																																					{	/* Object/nil.scm 195 */
																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 55))))
																																																																							{	/* Object/nil.scm 195 */
																																																																								return
																																																																									CNST_TABLE_REF
																																																																									(
																																																																									((long) 28));
																																																																							}
																																																																						else
																																																																							{	/* Object/nil.scm 195 */
																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 56))))
																																																																									{	/* Object/nil.scm 195 */
																																																																										return
																																																																											BGl_string1966z00zzobject_nilz00;
																																																																									}
																																																																								else
																																																																									{	/* Object/nil.scm 195 */
																																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 57))))
																																																																											{	/* Object/nil.scm 195 */
																																																																												return
																																																																													CNST_TABLE_REF
																																																																													(
																																																																													((long) 29));
																																																																											}
																																																																										else
																																																																											{	/* Object/nil.scm 195 */
																																																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 58))))
																																																																													{	/* Object/nil.scm 195 */
																																																																														return
																																																																															CNST_TABLE_REF
																																																																															(
																																																																															((long) 30));
																																																																													}
																																																																												else
																																																																													{	/* Object/nil.scm 195 */
																																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 59))))
																																																																															{	/* Object/nil.scm 195 */
																																																																																return
																																																																																	CNST_TABLE_REF
																																																																																	(
																																																																																	((long) 31));
																																																																															}
																																																																														else
																																																																															{	/* Object/nil.scm 195 */
																																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 60))))
																																																																																	{	/* Object/nil.scm 217 */
																																																																																		obj_t
																																																																																			BgL_arg1784z00_1168;
																																																																																		{	/* Object/nil.scm 217 */
																																																																																			obj_t
																																																																																				BgL_arg1785z00_1169;
																																																																																			obj_t
																																																																																				BgL_arg1786z00_1170;
																																																																																			{	/* Object/nil.scm 217 */
																																																																																				obj_t
																																																																																					BgL_arg1789z00_1171;
																																																																																				{	/* Object/nil.scm 217 */
																																																																																					obj_t
																																																																																						BgL_arg1790z00_1172;
																																																																																					{	/* Object/nil.scm 217 */

																																																																																						{	/* Object/nil.scm 217 */

																																																																																							BgL_arg1790z00_1172
																																																																																								=
																																																																																								BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																								(BFALSE);
																																																																																					}}
																																																																																					BgL_arg1789z00_1171
																																																																																						=
																																																																																						MAKE_PAIR
																																																																																						(BgL_arg1790z00_1172,
																																																																																						BNIL);
																																																																																				}
																																																																																				BgL_arg1785z00_1169
																																																																																					=
																																																																																					MAKE_PAIR
																																																																																					(CNST_TABLE_REF
																																																																																					(((long) 18)), BgL_arg1789z00_1171);
																																																																																			}
																																																																																			{	/* Object/nil.scm 217 */
																																																																																				obj_t
																																																																																					BgL_arg1791z00_1174;
																																																																																				BgL_arg1791z00_1174
																																																																																					=
																																																																																					MAKE_PAIR
																																																																																					(BFALSE,
																																																																																					BNIL);
																																																																																				BgL_arg1786z00_1170
																																																																																					=
																																																																																					MAKE_PAIR
																																																																																					(BINT
																																																																																					(((long) 0)), BgL_arg1791z00_1174);
																																																																																			}
																																																																																			BgL_arg1784z00_1168
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg1785z00_1169,
																																																																																				BgL_arg1786z00_1170);
																																																																																		}
																																																																																		return
																																																																																			MAKE_PAIR
																																																																																			(CNST_TABLE_REF
																																																																																			(((long) 61)), BgL_arg1784z00_1168);
																																																																																	}
																																																																																else
																																																																																	{	/* Object/nil.scm 195 */
																																																																																		if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 62))))
																																																																																			{	/* Object/nil.scm 195 */
																																																																																				return
																																																																																					CNST_TABLE_REF
																																																																																					(
																																																																																					((long) 32));
																																																																																			}
																																																																																		else
																																																																																			{	/* Object/nil.scm 195 */
																																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 63))))
																																																																																					{	/* Object/nil.scm 195 */
																																																																																						return
																																																																																							CNST_TABLE_REF
																																																																																							(
																																																																																							((long) 64));
																																																																																					}
																																																																																				else
																																																																																					{	/* Object/nil.scm 195 */
																																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 65))))
																																																																																							{	/* Object/nil.scm 195 */
																																																																																								return
																																																																																									CNST_TABLE_REF
																																																																																									(
																																																																																									((long) 66));
																																																																																							}
																																																																																						else
																																																																																							{	/* Object/nil.scm 195 */
																																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 67))))
																																																																																									{	/* Object/nil.scm 195 */
																																																																																										return
																																																																																											CNST_TABLE_REF
																																																																																											(
																																																																																											((long) 68));
																																																																																									}
																																																																																								else
																																																																																									{	/* Object/nil.scm 195 */
																																																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 69))))
																																																																																											{	/* Object/nil.scm 195 */
																																																																																												return
																																																																																													CNST_TABLE_REF
																																																																																													(
																																																																																													((long) 70));
																																																																																											}
																																																																																										else
																																																																																											{	/* Object/nil.scm 195 */
																																																																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 71))))
																																																																																													{	/* Object/nil.scm 195 */
																																																																																														return
																																																																																															CNST_TABLE_REF
																																																																																															(
																																																																																															((long) 72));
																																																																																													}
																																																																																												else
																																																																																													{	/* Object/nil.scm 195 */
																																																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 73))))
																																																																																															{	/* Object/nil.scm 195 */
																																																																																																return
																																																																																																	CNST_TABLE_REF
																																																																																																	(
																																																																																																	((long) 74));
																																																																																															}
																																																																																														else
																																																																																															{	/* Object/nil.scm 195 */
																																																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 75))))
																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																		return
																																																																																																			CNST_TABLE_REF
																																																																																																			(
																																																																																																			((long) 76));
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																		if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 77))))
																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																				return
																																																																																																					CNST_TABLE_REF
																																																																																																					(
																																																																																																					((long) 78));
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 79))))
																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																						return
																																																																																																							CNST_TABLE_REF
																																																																																																							(
																																																																																																							((long) 80));
																																																																																																					}
																																																																																																				else
																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 81))))
																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																								return
																																																																																																									CNST_TABLE_REF
																																																																																																									(
																																																																																																									((long) 82));
																																																																																																							}
																																																																																																						else
																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 83))))
																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																										return
																																																																																																											CNST_TABLE_REF
																																																																																																											(
																																																																																																											((long) 84));
																																																																																																									}
																																																																																																								else
																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																										if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 85))))
																																																																																																											{	/* Object/nil.scm 195 */
																																																																																																												return
																																																																																																													CNST_TABLE_REF
																																																																																																													(
																																																																																																													((long) 86));
																																																																																																											}
																																																																																																										else
																																																																																																											{	/* Object/nil.scm 195 */
																																																																																																												if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 87))))
																																																																																																													{	/* Object/nil.scm 195 */
																																																																																																														return
																																																																																																															CNST_TABLE_REF
																																																																																																															(
																																																																																																															((long) 88));
																																																																																																													}
																																																																																																												else
																																																																																																													{	/* Object/nil.scm 195 */
																																																																																																														if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 89))))
																																																																																																															{	/* Object/nil.scm 195 */
																																																																																																																return
																																																																																																																	CNST_TABLE_REF
																																																																																																																	(
																																																																																																																	((long) 90));
																																																																																																															}
																																																																																																														else
																																																																																																															{	/* Object/nil.scm 195 */
																																																																																																																if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 91))))
																																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																																		return
																																																																																																																			CNST_TABLE_REF
																																																																																																																			(
																																																																																																																			((long) 92));
																																																																																																																	}
																																																																																																																else
																																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																																		if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 93))))
																																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																																				return
																																																																																																																					CNST_TABLE_REF
																																																																																																																					(
																																																																																																																					((long) 94));
																																																																																																																			}
																																																																																																																		else
																																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																																				if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 95))))
																																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																																						return
																																																																																																																							CNST_TABLE_REF
																																																																																																																							(
																																																																																																																							((long) 96));
																																																																																																																					}
																																																																																																																				else
																																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																																						if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 97))))
																																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																																								return
																																																																																																																									CNST_TABLE_REF
																																																																																																																									(
																																																																																																																									((long) 98));
																																																																																																																							}
																																																																																																																						else
																																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																																								if ((BgL_casezd2valuezd2_1145 == CNST_TABLE_REF(((long) 99))))
																																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																																										return
																																																																																																																											CNST_TABLE_REF
																																																																																																																											(
																																																																																																																											((long) 100));
																																																																																																																									}
																																																																																																																								else
																																																																																																																									{	/* Object/nil.scm 238 */
																																																																																																																										obj_t
																																																																																																																											BgL_arg1812z00_1195;
																																																																																																																										obj_t
																																																																																																																											BgL_arg1813z00_1196;
																																																																																																																										obj_t
																																																																																																																											BgL_arg1814z00_1197;
																																																																																																																										BgL_arg1812z00_1195
																																																																																																																											=
																																																																																																																											(
																																																																																																																											((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) (((BgL_slotz00_bglt) CREF(((BgL_slotz00_bglt) BgL_slotz00_17)))->BgL_classzd2ownerzd2))))->BgL_idz00);
																																																																																																																										{	/* Object/nil.scm 239 */
																																																																																																																											obj_t
																																																																																																																												BgL_arg1816z00_1199;
																																																																																																																											BgL_arg1816z00_1199
																																																																																																																												=
																																																																																																																												(
																																																																																																																												((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_16)))->BgL_idz00);
																																																																																																																											{	/* Object/nil.scm 239 */
																																																																																																																												obj_t
																																																																																																																													BgL_list1817z00_1200;
																																																																																																																												BgL_list1817z00_1200
																																																																																																																													=
																																																																																																																													MAKE_PAIR
																																																																																																																													(BgL_arg1816z00_1199,
																																																																																																																													BNIL);
																																																																																																																												BgL_arg1813z00_1196
																																																																																																																													=
																																																																																																																													BGl_formatz00zz__r4_output_6_10_3z00
																																																																																																																													(BGl_string1967z00zzobject_nilz00,
																																																																																																																													BgL_list1817z00_1200);
																																																																																																																											}
																																																																																																																										}
																																																																																																																										BgL_arg1814z00_1197
																																																																																																																											=
																																																																																																																											(
																																																																																																																											((BgL_slotz00_bglt) CREF(((BgL_slotz00_bglt) BgL_slotz00_17)))->BgL_idz00);
																																																																																																																										return
																																																																																																																											BGl_errorz00zz__errorz00
																																																																																																																											(BgL_arg1812z00_1195,
																																																																																																																											BgL_arg1813z00_1196,
																																																																																																																											BgL_arg1814z00_1197);
																																																																																																																									}
																																																																																																																							}
																																																																																																																					}
																																																																																																																			}
																																																																																																																	}
																																																																																																															}
																																																																																																													}
																																																																																																											}
																																																																																																									}
																																																																																																							}
																																																																																																					}
																																																																																																			}
																																																																																																	}
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																	}
																																																																															}
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* extern-type-nil */
	obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t BgL_typez00_18,
		obj_t BgL_slotz00_19)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 245 */
			{	/* Object/nil.scm 247 */
				bool_t BgL_testz00_2340;

				if ((BgL_typez00_18 == BGl_za2intza2z00zztype_cachez00))
					{	/* Object/nil.scm 247 */
						BgL_testz00_2340 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 247 */
						BgL_testz00_2340 =
							(BgL_typez00_18 == BGl_za2longza2z00zztype_cachez00);
					}
				if (BgL_testz00_2340)
					{	/* Object/nil.scm 247 */
						return BINT(((long) 0));
					}
				else
					{	/* Object/nil.scm 247 */
						if ((BgL_typez00_18 == BGl_za2boolza2z00zztype_cachez00))
							{	/* Object/nil.scm 248 */
								return BFALSE;
							}
						else
							{	/* Object/nil.scm 248 */
								if ((BgL_typez00_18 == BGl_za2realza2z00zztype_cachez00))
									{	/* Object/nil.scm 249 */
										return BGl_real1965z00zzobject_nilz00;
									}
								else
									{	/* Object/nil.scm 249 */
										if ((BgL_typez00_18 == BGl_za2elongza2z00zztype_cachez00))
											{	/* Object/nil.scm 250 */
												return CNST_TABLE_REF(((long) 24));
											}
										else
											{	/* Object/nil.scm 250 */
												if (
													(BgL_typez00_18 == BGl_za2llongza2z00zztype_cachez00))
													{	/* Object/nil.scm 251 */
														return CNST_TABLE_REF(((long) 23));
													}
												else
													{	/* Object/nil.scm 251 */
														if (
															(BgL_typez00_18 ==
																BGl_za2charza2z00zztype_cachez00))
															{	/* Object/nil.scm 252 */
																return BCHAR(((unsigned char) '_'));
															}
														else
															{	/* Object/nil.scm 252 */
																if (
																	(BgL_typez00_18 ==
																		BGl_za2stringza2z00zztype_cachez00))
																	{	/* Object/nil.scm 253 */
																		return BGl_string1966z00zzobject_nilz00;
																	}
																else
																	{	/* Object/nil.scm 254 */
																		bool_t BgL_testz00_2360;

																		if (BGl_isazf3zf3zz__objectz00
																			(BgL_typez00_18,
																				BGl_jclassz00zzobject_classz00))
																			{	/* Object/nil.scm 254 */
																				BgL_testz00_2360 = ((bool_t) 1);
																			}
																		else
																			{	/* Object/nil.scm 254 */
																				BgL_testz00_2360 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_typez00_18,
																					BGl_jarrayz00zzforeign_jtypez00);
																			}
																		if (BgL_testz00_2360)
																			{	/* Object/nil.scm 255 */
																				obj_t BgL_arg1829z00_1214;

																				BgL_arg1829z00_1214 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_typez00_18)))->BgL_idz00);
																				return
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(CNST_TABLE_REF(((long) 101)),
																					BgL_arg1829z00_1214, BNIL);
																			}
																		else
																			{	/* Object/nil.scm 257 */
																				obj_t BgL_casezd2valuezd2_1216;

																				BgL_casezd2valuezd2_1216 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_typez00_18)))->BgL_idz00);
																				{	/* Object/nil.scm 257 */
																					bool_t BgL_testz00_2370;

																					{	/* Object/nil.scm 257 */
																						bool_t BgL__ortest_1078z00_1230;

																						BgL__ortest_1078z00_1230 =
																							(BgL_casezd2valuezd2_1216 ==
																							CNST_TABLE_REF(((long) 102)));
																						if (BgL__ortest_1078z00_1230)
																							{	/* Object/nil.scm 257 */
																								BgL_testz00_2370 =
																									BgL__ortest_1078z00_1230;
																							}
																						else
																							{	/* Object/nil.scm 257 */
																								bool_t BgL__ortest_1079z00_1231;

																								BgL__ortest_1079z00_1231 =
																									(BgL_casezd2valuezd2_1216 ==
																									CNST_TABLE_REF(((long) 103)));
																								if (BgL__ortest_1079z00_1231)
																									{	/* Object/nil.scm 257 */
																										BgL_testz00_2370 =
																											BgL__ortest_1079z00_1231;
																									}
																								else
																									{	/* Object/nil.scm 257 */
																										BgL_testz00_2370 =
																											(BgL_casezd2valuezd2_1216
																											==
																											CNST_TABLE_REF(((long)
																													104)));
																					}}}
																					if (BgL_testz00_2370)
																						{	/* Object/nil.scm 257 */
																							return BINT(((long) 0));
																						}
																					else
																						{	/* Object/nil.scm 257 */
																							if (
																								(BgL_casezd2valuezd2_1216 ==
																									CNST_TABLE_REF(((long) 48))))
																								{	/* Object/nil.scm 257 */
																									return BFALSE;
																								}
																							else
																								{	/* Object/nil.scm 257 */
																									bool_t BgL_testz00_2383;

																									{	/* Object/nil.scm 257 */
																										bool_t
																											BgL__ortest_1080z00_1229;
																										BgL__ortest_1080z00_1229 =
																											(BgL_casezd2valuezd2_1216
																											==
																											CNST_TABLE_REF(((long)
																													105)));
																										if (BgL__ortest_1080z00_1229)
																											{	/* Object/nil.scm 257 */
																												BgL_testz00_2383 =
																													BgL__ortest_1080z00_1229;
																											}
																										else
																											{	/* Object/nil.scm 257 */
																												BgL_testz00_2383 =
																													(BgL_casezd2valuezd2_1216
																													==
																													CNST_TABLE_REF(((long)
																															106)));
																									}}
																									if (BgL_testz00_2383)
																										{	/* Object/nil.scm 257 */
																											return
																												BGl_real1965z00zzobject_nilz00;
																										}
																									else
																										{	/* Object/nil.scm 257 */
																											if (
																												(BgL_casezd2valuezd2_1216
																													==
																													CNST_TABLE_REF(((long)
																															107))))
																												{	/* Object/nil.scm 257 */
																													return
																														BCHAR(((unsigned
																																char) '_'));
																												}
																											else
																												{	/* Object/nil.scm 257 */
																													if (
																														(BgL_casezd2valuezd2_1216
																															==
																															CNST_TABLE_REF((
																																	(long) 108))))
																														{	/* Object/nil.scm 257 */
																															return
																																BGl_string1966z00zzobject_nilz00;
																														}
																													else
																														{	/* Object/nil.scm 264 */
																															bool_t
																																BgL_testz00_2396;
																															{	/* Object/nil.scm 264 */
																																obj_t
																																	BgL_arg1845z00_1228;
																																BgL_arg1845z00_1228
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_testz00_2396
																																	=
																																	(((BgL_backendz00_bglt) CREF(((BgL_backendz00_bglt) BgL_arg1845z00_1228)))->BgL_pragmazd2supportzd2);
																															}
																															if (BgL_testz00_2396)
																																{	/* Object/nil.scm 265 */
																																	obj_t
																																		BgL_arg1837z00_1223;
																																	obj_t
																																		BgL_arg1839z00_1224;
																																	{	/* Object/nil.scm 265 */
																																		obj_t
																																			BgL_arg1841z00_1225;
																																		BgL_arg1841z00_1225
																																			=
																																			(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_18)))->BgL_idz00);
																																		BgL_arg1837z00_1223
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					109)),
																																			BgL_arg1841z00_1225);
																																	}
																																	BgL_arg1839z00_1224
																																		=
																																		MAKE_PAIR
																																		(BGl_string1968z00zzobject_nilz00,
																																		BNIL);
																																	return
																																		MAKE_PAIR
																																		(BgL_arg1837z00_1223,
																																		BgL_arg1839z00_1224);
																																}
																															else
																																{	/* Object/nil.scm 266 */
																																	obj_t
																																		BgL_arg1842z00_1226;
																																	BgL_arg1842z00_1226
																																		=
																																		(((BgL_typez00_bglt) CREF(((BgL_typez00_bglt) BgL_typez00_18)))->BgL_idz00);
																																	return
																																		BGl_makezd2privatezd2sexpz00zzast_privatez00
																																		(CNST_TABLE_REF
																																		(((long)
																																				101)),
																																		BgL_arg1842z00_1226,
																																		BNIL);
		}}}}}}}}}}}}}}}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long) 287572863),
				BSTRING_TO_STRING(BGl_string1969z00zzobject_nilz00));
		}
	}

#ifdef __cplusplus
}
#endif
