/*===========================================================================*/
/*   (Tools/misc.scm)                                                        */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/misc.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62epairifyza2zc0zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_uncygdrivez00zztools_miscz00(obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static obj_t BGl_objectzd2initzd2zztools_miscz00();
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62uncygdrivez62zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t
		BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t);
	static obj_t BGl_z62stringzd2splitzd2charz62zztools_miscz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zztools_miscz00();
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringza2zd2ze3stringz93zztools_miscz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_z62epairifyz62zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_za7erozf3z54zz__r4_numbers_6_5z00(obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_ignorez00zztools_miscz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringzd2splitzd2charz00zztools_miscz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t
		BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_miscz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zztools_miscz00();
	static obj_t BGl_z62epairifyzd2reczb0zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62replacez12z70zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31443ze3ze1zztools_miscz00(obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62epairifyzd2propagatezb0zztools_miscz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62buildzd2pathzd2fromzd2shellzd2variablez62zztools_miscz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_miscz00();
	static obj_t BGl_z62epairifyzd2propagatezd2locz62zztools_miscz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(obj_t);
	static obj_t BGl_z62stringza2zd2ze3stringzf1zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00(obj_t);
	static obj_t BGl_loopz00zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_epairifyzd2propagatezd2zztools_miscz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringza2zd2ze3stringzd2envz41zztools_miscz00,
		BgL_bgl_za762stringza7a2za7d2za71595z00,
		BGl_z62stringza2zd2ze3stringzf1zztools_miscz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_replacez12zd2envzc0zztools_miscz00,
		BgL_bgl_za762replaceza712za7701596za7, BGl_z62replacez12z70zztools_miscz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_epairifyzd2propagatezd2loczd2envzd2zztools_miscz00,
		BgL_bgl_za762epairifyza7d2pr1597z00,
		BGl_z62epairifyzd2propagatezd2locz62zztools_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncygdrivezd2envzd2zztools_miscz00,
		BgL_bgl_za762uncygdriveza7621598z00, BGl_z62uncygdrivez62zztools_miscz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2pathzd2fromzd2shellzd2variablezd2envzd2zztools_miscz00,
		BgL_bgl_za762buildza7d2pathza71599za7,
		BGl_z62buildzd2pathzd2fromzd2shellzd2variablez62zztools_miscz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyzd2envzd2zztools_miscz00,
		BgL_bgl_za762epairifyza762za7za71600z00, BGl_z62epairifyz62zztools_miscz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2splitzd2charzd2envzd2zztools_miscz00,
		BgL_bgl_za762stringza7d2spli1601z00,
		BGl_z62stringzd2splitzd2charz62zztools_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1586z00zztools_miscz00,
		BgL_bgl_string1586za700za7za7t1602za7, " ", 1);
	      DEFINE_STRING(BGl_string1587z00zztools_miscz00,
		BgL_bgl_string1587za700za7za7t1603za7, "", 0);
	      DEFINE_STRING(BGl_string1588z00zztools_miscz00,
		BgL_bgl_string1588za700za7za7t1604za7, "mingw", 5);
	      DEFINE_STRING(BGl_string1589z00zztools_miscz00,
		BgL_bgl_string1589za700za7za7t1605za7, ":/", 2);
	      DEFINE_STRING(BGl_string1590z00zztools_miscz00,
		BgL_bgl_string1590za700za7za7t1606za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string1591z00zztools_miscz00,
		BgL_bgl_string1591za700za7za7t1607za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string1592z00zztools_miscz00,
		BgL_bgl_string1592za700za7za7t1608za7, "/cygdrive/", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyza2zd2envz70zztools_miscz00,
		BgL_bgl_za762epairifyza7a2za7c1609za7, va_generic_entry,
		BGl_z62epairifyza2zc0zztools_miscz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyzd2reczd2envz00zztools_miscz00,
		BgL_bgl_za762epairifyza7d2re1610z00,
		BGl_z62epairifyzd2reczb0zztools_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_epairifyzd2propagatezd2envz00zztools_miscz00,
		BgL_bgl_za762epairifyza7d2pr1611z00,
		BGl_z62epairifyzd2propagatezb0zztools_miscz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long
		BgL_checksumz00_766, char *BgL_fromz00_767)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztools_miscz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_miscz00();
					return BGl_methodzd2initzd2zztools_miscz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__rgcz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_misc");
			return BUNSPEC;
		}
	}



/* string*->string */
	BGL_EXPORTED_DEF obj_t BGl_stringza2zd2ze3stringz93zztools_miscz00(obj_t
		BgL_lz00_3)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 30 */
			{	/* Tools/misc.scm 31 */
				obj_t BgL_g1012z00_30;

				BgL_g1012z00_30 = bgl_reverse(BgL_lz00_3);
				{
					obj_t BgL_lz00_32;
					obj_t BgL_rz00_33;

					BgL_lz00_32 = BgL_g1012z00_30;
					BgL_rz00_33 = BGl_string1587z00zztools_miscz00;
				BgL_zc3anonymousza31037ze3z83_34:
					if (NULLP(BgL_lz00_32))
						{	/* Tools/misc.scm 33 */
							return BgL_rz00_33;
						}
					else
						{
							obj_t BgL_rz00_789;
							obj_t BgL_lz00_787;

							BgL_lz00_787 = CDR(BgL_lz00_32);
							BgL_rz00_789 =
								string_append_3(CAR(BgL_lz00_32),
								BGl_string1586z00zztools_miscz00, BgL_rz00_33);
							BgL_rz00_33 = BgL_rz00_789;
							BgL_lz00_32 = BgL_lz00_787;
							goto BgL_zc3anonymousza31037ze3z83_34;
						}
				}
			}
		}
	}



/* &string*->string */
	obj_t BGl_z62stringza2zd2ze3stringzf1zztools_miscz00(obj_t BgL_envz00_725,
		obj_t BgL_lz00_726)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 30 */
			return BGl_stringza2zd2ze3stringz93zztools_miscz00(BgL_lz00_726);
		}
	}



/* replace! */
	BGL_EXPORTED_DEF obj_t BGl_replacez12z12zztools_miscz00(obj_t BgL_p1z00_4,
		obj_t BgL_p2z00_5)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 41 */
			{	/* Tools/misc.scm 42 */
				bool_t BgL_testz00_793;

				if (PAIRP(BgL_p1z00_4))
					{	/* Tools/misc.scm 42 */
						if (PAIRP(BgL_p2z00_5))
							{	/* Tools/misc.scm 42 */
								bool_t BgL_testz00_798;

								{	/* Tools/misc.scm 42 */
									bool_t BgL_res1488z00_425;

									BgL_res1488z00_425 = EXTENDED_PAIRP(BgL_p2z00_5);
									BgL_testz00_798 = BgL_res1488z00_425;
								}
								if (BgL_testz00_798)
									{	/* Tools/misc.scm 42 */
										BgL_testz00_793 = ((bool_t) 0);
									}
								else
									{	/* Tools/misc.scm 42 */
										BgL_testz00_793 = ((bool_t) 1);
									}
							}
						else
							{	/* Tools/misc.scm 42 */
								BgL_testz00_793 = ((bool_t) 0);
							}
					}
				else
					{	/* Tools/misc.scm 42 */
						BgL_testz00_793 = ((bool_t) 0);
					}
				if (BgL_testz00_793)
					{	/* Tools/misc.scm 42 */
						{	/* Tools/misc.scm 44 */
							obj_t BgL_auxz00_800;

							BgL_auxz00_800 = CAR(BgL_p2z00_5);
							SET_CAR(BgL_p1z00_4, BgL_auxz00_800);
						}
						{	/* Tools/misc.scm 45 */
							obj_t BgL_auxz00_803;

							BgL_auxz00_803 = CDR(BgL_p2z00_5);
							SET_CDR(BgL_p1z00_4, BgL_auxz00_803);
						}
						return BgL_p1z00_4;
					}
				else
					{	/* Tools/misc.scm 42 */
						return BgL_p2z00_5;
					}
			}
		}
	}



/* &replace! */
	obj_t BGl_z62replacez12z70zztools_miscz00(obj_t BgL_envz00_727,
		obj_t BgL_p1z00_728, obj_t BgL_p2z00_729)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 41 */
			return BGl_replacez12z12zztools_miscz00(BgL_p1z00_728, BgL_p2z00_729);
		}
	}



/* string-split-char */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2splitzd2charz00zztools_miscz00(obj_t
		BgL_strz00_6, obj_t BgL_separatorz00_7)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 52 */
		BGl_stringzd2splitzd2charz00zztools_miscz00:
			{	/* Tools/misc.scm 53 */
				long BgL_strzd2lengthzd2_46;

				BgL_strzd2lengthzd2_46 = STRING_LENGTH(BgL_strz00_6);
				if ((BgL_strzd2lengthzd2_46 == ((long) 0)))
					{	/* Tools/misc.scm 54 */
						return BNIL;
					}
				else
					{
						obj_t BgL_iz00_49;

						BgL_iz00_49 = BINT(((long) 0));
					BgL_zc3anonymousza31049ze3z83_50:
						if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_iz00_49,
								BINT(BgL_strzd2lengthzd2_46)))
							{	/* Tools/misc.scm 58 */
								obj_t BgL_list1051z00_52;

								BgL_list1051z00_52 = MAKE_PAIR(BgL_strz00_6, BNIL);
								return BgL_list1051z00_52;
							}
						else
							{	/* Tools/misc.scm 57 */
								if (
									(STRING_REF(BgL_strz00_6,
											(long) CINT(BgL_iz00_49)) == CCHAR(BgL_separatorz00_7)))
									{	/* Tools/misc.scm 59 */
										if (BGl_za7erozf3z54zz__r4_numbers_6_5z00(BgL_iz00_49))
											{
												obj_t BgL_strz00_821;

												BgL_strz00_821 =
													c_substring(BgL_strz00_6, ((long) 1),
													BgL_strzd2lengthzd2_46);
												BgL_strz00_6 = BgL_strz00_821;
												goto BGl_stringzd2splitzd2charz00zztools_miscz00;
											}
										else
											{	/* Tools/misc.scm 63 */
												obj_t BgL_arg1055z00_56;
												obj_t BgL_arg1056z00_57;

												BgL_arg1055z00_56 =
													c_substring(BgL_strz00_6, ((long) 0),
													(long) CINT(BgL_iz00_49));
												{	/* Tools/misc.scm 65 */
													obj_t BgL_arg1058z00_58;

													{	/* Tools/misc.scm 65 */
														obj_t BgL_arg1061z00_59;

														if (INTEGERP(BgL_iz00_49))
															{	/* Tools/misc.scm 65 */
																long BgL_auxz00_827;

																BgL_auxz00_827 = (long) CINT(BgL_iz00_49);
																BgL_arg1061z00_59 =
																	BGL_SAFE_PLUS_FX(BgL_auxz00_827, ((long) 1));
															}
														else
															{	/* Tools/misc.scm 65 */
																BgL_arg1061z00_59 =
																	BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_49,
																	BINT(((long) 1)));
															}
														BgL_arg1058z00_58 =
															c_substring(BgL_strz00_6,
															(long) CINT(BgL_arg1061z00_59),
															BgL_strzd2lengthzd2_46);
													}
													BgL_arg1056z00_57 =
														BGl_stringzd2splitzd2charz00zztools_miscz00
														(BgL_arg1058z00_58, BgL_separatorz00_7);
												}
												return MAKE_PAIR(BgL_arg1055z00_56, BgL_arg1056z00_57);
											}
									}
								else
									{	/* Tools/misc.scm 68 */
										obj_t BgL_arg1066z00_61;

										if (INTEGERP(BgL_iz00_49))
											{	/* Tools/misc.scm 68 */
												long BgL_auxz00_838;

												BgL_auxz00_838 = (long) CINT(BgL_iz00_49);
												BgL_arg1066z00_61 =
													BGL_SAFE_PLUS_FX(BgL_auxz00_838, ((long) 1));
											}
										else
											{	/* Tools/misc.scm 68 */
												BgL_arg1066z00_61 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_49,
													BINT(((long) 1)));
											}
										{
											obj_t BgL_iz00_843;

											BgL_iz00_843 = BgL_arg1066z00_61;
											BgL_iz00_49 = BgL_iz00_843;
											goto BgL_zc3anonymousza31049ze3z83_50;
										}
									}
							}
					}
			}
		}
	}



/* &string-split-char */
	obj_t BGl_z62stringzd2splitzd2charz62zztools_miscz00(obj_t BgL_envz00_730,
		obj_t BgL_strz00_731, obj_t BgL_separatorz00_732)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 52 */
			return
				BGl_stringzd2splitzd2charz00zztools_miscz00(BgL_strz00_731,
				BgL_separatorz00_732);
		}
	}



/* epairify */
	BGL_EXPORTED_DEF obj_t BGl_epairifyz00zztools_miscz00(obj_t BgL_pairz00_8,
		obj_t BgL_epairz00_9)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 78 */
			{	/* Tools/misc.scm 79 */
				bool_t BgL_testz00_846;

				{	/* Tools/misc.scm 79 */
					bool_t BgL_res1498z00_459;

					BgL_res1498z00_459 = EXTENDED_PAIRP(BgL_epairz00_9);
					BgL_testz00_846 = BgL_res1498z00_459;
				}
				if (BgL_testz00_846)
					{	/* Tools/misc.scm 80 */
						obj_t BgL_arg1071z00_66;
						obj_t BgL_arg1075z00_67;
						obj_t BgL_arg1077z00_68;

						BgL_arg1071z00_66 = CAR(BgL_pairz00_8);
						BgL_arg1075z00_67 = CDR(BgL_pairz00_8);
						BgL_arg1077z00_68 = CER(BgL_epairz00_9);
						{	/* Tools/misc.scm 80 */
							obj_t BgL_res1499z00_466;

							BgL_res1499z00_466 =
								MAKE_EXTENDED_PAIR(BgL_arg1071z00_66, BgL_arg1075z00_67,
								BgL_arg1077z00_68);
							return BgL_res1499z00_466;
						}
					}
				else
					{	/* Tools/misc.scm 79 */
						return BgL_pairz00_8;
					}
			}
		}
	}



/* &epairify */
	obj_t BGl_z62epairifyz62zztools_miscz00(obj_t BgL_envz00_733,
		obj_t BgL_pairz00_734, obj_t BgL_epairz00_735)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 78 */
			return BGl_epairifyz00zztools_miscz00(BgL_pairz00_734, BgL_epairz00_735);
		}
	}



/* epairify-rec */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t BgL_pz00_10,
		obj_t BgL_epz00_11)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 88 */
			if (PAIRP(BgL_pz00_10))
				{	/* Tools/misc.scm 92 */
					bool_t BgL_testz00_855;

					{	/* Tools/misc.scm 92 */
						bool_t BgL_res1501z00_470;

						BgL_res1501z00_470 = EXTENDED_PAIRP(BgL_epz00_11);
						BgL_testz00_855 = BgL_res1501z00_470;
					}
					if (BgL_testz00_855)
						{	/* Tools/misc.scm 94 */
							bool_t BgL_testz00_857;

							{	/* Tools/misc.scm 94 */
								bool_t BgL_res1502z00_472;

								BgL_res1502z00_472 = EXTENDED_PAIRP(BgL_pz00_10);
								BgL_testz00_857 = BgL_res1502z00_472;
							}
							if (BgL_testz00_857)
								{	/* Tools/misc.scm 94 */
									return BgL_pz00_10;
								}
							else
								{	/* Tools/misc.scm 97 */
									obj_t BgL_arg1081z00_72;
									obj_t BgL_arg1083z00_73;
									obj_t BgL_arg1085z00_74;

									BgL_arg1081z00_72 =
										BGl_epairifyzd2reczd2zztools_miscz00(CAR(BgL_pz00_10),
										CAR(BgL_epz00_11));
									BgL_arg1083z00_73 =
										BGl_epairifyzd2reczd2zztools_miscz00(CDR(BgL_pz00_10),
										CDR(BgL_epz00_11));
									BgL_arg1085z00_74 = CER(BgL_epz00_11);
									{	/* Tools/misc.scm 97 */
										obj_t BgL_res1503z00_481;

										BgL_res1503z00_481 =
											MAKE_EXTENDED_PAIR(BgL_arg1081z00_72, BgL_arg1083z00_73,
											BgL_arg1085z00_74);
										return BgL_res1503z00_481;
									}
								}
						}
					else
						{	/* Tools/misc.scm 92 */
							return BgL_pz00_10;
						}
				}
			else
				{	/* Tools/misc.scm 90 */
					return BgL_pz00_10;
				}
		}
	}



/* &epairify-rec */
	obj_t BGl_z62epairifyzd2reczb0zztools_miscz00(obj_t BgL_envz00_736,
		obj_t BgL_pz00_737, obj_t BgL_epz00_738)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 88 */
			return BGl_epairifyzd2reczd2zztools_miscz00(BgL_pz00_737, BgL_epz00_738);
		}
	}



/* epairify-propagate */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2propagatezd2zztools_miscz00(obj_t
		BgL_pz00_12, obj_t BgL_epz00_13)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 106 */
			{	/* Tools/misc.scm 107 */
				bool_t BgL_testz00_868;

				{	/* Tools/misc.scm 107 */
					bool_t BgL_res1504z00_485;

					BgL_res1504z00_485 = EXTENDED_PAIRP(BgL_epz00_13);
					BgL_testz00_868 = BgL_res1504z00_485;
				}
				if (BgL_testz00_868)
					{	/* Tools/misc.scm 107 */
						return BGl_loopz00zztools_miscz00(CER(BgL_epz00_13), BgL_pz00_12);
					}
				else
					{	/* Tools/misc.scm 107 */
						return BgL_pz00_12;
					}
			}
		}
	}



/* &epairify-propagate */
	obj_t BGl_z62epairifyzd2propagatezb0zztools_miscz00(obj_t BgL_envz00_739,
		obj_t BgL_pz00_740, obj_t BgL_epz00_741)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 106 */
			return
				BGl_epairifyzd2propagatezd2zztools_miscz00(BgL_pz00_740, BgL_epz00_741);
		}
	}



/* epairify-propagate-loc */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t
		BgL_pz00_14, obj_t BgL_locz00_15)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 116 */
			return BGl_loopz00zztools_miscz00(BgL_locz00_15, BgL_pz00_14);
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_miscz00(obj_t BgL_locz00_756, obj_t BgL_pz00_82)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 117 */
			if (PAIRP(BgL_pz00_82))
				{	/* Tools/misc.scm 121 */
					bool_t BgL_testz00_876;

					{	/* Tools/misc.scm 121 */
						bool_t BgL_res1506z00_490;

						BgL_res1506z00_490 = EXTENDED_PAIRP(BgL_pz00_82);
						BgL_testz00_876 = BgL_res1506z00_490;
					}
					if (BgL_testz00_876)
						{	/* Tools/misc.scm 121 */
							return BgL_pz00_82;
						}
					else
						{	/* Tools/misc.scm 124 */
							obj_t BgL_arg1103z00_86;
							obj_t BgL_arg1104z00_87;

							BgL_arg1103z00_86 =
								BGl_loopz00zztools_miscz00(BgL_locz00_756, CAR(BgL_pz00_82));
							BgL_arg1104z00_87 =
								BGl_loopz00zztools_miscz00(BgL_locz00_756, CDR(BgL_pz00_82));
							{	/* Tools/misc.scm 124 */
								obj_t BgL_res1507z00_496;

								BgL_res1507z00_496 =
									MAKE_EXTENDED_PAIR(BgL_arg1103z00_86, BgL_arg1104z00_87,
									BgL_locz00_756);
								return BgL_res1507z00_496;
							}
						}
				}
			else
				{	/* Tools/misc.scm 119 */
					return BgL_pz00_82;
				}
		}
	}



/* &epairify-propagate-loc */
	obj_t BGl_z62epairifyzd2propagatezd2locz62zztools_miscz00(obj_t
		BgL_envz00_742, obj_t BgL_pz00_743, obj_t BgL_locz00_744)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 116 */
			return BGl_loopz00zztools_miscz00(BgL_locz00_744, BgL_pz00_743);
		}
	}



/* epairify* */
	BGL_EXPORTED_DEF obj_t BGl_epairifyza2za2zztools_miscz00(obj_t BgL_defz00_16,
		obj_t BgL_srcsz00_17)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 129 */
			{
				obj_t BgL_srcsz00_92;

				BgL_srcsz00_92 = BgL_srcsz00_17;
			BgL_zc3anonymousza31112ze3z83_93:
				if (NULLP(BgL_srcsz00_92))
					{	/* Tools/misc.scm 132 */
						return BgL_defz00_16;
					}
				else
					{	/* Tools/misc.scm 134 */
						bool_t BgL_testz00_886;

						{	/* Tools/misc.scm 134 */
							obj_t BgL_arg1123z00_101;

							BgL_arg1123z00_101 = CAR(BgL_srcsz00_92);
							{	/* Tools/misc.scm 134 */
								bool_t BgL_res1509z00_501;

								BgL_res1509z00_501 = EXTENDED_PAIRP(BgL_arg1123z00_101);
								BgL_testz00_886 = BgL_res1509z00_501;
							}
						}
						if (BgL_testz00_886)
							{	/* Tools/misc.scm 135 */
								obj_t BgL_arg1115z00_96;
								obj_t BgL_arg1117z00_97;
								obj_t BgL_arg1118z00_98;

								BgL_arg1115z00_96 = CAR(BgL_defz00_16);
								BgL_arg1117z00_97 = CDR(BgL_defz00_16);
								BgL_arg1118z00_98 = CER(CAR(BgL_srcsz00_92));
								{	/* Tools/misc.scm 135 */
									obj_t BgL_res1510z00_509;

									BgL_res1510z00_509 =
										MAKE_EXTENDED_PAIR(BgL_arg1115z00_96, BgL_arg1117z00_97,
										BgL_arg1118z00_98);
									return BgL_res1510z00_509;
								}
							}
						else
							{
								obj_t BgL_srcsz00_894;

								BgL_srcsz00_894 = CDR(BgL_srcsz00_92);
								BgL_srcsz00_92 = BgL_srcsz00_894;
								goto BgL_zc3anonymousza31112ze3z83_93;
							}
					}
			}
		}
	}



/* &epairify* */
	obj_t BGl_z62epairifyza2zc0zztools_miscz00(obj_t BgL_envz00_745,
		obj_t BgL_defz00_746, obj_t BgL_srcsz00_747)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 129 */
			return BGl_epairifyza2za2zztools_miscz00(BgL_defz00_746, BgL_srcsz00_747);
		}
	}



/* build-path-from-shell-variable */
	BGL_EXPORTED_DEF obj_t
		BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00(obj_t
		BgL_varz00_18)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 142 */
			if (bigloo_strcmp(string_to_bstring(OS_CLASS),
					BGl_string1588z00zztools_miscz00))
				{	/* Tools/misc.scm 143 */
					return
						BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00
						(BgL_varz00_18);
				}
			else
				{	/* Tools/misc.scm 143 */
					return
						BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00
						(BgL_varz00_18);
				}
		}
	}



/* &build-path-from-shell-variable */
	obj_t BGl_z62buildzd2pathzd2fromzd2shellzd2variablez62zztools_miscz00(obj_t
		BgL_envz00_748, obj_t BgL_varz00_749)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 142 */
			return
				BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00
				(BgL_varz00_749);
		}
	}



/* mingw-build-path-from-shell-variable */
	obj_t
		BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t
		BgL_varz00_19)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 150 */
			{	/* Tools/misc.scm 163 */
				obj_t BgL_valz00_106;
				obj_t BgL_resz00_107;

				BgL_valz00_106 = BGl_getenvz00zz__osz00(BgL_varz00_19);
				BgL_resz00_107 = BNIL;
				if (STRINGP(BgL_valz00_106))
					{	/* Tools/misc.scm 167 */
						long BgL_nz00_109;
						obj_t BgL_kz00_110;

						BgL_nz00_109 = STRING_LENGTH(BgL_valz00_106);
						BgL_kz00_110 = BINT(((long) 0));
						{
							obj_t BgL_iz00_140;

							{
								obj_t BgL_iz00_113;

								BgL_iz00_113 = BINT(((long) 0));
							BgL_zc3anonymousza31128ze3z83_114:
								if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_iz00_113,
										BINT(BgL_nz00_109)))
									{	/* Tools/misc.scm 178 */
										obj_t BgL_l1025z00_116;

										{	/* Tools/misc.scm 179 */
											obj_t BgL_arg1144z00_132;

											{	/* Tools/misc.scm 179 */
												obj_t BgL_arg1145z00_133;

												BgL_arg1145z00_133 =
													c_substring(BgL_valz00_106,
													(long) CINT(BgL_kz00_110), (long) CINT(BgL_iz00_113));
												BgL_arg1144z00_132 =
													MAKE_PAIR(BgL_arg1145z00_133, BgL_resz00_107);
											}
											BgL_l1025z00_116 = bgl_reverse(BgL_arg1144z00_132);
										}
										if (NULLP(BgL_l1025z00_116))
											{	/* Tools/misc.scm 178 */
												return BNIL;
											}
										else
											{	/* Tools/misc.scm 178 */
												obj_t BgL_head1027z00_118;

												{	/* Tools/misc.scm 178 */
													obj_t BgL_arg1140z00_130;

													BgL_arg1140z00_130 =
														BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(CAR
														(BgL_l1025z00_116));
													{	/* Tools/misc.scm 178 */
														obj_t BgL_res1535z00_579;

														BgL_res1535z00_579 =
															MAKE_PAIR(BgL_arg1140z00_130, BNIL);
														BgL_head1027z00_118 = BgL_res1535z00_579;
													}
												}
												{	/* Tools/misc.scm 178 */
													obj_t BgL_g1030z00_119;

													BgL_g1030z00_119 = CDR(BgL_l1025z00_116);
													{
														obj_t BgL_l1025z00_121;
														obj_t BgL_tail1028z00_122;

														BgL_l1025z00_121 = BgL_g1030z00_119;
														BgL_tail1028z00_122 = BgL_head1027z00_118;
													BgL_zc3anonymousza31131ze3z83_123:
														if (NULLP(BgL_l1025z00_121))
															{	/* Tools/misc.scm 178 */
																return BgL_head1027z00_118;
															}
														else
															{	/* Tools/misc.scm 178 */
																obj_t BgL_newtail1029z00_125;

																{	/* Tools/misc.scm 178 */
																	obj_t BgL_arg1135z00_127;

																	BgL_arg1135z00_127 =
																		BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00
																		(CAR(BgL_l1025z00_121));
																	{	/* Tools/misc.scm 178 */
																		obj_t BgL_res1537z00_586;

																		BgL_res1537z00_586 =
																			MAKE_PAIR(BgL_arg1135z00_127, BNIL);
																		BgL_newtail1029z00_125 = BgL_res1537z00_586;
																	}
																}
																SET_CDR(BgL_tail1028z00_122,
																	BgL_newtail1029z00_125);
																{
																	obj_t BgL_tail1028z00_930;
																	obj_t BgL_l1025z00_928;

																	BgL_l1025z00_928 = CDR(BgL_l1025z00_121);
																	BgL_tail1028z00_930 = BgL_newtail1029z00_125;
																	BgL_tail1028z00_122 = BgL_tail1028z00_930;
																	BgL_l1025z00_121 = BgL_l1025z00_928;
																	goto BgL_zc3anonymousza31131ze3z83_123;
																}
															}
													}
												}
											}
									}
								else
									{	/* Tools/misc.scm 177 */
										{	/* Tools/misc.scm 180 */
											bool_t BgL_testz00_931;

											BgL_iz00_140 = BgL_iz00_113;
											if (
												(STRING_REF(BgL_valz00_106,
														(long) CINT(BgL_iz00_140)) ==
													((unsigned char) ':')))
												{	/* Tools/misc.scm 171 */
													bool_t BgL_testz00_936;

													{	/* Tools/misc.scm 171 */
														obj_t BgL_arg1166z00_152;

														BgL_arg1166z00_152 =
															BGL_SAFE_MINUS_FX(BgL_nz00_109, ((long) 1));
														BgL_testz00_936 =
															BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_iz00_140,
															BgL_arg1166z00_152);
													}
													if (BgL_testz00_936)
														{	/* Tools/misc.scm 172 */
															bool_t BgL_testz00_939;

															{	/* Tools/misc.scm 173 */
																bool_t BgL_testz00_940;

																{	/* Tools/misc.scm 173 */
																	unsigned char BgL_arg1162z00_149;

																	{	/* Tools/misc.scm 173 */
																		obj_t BgL_arg1163z00_150;

																		if (INTEGERP(BgL_iz00_140))
																			{	/* Tools/misc.scm 173 */
																				long BgL_auxz00_943;

																				BgL_auxz00_943 =
																					(long) CINT(BgL_iz00_140);
																				BgL_arg1163z00_150 =
																					BGL_SAFE_PLUS_FX(BgL_auxz00_943,
																					((long) 1));
																			}
																		else
																			{	/* Tools/misc.scm 173 */
																				BgL_arg1163z00_150 =
																					BGl_2zb2zb2zz__r4_numbers_6_5z00
																					(BgL_iz00_140, BINT(((long) 1)));
																			}
																		BgL_arg1162z00_149 =
																			STRING_REF(BgL_valz00_106,
																			(long) CINT(BgL_arg1163z00_150));
																	}
																	BgL_testz00_940 =
																		(BgL_arg1162z00_149 ==
																		((unsigned char) '/'));
																}
																if (BgL_testz00_940)
																	{	/* Tools/misc.scm 173 */
																		BgL_testz00_939 = ((bool_t) 1);
																	}
																else
																	{	/* Tools/misc.scm 174 */
																		unsigned char BgL_arg1157z00_146;

																		{	/* Tools/misc.scm 174 */
																			obj_t BgL_arg1160z00_147;

																			if (INTEGERP(BgL_iz00_140))
																				{	/* Tools/misc.scm 174 */
																					long BgL_auxz00_953;

																					BgL_auxz00_953 =
																						(long) CINT(BgL_iz00_140);
																					BgL_arg1160z00_147 =
																						BGL_SAFE_PLUS_FX(BgL_auxz00_953,
																						((long) 1));
																				}
																			else
																				{	/* Tools/misc.scm 174 */
																					BgL_arg1160z00_147 =
																						BGl_2zb2zb2zz__r4_numbers_6_5z00
																						(BgL_iz00_140, BINT(((long) 1)));
																				}
																			BgL_arg1157z00_146 =
																				STRING_REF(BgL_valz00_106,
																				(long) CINT(BgL_arg1160z00_147));
																		}
																		BgL_testz00_939 =
																			(BgL_arg1157z00_146 ==
																			((unsigned char) '\\'));
															}}
															if (BgL_testz00_939)
																{	/* Tools/misc.scm 172 */
																	BgL_testz00_931 = ((bool_t) 0);
																}
															else
																{	/* Tools/misc.scm 172 */
																	BgL_testz00_931 = ((bool_t) 1);
																}
														}
													else
														{	/* Tools/misc.scm 171 */
															BgL_testz00_931 = ((bool_t) 0);
														}
												}
											else
												{	/* Tools/misc.scm 170 */
													BgL_testz00_931 = ((bool_t) 0);
												}
											if (BgL_testz00_931)
												{	/* Tools/misc.scm 180 */
													{	/* Tools/misc.scm 182 */
														obj_t BgL_arg1147z00_135;

														BgL_arg1147z00_135 =
															c_substring(BgL_valz00_106,
															(long) CINT(BgL_kz00_110),
															(long) CINT(BgL_iz00_113));
														BgL_resz00_107 =
															MAKE_PAIR(BgL_arg1147z00_135, BgL_resz00_107);
													}
													if (INTEGERP(BgL_iz00_113))
														{	/* Tools/misc.scm 183 */
															long BgL_auxz00_967;

															BgL_auxz00_967 = (long) CINT(BgL_iz00_113);
															BgL_kz00_110 =
																BGL_SAFE_PLUS_FX(BgL_auxz00_967, ((long) 1));
														}
													else
														{	/* Tools/misc.scm 183 */
															BgL_kz00_110 =
																BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_113,
																BINT(((long) 1)));
												}}
											else
												{	/* Tools/misc.scm 180 */
													BFALSE;
												}
										}
										{	/* Tools/misc.scm 177 */
											obj_t BgL_arg1149z00_137;

											if (INTEGERP(BgL_iz00_113))
												{	/* Tools/misc.scm 177 */
													long BgL_auxz00_974;

													BgL_auxz00_974 = (long) CINT(BgL_iz00_113);
													BgL_arg1149z00_137 =
														BGL_SAFE_PLUS_FX(BgL_auxz00_974, ((long) 1));
												}
											else
												{	/* Tools/misc.scm 177 */
													BgL_arg1149z00_137 =
														BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_113,
														BINT(((long) 1)));
												}
											{
												obj_t BgL_iz00_979;

												BgL_iz00_979 = BgL_arg1149z00_137;
												BgL_iz00_113 = BgL_iz00_979;
												goto BgL_zc3anonymousza31128ze3z83_114;
											}
										}
									}
							}
						}
					}
				else
					{	/* Tools/misc.scm 165 */
						return BNIL;
					}
			}
		}
	}



/* normalize-mingw-path */
	obj_t BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(obj_t BgL_pathz00_156)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 162 */
			{	/* Tools/misc.scm 152 */
				long BgL_nz00_158;

				BgL_nz00_158 = STRING_LENGTH(BgL_pathz00_156);
				if ((BgL_nz00_158 < ((long) 3)))
					{	/* Tools/misc.scm 154 */
						return BgL_pathz00_156;
					}
				else
					{	/* Tools/misc.scm 154 */
						if (
							(STRING_REF(BgL_pathz00_156,
									((long) 0)) == ((unsigned char) '/')))
							{	/* Tools/misc.scm 156 */
								if (
									(STRING_REF(BgL_pathz00_156,
											((long) 2)) == ((unsigned char) '/')))
									{	/* Tools/misc.scm 158 */
										obj_t BgL_arg1180z00_163;
										obj_t BgL_arg1181z00_164;

										{	/* Tools/misc.scm 158 */
											unsigned char BgL_arg1182z00_165;

											BgL_arg1182z00_165 =
												STRING_REF(BgL_pathz00_156, ((long) 1));
											{	/* Tools/misc.scm 158 */
												obj_t BgL_list1183z00_166;

												BgL_list1183z00_166 =
													MAKE_PAIR(BCHAR(BgL_arg1182z00_165), BNIL);
												BgL_arg1180z00_163 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(BgL_list1183z00_166);
										}}
										BgL_arg1181z00_164 =
											c_substring(BgL_pathz00_156, ((long) 3), BgL_nz00_158);
										return
											string_append_3(BgL_arg1180z00_163,
											BGl_string1589z00zztools_miscz00, BgL_arg1181z00_164);
									}
								else
									{	/* Tools/misc.scm 157 */
										return BgL_pathz00_156;
									}
							}
						else
							{	/* Tools/misc.scm 156 */
								return BgL_pathz00_156;
							}
					}
			}
		}
	}



/* unix-build-path-from-shell-variable */
	obj_t
		BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t
		BgL_varz00_20)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 188 */
			{	/* Tools/misc.scm 189 */
				obj_t BgL_valz00_171;

				BgL_valz00_171 = BGl_getenvz00zz__osz00(BgL_varz00_20);
				if (STRINGP(BgL_valz00_171))
					{	/* Tools/misc.scm 191 */
						obj_t BgL_port1014z00_173;

						{	/* Tools/misc.scm 191 */
							long BgL_endz00_401;

							BgL_endz00_401 = STRING_LENGTH(BgL_valz00_171);
							{	/* Tools/misc.scm 191 */

								BgL_port1014z00_173 =
									BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
									(BgL_valz00_171, BINT(((long) 0)), BINT(BgL_endz00_401));
						}}
						{	/* Tools/misc.scm 191 */
							obj_t BgL_exitd1015z00_174;

							BgL_exitd1015z00_174 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Tools/misc.scm 191 */
								obj_t BgL_zc3anonymousza31443ze3z83_750;

								BgL_zc3anonymousza31443ze3z83_750 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31443ze3ze1zztools_miscz00,
									(int) (((long) 0)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31443ze3z83_750,
									(int) (((long) 0)), BgL_port1014z00_173);
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
									(BgL_exitd1015z00_174, BgL_zc3anonymousza31443ze3z83_750);
								{	/* Tools/misc.scm 191 */
									obj_t BgL_tmp1017z00_176;

									BgL_tmp1017z00_176 =
										BGl_ignorez00zztools_miscz00(BgL_port1014z00_173);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00
										(BgL_exitd1015z00_174);
									bgl_close_input_port(BgL_port1014z00_173);
									return BgL_tmp1017z00_176;
								}
							}
						}
					}
				else
					{	/* Tools/misc.scm 190 */
						return BNIL;
					}
			}
		}
	}



/* ignore */
	obj_t BGl_ignorez00zztools_miscz00(obj_t BgL_iportz00_755)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 191 */
		BGl_ignorez00zztools_miscz00:
			{
				obj_t BgL_iportz00_376;
				long BgL_lastzd2matchzd2_377;
				long BgL_forwardz00_378;
				long BgL_bufposz00_379;
				obj_t BgL_iportz00_362;
				long BgL_lastzd2matchzd2_363;
				long BgL_forwardz00_364;
				long BgL_bufposz00_365;
				obj_t BgL_iportz00_348;
				long BgL_lastzd2matchzd2_349;
				long BgL_forwardz00_350;
				long BgL_bufposz00_351;

				{	/* Tools/misc.scm 191 */
					long BgL_res1572z00_687;

					BgL_res1572z00_687 = RGC_START_MATCH(BgL_iportz00_755);
					BgL_res1572z00_687;
				}
				{	/* Tools/misc.scm 191 */
					long BgL_matchz00_300;

					{	/* Tools/misc.scm 191 */
						long BgL_arg1328z00_309;
						long BgL_arg1331z00_310;

						{	/* Tools/misc.scm 191 */
							long BgL_res1573z00_689;

							BgL_res1573z00_689 = RGC_BUFFER_FORWARD(BgL_iportz00_755);
							BgL_arg1328z00_309 = BgL_res1573z00_689;
						}
						{	/* Tools/misc.scm 191 */
							long BgL_res1574z00_691;

							BgL_res1574z00_691 = RGC_BUFFER_BUFPOS(BgL_iportz00_755);
							BgL_arg1331z00_310 = BgL_res1574z00_691;
						}
						BgL_iportz00_348 = BgL_iportz00_755;
						BgL_lastzd2matchzd2_349 = ((long) 2);
						BgL_forwardz00_350 = BgL_arg1328z00_309;
						BgL_bufposz00_351 = BgL_arg1331z00_310;
					BgL_zc3anonymousza31337ze3z83_352:
						if ((BgL_forwardz00_350 == BgL_bufposz00_351))
							{	/* Tools/misc.scm 191 */
								if (rgc_fill_buffer(BgL_iportz00_348))
									{	/* Tools/misc.scm 191 */
										long BgL_arg1344z00_355;
										long BgL_arg1360z00_356;

										{	/* Tools/misc.scm 191 */
											long BgL_res1562z00_655;

											BgL_res1562z00_655 = RGC_BUFFER_FORWARD(BgL_iportz00_348);
											BgL_arg1344z00_355 = BgL_res1562z00_655;
										}
										{	/* Tools/misc.scm 191 */
											long BgL_res1563z00_657;

											BgL_res1563z00_657 = RGC_BUFFER_BUFPOS(BgL_iportz00_348);
											BgL_arg1360z00_356 = BgL_res1563z00_657;
										}
										{
											long BgL_bufposz00_1023;
											long BgL_forwardz00_1022;

											BgL_forwardz00_1022 = BgL_arg1344z00_355;
											BgL_bufposz00_1023 = BgL_arg1360z00_356;
											BgL_bufposz00_351 = BgL_bufposz00_1023;
											BgL_forwardz00_350 = BgL_forwardz00_1022;
											goto BgL_zc3anonymousza31337ze3z83_352;
										}
									}
								else
									{	/* Tools/misc.scm 191 */
										BgL_matchz00_300 = BgL_lastzd2matchzd2_349;
									}
							}
						else
							{	/* Tools/misc.scm 191 */
								int BgL_curz00_357;

								{	/* Tools/misc.scm 191 */
									int BgL_res1564z00_660;

									BgL_res1564z00_660 =
										RGC_BUFFER_GET_CHAR(BgL_iportz00_348, BgL_forwardz00_350);
									BgL_curz00_357 = BgL_res1564z00_660;
								}
								{	/* Tools/misc.scm 191 */

									if (((long) (BgL_curz00_357) == ((long) 58)))
										{	/* Tools/misc.scm 191 */
											long BgL_arg1366z00_359;

											BgL_arg1366z00_359 = (((long) 1) + BgL_forwardz00_350);
											{	/* Tools/misc.scm 191 */
												long BgL_newzd2matchzd2_671;

												{	/* Tools/misc.scm 191 */
													long BgL_res1567z00_674;

													BgL_res1567z00_674 =
														RGC_STOP_MATCH(BgL_iportz00_348,
														BgL_arg1366z00_359);
													BgL_res1567z00_674;
												}
												BgL_newzd2matchzd2_671 = ((long) 1);
												BgL_matchz00_300 = BgL_newzd2matchzd2_671;
										}}
									else
										{	/* Tools/misc.scm 191 */
											BgL_iportz00_362 = BgL_iportz00_348;
											BgL_lastzd2matchzd2_363 = BgL_lastzd2matchzd2_349;
											BgL_forwardz00_364 = (((long) 1) + BgL_forwardz00_350);
											BgL_bufposz00_365 = BgL_bufposz00_351;
										BgL_zc3anonymousza31372ze3z83_366:
											{	/* Tools/misc.scm 191 */
												long BgL_newzd2matchzd2_367;

												{	/* Tools/misc.scm 191 */
													long BgL_res1552z00_630;

													BgL_res1552z00_630 =
														RGC_STOP_MATCH(BgL_iportz00_362,
														BgL_forwardz00_364);
													BgL_res1552z00_630;
												}
												BgL_newzd2matchzd2_367 = ((long) 0);
												if ((BgL_forwardz00_364 == BgL_bufposz00_365))
													{	/* Tools/misc.scm 191 */
														if (rgc_fill_buffer(BgL_iportz00_362))
															{	/* Tools/misc.scm 191 */
																long BgL_arg1378z00_370;
																long BgL_arg1379z00_371;

																{	/* Tools/misc.scm 191 */
																	long BgL_res1555z00_637;

																	BgL_res1555z00_637 =
																		RGC_BUFFER_FORWARD(BgL_iportz00_362);
																	BgL_arg1378z00_370 = BgL_res1555z00_637;
																}
																{	/* Tools/misc.scm 191 */
																	long BgL_res1556z00_639;

																	BgL_res1556z00_639 =
																		RGC_BUFFER_BUFPOS(BgL_iportz00_362);
																	BgL_arg1379z00_371 = BgL_res1556z00_639;
																}
																{
																	long BgL_bufposz00_1038;
																	long BgL_forwardz00_1037;

																	BgL_forwardz00_1037 = BgL_arg1378z00_370;
																	BgL_bufposz00_1038 = BgL_arg1379z00_371;
																	BgL_bufposz00_365 = BgL_bufposz00_1038;
																	BgL_forwardz00_364 = BgL_forwardz00_1037;
																	goto BgL_zc3anonymousza31372ze3z83_366;
																}
															}
														else
															{	/* Tools/misc.scm 191 */
																BgL_matchz00_300 = BgL_newzd2matchzd2_367;
															}
													}
												else
													{	/* Tools/misc.scm 191 */
														int BgL_curz00_372;

														{	/* Tools/misc.scm 191 */
															int BgL_res1557z00_642;

															BgL_res1557z00_642 =
																RGC_BUFFER_GET_CHAR(BgL_iportz00_362,
																BgL_forwardz00_364);
															BgL_curz00_372 = BgL_res1557z00_642;
														}
														{	/* Tools/misc.scm 191 */

															if (((long) (BgL_curz00_372) == ((long) 58)))
																{	/* Tools/misc.scm 191 */
																	BgL_matchz00_300 = BgL_newzd2matchzd2_367;
																}
															else
																{	/* Tools/misc.scm 191 */
																	BgL_iportz00_376 = BgL_iportz00_362;
																	BgL_lastzd2matchzd2_377 =
																		BgL_newzd2matchzd2_367;
																	BgL_forwardz00_378 =
																		(((long) 1) + BgL_forwardz00_364);
																	BgL_bufposz00_379 = BgL_bufposz00_365;
																BgL_zc3anonymousza31386ze3z83_380:
																	{	/* Tools/misc.scm 191 */
																		long BgL_newzd2matchzd2_381;

																		{	/* Tools/misc.scm 191 */
																			long BgL_res1544z00_609;

																			BgL_res1544z00_609 =
																				RGC_STOP_MATCH(BgL_iportz00_376,
																				BgL_forwardz00_378);
																			BgL_res1544z00_609;
																		}
																		BgL_newzd2matchzd2_381 = ((long) 0);
																		if (
																			(BgL_forwardz00_378 == BgL_bufposz00_379))
																			{	/* Tools/misc.scm 191 */
																				if (rgc_fill_buffer(BgL_iportz00_376))
																					{	/* Tools/misc.scm 191 */
																						long BgL_arg1398z00_384;
																						long BgL_arg1399z00_385;

																						{	/* Tools/misc.scm 191 */
																							long BgL_res1547z00_616;

																							BgL_res1547z00_616 =
																								RGC_BUFFER_FORWARD
																								(BgL_iportz00_376);
																							BgL_arg1398z00_384 =
																								BgL_res1547z00_616;
																						}
																						{	/* Tools/misc.scm 191 */
																							long BgL_res1548z00_618;

																							BgL_res1548z00_618 =
																								RGC_BUFFER_BUFPOS
																								(BgL_iportz00_376);
																							BgL_arg1399z00_385 =
																								BgL_res1548z00_618;
																						}
																						{
																							long BgL_bufposz00_1051;
																							long BgL_forwardz00_1050;

																							BgL_forwardz00_1050 =
																								BgL_arg1398z00_384;
																							BgL_bufposz00_1051 =
																								BgL_arg1399z00_385;
																							BgL_bufposz00_379 =
																								BgL_bufposz00_1051;
																							BgL_forwardz00_378 =
																								BgL_forwardz00_1050;
																							goto
																								BgL_zc3anonymousza31386ze3z83_380;
																						}
																					}
																				else
																					{	/* Tools/misc.scm 191 */
																						BgL_matchz00_300 =
																							BgL_newzd2matchzd2_381;
																					}
																			}
																		else
																			{	/* Tools/misc.scm 191 */
																				int BgL_curz00_386;

																				{	/* Tools/misc.scm 191 */
																					int BgL_res1549z00_621;

																					BgL_res1549z00_621 =
																						RGC_BUFFER_GET_CHAR
																						(BgL_iportz00_376,
																						BgL_forwardz00_378);
																					BgL_curz00_386 = BgL_res1549z00_621;
																				}
																				{	/* Tools/misc.scm 191 */

																					if (
																						((long) (BgL_curz00_386) ==
																							((long) 58)))
																						{	/* Tools/misc.scm 191 */
																							BgL_matchz00_300 =
																								BgL_newzd2matchzd2_381;
																						}
																					else
																						{
																							long BgL_forwardz00_1057;
																							long BgL_lastzd2matchzd2_1056;

																							BgL_lastzd2matchzd2_1056 =
																								BgL_newzd2matchzd2_381;
																							BgL_forwardz00_1057 =
																								(((long) 1) +
																								BgL_forwardz00_378);
																							BgL_forwardz00_378 =
																								BgL_forwardz00_1057;
																							BgL_lastzd2matchzd2_377 =
																								BgL_lastzd2matchzd2_1056;
																							goto
																								BgL_zc3anonymousza31386ze3z83_380;
																						}
																				}
																			}
																	}
																}
														}
													}
											}
										}
								}
							}
					}
					RGC_SET_FILEPOS(BgL_iportz00_755);
					{

						{	/* Tools/misc.scm 191 */
							obj_t BgL_aux1032z00_305;

							BgL_aux1032z00_305 = BINT(BgL_matchz00_300);
							switch ((long) CINT(BgL_aux1032z00_305))
								{
								case ((long) 2):

									return BNIL;
									break;
								case ((long) 1):

									{

										goto BGl_ignorez00zztools_miscz00;
									}
									break;
								case ((long) 0):

									{	/* Tools/misc.scm 193 */
										obj_t BgL_strz00_307;

										{	/* Tools/misc.scm 191 */
											long BgL_arg1190z00_211;

											{	/* Tools/misc.scm 191 */
												long BgL_res1569z00_679;

												BgL_res1569z00_679 =
													RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_755);
												BgL_arg1190z00_211 = BgL_res1569z00_679;
											}
											BgL_strz00_307 =
												rgc_buffer_substring(BgL_iportz00_755, ((long) 0),
												BgL_arg1190z00_211);
										}
										{	/* Tools/misc.scm 193 */
											obj_t BgL_resz00_308;

											BgL_resz00_308 =
												BGl_ignorez00zztools_miscz00(BgL_iportz00_755);
											{	/* Tools/misc.scm 194 */

												return MAKE_PAIR(BgL_strz00_307, BgL_resz00_308);
											}
										}
									}
									break;
								default:
									return
										BGl_errorz00zz__errorz00(BGl_string1590z00zztools_miscz00,
										BGl_string1591z00zztools_miscz00, BINT(BgL_matchz00_300));
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1443> */
	obj_t BGl_z62zc3anonymousza31443ze3ze1zztools_miscz00(obj_t BgL_envz00_751)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 191 */
			{	/* Tools/misc.scm 191 */
				obj_t BgL_port1014z00_752;

				BgL_port1014z00_752 =
					((obj_t) PROCEDURE_REF(BgL_envz00_751, (int) (((long) 0))));
				{

					return bgl_close_input_port(BgL_port1014z00_752);
				}
			}
		}
	}



/* uncygdrive */
	BGL_EXPORTED_DEF obj_t BGl_uncygdrivez00zztools_miscz00(obj_t BgL_strz00_21)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 208 */
			if (bigloo_strncmp(BGl_string1592z00zztools_miscz00, BgL_strz00_21,
					((long) 10)))
				{	/* Tools/misc.scm 210 */
					bool_t BgL_testz00_1077;

					if ((STRING_LENGTH(BgL_strz00_21) > ((long) 12)))
						{	/* Tools/misc.scm 211 */
							bool_t BgL_testz00_1081;

							{	/* Tools/misc.scm 211 */
								unsigned char BgL_arg1482z00_414;

								BgL_arg1482z00_414 = STRING_REF(BgL_strz00_21, ((long) 10));
								{	/* Tools/misc.scm 211 */
									bool_t BgL_res1579z00_707;

									BgL_res1579z00_707 = isalpha(BgL_arg1482z00_414);
									BgL_testz00_1081 = BgL_res1579z00_707;
							}}
							if (BgL_testz00_1081)
								{	/* Tools/misc.scm 211 */
									BgL_testz00_1077 =
										(STRING_REF(BgL_strz00_21,
											((long) 11)) == ((unsigned char) '/'));
								}
							else
								{	/* Tools/misc.scm 211 */
									BgL_testz00_1077 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/misc.scm 210 */
							BgL_testz00_1077 = ((bool_t) 0);
						}
					if (BgL_testz00_1077)
						{	/* Tools/misc.scm 213 */
							obj_t BgL_arg1447z00_404;
							obj_t BgL_arg1452z00_405;

							{	/* Tools/misc.scm 213 */
								unsigned char BgL_arg1454z00_406;

								BgL_arg1454z00_406 = STRING_REF(BgL_strz00_21, ((long) 10));
								{	/* Tools/misc.scm 213 */
									obj_t BgL_list1455z00_407;

									{	/* Tools/misc.scm 213 */
										obj_t BgL_arg1459z00_408;

										{	/* Tools/misc.scm 213 */
											obj_t BgL_arg1460z00_409;

											BgL_arg1460z00_409 =
												MAKE_PAIR(BCHAR(((unsigned char) '/')), BNIL);
											BgL_arg1459z00_408 =
												MAKE_PAIR(BCHAR(((unsigned char) ':')),
												BgL_arg1460z00_409);
										}
										BgL_list1455z00_407 =
											MAKE_PAIR(BCHAR(BgL_arg1454z00_406), BgL_arg1459z00_408);
									}
									BgL_arg1447z00_404 =
										BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
										(BgL_list1455z00_407);
							}}
							BgL_arg1452z00_405 =
								c_substring(BgL_strz00_21, ((long) 12),
								STRING_LENGTH(BgL_strz00_21));
							return string_append(BgL_arg1447z00_404, BgL_arg1452z00_405);
						}
					else
						{	/* Tools/misc.scm 210 */
							return BgL_strz00_21;
						}
				}
			else
				{	/* Tools/misc.scm 209 */
					return BgL_strz00_21;
				}
		}
	}



/* &uncygdrive */
	obj_t BGl_z62uncygdrivez62zztools_miscz00(obj_t BgL_envz00_753,
		obj_t BgL_strz00_754)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 208 */
			return BGl_uncygdrivez00zztools_miscz00(BgL_strz00_754);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			return BUNSPEC;
		}
	}

#ifdef __cplusplus
}
#endif
