/*===========================================================================*/
/*   (Unsafe/hmac.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/hmac.scm -indent -o objs/obj_u/Unsafe/hmac.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zz__hmacz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__hmacz00();
	extern obj_t BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__hmacz00();
	static obj_t BGl_methodzd2initzd2zz__hmacz00();
	extern obj_t make_string(long, unsigned char);
	extern obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zz__hmacz00();
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	extern obj_t make_string_sans_fill(long);
	static obj_t BGl_z62hmaczd2stringzb0zz__hmacz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2stringzd2envz00zz__hmacz00,
		BgL_bgl_za762hmacza7d2string1587z00, BGl_z62hmaczd2stringzb0zz__hmacz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1582z00zz__hmacz00,
		BgL_bgl_string1582za700za7za7_1588za7,
		"/tmp/bigloo/runtime/Unsafe/hmac.scm", 35);
	      DEFINE_STRING(BGl_string1583z00zz__hmacz00,
		BgL_bgl_string1583za700za7za7_1589za7, "&hmac-string", 12);
	      DEFINE_STRING(BGl_string1584z00zz__hmacz00,
		BgL_bgl_string1584za700za7za7_1590za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1585z00zz__hmacz00,
		BgL_bgl_string1585za700za7za7_1591za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1586z00zz__hmacz00,
		BgL_bgl_string1586za700za7za7_1592za7, "__hmac", 6);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long
		BgL_checksumz00_1859, char *BgL_fromz00_1860)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__hmacz00))
				{
					BGl_requirezd2initializa7ationz75zz__hmacz00 = BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__hmacz00();
					return BGl_methodzd2initzd2zz__hmacz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* hmac-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t BgL_keyz00_3,
		obj_t BgL_messagez00_4, obj_t BgL_hashz00_5)
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 57 */
			{	/* Unsafe/hmac.scm 61 */
				obj_t BgL_keybz00_1172;

				BgL_keybz00_1172 = make_string(((long) 64), ((unsigned char) '\000'));
				{	/* Unsafe/hmac.scm 63 */
					obj_t BgL_ixorz00_1173;

					BgL_ixorz00_1173 = make_string_sans_fill(((long) 64));
					{	/* Unsafe/hmac.scm 64 */
						obj_t BgL_oxorz00_1174;

						BgL_oxorz00_1174 = make_string_sans_fill(((long) 64));
						{	/* Unsafe/hmac.scm 65 */

							{	/* Unsafe/hmac.scm 67 */
								long BgL_keyzd2lengthzd2_1175;

								BgL_keyzd2lengthzd2_1175 = STRING_LENGTH(BgL_keyz00_3);
								if ((BgL_keyzd2lengthzd2_1175 > ((long) 64)))
									{	/* Unsafe/hmac.scm 69 */
										obj_t BgL_arg1135z00_1177;

										{	/* Unsafe/hmac.scm 69 */
											obj_t BgL_arg1137z00_1178;

											BgL_arg1137z00_1178 =
												PROCEDURE_ENTRY(BgL_hashz00_5) (BgL_hashz00_5,
												BgL_keyz00_3, BEOA);
											BgL_arg1135z00_1177 =
												BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00
												(BgL_arg1137z00_1178);
										}
										blit_string(BgL_arg1135z00_1177, ((long) 0),
											BgL_keybz00_1172, ((long) 0), ((long) 16));
									}
								else
									{	/* Unsafe/hmac.scm 68 */
										blit_string(BgL_keyz00_3, ((long) 0), BgL_keybz00_1172,
											((long) 0), BgL_keyzd2lengthzd2_1175);
							}}
							{
								long BgL_iz00_1180;

								BgL_iz00_1180 = ((long) 0);
							BgL_zc3anonymousza31138ze3z83_1181:
								if ((BgL_iz00_1180 < ((long) 64)))
									{	/* Unsafe/hmac.scm 74 */
										long BgL_xiz00_1183;

										BgL_xiz00_1183 =
											(STRING_REF(BgL_keybz00_1172, BgL_iz00_1180));
										{	/* Unsafe/hmac.scm 75 */
											unsigned char BgL_auxz00_1883;

											BgL_auxz00_1883 = ((((long) 54) ^ BgL_xiz00_1183));
											STRING_SET(BgL_ixorz00_1173, BgL_iz00_1180,
												BgL_auxz00_1883);
										}
										{	/* Unsafe/hmac.scm 76 */
											unsigned char BgL_auxz00_1887;

											BgL_auxz00_1887 = ((((long) 92) ^ BgL_xiz00_1183));
											STRING_SET(BgL_oxorz00_1174, BgL_iz00_1180,
												BgL_auxz00_1887);
										}
										{
											long BgL_iz00_1891;

											BgL_iz00_1891 = (BgL_iz00_1180 + ((long) 1));
											BgL_iz00_1180 = BgL_iz00_1891;
											goto BgL_zc3anonymousza31138ze3z83_1181;
										}
									}
								else
									{	/* Unsafe/hmac.scm 73 */
										((bool_t) 0);
									}
							}
							{	/* Unsafe/hmac.scm 82 */
								obj_t BgL_arg1149z00_1191;

								{	/* Unsafe/hmac.scm 82 */
									obj_t BgL_arg1152z00_1192;

									{	/* Unsafe/hmac.scm 82 */
										obj_t BgL_arg1153z00_1193;

										{	/* Unsafe/hmac.scm 82 */
											obj_t BgL_arg1155z00_1194;

											BgL_arg1155z00_1194 =
												string_append(BgL_ixorz00_1173, BgL_messagez00_4);
											BgL_arg1153z00_1193 =
												PROCEDURE_ENTRY(BgL_hashz00_5) (BgL_hashz00_5,
												BgL_arg1155z00_1194, BEOA);
										}
										BgL_arg1152z00_1192 =
											BGl_stringzd2hexzd2internz12z12zz__r4_strings_6_7z00
											(BgL_arg1153z00_1193);
									}
									BgL_arg1149z00_1191 =
										string_append(BgL_oxorz00_1174, BgL_arg1152z00_1192);
								}
								return
									PROCEDURE_ENTRY(BgL_hashz00_5) (BgL_hashz00_5,
									BgL_arg1149z00_1191, BEOA);
							}
						}
					}
				}
			}
		}
	}



/* &hmac-string */
	obj_t BGl_z62hmaczd2stringzb0zz__hmacz00(obj_t BgL_envz00_1849,
		obj_t BgL_keyz00_1850, obj_t BgL_messagez00_1851, obj_t BgL_hashz00_1852)
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 57 */
			{	/* Unsafe/hmac.scm 59 */
				obj_t BgL_auxz00_1918;
				obj_t BgL_auxz00_1911;
				obj_t BgL_auxz00_1904;

				if (PROCEDUREP(BgL_hashz00_1852))
					{	/* Unsafe/hmac.scm 59 */
						BgL_auxz00_1918 = BgL_hashz00_1852;
					}
				else
					{
						obj_t BgL_auxz00_1921;

						BgL_auxz00_1921 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__hmacz00,
							BINT(((long) 2036)), BGl_string1583z00zz__hmacz00,
							BGl_string1585z00zz__hmacz00, BgL_hashz00_1852);
						FAILURE(BgL_auxz00_1921, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_messagez00_1851))
					{	/* Unsafe/hmac.scm 59 */
						BgL_auxz00_1911 = BgL_messagez00_1851;
					}
				else
					{
						obj_t BgL_auxz00_1914;

						BgL_auxz00_1914 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__hmacz00,
							BINT(((long) 2036)), BGl_string1583z00zz__hmacz00,
							BGl_string1584z00zz__hmacz00, BgL_messagez00_1851);
						FAILURE(BgL_auxz00_1914, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_1850))
					{	/* Unsafe/hmac.scm 59 */
						BgL_auxz00_1904 = BgL_keyz00_1850;
					}
				else
					{
						obj_t BgL_auxz00_1907;

						BgL_auxz00_1907 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1582z00zz__hmacz00,
							BINT(((long) 2036)), BGl_string1583z00zz__hmacz00,
							BGl_string1584z00zz__hmacz00, BgL_keyz00_1850);
						FAILURE(BgL_auxz00_1907, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2stringzd2zz__hmacz00(BgL_auxz00_1904, BgL_auxz00_1911,
					BgL_auxz00_1918);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__hmacz00()
	{
		AN_OBJECT;
		{	/* Unsafe/hmac.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1586z00zz__hmacz00));
			return
				BGl_modulezd2initializa7ationz75zz__base64z00(((long) 67813413),
				BSTRING_TO_STRING(BGl_string1586z00zz__hmacz00));
		}
	}

#ifdef __cplusplus
}
#endif
